/*===========================================================================*/
/*   (Llib/pthread.scm)                                                      */
/*   Bigloo (4.3h)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue 12 May 2020 08:36:09 AM CEST    */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.3h/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.3h/lib/bigloo/4.3h -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.3h/lib/bigloo/4.3h -copt -fPIC -copt -IPosix Llib/pthread.scm -o objs/objs_s/pthread.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <bglpthread.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_threadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
} *BgL_threadz00_bglt;

typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_pthreadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_bodyz00;
   bool_t BgL_detachedpz00;
   obj_t BgL_endzd2resultzd2;
   obj_t BgL_endzd2exceptionzd2;
   void * BgL_z42builtinz42;
} *BgL_pthreadz00_bglt;

typedef struct BgL_z62threadzd2errorzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62threadzd2errorzb0_bglt;

typedef struct BgL_uncaughtzd2exceptionzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_reasonz00;
} *BgL_uncaughtzd2exceptionzd2_bglt;

typedef struct BgL_terminatedzd2threadzd2exceptionz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_terminatedzd2threadzd2exceptionz00_bglt;


static obj_t BGl_z62zc3z04anonymousza31668ze3ze5zz__pth_threadz00(obj_t, obj_t);
extern void * bglpth_thread_new(obj_t);
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
BGL_IMPORT bool_t BGl_classzd2fieldzf3z21zz__objectz00(obj_t);
extern obj_t BGl_pthreadzd2setupzd2backendz12z12zz__pth_backendz00();
static obj_t BGl_z62zc3z04anonymousza31211ze3ze5zz__pth_threadz00(obj_t);
BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
BGL_EXPORTED_DECL void * BGl_z42pthreadzd2nilz90zz__pth_threadz00();
BGL_IMPORT obj_t BGl_objectzd2displayzd2zz__objectz00(BgL_objectz00_bglt, obj_t);
static obj_t BGl_z62threadzd2specificzd2pthr1149z62zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__pth_threadz00();
BGL_IMPORT obj_t BGl_z62exceptionz62zz__objectz00;
BGL_IMPORT obj_t bstring_to_symbol(obj_t);
static obj_t BGl_z62zc3z04anonymousza31233ze3ze5zz__pth_threadz00(obj_t);
BGL_IMPORT obj_t BGl_objectzd2printzd2zz__objectz00(BgL_objectz00_bglt, obj_t, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__pth_threadz00();
static obj_t BGl_zc3z04exitza31664ze3ze70z60zz__pth_threadz00(BgL_pthreadz00_bglt);
BGL_EXPORTED_DEF obj_t BGl_z62threadzd2errorzb0zz__pth_threadz00 = BUNSPEC;
BGL_IMPORT obj_t bgl_typeof(obj_t);
BGL_EXPORTED_DEF obj_t BGl_uncaughtzd2exceptionzd2zz__pth_threadz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1202z62zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62lambda1203z62zz__pth_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1209z62zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62lambda1210z62zz__pth_threadz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_exceptionzd2notifyzd2zz__objectz00(obj_t);
extern int sched_yield();
static obj_t BGl_z62lambda1231z62zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62lambda1232z62zz__pth_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62z42pthreadzd2nilzf2zz__pth_threadz00(obj_t);
BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31617ze3ze5zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62lambda1267z62zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62lambda1268z62zz__pth_threadz00(obj_t, obj_t, obj_t);
BGL_IMPORT bool_t BGl_bigloozd2initializa7edzf3z86zz__paramz00();
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__pth_threadz00();
static obj_t BGl_z62zc3z04anonymousza31561ze3ze5zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31384ze3ze5zz__pth_threadz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_IMPORT obj_t void_star_to_obj(void *);
static obj_t BGl_z62zc3z04anonymousza31670ze3ze5zz__pth_threadz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t);
static obj_t BGl_z62threadzd2cleanupzd2pthre1153z62zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62objectzd2displayzd2uncau1133z62zz__pth_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31672ze3ze5zz__pth_threadz00(obj_t);
static obj_t BGl_z62z52userzd2threadzd2yieldz12zd21137zf0zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62threadzd2startzd2joinabl1143z62zz__pth_threadz00(obj_t, obj_t);
BGL_IMPORT bool_t BGl_zd3fxzd3zz__r4_numbers_6_5_fixnumz00(long, long);
BGL_IMPORT long BGl_bitzd2andzd2zz__bitz00(long, long);
static obj_t BGl_requirezd2initializa7ationz75zz__pth_threadz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern bool_t bglpth_thread_terminate(void *);
static obj_t BGl_z62zc3z04anonymousza31204ze3ze5zz__pth_threadz00(obj_t);
static obj_t BGl_toplevelzd2initzd2zz__pth_threadz00();
BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_z62threadzd2terminatez12zd2pt1147z70zz__pth_threadz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__pth_threadz00();
BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_pthreadz00zz__pth_threadz00 = BUNSPEC;
static obj_t BGl_z62threadzd2joinz12zd2pthread1145z70zz__pth_threadz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectzd2writezd2zz__objectz00(BgL_objectz00_bglt, obj_t);
BGL_IMPORT obj_t BGl_modulezd2initzd2errorz00zz__errorz00(char *, char *);
extern void bglpth_thread_start(void *, obj_t, bool_t);
static obj_t BGl_z62objectzd2printzd2uncaugh1135z62zz__pth_threadz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t string_append(obj_t, obj_t);
BGL_IMPORT obj_t BGl_signalz00zz__osz00(int, obj_t);
static obj_t BGl_z62zc3z04anonymousza31175ze3ze5zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31337ze3ze5zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62threadzd2initializa7ez12zd2p1139zd7zz__pth_threadz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__pth_threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__pth_backendz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
BGL_IMPORT obj_t BGl_z62errorz62zz__objectz00;
static BgL_z62threadzd2errorzb0_bglt BGl_z62lambda1331z62zz__pth_threadz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_pthreadz00_bglt BGl_z62lambda1170z62zz__pth_threadz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_z62threadzd2errorzb0_bglt BGl_z62lambda1334z62zz__pth_threadz00(obj_t);
static BgL_pthreadz00_bglt BGl_z62lambda1173z62zz__pth_threadz00(obj_t);
extern void bglpth_thread_join(void *, obj_t);
static obj_t BGl_z62zc3z04anonymousza31269ze3ze5zz__pth_threadz00(obj_t);
static obj_t BGl_cnstzd2initzd2zz__pth_threadz00();
static obj_t BGl_libraryzd2moduleszd2initz00zz__pth_threadz00();
static obj_t BGl_importedzd2moduleszd2initz00zz__pth_threadz00();
static obj_t BGl_z62threadzd2startz12zd2pthrea1141z70zz__pth_threadz00(obj_t, obj_t, obj_t);
static BgL_uncaughtzd2exceptionzd2_bglt BGl_z62lambda1352z62zz__pth_threadz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_uncaughtzd2exceptionzd2_bglt BGl_z62lambda1354z62zz__pth_threadz00(obj_t);
static obj_t BGl_z62lambda1518z62zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62lambda1195z62zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62lambda1519z62zz__pth_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1196z62zz__pth_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62objectzd2writezd2uncaugh1131z62zz__pth_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62threadzd2specificzd2setz121151z70zz__pth_threadz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
static BgL_terminatedzd2threadzd2exceptionz00_bglt BGl_z62lambda1547z62zz__pth_threadz00(obj_t, obj_t, obj_t, obj_t);
static BgL_terminatedzd2threadzd2exceptionz00_bglt BGl_z62lambda1549z62zz__pth_threadz00(obj_t);
static obj_t BGl_z62threadzd2cleanupzd2setz12zd21155za2zz__pth_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31663ze3ze5zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62bz62zz__pth_threadz00(obj_t);
BGL_IMPORT obj_t BGl_threadz00zz__threadz00;
static obj_t BGl_zc3z04exitza31660ze3ze70z60zz__pth_threadz00(obj_t, BgL_pthreadz00_bglt);
static obj_t __cnst[ 20 ] ;


DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2055z00zz__pth_threadz00, BgL_bgl_za762objectza7d2writ2123z00, va_generic_entry, BGl_z62objectzd2writezd2uncaugh1131z62zz__pth_threadz00, BUNSPEC, -2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2057z00zz__pth_threadz00, BgL_bgl_za762objectza7d2disp2124z00, va_generic_entry, BGl_z62objectzd2displayzd2uncau1133z62zz__pth_threadz00, BUNSPEC, -2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2059z00zz__pth_threadz00, BgL_bgl_za762objectza7d2prin2125z00, BGl_z62objectzd2printzd2uncaugh1135z62zz__pth_threadz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2061z00zz__pth_threadz00, BgL_bgl_za762za752userza7d2thr2126za7, BGl_z62z52userzd2threadzd2yieldz12zd21137zf0zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2063z00zz__pth_threadz00, BgL_bgl_za762threadza7d2init2127z00, BGl_z62threadzd2initializa7ez12zd2p1139zd7zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2065z00zz__pth_threadz00, BgL_bgl_za762threadza7d2star2128z00, va_generic_entry, BGl_z62threadzd2startz12zd2pthrea1141z70zz__pth_threadz00, BUNSPEC, -2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2067z00zz__pth_threadz00, BgL_bgl_za762threadza7d2star2129z00, BGl_z62threadzd2startzd2joinabl1143z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2069z00zz__pth_threadz00, BgL_bgl_za762threadza7d2join2130z00, va_generic_entry, BGl_z62threadzd2joinz12zd2pthread1145z70zz__pth_threadz00, BUNSPEC, -2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2071z00zz__pth_threadz00, BgL_bgl_za762threadza7d2term2131z00, BGl_z62threadzd2terminatez12zd2pt1147z70zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2073z00zz__pth_threadz00, BgL_bgl_za762threadza7d2spec2132z00, BGl_z62threadzd2specificzd2pthr1149z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2075z00zz__pth_threadz00, BgL_bgl_za762threadza7d2spec2133z00, BGl_z62threadzd2specificzd2setz121151z70zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2077z00zz__pth_threadz00, BgL_bgl_za762threadza7d2clea2134z00, BGl_z62threadzd2cleanupzd2pthre1153z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2079z00zz__pth_threadz00, BgL_bgl_za762threadza7d2clea2135z00, BGl_z62threadzd2cleanupzd2setz12zd21155za2zz__pth_threadz00, 0L, BUNSPEC, 2 );
BGL_IMPORT obj_t BGl_threadzd2startz12zd2envz12zz__threadz00;
BGL_IMPORT obj_t BGl_objectzd2writezd2envz00zz__objectz00;
BGL_IMPORT obj_t BGl_threadzd2specificzd2envz00zz__threadz00;
BGL_IMPORT obj_t BGl_objectzd2displayzd2envz00zz__objectz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z42pthreadzd2nilzd2envz42zz__pth_threadz00, BgL_bgl_za762za742pthreadza7d22136za7, BGl_z62z42pthreadzd2nilzf2zz__pth_threadz00, 0L, BUNSPEC, 0 );
BGL_IMPORT obj_t BGl_threadzd2terminatez12zd2envz12zz__threadz00;
BGL_IMPORT obj_t BGl_z52userzd2threadzd2yieldz12zd2envz92zz__threadz00;
DEFINE_STRING( BGl_string2029z00zz__pth_threadz00, BgL_bgl_string2029za700za7za7_2137za7, "/builddir/build/BUILD/bigloo-4.3h/api/pthread/src/Llib/pthread.scm", 66 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2102z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo2138za7, BGl_z62zc3z04anonymousza31670ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2030z00zz__pth_threadz00, BgL_bgl_string2030za700za7za7_2139za7, "&<@anonymous:1561>", 18 );
DEFINE_STRING( BGl_string2031z00zz__pth_threadz00, BgL_bgl_string2031za700za7za7_2140za7, "terminated-thread-exception", 27 );
DEFINE_STRING( BGl_string2032z00zz__pth_threadz00, BgL_bgl_string2032za700za7za7_2141za7, "&<@anonymous:1384>", 18 );
DEFINE_STRING( BGl_string2033z00zz__pth_threadz00, BgL_bgl_string2033za700za7za7_2142za7, "uncaught-exception", 18 );
DEFINE_STRING( BGl_string2034z00zz__pth_threadz00, BgL_bgl_string2034za700za7za7_2143za7, "&lambda1519", 11 );
DEFINE_STRING( BGl_string2035z00zz__pth_threadz00, BgL_bgl_string2035za700za7za7_2144za7, "&lambda1518", 11 );
DEFINE_STRING( BGl_string2036z00zz__pth_threadz00, BgL_bgl_string2036za700za7za7_2145za7, "&<@anonymous:1337>", 18 );
DEFINE_STRING( BGl_string2037z00zz__pth_threadz00, BgL_bgl_string2037za700za7za7_2146za7, "&thread-error", 13 );
DEFINE_STRING( BGl_string2038z00zz__pth_threadz00, BgL_bgl_string2038za700za7za7_2147za7, "&<@anonymous:1175>", 18 );
DEFINE_STRING( BGl_string2039z00zz__pth_threadz00, BgL_bgl_string2039za700za7za7_2148za7, "pthread", 7 );
DEFINE_STRING( BGl_string2040z00zz__pth_threadz00, BgL_bgl_string2040za700za7za7_2149za7, "lambda1170", 10 );
DEFINE_STRING( BGl_string2041z00zz__pth_threadz00, BgL_bgl_string2041za700za7za7_2150za7, "procedure", 9 );
DEFINE_STRING( BGl_string2042z00zz__pth_threadz00, BgL_bgl_string2042za700za7za7_2151za7, "lambda1170:Wrong number of arguments", 36 );
DEFINE_STRING( BGl_string2043z00zz__pth_threadz00, BgL_bgl_string2043za700za7za7_2152za7, "&lambda1170", 11 );
DEFINE_STRING( BGl_string2044z00zz__pth_threadz00, BgL_bgl_string2044za700za7za7_2153za7, "void*", 5 );
DEFINE_STRING( BGl_string2045z00zz__pth_threadz00, BgL_bgl_string2045za700za7za7_2154za7, "&lambda1268", 11 );
DEFINE_STRING( BGl_string2046z00zz__pth_threadz00, BgL_bgl_string2046za700za7za7_2155za7, "&lambda1267", 11 );
DEFINE_STRING( BGl_string2047z00zz__pth_threadz00, BgL_bgl_string2047za700za7za7_2156za7, "&lambda1232", 11 );
DEFINE_STRING( BGl_string2048z00zz__pth_threadz00, BgL_bgl_string2048za700za7za7_2157za7, "&lambda1231", 11 );
DEFINE_STRING( BGl_string2049z00zz__pth_threadz00, BgL_bgl_string2049za700za7za7_2158za7, "&lambda1210", 11 );
DEFINE_STRING( BGl_string2050z00zz__pth_threadz00, BgL_bgl_string2050za700za7za7_2159za7, "&lambda1209", 11 );
DEFINE_STRING( BGl_string2051z00zz__pth_threadz00, BgL_bgl_string2051za700za7za7_2160za7, "&lambda1203", 11 );
DEFINE_STRING( BGl_string2052z00zz__pth_threadz00, BgL_bgl_string2052za700za7za7_2161za7, "&lambda1202", 11 );
DEFINE_STRING( BGl_string2053z00zz__pth_threadz00, BgL_bgl_string2053za700za7za7_2162za7, "&lambda1196", 11 );
DEFINE_STRING( BGl_string2054z00zz__pth_threadz00, BgL_bgl_string2054za700za7za7_2163za7, "&lambda1195", 11 );
DEFINE_STRING( BGl_string2056z00zz__pth_threadz00, BgL_bgl_string2056za700za7za7_2164za7, "object-write", 12 );
DEFINE_STRING( BGl_string2058z00zz__pth_threadz00, BgL_bgl_string2058za700za7za7_2165za7, "object-display", 14 );
DEFINE_STRING( BGl_string2060z00zz__pth_threadz00, BgL_bgl_string2060za700za7za7_2166za7, "object-print", 12 );
DEFINE_STRING( BGl_string2062z00zz__pth_threadz00, BgL_bgl_string2062za700za7za7_2167za7, "%user-thread-yield!", 19 );
DEFINE_STRING( BGl_string2064z00zz__pth_threadz00, BgL_bgl_string2064za700za7za7_2168za7, "thread-initialize!", 18 );
DEFINE_STRING( BGl_string2066z00zz__pth_threadz00, BgL_bgl_string2066za700za7za7_2169za7, "thread-start!", 13 );
DEFINE_STRING( BGl_string2068z00zz__pth_threadz00, BgL_bgl_string2068za700za7za7_2170za7, "thread-start-joinable!", 22 );
DEFINE_STRING( BGl_string2070z00zz__pth_threadz00, BgL_bgl_string2070za700za7za7_2171za7, "thread-join!", 12 );
DEFINE_STRING( BGl_string2072z00zz__pth_threadz00, BgL_bgl_string2072za700za7za7_2172za7, "thread-terminate!", 17 );
BGL_IMPORT obj_t BGl_threadzd2cleanupzd2envz00zz__threadz00;
DEFINE_STRING( BGl_string2074z00zz__pth_threadz00, BgL_bgl_string2074za700za7za7_2173za7, "thread-specific", 15 );
DEFINE_STRING( BGl_string2076z00zz__pth_threadz00, BgL_bgl_string2076za700za7za7_2174za7, "thread-specific-set!", 20 );
DEFINE_STRING( BGl_string2078z00zz__pth_threadz00, BgL_bgl_string2078za700za7za7_2175za7, "thread-cleanup", 14 );
DEFINE_STRING( BGl_string2080z00zz__pth_threadz00, BgL_bgl_string2080za700za7za7_2176za7, "thread-cleanup-set!", 19 );
DEFINE_STRING( BGl_string2081z00zz__pth_threadz00, BgL_bgl_string2081za700za7za7_2177za7, "thread-cleanup-set!-1155", 24 );
DEFINE_STRING( BGl_string2082z00zz__pth_threadz00, BgL_bgl_string2082za700za7za7_2178za7, "Illegal procedure arity", 23 );
DEFINE_STRING( BGl_string2083z00zz__pth_threadz00, BgL_bgl_string2083za700za7za7_2179za7, "&thread-cleanup-set!-1155", 25 );
DEFINE_STRING( BGl_string2084z00zz__pth_threadz00, BgL_bgl_string2084za700za7za7_2180za7, "&thread-cleanup-pthre1153", 25 );
DEFINE_STRING( BGl_string2085z00zz__pth_threadz00, BgL_bgl_string2085za700za7za7_2181za7, "&thread-specific-set!1151", 25 );
DEFINE_STRING( BGl_string2086z00zz__pth_threadz00, BgL_bgl_string2086za700za7za7_2182za7, "&thread-specific-pthr1149", 25 );
DEFINE_STRING( BGl_string2087z00zz__pth_threadz00, BgL_bgl_string2087za700za7za7_2183za7, "thread-terminate!-pt1147", 24 );
DEFINE_STRING( BGl_string2088z00zz__pth_threadz00, BgL_bgl_string2088za700za7za7_2184za7, "class-field", 11 );
DEFINE_STRING( BGl_string2089z00zz__pth_threadz00, BgL_bgl_string2089za700za7za7_2185za7, "&thread-terminate!-pt1147", 25 );
DEFINE_STRING( BGl_string2090z00zz__pth_threadz00, BgL_bgl_string2090za700za7za7_2186za7, "thread-join!-pthread1145", 24 );
DEFINE_STRING( BGl_string2091z00zz__pth_threadz00, BgL_bgl_string2091za700za7za7_2187za7, "detached thread", 15 );
DEFINE_STRING( BGl_string2092z00zz__pth_threadz00, BgL_bgl_string2092za700za7za7_2188za7, "&thread-join!-pthread1145", 25 );
DEFINE_STRING( BGl_string2093z00zz__pth_threadz00, BgL_bgl_string2093za700za7za7_2189za7, "&thread-start-joinabl1143", 25 );
DEFINE_STRING( BGl_string2094z00zz__pth_threadz00, BgL_bgl_string2094za700za7za7_2190za7, "&thread-start!-pthrea1141", 25 );
DEFINE_STRING( BGl_string2095z00zz__pth_threadz00, BgL_bgl_string2095za700za7za7_2191za7, "Thread created before module initialization completed -- ", 57 );
DEFINE_STRING( BGl_string2096z00zz__pth_threadz00, BgL_bgl_string2096za700za7za7_2192za7, "make-thread", 11 );
DEFINE_STRING( BGl_string2097z00zz__pth_threadz00, BgL_bgl_string2097za700za7za7_2193za7, "&thread-initialize!-p1139", 25 );
DEFINE_STRING( BGl_string2098z00zz__pth_threadz00, BgL_bgl_string2098za700za7za7_2194za7, "b", 1 );
DEFINE_STRING( BGl_string2099z00zz__pth_threadz00, BgL_bgl_string2099za700za7za7_2195za7, "symbol", 6 );
BGL_IMPORT obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
BGL_IMPORT obj_t BGl_threadzd2joinz12zd2envz12zz__threadz00;
BGL_IMPORT obj_t BGl_objectzd2printzd2envz00zz__objectz00;
BGL_IMPORT obj_t BGl_threadzd2startzd2joinablez12zd2envzc0zz__threadz00;
BGL_IMPORT obj_t BGl_threadzd2initializa7ez12zd2envzb5zz__threadz00;
BGL_IMPORT obj_t BGl_threadzd2specificzd2setz12zd2envzc0zz__threadz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2001z00zz__pth_threadz00, BgL_bgl_za762lambda1196za7622196z00, BGl_z62lambda1196z62zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2002z00zz__pth_threadz00, BgL_bgl_za762lambda1195za7622197z00, BGl_z62lambda1195z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2003z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo2198za7, BGl_z62zc3z04anonymousza31204ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2004z00zz__pth_threadz00, BgL_bgl_za762lambda1203za7622199z00, BGl_z62lambda1203z62zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2005z00zz__pth_threadz00, BgL_bgl_za762lambda1202za7622200z00, BGl_z62lambda1202z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2006z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo2201za7, BGl_z62zc3z04anonymousza31211ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2007z00zz__pth_threadz00, BgL_bgl_za762lambda1210za7622202z00, BGl_z62lambda1210z62zz__pth_threadz00, 0L, BUNSPEC, 2 );
BGL_IMPORT obj_t BGl_threadzd2cleanupzd2setz12zd2envzc0zz__threadz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2008z00zz__pth_threadz00, BgL_bgl_za762lambda1209za7622203z00, BGl_z62lambda1209z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2009z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo2204za7, BGl_z62zc3z04anonymousza31233ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2010z00zz__pth_threadz00, BgL_bgl_za762lambda1232za7622205z00, BGl_z62lambda1232z62zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2011z00zz__pth_threadz00, BgL_bgl_za762lambda1231za7622206z00, BGl_z62lambda1231z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2012z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo2207za7, BGl_z62zc3z04anonymousza31269ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2100z00zz__pth_threadz00, BgL_bgl_string2100za700za7za7_2208za7, "handler1087", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2013z00zz__pth_threadz00, BgL_bgl_za762lambda1268za7622209z00, BGl_z62lambda1268z62zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2101z00zz__pth_threadz00, BgL_bgl_string2101za700za7za7_2210za7, "<@exit:1664>~0:Wrong number of arguments", 40 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2014z00zz__pth_threadz00, BgL_bgl_za762lambda1267za7622211z00, BGl_z62lambda1267z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2015z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo2212za7, BGl_z62zc3z04anonymousza31175ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2103z00zz__pth_threadz00, BgL_bgl_string2103za700za7za7_2213za7, "unwind-until!, ~a", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2016z00zz__pth_threadz00, BgL_bgl_za762lambda1173za7622214z00, BGl_z62lambda1173z62zz__pth_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2104z00zz__pth_threadz00, BgL_bgl_string2104za700za7za7_2215za7, "exit out of thread dynamic scope", 32 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2017z00zz__pth_threadz00, BgL_bgl_za762lambda1170za7622216z00, BGl_z62lambda1170z62zz__pth_threadz00, 0L, BUNSPEC, 6 );
DEFINE_STRING( BGl_string2105z00zz__pth_threadz00, BgL_bgl_string2105za700za7za7_2217za7, "&%user-thread-yield!-1137", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2018z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo2218za7, BGl_z62zc3z04anonymousza31337ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2106z00zz__pth_threadz00, BgL_bgl_string2106za700za7za7_2219za7, "object-print-uncaugh1135", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2019z00zz__pth_threadz00, BgL_bgl_za762lambda1334za7622220z00, BGl_z62lambda1334z62zz__pth_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2107z00zz__pth_threadz00, BgL_bgl_string2107za700za7za7_2221za7, "object", 6 );
DEFINE_STRING( BGl_string2108z00zz__pth_threadz00, BgL_bgl_string2108za700za7za7_2222za7, "output-port", 11 );
DEFINE_STRING( BGl_string2109z00zz__pth_threadz00, BgL_bgl_string2109za700za7za7_2223za7, "&object-print-uncaugh1135", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2020z00zz__pth_threadz00, BgL_bgl_za762lambda1331za7622224z00, BGl_z62lambda1331z62zz__pth_threadz00, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2021z00zz__pth_threadz00, BgL_bgl_za762lambda1519za7622225z00, BGl_z62lambda1519z62zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2022z00zz__pth_threadz00, BgL_bgl_za762lambda1518za7622226z00, BGl_z62lambda1518z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2110z00zz__pth_threadz00, BgL_bgl_string2110za700za7za7_2227za7, "object-display-uncau1133", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2023z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo2228za7, BGl_z62zc3z04anonymousza31384ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2111z00zz__pth_threadz00, BgL_bgl_string2111za700za7za7_2229za7, "pair", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2024z00zz__pth_threadz00, BgL_bgl_za762lambda1354za7622230z00, BGl_z62lambda1354z62zz__pth_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2112z00zz__pth_threadz00, BgL_bgl_string2112za700za7za7_2231za7, "&object-display-uncau1133", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2025z00zz__pth_threadz00, BgL_bgl_za762lambda1352za7622232z00, BGl_z62lambda1352z62zz__pth_threadz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string2113z00zz__pth_threadz00, BgL_bgl_string2113za700za7za7_2233za7, "object-write-uncaugh1131", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2026z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo2234za7, BGl_z62zc3z04anonymousza31561ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2114z00zz__pth_threadz00, BgL_bgl_string2114za700za7za7_2235za7, "&object-write-uncaugh1131", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2027z00zz__pth_threadz00, BgL_bgl_za762lambda1549za7622236z00, BGl_z62lambda1549z62zz__pth_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2115z00zz__pth_threadz00, BgL_bgl_string2115za700za7za7_2237za7, "__pth_thread", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2028z00zz__pth_threadz00, BgL_bgl_za762lambda1547za7622238z00, BGl_z62lambda1547z62zz__pth_threadz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string2116z00zz__pth_threadz00, BgL_bgl_string2116za700za7za7_2239za7, "(funcall fun1671 fun1671) &pthread- & thread-join! (funcall fun1171 fun1171 new1115) terminated-thread-exception uncaught-exception reason &thread-error __pth_thread pthread $pthread $builtin end-exception obj end-result bool detachedp procedure body ", 251 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_z62threadzd2errorzb0zz__pth_threadz00) );
ADD_ROOT( (void *)(&BGl_uncaughtzd2exceptionzd2zz__pth_threadz00) );
ADD_ROOT( (void *)(&BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__pth_threadz00) );
ADD_ROOT( (void *)(&BGl_pthreadz00zz__pth_threadz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__pth_threadz00(long BgL_checksumz00_1050, char * BgL_fromz00_1051)
{
{ 
if(
BGl_zd3fxzd3zz__r4_numbers_6_5_fixnumz00(
(long)CINT(
BINT(
BGl_bitzd2andzd2zz__bitz00(BgL_checksumz00_1050, ((long)83184781)))), BgL_checksumz00_1050))
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__pth_threadz00))
{ 
BGl_requirezd2initializa7ationz75zz__pth_threadz00 = 
BBOOL(((bool_t)0)); 
BGL_GC_INIT(); 
BGl_gczd2rootszd2initz00zz__pth_threadz00(); 
BGl_libraryzd2moduleszd2initz00zz__pth_threadz00(); 
BGl_cnstzd2initzd2zz__pth_threadz00(); 
BGl_importedzd2moduleszd2initz00zz__pth_threadz00(); 
BGl_objectzd2initzd2zz__pth_threadz00(); 
BGl_methodzd2initzd2zz__pth_threadz00(); 
return 
BGl_toplevelzd2initzd2zz__pth_threadz00();}  else 
{ 
return BUNSPEC;} }  else 
{ 
char * BgL_sz00_1054;
BgL_sz00_1054 = 
"__pth_thread"; 
return 
BGl_modulezd2initzd2errorz00zz__errorz00(BgL_sz00_1054, BgL_fromz00_1051);} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__pth_threadz00()
{
{ /* Llib/pthread.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__pth_thread"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__pth_threadz00()
{
{ /* Llib/pthread.scm 15 */
{ /* Llib/pthread.scm 15 */
obj_t BgL_cportz00_895;
{ /* Llib/pthread.scm 15 */
obj_t BgL_stringz00_903;
BgL_stringz00_903 = BGl_string2116z00zz__pth_threadz00; 
{ /* Llib/pthread.scm 15 */
obj_t BgL_startz00_904;
BgL_startz00_904 = 
BINT(((long)0)); 
{ /* Llib/pthread.scm 15 */
obj_t BgL_endz00_905;
BgL_endz00_905 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_903))); 
{ /* Llib/pthread.scm 15 */

BgL_cportz00_895 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_903, BgL_startz00_904, BgL_endz00_905); } } } } 
{ 
long BgL_iz00_896;
BgL_iz00_896 = ((long)19); 
BgL_loopz00_897:
if(
(BgL_iz00_896==((long)-1)))
{ /* Llib/pthread.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/pthread.scm 15 */
{ /* Llib/pthread.scm 15 */
obj_t BgL_arg2118z00_899;
{ /* Llib/pthread.scm 15 */

{ /* Llib/pthread.scm 15 */
obj_t BgL_locationz00_901;
BgL_locationz00_901 = 
BBOOL(((bool_t)0)); 
{ /* Llib/pthread.scm 15 */

BgL_arg2118z00_899 = 
BGl_readz00zz__readerz00(BgL_cportz00_895, BgL_locationz00_901); } } } 
{ /* Llib/pthread.scm 15 */
int BgL_tmpz00_1096;
BgL_tmpz00_1096 = 
(int)(BgL_iz00_896); 
CNST_TABLE_SET(BgL_tmpz00_1096, BgL_arg2118z00_899); } } 
{ /* Llib/pthread.scm 15 */
int BgL_auxz00_902;
BgL_auxz00_902 = 
(int)(
(BgL_iz00_896-((long)1))); 
{ 
long BgL_iz00_1101;
BgL_iz00_1101 = 
(long)(BgL_auxz00_902); 
BgL_iz00_896 = BgL_iz00_1101; 
goto BgL_loopz00_897;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__pth_threadz00()
{
{ /* Llib/pthread.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__pth_threadz00()
{
{ /* Llib/pthread.scm 15 */
return 
BGl_pthreadzd2setupzd2backendz12z12zz__pth_backendz00();} 

}



/* $pthread-nil */
BGL_EXPORTED_DEF void * BGl_z42pthreadzd2nilz90zz__pth_threadz00()
{
{ /* Llib/pthread.scm 200 */
return 
(0L);} 

}



/* &$pthread-nil */
obj_t BGl_z62z42pthreadzd2nilzf2zz__pth_threadz00(obj_t BgL_envz00_517)
{
{ /* Llib/pthread.scm 200 */
return 
void_star_to_obj(
BGl_z42pthreadzd2nilz90zz__pth_threadz00());} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__pth_threadz00()
{
{ /* Llib/pthread.scm 15 */
{ /* Llib/pthread.scm 25 */
obj_t BgL_arg1167z00_35;obj_t BgL_arg1169z00_36;
{ /* Llib/pthread.scm 25 */
obj_t BgL_v1122z00_53;
BgL_v1122z00_53 = 
create_vector(((long)5)); 
{ /* Llib/pthread.scm 25 */
obj_t BgL_arg1179z00_54;
BgL_arg1179z00_54 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)0)), BGl_proc2002z00zz__pth_threadz00, BGl_proc2001z00zz__pth_threadz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)1))); 
VECTOR_SET(BgL_v1122z00_53,((long)0),BgL_arg1179z00_54); } 
{ /* Llib/pthread.scm 25 */
obj_t BgL_arg1197z00_64;
BgL_arg1197z00_64 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)2)), BGl_proc2005z00zz__pth_threadz00, BGl_proc2004z00zz__pth_threadz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2003z00zz__pth_threadz00, 
CNST_TABLE_REF(((long)3))); 
VECTOR_SET(BgL_v1122z00_53,((long)1),BgL_arg1197z00_64); } 
{ /* Llib/pthread.scm 25 */
obj_t BgL_arg1205z00_77;
BgL_arg1205z00_77 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)4)), BGl_proc2008z00zz__pth_threadz00, BGl_proc2007z00zz__pth_threadz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2006z00zz__pth_threadz00, 
CNST_TABLE_REF(((long)5))); 
VECTOR_SET(BgL_v1122z00_53,((long)2),BgL_arg1205z00_77); } 
{ /* Llib/pthread.scm 25 */
obj_t BgL_arg1212z00_90;
BgL_arg1212z00_90 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)6)), BGl_proc2011z00zz__pth_threadz00, BGl_proc2010z00zz__pth_threadz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2009z00zz__pth_threadz00, 
CNST_TABLE_REF(((long)5))); 
VECTOR_SET(BgL_v1122z00_53,((long)3),BgL_arg1212z00_90); } 
{ /* Llib/pthread.scm 25 */
obj_t BgL_arg1258z00_103;
BgL_arg1258z00_103 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)7)), BGl_proc2014z00zz__pth_threadz00, BGl_proc2013z00zz__pth_threadz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2012z00zz__pth_threadz00, 
CNST_TABLE_REF(((long)8))); 
VECTOR_SET(BgL_v1122z00_53,((long)4),BgL_arg1258z00_103); } 
BgL_arg1167z00_35 = BgL_v1122z00_53; } 
{ /* Llib/pthread.scm 25 */
obj_t BgL_v1123z00_116;
BgL_v1123z00_116 = 
create_vector(((long)0)); 
BgL_arg1169z00_36 = BgL_v1123z00_116; } 
BGl_pthreadz00zz__pth_threadz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)9)), 
CNST_TABLE_REF(((long)10)), BGl_threadz00zz__threadz00, ((long)35369), BGl_proc2017z00zz__pth_threadz00, BGl_proc2016z00zz__pth_threadz00, BGl_threadzd2initializa7ez12zd2envzb5zz__threadz00, BGl_proc2015z00zz__pth_threadz00, BFALSE, BgL_arg1167z00_35, BgL_arg1169z00_36); } 
{ /* Llib/pthread.scm 37 */
obj_t BgL_arg1326z00_123;obj_t BgL_arg1330z00_124;
{ /* Llib/pthread.scm 37 */
obj_t BgL_v1124z00_140;
BgL_v1124z00_140 = 
create_vector(((long)0)); 
BgL_arg1326z00_123 = BgL_v1124z00_140; } 
{ /* Llib/pthread.scm 37 */
obj_t BgL_v1125z00_141;
BgL_v1125z00_141 = 
create_vector(((long)0)); 
BgL_arg1330z00_124 = BgL_v1125z00_141; } 
BGl_z62threadzd2errorzb0zz__pth_threadz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)11)), 
CNST_TABLE_REF(((long)10)), BGl_z62errorz62zz__objectz00, ((long)52138), BGl_proc2020z00zz__pth_threadz00, BGl_proc2019z00zz__pth_threadz00, BFALSE, BGl_proc2018z00zz__pth_threadz00, BFALSE, BgL_arg1326z00_123, BgL_arg1330z00_124); } 
{ /* Llib/pthread.scm 39 */
obj_t BgL_arg1349z00_148;obj_t BgL_arg1351z00_149;
{ /* Llib/pthread.scm 39 */
obj_t BgL_v1126z00_163;
BgL_v1126z00_163 = 
create_vector(((long)1)); 
{ /* Llib/pthread.scm 39 */
obj_t BgL_arg1505z00_164;
BgL_arg1505z00_164 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)12)), BGl_proc2022z00zz__pth_threadz00, BGl_proc2021z00zz__pth_threadz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)5))); 
VECTOR_SET(BgL_v1126z00_163,((long)0),BgL_arg1505z00_164); } 
BgL_arg1349z00_148 = BgL_v1126z00_163; } 
{ /* Llib/pthread.scm 39 */
obj_t BgL_v1127z00_174;
BgL_v1127z00_174 = 
create_vector(((long)0)); 
BgL_arg1351z00_149 = BgL_v1127z00_174; } 
BGl_uncaughtzd2exceptionzd2zz__pth_threadz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)13)), 
CNST_TABLE_REF(((long)10)), BGl_z62exceptionz62zz__objectz00, ((long)30717), BGl_proc2025z00zz__pth_threadz00, BGl_proc2024z00zz__pth_threadz00, BFALSE, BGl_proc2023z00zz__pth_threadz00, BFALSE, BgL_arg1349z00_148, BgL_arg1351z00_149); } 
{ /* Llib/pthread.scm 42 */
obj_t BgL_arg1545z00_181;obj_t BgL_arg1546z00_182;
{ /* Llib/pthread.scm 42 */
obj_t BgL_v1128z00_195;
BgL_v1128z00_195 = 
create_vector(((long)0)); 
BgL_arg1545z00_181 = BgL_v1128z00_195; } 
{ /* Llib/pthread.scm 42 */
obj_t BgL_v1129z00_196;
BgL_v1129z00_196 = 
create_vector(((long)0)); 
BgL_arg1546z00_182 = BgL_v1129z00_196; } 
return ( 
BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)14)), 
CNST_TABLE_REF(((long)10)), BGl_z62exceptionz62zz__objectz00, ((long)35176), BGl_proc2028z00zz__pth_threadz00, BGl_proc2027z00zz__pth_threadz00, BFALSE, BGl_proc2026z00zz__pth_threadz00, BFALSE, BgL_arg1545z00_181, BgL_arg1546z00_182), BUNSPEC) ;} } 

}



/* &<@anonymous:1561> */
obj_t BGl_z62zc3z04anonymousza31561ze3ze5zz__pth_threadz00(obj_t BgL_envz00_549, obj_t BgL_new1078z00_550)
{
{ /* Llib/pthread.scm 42 */
{ 
BgL_terminatedzd2threadzd2exceptionz00_bglt BgL_auxz00_1152;
{ /* Llib/pthread.scm 42 */
BgL_terminatedzd2threadzd2exceptionz00_bglt BgL_new1078z00_908;
if(
BGl_isazf3zf3zz__objectz00(BgL_new1078z00_550, BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00))
{ /* Llib/pthread.scm 42 */
BgL_new1078z00_908 = 
((BgL_terminatedzd2threadzd2exceptionz00_bglt)BgL_new1078z00_550); }  else 
{ 
obj_t BgL_auxz00_1156;
BgL_auxz00_1156 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2029z00zz__pth_threadz00, 
BINT(((long)1701)), BGl_string2030z00zz__pth_threadz00, BGl_string2031z00zz__pth_threadz00, BgL_new1078z00_550); 
FAILURE(BgL_auxz00_1156,BFALSE,BFALSE);} 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1078z00_908)))->BgL_fnamez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1078z00_908)))->BgL_locationz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1078z00_908)))->BgL_stackz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_1152 = BgL_new1078z00_908; } 
return 
((obj_t)BgL_auxz00_1152);} } 

}



/* &lambda1549 */
BgL_terminatedzd2threadzd2exceptionz00_bglt BGl_z62lambda1549z62zz__pth_threadz00(obj_t BgL_envz00_551)
{
{ /* Llib/pthread.scm 42 */
{ /* Llib/pthread.scm 42 */
BgL_terminatedzd2threadzd2exceptionz00_bglt BgL_new1077z00_909;
BgL_new1077z00_909 = 
((BgL_terminatedzd2threadzd2exceptionz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_terminatedzd2threadzd2exceptionz00_bgl) ))); 
{ /* Llib/pthread.scm 42 */
long BgL_arg1560z00_910;
{ /* Llib/pthread.scm 42 */
long BgL_res1765z00_911;
BgL_res1765z00_911 = 
BGL_CLASS_INDEX(BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00); 
BgL_arg1560z00_910 = BgL_res1765z00_911; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1077z00_909), BgL_arg1560z00_910); } 
return BgL_new1077z00_909;} } 

}



/* &lambda1547 */
BgL_terminatedzd2threadzd2exceptionz00_bglt BGl_z62lambda1547z62zz__pth_threadz00(obj_t BgL_envz00_552, obj_t BgL_fname1074z00_553, obj_t BgL_location1075z00_554, obj_t BgL_stack1076z00_555)
{
{ /* Llib/pthread.scm 42 */
{ /* Llib/pthread.scm 42 */
BgL_terminatedzd2threadzd2exceptionz00_bglt BgL_new1121z00_912;
{ /* Llib/pthread.scm 42 */
BgL_terminatedzd2threadzd2exceptionz00_bglt BgL_new1120z00_913;
BgL_new1120z00_913 = 
((BgL_terminatedzd2threadzd2exceptionz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_terminatedzd2threadzd2exceptionz00_bgl) ))); 
{ /* Llib/pthread.scm 42 */
long BgL_arg1548z00_914;
{ /* Llib/pthread.scm 42 */
long BgL_res1764z00_915;
BgL_res1764z00_915 = 
BGL_CLASS_INDEX(BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00); 
BgL_arg1548z00_914 = BgL_res1764z00_915; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1120z00_913), BgL_arg1548z00_914); } 
BgL_new1121z00_912 = BgL_new1120z00_913; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1121z00_912)))->BgL_fnamez00)=((obj_t)BgL_fname1074z00_553),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1121z00_912)))->BgL_locationz00)=((obj_t)BgL_location1075z00_554),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1121z00_912)))->BgL_stackz00)=((obj_t)BgL_stack1076z00_555),BUNSPEC); 
return BgL_new1121z00_912;} } 

}



/* &<@anonymous:1384> */
obj_t BGl_z62zc3z04anonymousza31384ze3ze5zz__pth_threadz00(obj_t BgL_envz00_556, obj_t BgL_new1072z00_557)
{
{ /* Llib/pthread.scm 39 */
{ 
BgL_uncaughtzd2exceptionzd2_bglt BgL_auxz00_1181;
{ /* Llib/pthread.scm 39 */
BgL_uncaughtzd2exceptionzd2_bglt BgL_new1072z00_916;
if(
BGl_isazf3zf3zz__objectz00(BgL_new1072z00_557, BGl_uncaughtzd2exceptionzd2zz__pth_threadz00))
{ /* Llib/pthread.scm 39 */
BgL_new1072z00_916 = 
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_new1072z00_557); }  else 
{ 
obj_t BgL_auxz00_1185;
BgL_auxz00_1185 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2029z00zz__pth_threadz00, 
BINT(((long)1626)), BGl_string2032z00zz__pth_threadz00, BGl_string2033z00zz__pth_threadz00, BgL_new1072z00_557); 
FAILURE(BgL_auxz00_1185,BFALSE,BFALSE);} 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1072z00_916)))->BgL_fnamez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1072z00_916)))->BgL_locationz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1072z00_916)))->BgL_stackz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(BgL_new1072z00_916))->BgL_reasonz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_1181 = BgL_new1072z00_916; } 
return 
((obj_t)BgL_auxz00_1181);} } 

}



/* &lambda1354 */
BgL_uncaughtzd2exceptionzd2_bglt BGl_z62lambda1354z62zz__pth_threadz00(obj_t BgL_envz00_558)
{
{ /* Llib/pthread.scm 39 */
{ /* Llib/pthread.scm 39 */
BgL_uncaughtzd2exceptionzd2_bglt BgL_new1071z00_917;
BgL_new1071z00_917 = 
((BgL_uncaughtzd2exceptionzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uncaughtzd2exceptionzd2_bgl) ))); 
{ /* Llib/pthread.scm 39 */
long BgL_arg1383z00_918;
{ /* Llib/pthread.scm 39 */
long BgL_res1763z00_919;
BgL_res1763z00_919 = 
BGL_CLASS_INDEX(BGl_uncaughtzd2exceptionzd2zz__pth_threadz00); 
BgL_arg1383z00_918 = BgL_res1763z00_919; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1071z00_917), BgL_arg1383z00_918); } 
return BgL_new1071z00_917;} } 

}



/* &lambda1352 */
BgL_uncaughtzd2exceptionzd2_bglt BGl_z62lambda1352z62zz__pth_threadz00(obj_t BgL_envz00_559, obj_t BgL_fname1067z00_560, obj_t BgL_location1068z00_561, obj_t BgL_stack1069z00_562, obj_t BgL_reason1070z00_563)
{
{ /* Llib/pthread.scm 39 */
{ /* Llib/pthread.scm 39 */
BgL_uncaughtzd2exceptionzd2_bglt BgL_new1119z00_920;
{ /* Llib/pthread.scm 39 */
BgL_uncaughtzd2exceptionzd2_bglt BgL_new1118z00_921;
BgL_new1118z00_921 = 
((BgL_uncaughtzd2exceptionzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uncaughtzd2exceptionzd2_bgl) ))); 
{ /* Llib/pthread.scm 39 */
long BgL_arg1353z00_922;
{ /* Llib/pthread.scm 39 */
long BgL_res1762z00_923;
BgL_res1762z00_923 = 
BGL_CLASS_INDEX(BGl_uncaughtzd2exceptionzd2zz__pth_threadz00); 
BgL_arg1353z00_922 = BgL_res1762z00_923; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1118z00_921), BgL_arg1353z00_922); } 
BgL_new1119z00_920 = BgL_new1118z00_921; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1119z00_920)))->BgL_fnamez00)=((obj_t)BgL_fname1067z00_560),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1119z00_920)))->BgL_locationz00)=((obj_t)BgL_location1068z00_561),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1119z00_920)))->BgL_stackz00)=((obj_t)BgL_stack1069z00_562),BUNSPEC); 
((((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(BgL_new1119z00_920))->BgL_reasonz00)=((obj_t)BgL_reason1070z00_563),BUNSPEC); 
return BgL_new1119z00_920;} } 

}



/* &lambda1519 */
obj_t BGl_z62lambda1519z62zz__pth_threadz00(obj_t BgL_envz00_564, obj_t BgL_oz00_565, obj_t BgL_vz00_566)
{
{ /* Llib/pthread.scm 39 */
{ /* Llib/pthread.scm 39 */
BgL_uncaughtzd2exceptionzd2_bglt BgL_oz00_924;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_565, BGl_uncaughtzd2exceptionzd2zz__pth_threadz00))
{ /* Llib/pthread.scm 39 */
BgL_oz00_924 = 
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_oz00_565); }  else 
{ 
obj_t BgL_auxz00_1215;
BgL_auxz00_1215 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2029z00zz__pth_threadz00, 
BINT(((long)1626)), BGl_string2034z00zz__pth_threadz00, BGl_string2033z00zz__pth_threadz00, BgL_oz00_565); 
FAILURE(BgL_auxz00_1215,BFALSE,BFALSE);} 
return 
((((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(BgL_oz00_924))->BgL_reasonz00)=((obj_t)BgL_vz00_566),BUNSPEC);} } 

}



/* &lambda1518 */
obj_t BGl_z62lambda1518z62zz__pth_threadz00(obj_t BgL_envz00_567, obj_t BgL_oz00_568)
{
{ /* Llib/pthread.scm 39 */
{ /* Llib/pthread.scm 39 */
BgL_uncaughtzd2exceptionzd2_bglt BgL_oz00_925;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_568, BGl_uncaughtzd2exceptionzd2zz__pth_threadz00))
{ /* Llib/pthread.scm 39 */
BgL_oz00_925 = 
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_oz00_568); }  else 
{ 
obj_t BgL_auxz00_1223;
BgL_auxz00_1223 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2029z00zz__pth_threadz00, 
BINT(((long)1626)), BGl_string2035z00zz__pth_threadz00, BGl_string2033z00zz__pth_threadz00, BgL_oz00_568); 
FAILURE(BgL_auxz00_1223,BFALSE,BFALSE);} 
return 
(((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(BgL_oz00_925))->BgL_reasonz00);} } 

}



/* &<@anonymous:1337> */
obj_t BGl_z62zc3z04anonymousza31337ze3ze5zz__pth_threadz00(obj_t BgL_envz00_569, obj_t BgL_new1065z00_570)
{
{ /* Llib/pthread.scm 37 */
{ 
BgL_z62threadzd2errorzb0_bglt BgL_auxz00_1228;
{ /* Llib/pthread.scm 37 */
BgL_z62threadzd2errorzb0_bglt BgL_new1065z00_926;
if(
BGl_isazf3zf3zz__objectz00(BgL_new1065z00_570, BGl_z62threadzd2errorzb0zz__pth_threadz00))
{ /* Llib/pthread.scm 37 */
BgL_new1065z00_926 = 
((BgL_z62threadzd2errorzb0_bglt)BgL_new1065z00_570); }  else 
{ 
obj_t BgL_auxz00_1232;
BgL_auxz00_1232 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2029z00zz__pth_threadz00, 
BINT(((long)1587)), BGl_string2036z00zz__pth_threadz00, BGl_string2037z00zz__pth_threadz00, BgL_new1065z00_570); 
FAILURE(BgL_auxz00_1232,BFALSE,BFALSE);} 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1065z00_926)))->BgL_fnamez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1065z00_926)))->BgL_locationz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1065z00_926)))->BgL_stackz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1065z00_926)))->BgL_procz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1065z00_926)))->BgL_msgz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1065z00_926)))->BgL_objz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_1228 = BgL_new1065z00_926; } 
return 
((obj_t)BgL_auxz00_1228);} } 

}



/* &lambda1334 */
BgL_z62threadzd2errorzb0_bglt BGl_z62lambda1334z62zz__pth_threadz00(obj_t BgL_envz00_571)
{
{ /* Llib/pthread.scm 37 */
{ /* Llib/pthread.scm 37 */
BgL_z62threadzd2errorzb0_bglt BgL_new1064z00_927;
BgL_new1064z00_927 = 
((BgL_z62threadzd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62threadzd2errorzb0_bgl) ))); 
{ /* Llib/pthread.scm 37 */
long BgL_arg1336z00_928;
{ /* Llib/pthread.scm 37 */
long BgL_res1761z00_929;
BgL_res1761z00_929 = 
BGL_CLASS_INDEX(BGl_z62threadzd2errorzb0zz__pth_threadz00); 
BgL_arg1336z00_928 = BgL_res1761z00_929; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1064z00_927), BgL_arg1336z00_928); } 
return BgL_new1064z00_927;} } 

}



/* &lambda1331 */
BgL_z62threadzd2errorzb0_bglt BGl_z62lambda1331z62zz__pth_threadz00(obj_t BgL_envz00_572, obj_t BgL_fname1058z00_573, obj_t BgL_location1059z00_574, obj_t BgL_stack1060z00_575, obj_t BgL_proc1061z00_576, obj_t BgL_msg1062z00_577, obj_t BgL_obj1063z00_578)
{
{ /* Llib/pthread.scm 37 */
{ /* Llib/pthread.scm 37 */
BgL_z62threadzd2errorzb0_bglt BgL_new1117z00_930;
{ /* Llib/pthread.scm 37 */
BgL_z62threadzd2errorzb0_bglt BgL_new1116z00_931;
BgL_new1116z00_931 = 
((BgL_z62threadzd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62threadzd2errorzb0_bgl) ))); 
{ /* Llib/pthread.scm 37 */
long BgL_arg1333z00_932;
{ /* Llib/pthread.scm 37 */
long BgL_res1760z00_933;
BgL_res1760z00_933 = 
BGL_CLASS_INDEX(BGl_z62threadzd2errorzb0zz__pth_threadz00); 
BgL_arg1333z00_932 = BgL_res1760z00_933; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1116z00_931), BgL_arg1333z00_932); } 
BgL_new1117z00_930 = BgL_new1116z00_931; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1117z00_930)))->BgL_fnamez00)=((obj_t)BgL_fname1058z00_573),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1117z00_930)))->BgL_locationz00)=((obj_t)BgL_location1059z00_574),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1117z00_930)))->BgL_stackz00)=((obj_t)BgL_stack1060z00_575),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1117z00_930)))->BgL_procz00)=((obj_t)BgL_proc1061z00_576),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1117z00_930)))->BgL_msgz00)=((obj_t)BgL_msg1062z00_577),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1117z00_930)))->BgL_objz00)=((obj_t)BgL_obj1063z00_578),BUNSPEC); 
return BgL_new1117z00_930;} } 

}



/* &<@anonymous:1175> */
obj_t BGl_z62zc3z04anonymousza31175ze3ze5zz__pth_threadz00(obj_t BgL_envz00_579, obj_t BgL_new1056z00_580)
{
{ /* Llib/pthread.scm 25 */
{ 
BgL_pthreadz00_bglt BgL_auxz00_1269;
{ /* Llib/pthread.scm 25 */
BgL_pthreadz00_bglt BgL_new1056z00_934;
if(
BGl_isazf3zf3zz__objectz00(BgL_new1056z00_580, BGl_pthreadz00zz__pth_threadz00))
{ /* Llib/pthread.scm 25 */
BgL_new1056z00_934 = 
((BgL_pthreadz00_bglt)BgL_new1056z00_580); }  else 
{ 
obj_t BgL_auxz00_1273;
BgL_auxz00_1273 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2029z00zz__pth_threadz00, 
BINT(((long)1167)), BGl_string2038z00zz__pth_threadz00, BGl_string2039z00zz__pth_threadz00, BgL_new1056z00_580); 
FAILURE(BgL_auxz00_1273,BFALSE,BFALSE);} 
((((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_new1056z00_934)))->BgL_namez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1056z00_934))->BgL_bodyz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1056z00_934))->BgL_detachedpz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1056z00_934))->BgL_endzd2resultzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1056z00_934))->BgL_endzd2exceptionzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1056z00_934))->BgL_z42builtinz42)=((void *)
0L),BUNSPEC); 
BgL_auxz00_1269 = BgL_new1056z00_934; } 
return 
((obj_t)BgL_auxz00_1269);} } 

}



/* &lambda1173 */
BgL_pthreadz00_bglt BGl_z62lambda1173z62zz__pth_threadz00(obj_t BgL_envz00_581)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 25 */
BgL_pthreadz00_bglt BgL_new1055z00_935;
BgL_new1055z00_935 = 
((BgL_pthreadz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pthreadz00_bgl) ))); 
{ /* Llib/pthread.scm 25 */
long BgL_arg1174z00_936;
{ /* Llib/pthread.scm 25 */
long BgL_res1759z00_937;
BgL_res1759z00_937 = 
BGL_CLASS_INDEX(BGl_pthreadz00zz__pth_threadz00); 
BgL_arg1174z00_936 = BgL_res1759z00_937; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1055z00_935), BgL_arg1174z00_936); } 
return BgL_new1055z00_935;} } 

}



/* &lambda1170 */
BgL_pthreadz00_bglt BGl_z62lambda1170z62zz__pth_threadz00(obj_t BgL_envz00_582, obj_t BgL_name1049z00_583, obj_t BgL_body1050z00_584, obj_t BgL_detachedp1051z00_585, obj_t BgL_endzd2result1052zd2_586, obj_t BgL_endzd2exception1053zd2_587, obj_t BgL_z42builtin1054z42_588)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 25 */
obj_t BgL_body1050z00_938;bool_t BgL_detachedp1051z00_939;void * BgL_z42builtin1054z42_940;
if(
PROCEDUREP(BgL_body1050z00_584))
{ /* Llib/pthread.scm 25 */
BgL_body1050z00_938 = BgL_body1050z00_584; }  else 
{ 
obj_t BgL_auxz00_1292;
BgL_auxz00_1292 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2029z00zz__pth_threadz00, 
BINT(((long)1167)), BGl_string2043z00zz__pth_threadz00, BGl_string2041z00zz__pth_threadz00, BgL_body1050z00_584); 
FAILURE(BgL_auxz00_1292,BFALSE,BFALSE);} 
BgL_detachedp1051z00_939 = 
CBOOL(BgL_detachedp1051z00_585); 
if(
FOREIGNP(BgL_z42builtin1054z42_588))
{ /* Llib/pthread.scm 25 */
BgL_z42builtin1054z42_940 = 
FOREIGN_TO_COBJ(BgL_z42builtin1054z42_588); }  else 
{ 
obj_t BgL_auxz00_1300;
BgL_auxz00_1300 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2029z00zz__pth_threadz00, 
BINT(((long)1167)), BGl_string2043z00zz__pth_threadz00, BGl_string2044z00zz__pth_threadz00, BgL_z42builtin1054z42_588); 
FAILURE(BgL_auxz00_1300,BFALSE,BFALSE);} 
{ /* Llib/pthread.scm 25 */
BgL_pthreadz00_bglt BgL_new1115z00_941;
{ /* Llib/pthread.scm 25 */
BgL_pthreadz00_bglt BgL_new1114z00_942;
BgL_new1114z00_942 = 
((BgL_pthreadz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pthreadz00_bgl) ))); 
{ /* Llib/pthread.scm 25 */
long BgL_arg1172z00_943;
{ /* Llib/pthread.scm 25 */
long BgL_res1758z00_944;
BgL_res1758z00_944 = 
BGL_CLASS_INDEX(BGl_pthreadz00zz__pth_threadz00); 
BgL_arg1172z00_943 = BgL_res1758z00_944; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1114z00_942), BgL_arg1172z00_943); } 
BgL_new1115z00_941 = BgL_new1114z00_942; } 
((((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_new1115z00_941)))->BgL_namez00)=((obj_t)BgL_name1049z00_583),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1115z00_941))->BgL_bodyz00)=((obj_t)BgL_body1050z00_938),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1115z00_941))->BgL_detachedpz00)=((bool_t)BgL_detachedp1051z00_939),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1115z00_941))->BgL_endzd2resultzd2)=((obj_t)BgL_endzd2result1052zd2_586),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1115z00_941))->BgL_endzd2exceptionzd2)=((obj_t)BgL_endzd2exception1053zd2_587),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1115z00_941))->BgL_z42builtinz42)=((void *)BgL_z42builtin1054z42_940),BUNSPEC); 
{ /* Llib/pthread.scm 25 */
obj_t BgL_fun1171z00_945;
BgL_fun1171z00_945 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_pthreadz00zz__pth_threadz00); 
{ /* Llib/pthread.scm 25 */
obj_t BgL_funz00_946;
if(
PROCEDUREP(BgL_fun1171z00_945))
{ /* Llib/pthread.scm 25 */
BgL_funz00_946 = BgL_fun1171z00_945; }  else 
{ 
obj_t BgL_auxz00_1318;
BgL_auxz00_1318 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2029z00zz__pth_threadz00, 
BINT(((long)1167)), BGl_string2040z00zz__pth_threadz00, BGl_string2041z00zz__pth_threadz00, BgL_fun1171z00_945); 
FAILURE(BgL_auxz00_1318,BFALSE,BFALSE);} 
if(
PROCEDURE_CORRECT_ARITYP(BgL_funz00_946, ((long)1)))
{ /* Llib/pthread.scm 25 */
PROCEDURE_ENTRY(BgL_funz00_946)(BgL_fun1171z00_945, 
((obj_t)BgL_new1115z00_941), BEOA); }  else 
{ 
obj_t BgL_auxz00_1329;
BgL_auxz00_1329 = 
CNST_TABLE_REF(((long)15)); 
FAILURE(BGl_string2042z00zz__pth_threadz00,BgL_auxz00_1329,BgL_funz00_946);} } } 
return BgL_new1115z00_941;} } } 

}



/* &<@anonymous:1269> */
obj_t BGl_z62zc3z04anonymousza31269ze3ze5zz__pth_threadz00(obj_t BgL_envz00_589)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 35 */
void * BgL_tmpz00_1332;
{ /* Llib/pthread.scm 35 */
void * BgL_res1757z00_947;
BgL_res1757z00_947 = 
(0L); 
BgL_tmpz00_1332 = BgL_res1757z00_947; } 
return 
void_star_to_obj(BgL_tmpz00_1332);} } 

}



/* &lambda1268 */
obj_t BGl_z62lambda1268z62zz__pth_threadz00(obj_t BgL_envz00_590, obj_t BgL_oz00_591, obj_t BgL_vz00_592)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 25 */
BgL_pthreadz00_bglt BgL_oz00_948;void * BgL_vz00_949;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_591, BGl_pthreadz00zz__pth_threadz00))
{ /* Llib/pthread.scm 25 */
BgL_oz00_948 = 
((BgL_pthreadz00_bglt)BgL_oz00_591); }  else 
{ 
obj_t BgL_auxz00_1338;
BgL_auxz00_1338 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2029z00zz__pth_threadz00, 
BINT(((long)1167)), BGl_string2045z00zz__pth_threadz00, BGl_string2039z00zz__pth_threadz00, BgL_oz00_591); 
FAILURE(BgL_auxz00_1338,BFALSE,BFALSE);} 
if(
FOREIGNP(BgL_vz00_592))
{ /* Llib/pthread.scm 25 */
BgL_vz00_949 = 
FOREIGN_TO_COBJ(BgL_vz00_592); }  else 
{ 
obj_t BgL_auxz00_1345;
BgL_auxz00_1345 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2029z00zz__pth_threadz00, 
BINT(((long)1167)), BGl_string2045z00zz__pth_threadz00, BGl_string2044z00zz__pth_threadz00, BgL_vz00_592); 
FAILURE(BgL_auxz00_1345,BFALSE,BFALSE);} 
return 
((((BgL_pthreadz00_bglt)COBJECT(BgL_oz00_948))->BgL_z42builtinz42)=((void *)BgL_vz00_949),BUNSPEC);} } 

}



/* &lambda1267 */
obj_t BGl_z62lambda1267z62zz__pth_threadz00(obj_t BgL_envz00_593, obj_t BgL_oz00_594)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 25 */
void * BgL_tmpz00_1350;
{ /* Llib/pthread.scm 25 */
BgL_pthreadz00_bglt BgL_oz00_950;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_594, BGl_pthreadz00zz__pth_threadz00))
{ /* Llib/pthread.scm 25 */
BgL_oz00_950 = 
((BgL_pthreadz00_bglt)BgL_oz00_594); }  else 
{ 
obj_t BgL_auxz00_1354;
BgL_auxz00_1354 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2029z00zz__pth_threadz00, 
BINT(((long)1167)), BGl_string2046z00zz__pth_threadz00, BGl_string2039z00zz__pth_threadz00, BgL_oz00_594); 
FAILURE(BgL_auxz00_1354,BFALSE,BFALSE);} 
BgL_tmpz00_1350 = 
(((BgL_pthreadz00_bglt)COBJECT(BgL_oz00_950))->BgL_z42builtinz42); } 
return 
void_star_to_obj(BgL_tmpz00_1350);} } 

}



/* &<@anonymous:1233> */
obj_t BGl_z62zc3z04anonymousza31233ze3ze5zz__pth_threadz00(obj_t BgL_envz00_595)
{
{ /* Llib/pthread.scm 25 */
return BUNSPEC;} 

}



/* &lambda1232 */
obj_t BGl_z62lambda1232z62zz__pth_threadz00(obj_t BgL_envz00_596, obj_t BgL_oz00_597, obj_t BgL_vz00_598)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 25 */
BgL_pthreadz00_bglt BgL_oz00_951;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_597, BGl_pthreadz00zz__pth_threadz00))
{ /* Llib/pthread.scm 25 */
BgL_oz00_951 = 
((BgL_pthreadz00_bglt)BgL_oz00_597); }  else 
{ 
obj_t BgL_auxz00_1363;
BgL_auxz00_1363 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2029z00zz__pth_threadz00, 
BINT(((long)1167)), BGl_string2047z00zz__pth_threadz00, BGl_string2039z00zz__pth_threadz00, BgL_oz00_597); 
FAILURE(BgL_auxz00_1363,BFALSE,BFALSE);} 
return 
((((BgL_pthreadz00_bglt)COBJECT(BgL_oz00_951))->BgL_endzd2exceptionzd2)=((obj_t)BgL_vz00_598),BUNSPEC);} } 

}



/* &lambda1231 */
obj_t BGl_z62lambda1231z62zz__pth_threadz00(obj_t BgL_envz00_599, obj_t BgL_oz00_600)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 25 */
BgL_pthreadz00_bglt BgL_oz00_952;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_600, BGl_pthreadz00zz__pth_threadz00))
{ /* Llib/pthread.scm 25 */
BgL_oz00_952 = 
((BgL_pthreadz00_bglt)BgL_oz00_600); }  else 
{ 
obj_t BgL_auxz00_1371;
BgL_auxz00_1371 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2029z00zz__pth_threadz00, 
BINT(((long)1167)), BGl_string2048z00zz__pth_threadz00, BGl_string2039z00zz__pth_threadz00, BgL_oz00_600); 
FAILURE(BgL_auxz00_1371,BFALSE,BFALSE);} 
return 
(((BgL_pthreadz00_bglt)COBJECT(BgL_oz00_952))->BgL_endzd2exceptionzd2);} } 

}



/* &<@anonymous:1211> */
obj_t BGl_z62zc3z04anonymousza31211ze3ze5zz__pth_threadz00(obj_t BgL_envz00_601)
{
{ /* Llib/pthread.scm 25 */
return BUNSPEC;} 

}



/* &lambda1210 */
obj_t BGl_z62lambda1210z62zz__pth_threadz00(obj_t BgL_envz00_602, obj_t BgL_oz00_603, obj_t BgL_vz00_604)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 25 */
BgL_pthreadz00_bglt BgL_oz00_953;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_603, BGl_pthreadz00zz__pth_threadz00))
{ /* Llib/pthread.scm 25 */
BgL_oz00_953 = 
((BgL_pthreadz00_bglt)BgL_oz00_603); }  else 
{ 
obj_t BgL_auxz00_1379;
BgL_auxz00_1379 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2029z00zz__pth_threadz00, 
BINT(((long)1167)), BGl_string2049z00zz__pth_threadz00, BGl_string2039z00zz__pth_threadz00, BgL_oz00_603); 
FAILURE(BgL_auxz00_1379,BFALSE,BFALSE);} 
return 
((((BgL_pthreadz00_bglt)COBJECT(BgL_oz00_953))->BgL_endzd2resultzd2)=((obj_t)BgL_vz00_604),BUNSPEC);} } 

}



/* &lambda1209 */
obj_t BGl_z62lambda1209z62zz__pth_threadz00(obj_t BgL_envz00_605, obj_t BgL_oz00_606)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 25 */
BgL_pthreadz00_bglt BgL_oz00_954;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_606, BGl_pthreadz00zz__pth_threadz00))
{ /* Llib/pthread.scm 25 */
BgL_oz00_954 = 
((BgL_pthreadz00_bglt)BgL_oz00_606); }  else 
{ 
obj_t BgL_auxz00_1387;
BgL_auxz00_1387 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2029z00zz__pth_threadz00, 
BINT(((long)1167)), BGl_string2050z00zz__pth_threadz00, BGl_string2039z00zz__pth_threadz00, BgL_oz00_606); 
FAILURE(BgL_auxz00_1387,BFALSE,BFALSE);} 
return 
(((BgL_pthreadz00_bglt)COBJECT(BgL_oz00_954))->BgL_endzd2resultzd2);} } 

}



/* &<@anonymous:1204> */
obj_t BGl_z62zc3z04anonymousza31204ze3ze5zz__pth_threadz00(obj_t BgL_envz00_607)
{
{ /* Llib/pthread.scm 25 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1203 */
obj_t BGl_z62lambda1203z62zz__pth_threadz00(obj_t BgL_envz00_608, obj_t BgL_oz00_609, obj_t BgL_vz00_610)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 25 */
BgL_pthreadz00_bglt BgL_oz00_955;bool_t BgL_vz00_956;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_609, BGl_pthreadz00zz__pth_threadz00))
{ /* Llib/pthread.scm 25 */
BgL_oz00_955 = 
((BgL_pthreadz00_bglt)BgL_oz00_609); }  else 
{ 
obj_t BgL_auxz00_1396;
BgL_auxz00_1396 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2029z00zz__pth_threadz00, 
BINT(((long)1167)), BGl_string2051z00zz__pth_threadz00, BGl_string2039z00zz__pth_threadz00, BgL_oz00_609); 
FAILURE(BgL_auxz00_1396,BFALSE,BFALSE);} 
BgL_vz00_956 = 
CBOOL(BgL_vz00_610); 
return 
((((BgL_pthreadz00_bglt)COBJECT(BgL_oz00_955))->BgL_detachedpz00)=((bool_t)BgL_vz00_956),BUNSPEC);} } 

}



/* &lambda1202 */
obj_t BGl_z62lambda1202z62zz__pth_threadz00(obj_t BgL_envz00_611, obj_t BgL_oz00_612)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 25 */
bool_t BgL_tmpz00_1402;
{ /* Llib/pthread.scm 25 */
BgL_pthreadz00_bglt BgL_oz00_957;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_612, BGl_pthreadz00zz__pth_threadz00))
{ /* Llib/pthread.scm 25 */
BgL_oz00_957 = 
((BgL_pthreadz00_bglt)BgL_oz00_612); }  else 
{ 
obj_t BgL_auxz00_1406;
BgL_auxz00_1406 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2029z00zz__pth_threadz00, 
BINT(((long)1167)), BGl_string2052z00zz__pth_threadz00, BGl_string2039z00zz__pth_threadz00, BgL_oz00_612); 
FAILURE(BgL_auxz00_1406,BFALSE,BFALSE);} 
BgL_tmpz00_1402 = 
(((BgL_pthreadz00_bglt)COBJECT(BgL_oz00_957))->BgL_detachedpz00); } 
return 
BBOOL(BgL_tmpz00_1402);} } 

}



/* &lambda1196 */
obj_t BGl_z62lambda1196z62zz__pth_threadz00(obj_t BgL_envz00_613, obj_t BgL_oz00_614, obj_t BgL_vz00_615)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 25 */
BgL_pthreadz00_bglt BgL_oz00_958;obj_t BgL_vz00_959;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_614, BGl_pthreadz00zz__pth_threadz00))
{ /* Llib/pthread.scm 25 */
BgL_oz00_958 = 
((BgL_pthreadz00_bglt)BgL_oz00_614); }  else 
{ 
obj_t BgL_auxz00_1415;
BgL_auxz00_1415 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2029z00zz__pth_threadz00, 
BINT(((long)1167)), BGl_string2053z00zz__pth_threadz00, BGl_string2039z00zz__pth_threadz00, BgL_oz00_614); 
FAILURE(BgL_auxz00_1415,BFALSE,BFALSE);} 
if(
PROCEDUREP(BgL_vz00_615))
{ /* Llib/pthread.scm 25 */
BgL_vz00_959 = BgL_vz00_615; }  else 
{ 
obj_t BgL_auxz00_1421;
BgL_auxz00_1421 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2029z00zz__pth_threadz00, 
BINT(((long)1167)), BGl_string2053z00zz__pth_threadz00, BGl_string2041z00zz__pth_threadz00, BgL_vz00_615); 
FAILURE(BgL_auxz00_1421,BFALSE,BFALSE);} 
return 
((((BgL_pthreadz00_bglt)COBJECT(BgL_oz00_958))->BgL_bodyz00)=((obj_t)BgL_vz00_959),BUNSPEC);} } 

}



/* &lambda1195 */
obj_t BGl_z62lambda1195z62zz__pth_threadz00(obj_t BgL_envz00_616, obj_t BgL_oz00_617)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 25 */
BgL_pthreadz00_bglt BgL_oz00_960;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_617, BGl_pthreadz00zz__pth_threadz00))
{ /* Llib/pthread.scm 25 */
BgL_oz00_960 = 
((BgL_pthreadz00_bglt)BgL_oz00_617); }  else 
{ 
obj_t BgL_auxz00_1429;
BgL_auxz00_1429 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2029z00zz__pth_threadz00, 
BINT(((long)1167)), BGl_string2054z00zz__pth_threadz00, BGl_string2039z00zz__pth_threadz00, BgL_oz00_617); 
FAILURE(BgL_auxz00_1429,BFALSE,BFALSE);} 
return 
(((BgL_pthreadz00_bglt)COBJECT(BgL_oz00_960))->BgL_bodyz00);} } 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__pth_threadz00()
{
{ /* Llib/pthread.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__pth_threadz00()
{
{ /* Llib/pthread.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2writezd2envz00zz__objectz00, BGl_uncaughtzd2exceptionzd2zz__pth_threadz00, BGl_proc2055z00zz__pth_threadz00, BGl_string2056z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2displayzd2envz00zz__objectz00, BGl_uncaughtzd2exceptionzd2zz__pth_threadz00, BGl_proc2057z00zz__pth_threadz00, BGl_string2058z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2printzd2envz00zz__objectz00, BGl_uncaughtzd2exceptionzd2zz__pth_threadz00, BGl_proc2059z00zz__pth_threadz00, BGl_string2060z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_z52userzd2threadzd2yieldz12zd2envz92zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc2061z00zz__pth_threadz00, BGl_string2062z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2initializa7ez12zd2envzb5zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc2063z00zz__pth_threadz00, BGl_string2064z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2startz12zd2envz12zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc2065z00zz__pth_threadz00, BGl_string2066z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2startzd2joinablez12zd2envzc0zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc2067z00zz__pth_threadz00, BGl_string2068z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2joinz12zd2envz12zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc2069z00zz__pth_threadz00, BGl_string2070z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2terminatez12zd2envz12zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc2071z00zz__pth_threadz00, BGl_string2072z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2specificzd2envz00zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc2073z00zz__pth_threadz00, BGl_string2074z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2specificzd2setz12zd2envzc0zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc2075z00zz__pth_threadz00, BGl_string2076z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2cleanupzd2envz00zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc2077z00zz__pth_threadz00, BGl_string2078z00zz__pth_threadz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2cleanupzd2setz12zd2envzc0zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc2079z00zz__pth_threadz00, BGl_string2080z00zz__pth_threadz00);} 

}



/* &thread-cleanup-set!-1155 */
obj_t BGl_z62threadzd2cleanupzd2setz12zd21155za2zz__pth_threadz00(obj_t BgL_envz00_639, obj_t BgL_tz00_640, obj_t BgL_pz00_641)
{
{ /* Llib/pthread.scm 189 */
{ /* Llib/pthread.scm 190 */
BgL_pthreadz00_bglt BgL_tz00_961;
if(
BGl_isazf3zf3zz__objectz00(BgL_tz00_640, BGl_pthreadz00zz__pth_threadz00))
{ /* Llib/pthread.scm 190 */
BgL_tz00_961 = 
((BgL_pthreadz00_bglt)BgL_tz00_640); }  else 
{ 
obj_t BgL_auxz00_1450;
BgL_auxz00_1450 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2029z00zz__pth_threadz00, 
BINT(((long)8027)), BGl_string2083z00zz__pth_threadz00, BGl_string2039z00zz__pth_threadz00, BgL_tz00_640); 
FAILURE(BgL_auxz00_1450,BFALSE,BFALSE);} 
{ /* Llib/pthread.scm 191 */
bool_t BgL_test2266z00_1454;
{ /* Llib/pthread.scm 191 */
obj_t BgL_tmpz00_1455;
if(
PROCEDUREP(BgL_pz00_641))
{ /* Llib/pthread.scm 191 */
BgL_tmpz00_1455 = BgL_pz00_641
; }  else 
{ 
obj_t BgL_auxz00_1458;
BgL_auxz00_1458 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2029z00zz__pth_threadz00, 
BINT(((long)8088)), BGl_string2081z00zz__pth_threadz00, BGl_string2041z00zz__pth_threadz00, BgL_pz00_641); 
FAILURE(BgL_auxz00_1458,BFALSE,BFALSE);} 
BgL_test2266z00_1454 = 
PROCEDURE_CORRECT_ARITYP(BgL_tmpz00_1455, 
(int)(((long)1))); } 
if(BgL_test2266z00_1454)
{ /* Llib/pthread.scm 191 */
{ /* Llib/pthread.scm 193 */
void * BgL_arg1756z00_962;
BgL_arg1756z00_962 = 
(((BgL_pthreadz00_bglt)COBJECT(BgL_tz00_961))->BgL_z42builtinz42); 
BGLPTH_THREAD_CLEANUP_SET(BgL_arg1756z00_962, BgL_pz00_641); BUNSPEC; } 
return BgL_pz00_641;}  else 
{ /* Llib/pthread.scm 191 */
return 
BGl_errorz00zz__errorz00(BGl_string2080z00zz__pth_threadz00, BGl_string2082z00zz__pth_threadz00, BgL_pz00_641);} } } } 

}



/* &thread-cleanup-pthre1153 */
obj_t BGl_z62threadzd2cleanupzd2pthre1153z62zz__pth_threadz00(obj_t BgL_envz00_642, obj_t BgL_tz00_643)
{
{ /* Llib/pthread.scm 182 */
{ /* Llib/pthread.scm 183 */
BgL_pthreadz00_bglt BgL_tz00_963;
if(
BGl_isazf3zf3zz__objectz00(BgL_tz00_643, BGl_pthreadz00zz__pth_threadz00))
{ /* Llib/pthread.scm 183 */
BgL_tz00_963 = 
((BgL_pthreadz00_bglt)BgL_tz00_643); }  else 
{ 
obj_t BgL_auxz00_1470;
BgL_auxz00_1470 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2029z00zz__pth_threadz00, 
BINT(((long)7680)), BGl_string2084z00zz__pth_threadz00, BGl_string2039z00zz__pth_threadz00, BgL_tz00_643); 
FAILURE(BgL_auxz00_1470,BFALSE,BFALSE);} 
{ /* Llib/pthread.scm 184 */
void * BgL_tmpz00_1474;
BgL_tmpz00_1474 = 
(((BgL_pthreadz00_bglt)COBJECT(BgL_tz00_963))->BgL_z42builtinz42); 
return 
BGLPTH_THREAD_CLEANUP(BgL_tmpz00_1474);} } } 

}



/* &thread-specific-set!1151 */
obj_t BGl_z62threadzd2specificzd2setz121151z70zz__pth_threadz00(obj_t BgL_envz00_644, obj_t BgL_tz00_645, obj_t BgL_vz00_646)
{
{ /* Llib/pthread.scm 174 */
{ /* Llib/pthread.scm 175 */
BgL_pthreadz00_bglt BgL_tz00_964;
if(
BGl_isazf3zf3zz__objectz00(BgL_tz00_645, BGl_pthreadz00zz__pth_threadz00))
{ /* Llib/pthread.scm 175 */
BgL_tz00_964 = 
((BgL_pthreadz00_bglt)BgL_tz00_645); }  else 
{ 
obj_t BgL_auxz00_1480;
BgL_auxz00_1480 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2029z00zz__pth_threadz00, 
BINT(((long)7327)), BGl_string2085z00zz__pth_threadz00, BGl_string2039z00zz__pth_threadz00, BgL_tz00_645); 
FAILURE(BgL_auxz00_1480,BFALSE,BFALSE);} 
{ /* Llib/pthread.scm 176 */
void * BgL_arg1753z00_965;
BgL_arg1753z00_965 = 
(((BgL_pthreadz00_bglt)COBJECT(BgL_tz00_964))->BgL_z42builtinz42); 
BGLPTH_THREAD_SPECIFIC_SET(BgL_arg1753z00_965, BgL_vz00_646); BUNSPEC; } 
return BgL_vz00_646;} } 

}



/* &thread-specific-pthr1149 */
obj_t BGl_z62threadzd2specificzd2pthr1149z62zz__pth_threadz00(obj_t BgL_envz00_647, obj_t BgL_tz00_648)
{
{ /* Llib/pthread.scm 167 */
{ /* Llib/pthread.scm 168 */
BgL_pthreadz00_bglt BgL_tz00_966;
if(
BGl_isazf3zf3zz__objectz00(BgL_tz00_648, BGl_pthreadz00zz__pth_threadz00))
{ /* Llib/pthread.scm 168 */
BgL_tz00_966 = 
((BgL_pthreadz00_bglt)BgL_tz00_648); }  else 
{ 
obj_t BgL_auxz00_1489;
BgL_auxz00_1489 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2029z00zz__pth_threadz00, 
BINT(((long)6978)), BGl_string2086z00zz__pth_threadz00, BGl_string2039z00zz__pth_threadz00, BgL_tz00_648); 
FAILURE(BgL_auxz00_1489,BFALSE,BFALSE);} 
{ /* Llib/pthread.scm 169 */
void * BgL_tmpz00_1493;
BgL_tmpz00_1493 = 
(((BgL_pthreadz00_bglt)COBJECT(BgL_tz00_966))->BgL_z42builtinz42); 
return 
BGLPTH_THREAD_SPECIFIC(BgL_tmpz00_1493);} } } 

}



/* &thread-terminate!-pt1147 */
obj_t BGl_z62threadzd2terminatez12zd2pt1147z70zz__pth_threadz00(obj_t BgL_envz00_649, obj_t BgL_tz00_650)
{
{ /* Llib/pthread.scm 158 */
{ /* Llib/pthread.scm 159 */
BgL_pthreadz00_bglt BgL_tz00_967;
if(
BGl_isazf3zf3zz__objectz00(BgL_tz00_650, BGl_pthreadz00zz__pth_threadz00))
{ /* Llib/pthread.scm 159 */
BgL_tz00_967 = 
((BgL_pthreadz00_bglt)BgL_tz00_650); }  else 
{ 
obj_t BgL_auxz00_1499;
BgL_auxz00_1499 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2029z00zz__pth_threadz00, 
BINT(((long)6539)), BGl_string2089z00zz__pth_threadz00, BGl_string2039z00zz__pth_threadz00, BgL_tz00_650); 
FAILURE(BgL_auxz00_1499,BFALSE,BFALSE);} 
if(
bglpth_thread_terminate(
(((BgL_pthreadz00_bglt)COBJECT(BgL_tz00_967))->BgL_z42builtinz42)))
{ 
obj_t BgL_auxz00_1506;
{ /* Llib/pthread.scm 161 */
BgL_terminatedzd2threadzd2exceptionz00_bglt BgL_new1109z00_968;
{ /* Llib/pthread.scm 161 */
BgL_terminatedzd2threadzd2exceptionz00_bglt BgL_new1108z00_969;
BgL_new1108z00_969 = 
((BgL_terminatedzd2threadzd2exceptionz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_terminatedzd2threadzd2exceptionz00_bgl) ))); 
{ /* Llib/pthread.scm 161 */
long BgL_arg1741z00_970;
{ /* Llib/pthread.scm 161 */
long BgL_res1775z00_971;
{ /* Llib/pthread.scm 161 */
obj_t BgL_classz00_972;
BgL_classz00_972 = BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00; 
BgL_res1775z00_971 = 
BGL_CLASS_INDEX(BgL_classz00_972); } 
BgL_arg1741z00_970 = BgL_res1775z00_971; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1108z00_969), BgL_arg1741z00_970); } 
BgL_new1109z00_968 = BgL_new1108z00_969; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1109z00_968)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1109z00_968)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
obj_t BgL_auxz00_1515;
{ /* Llib/pthread.scm 161 */
obj_t BgL_arg1728z00_973;
{ /* Llib/pthread.scm 161 */
obj_t BgL_arg1740z00_974;
{ /* Llib/pthread.scm 161 */
obj_t BgL_res1776z00_975;
{ /* Llib/pthread.scm 161 */
obj_t BgL_classz00_976;
BgL_classz00_976 = BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00; 
BgL_res1776z00_975 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_976); } 
BgL_arg1740z00_974 = BgL_res1776z00_975; } 
BgL_arg1728z00_973 = 
VECTOR_REF(BgL_arg1740z00_974,((long)2)); } 
{ /* Llib/pthread.scm 161 */
obj_t BgL_auxz00_1519;
if(
BGl_classzd2fieldzf3z21zz__objectz00(BgL_arg1728z00_973))
{ /* Llib/pthread.scm 161 */
BgL_auxz00_1519 = BgL_arg1728z00_973
; }  else 
{ 
obj_t BgL_auxz00_1522;
BgL_auxz00_1522 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2029z00zz__pth_threadz00, 
BINT(((long)6653)), BGl_string2087z00zz__pth_threadz00, BGl_string2088z00zz__pth_threadz00, BgL_arg1728z00_973); 
FAILURE(BgL_auxz00_1522,BFALSE,BFALSE);} 
BgL_auxz00_1515 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_auxz00_1519); } } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1109z00_968)))->BgL_stackz00)=((obj_t)BgL_auxz00_1515),BUNSPEC); } 
BgL_auxz00_1506 = 
((obj_t)BgL_new1109z00_968); } 
((((BgL_pthreadz00_bglt)COBJECT(BgL_tz00_967))->BgL_endzd2exceptionzd2)=((obj_t)BgL_auxz00_1506),BUNSPEC); }  else 
{ /* Llib/pthread.scm 160 */BFALSE; } 
return 
((obj_t)BgL_tz00_967);} } 

}



/* &thread-join!-pthread1145 */
obj_t BGl_z62threadzd2joinz12zd2pthread1145z70zz__pth_threadz00(obj_t BgL_envz00_651, obj_t BgL_tz00_652, obj_t BgL_timeoutz00_653)
{
{ /* Llib/pthread.scm 141 */
{ /* Llib/pthread.scm 142 */
BgL_pthreadz00_bglt BgL_tz00_977;
if(
BGl_isazf3zf3zz__objectz00(BgL_tz00_652, BGl_pthreadz00zz__pth_threadz00))
{ /* Llib/pthread.scm 142 */
BgL_tz00_977 = 
((BgL_pthreadz00_bglt)BgL_tz00_652); }  else 
{ 
obj_t BgL_auxz00_1534;
BgL_auxz00_1534 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2029z00zz__pth_threadz00, 
BINT(((long)5906)), BGl_string2092z00zz__pth_threadz00, BGl_string2039z00zz__pth_threadz00, BgL_tz00_652); 
FAILURE(BgL_auxz00_1534,BFALSE,BFALSE);} 
if(
(((BgL_pthreadz00_bglt)COBJECT(BgL_tz00_977))->BgL_detachedpz00))
{ /* Llib/pthread.scm 145 */
BgL_z62threadzd2errorzb0_bglt BgL_arg1695z00_978;
{ /* Llib/pthread.scm 145 */
BgL_z62threadzd2errorzb0_bglt BgL_new1106z00_979;
{ /* Llib/pthread.scm 145 */
BgL_z62threadzd2errorzb0_bglt BgL_new1105z00_980;
BgL_new1105z00_980 = 
((BgL_z62threadzd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62threadzd2errorzb0_bgl) ))); 
{ /* Llib/pthread.scm 145 */
long BgL_arg1698z00_981;
{ /* Llib/pthread.scm 145 */
long BgL_res1772z00_982;
BgL_res1772z00_982 = 
BGL_CLASS_INDEX(BGl_z62threadzd2errorzb0zz__pth_threadz00); 
BgL_arg1698z00_981 = BgL_res1772z00_982; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1105z00_980), BgL_arg1698z00_981); } 
BgL_new1106z00_979 = BgL_new1105z00_980; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1106z00_979)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1106z00_979)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
obj_t BgL_auxz00_1548;
{ /* Llib/pthread.scm 145 */
obj_t BgL_arg1696z00_983;
{ /* Llib/pthread.scm 145 */
obj_t BgL_arg1697z00_984;
{ /* Llib/pthread.scm 145 */
obj_t BgL_res1773z00_985;
{ /* Llib/pthread.scm 145 */
obj_t BgL_classz00_986;
BgL_classz00_986 = BGl_z62threadzd2errorzb0zz__pth_threadz00; 
BgL_res1773z00_985 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_986); } 
BgL_arg1697z00_984 = BgL_res1773z00_985; } 
BgL_arg1696z00_983 = 
VECTOR_REF(BgL_arg1697z00_984,((long)2)); } 
{ /* Llib/pthread.scm 145 */
obj_t BgL_auxz00_1552;
if(
BGl_classzd2fieldzf3z21zz__objectz00(BgL_arg1696z00_983))
{ /* Llib/pthread.scm 145 */
BgL_auxz00_1552 = BgL_arg1696z00_983
; }  else 
{ 
obj_t BgL_auxz00_1555;
BgL_auxz00_1555 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2029z00zz__pth_threadz00, 
BINT(((long)6012)), BGl_string2090z00zz__pth_threadz00, BGl_string2088z00zz__pth_threadz00, BgL_arg1696z00_983); 
FAILURE(BgL_auxz00_1555,BFALSE,BFALSE);} 
BgL_auxz00_1548 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_auxz00_1552); } } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1106z00_979)))->BgL_stackz00)=((obj_t)BgL_auxz00_1548),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1106z00_979)))->BgL_procz00)=((obj_t)
CNST_TABLE_REF(((long)16))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1106z00_979)))->BgL_msgz00)=((obj_t)BGl_string2091z00zz__pth_threadz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1106z00_979)))->BgL_objz00)=((obj_t)
((obj_t)BgL_tz00_977)),BUNSPEC); 
BgL_arg1695z00_978 = BgL_new1106z00_979; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1695z00_978));}  else 
{ /* Llib/pthread.scm 143 */
{ /* Llib/pthread.scm 150 */
void * BgL_arg1699z00_987;obj_t BgL_arg1700z00_988;
BgL_arg1699z00_987 = 
(((BgL_pthreadz00_bglt)COBJECT(BgL_tz00_977))->BgL_z42builtinz42); 
if(
PAIRP(BgL_timeoutz00_653))
{ /* Llib/pthread.scm 150 */
BgL_arg1700z00_988 = 
CAR(BgL_timeoutz00_653); }  else 
{ /* Llib/pthread.scm 150 */
BgL_arg1700z00_988 = BFALSE; } 
bglpth_thread_join(BgL_arg1699z00_987, BgL_arg1700z00_988); BUNSPEC; } 
{ /* Llib/pthread.scm 151 */
bool_t BgL_test2278z00_1576;
{ /* Llib/pthread.scm 151 */
obj_t BgL_arg1718z00_989;
BgL_arg1718z00_989 = 
(((BgL_pthreadz00_bglt)COBJECT(BgL_tz00_977))->BgL_endzd2exceptionzd2); 
BgL_test2278z00_1576 = 
BGl_isazf3zf3zz__objectz00(BgL_arg1718z00_989, BGl_z62exceptionz62zz__objectz00); } 
if(BgL_test2278z00_1576)
{ /* Llib/pthread.scm 151 */
return 
BGl_raisez00zz__errorz00(
(((BgL_pthreadz00_bglt)COBJECT(BgL_tz00_977))->BgL_endzd2exceptionzd2));}  else 
{ /* Llib/pthread.scm 151 */
return 
(((BgL_pthreadz00_bglt)COBJECT(BgL_tz00_977))->BgL_endzd2resultzd2);} } } } } 

}



/* &thread-start-joinabl1143 */
obj_t BGl_z62threadzd2startzd2joinabl1143z62zz__pth_threadz00(obj_t BgL_envz00_654, obj_t BgL_tz00_655)
{
{ /* Llib/pthread.scm 132 */
{ /* Llib/pthread.scm 133 */
BgL_pthreadz00_bglt BgL_tz00_990;
if(
BGl_isazf3zf3zz__objectz00(BgL_tz00_655, BGl_pthreadz00zz__pth_threadz00))
{ /* Llib/pthread.scm 133 */
BgL_tz00_990 = 
((BgL_pthreadz00_bglt)BgL_tz00_655); }  else 
{ 
obj_t BgL_auxz00_1585;
BgL_auxz00_1585 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2029z00zz__pth_threadz00, 
BINT(((long)5513)), BGl_string2093z00zz__pth_threadz00, BGl_string2039z00zz__pth_threadz00, BgL_tz00_655); 
FAILURE(BgL_auxz00_1585,BFALSE,BFALSE);} 
((((BgL_pthreadz00_bglt)COBJECT(BgL_tz00_990))->BgL_detachedpz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ /* Llib/pthread.scm 135 */
void * BgL_arg1693z00_991;
BgL_arg1693z00_991 = 
(((BgL_pthreadz00_bglt)COBJECT(BgL_tz00_990))->BgL_z42builtinz42); 
bglpth_thread_start(BgL_arg1693z00_991, 
((obj_t)BgL_tz00_990), ((bool_t)0)); BUNSPEC; } 
return 
((obj_t)BgL_tz00_990);} } 

}



/* &thread-start!-pthrea1141 */
obj_t BGl_z62threadzd2startz12zd2pthrea1141z70zz__pth_threadz00(obj_t BgL_envz00_656, obj_t BgL_tz00_657, obj_t BgL_scdz00_658)
{
{ /* Llib/pthread.scm 123 */
{ /* Llib/pthread.scm 124 */
BgL_pthreadz00_bglt BgL_tz00_992;
if(
BGl_isazf3zf3zz__objectz00(BgL_tz00_657, BGl_pthreadz00zz__pth_threadz00))
{ /* Llib/pthread.scm 124 */
BgL_tz00_992 = 
((BgL_pthreadz00_bglt)BgL_tz00_657); }  else 
{ 
obj_t BgL_auxz00_1597;
BgL_auxz00_1597 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2029z00zz__pth_threadz00, 
BINT(((long)5120)), BGl_string2094z00zz__pth_threadz00, BGl_string2039z00zz__pth_threadz00, BgL_tz00_657); 
FAILURE(BgL_auxz00_1597,BFALSE,BFALSE);} 
((((BgL_pthreadz00_bglt)COBJECT(BgL_tz00_992))->BgL_detachedpz00)=((bool_t)((bool_t)1)),BUNSPEC); 
{ /* Llib/pthread.scm 126 */
void * BgL_arg1687z00_993;
BgL_arg1687z00_993 = 
(((BgL_pthreadz00_bglt)COBJECT(BgL_tz00_992))->BgL_z42builtinz42); 
bglpth_thread_start(BgL_arg1687z00_993, 
((obj_t)BgL_tz00_992), ((bool_t)1)); BUNSPEC; } 
return 
((obj_t)BgL_tz00_992);} } 

}



/* &thread-initialize!-p1139 */
obj_t BGl_z62threadzd2initializa7ez12zd2p1139zd7zz__pth_threadz00(obj_t BgL_envz00_659, obj_t BgL_oz00_660)
{
{ /* Llib/pthread.scm 83 */
{ /* Llib/pthread.scm 84 */
BgL_pthreadz00_bglt BgL_oz00_994;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_660, BGl_pthreadz00zz__pth_threadz00))
{ /* Llib/pthread.scm 84 */
BgL_oz00_994 = 
((BgL_pthreadz00_bglt)BgL_oz00_660); }  else 
{ 
obj_t BgL_auxz00_1609;
BgL_auxz00_1609 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2029z00zz__pth_threadz00, 
BINT(((long)3811)), BGl_string2097z00zz__pth_threadz00, BGl_string2039z00zz__pth_threadz00, BgL_oz00_660); 
FAILURE(BgL_auxz00_1609,BFALSE,BFALSE);} 
if(
BGl_bigloozd2initializa7edzf3z86zz__paramz00())
{ /* Llib/pthread.scm 84 */BFALSE; }  else 
{ /* Llib/pthread.scm 87 */
obj_t BgL_arg1592z00_995;
BgL_arg1592z00_995 = 
bgl_typeof(
((obj_t)BgL_oz00_994)); 
{ /* Llib/pthread.scm 85 */
obj_t BgL_list1593z00_996;
{ /* Llib/pthread.scm 85 */
obj_t BgL_arg1612z00_997;
{ /* Llib/pthread.scm 85 */
obj_t BgL_arg1613z00_998;
BgL_arg1613z00_998 = 
MAKE_YOUNG_PAIR(BgL_arg1592z00_995, BNIL); 
BgL_arg1612z00_997 = 
MAKE_YOUNG_PAIR(BGl_string2095z00zz__pth_threadz00, BgL_arg1613z00_998); } 
BgL_list1593z00_996 = 
MAKE_YOUNG_PAIR(BGl_string2096z00zz__pth_threadz00, BgL_arg1612z00_997); } 
BGl_warningz00zz__errorz00(BgL_list1593z00_996); } } 
{ /* Llib/pthread.scm 90 */
obj_t BgL_bz00_999;
BgL_bz00_999 = 
MAKE_FX_PROCEDURE(BGl_z62bz62zz__pth_threadz00, 
(int)(((long)0)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_bz00_999, 
(int)(((long)0)), 
((obj_t)BgL_oz00_994)); 
PROCEDURE_SET(BgL_bz00_999, 
(int)(((long)1)), 
((obj_t)BgL_oz00_994)); 
return 
((((BgL_pthreadz00_bglt)COBJECT(BgL_oz00_994))->BgL_z42builtinz42)=((void *)
bglpth_thread_new(BgL_bz00_999)),BUNSPEC);} } } 

}



/* &b */
obj_t BGl_z62bz62zz__pth_threadz00(obj_t BgL_envz00_661)
{
{ /* Llib/pthread.scm 89 */
{ /* Llib/pthread.scm 90 */
BgL_pthreadz00_bglt BgL_i1082z00_662;BgL_pthreadz00_bglt BgL_oz00_663;
BgL_i1082z00_662 = 
((BgL_pthreadz00_bglt)
PROCEDURE_REF(BgL_envz00_661, 
(int)(((long)0)))); 
BgL_oz00_663 = 
((BgL_pthreadz00_bglt)
PROCEDURE_REF(BgL_envz00_661, 
(int)(((long)1)))); 
{ /* Llib/pthread.scm 90 */
obj_t BgL_idz00_1000;
{ /* Llib/pthread.scm 90 */
bool_t BgL_test2283z00_1638;
{ /* Llib/pthread.scm 90 */
obj_t BgL_tmpz00_1639;
BgL_tmpz00_1639 = 
(((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_i1082z00_662)))->BgL_namez00); 
BgL_test2283z00_1638 = 
SYMBOLP(BgL_tmpz00_1639); } 
if(BgL_test2283z00_1638)
{ /* Llib/pthread.scm 91 */
obj_t BgL_arg1682z00_1001;
{ /* Llib/pthread.scm 91 */
obj_t BgL_arg1683z00_1002;obj_t BgL_arg1684z00_1003;
{ /* Llib/pthread.scm 91 */
obj_t BgL_res1767z00_1004;
{ /* Llib/pthread.scm 91 */
obj_t BgL_symbolz00_1005;
BgL_symbolz00_1005 = 
CNST_TABLE_REF(((long)17)); 
{ /* Llib/pthread.scm 91 */
obj_t BgL_arg1429z00_1006;
BgL_arg1429z00_1006 = 
SYMBOL_TO_STRING(BgL_symbolz00_1005); 
BgL_res1767z00_1004 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1429z00_1006); } } 
BgL_arg1683z00_1002 = BgL_res1767z00_1004; } 
{ /* Llib/pthread.scm 91 */
obj_t BgL_arg1685z00_1007;
BgL_arg1685z00_1007 = 
(((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_i1082z00_662)))->BgL_namez00); 
{ /* Llib/pthread.scm 91 */
obj_t BgL_res1768z00_1008;
{ /* Llib/pthread.scm 91 */
obj_t BgL_symbolz00_1009;
if(
SYMBOLP(BgL_arg1685z00_1007))
{ /* Llib/pthread.scm 91 */
BgL_symbolz00_1009 = BgL_arg1685z00_1007; }  else 
{ 
obj_t BgL_auxz00_1650;
BgL_auxz00_1650 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2029z00zz__pth_threadz00, 
BINT(((long)4083)), BGl_string2098z00zz__pth_threadz00, BGl_string2099z00zz__pth_threadz00, BgL_arg1685z00_1007); 
FAILURE(BgL_auxz00_1650,BFALSE,BFALSE);} 
{ /* Llib/pthread.scm 91 */
obj_t BgL_arg1429z00_1010;
BgL_arg1429z00_1010 = 
SYMBOL_TO_STRING(BgL_symbolz00_1009); 
BgL_res1768z00_1008 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1429z00_1010); } } 
BgL_arg1684z00_1003 = BgL_res1768z00_1008; } } 
BgL_arg1682z00_1001 = 
string_append(BgL_arg1683z00_1002, BgL_arg1684z00_1003); } 
BgL_idz00_1000 = 
bstring_to_symbol(BgL_arg1682z00_1001); }  else 
{ /* Llib/pthread.scm 90 */
BgL_idz00_1000 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
CNST_TABLE_REF(((long)18))); } } 
{ /* Llib/pthread.scm 93 */

BGL_PUSH_TRACE(BgL_idz00_1000, BUNSPEC); 
{ /* Llib/pthread.scm 97 */
obj_t BgL_zc3z04anonymousza31617ze3z87_1011;
BgL_zc3z04anonymousza31617ze3z87_1011 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31617ze3ze5zz__pth_threadz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31617ze3z87_1011, 
(int)(((long)0)), 
((obj_t)BgL_oz00_663)); 
BGL_UNCAUGHT_EXCEPTION_HANDLER_SET(BgL_zc3z04anonymousza31617ze3z87_1011); BUNSPEC; } 
{ /* Llib/pthread.scm 100 */
obj_t BgL_res1085z00_1012;
BgL_res1085z00_1012 = 
MAKE_CELL(BUNSPEC); 
{ 
obj_t BgL_ez00_1014;
if(
CBOOL(
BGl_zc3z04exitza31660ze3ze70z60zz__pth_threadz00(BgL_res1085z00_1012, BgL_i1082z00_662)))
{ /* Llib/pthread.scm 100 */
bool_t BgL_tmpz00_1671;
BgL_ez00_1014 = 
CELL_REF(BgL_res1085z00_1012); 
{ /* Llib/pthread.scm 102 */
BgL_uncaughtzd2exceptionzd2_bglt BgL_uz00_1015;
{ /* Llib/pthread.scm 102 */
BgL_uncaughtzd2exceptionzd2_bglt BgL_new1089z00_1016;
{ /* Llib/pthread.scm 102 */
BgL_uncaughtzd2exceptionzd2_bglt BgL_new1088z00_1017;
BgL_new1088z00_1017 = 
((BgL_uncaughtzd2exceptionzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uncaughtzd2exceptionzd2_bgl) ))); 
{ /* Llib/pthread.scm 102 */
long BgL_arg1679z00_1018;
{ /* Llib/pthread.scm 102 */
long BgL_res1770z00_1019;
BgL_res1770z00_1019 = 
BGL_CLASS_INDEX(BGl_uncaughtzd2exceptionzd2zz__pth_threadz00); 
BgL_arg1679z00_1018 = BgL_res1770z00_1019; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1088z00_1017), BgL_arg1679z00_1018); } 
BgL_new1089z00_1016 = BgL_new1088z00_1017; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1089z00_1016)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1089z00_1016)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
obj_t BgL_auxz00_1680;
{ /* Llib/pthread.scm 102 */
obj_t BgL_arg1674z00_1020;
{ /* Llib/pthread.scm 102 */
obj_t BgL_arg1676z00_1021;
{ /* Llib/pthread.scm 102 */
obj_t BgL_res1771z00_1022;
{ /* Llib/pthread.scm 102 */
obj_t BgL_classz00_1023;
BgL_classz00_1023 = BGl_uncaughtzd2exceptionzd2zz__pth_threadz00; 
BgL_res1771z00_1022 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1023); } 
BgL_arg1676z00_1021 = BgL_res1771z00_1022; } 
BgL_arg1674z00_1020 = 
VECTOR_REF(BgL_arg1676z00_1021,((long)2)); } 
{ /* Llib/pthread.scm 102 */
obj_t BgL_auxz00_1684;
if(
BGl_classzd2fieldzf3z21zz__objectz00(BgL_arg1674z00_1020))
{ /* Llib/pthread.scm 102 */
BgL_auxz00_1684 = BgL_arg1674z00_1020
; }  else 
{ 
obj_t BgL_auxz00_1687;
BgL_auxz00_1687 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2029z00zz__pth_threadz00, 
BINT(((long)4391)), BGl_string2100z00zz__pth_threadz00, BGl_string2088z00zz__pth_threadz00, BgL_arg1674z00_1020); 
FAILURE(BgL_auxz00_1687,BFALSE,BFALSE);} 
BgL_auxz00_1680 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_auxz00_1684); } } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1089z00_1016)))->BgL_stackz00)=((obj_t)BgL_auxz00_1680),BUNSPEC); } 
((((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(BgL_new1089z00_1016))->BgL_reasonz00)=((obj_t)BgL_ez00_1014),BUNSPEC); 
BgL_uz00_1015 = BgL_new1089z00_1016; } 
((((BgL_pthreadz00_bglt)COBJECT(BgL_i1082z00_662))->BgL_endzd2exceptionzd2)=((obj_t)
((obj_t)BgL_uz00_1015)),BUNSPEC); 
BGl_exceptionzd2notifyzd2zz__objectz00(BgL_ez00_1014); 
BgL_tmpz00_1671 = ((bool_t)0); } 
return 
BBOOL(BgL_tmpz00_1671);}  else 
{ /* Llib/pthread.scm 100 */
return 
CELL_REF(BgL_res1085z00_1012);} } } } } } } 

}



/* <@exit:1664>~0 */
obj_t BGl_zc3z04exitza31664ze3ze70z60zz__pth_threadz00(BgL_pthreadz00_bglt BgL_i1082z00_726)
{
{ /* Llib/pthread.scm 109 */
jmp_buf_t jmpbuf; 
void * BgL_an_exit1093z00_303;
if( SET_EXIT(BgL_an_exit1093z00_303) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  bgl_restore_signal_handlers();
#endif

BgL_an_exit1093z00_303 = 
(void *)jmpbuf; 
{ /* Llib/pthread.scm 109 */

PUSH_EXIT(BgL_an_exit1093z00_303, ((long)1)); 
{ /* Llib/pthread.scm 109 */
obj_t BgL_an_exitd1094z00_304;
BgL_an_exitd1094z00_304 = 
((obj_t)(&exitd)); 
{ /* Llib/pthread.scm 110 */
obj_t BgL_res1096z00_307;
{ /* Llib/pthread.scm 112 */
obj_t BgL_zc3z04anonymousza31668ze3z87_632;
BgL_zc3z04anonymousza31668ze3z87_632 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31668ze3ze5zz__pth_threadz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31668ze3z87_632, 
(int)(((long)0)), BgL_an_exitd1094z00_304); 
BGl_signalz00zz__osz00(BGL_PTHREAD_TERM_SIG, BgL_zc3z04anonymousza31668ze3z87_632); } 
{ 
obj_t BgL_auxz00_1707;
{ /* Llib/pthread.scm 115 */
obj_t BgL_fun1671z00_316;
BgL_fun1671z00_316 = 
(((BgL_pthreadz00_bglt)COBJECT(BgL_i1082z00_726))->BgL_bodyz00); 
if(
PROCEDURE_CORRECT_ARITYP(BgL_fun1671z00_316, ((long)0)))
{ /* Llib/pthread.scm 115 */
BgL_auxz00_1707 = 
PROCEDURE_ENTRY(BgL_fun1671z00_316)(BgL_fun1671z00_316, BEOA)
; }  else 
{ 
obj_t BgL_auxz00_1714;
BgL_auxz00_1714 = 
CNST_TABLE_REF(((long)19)); 
FAILURE(BGl_string2101z00zz__pth_threadz00,BgL_auxz00_1714,BgL_fun1671z00_316);} } 
BgL_res1096z00_307 = 
((((BgL_pthreadz00_bglt)COBJECT(BgL_i1082z00_726))->BgL_endzd2resultzd2)=((obj_t)BgL_auxz00_1707),BUNSPEC); } 
POP_EXIT(); 
return BgL_res1096z00_307;} } } 
} } 

}



/* <@exit:1660>~0 */
obj_t BGl_zc3z04exitza31660ze3ze70z60zz__pth_threadz00(obj_t BgL_res1085z00_728, BgL_pthreadz00_bglt BgL_i1082z00_727)
{
{ /* Llib/pthread.scm 100 */
jmp_buf_t jmpbuf; 
void * BgL_an_exit1097z00_288;
if( SET_EXIT(BgL_an_exit1097z00_288) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  bgl_restore_signal_handlers();
#endif

BgL_an_exit1097z00_288 = 
(void *)jmpbuf; 
{ /* Llib/pthread.scm 100 */

PUSH_EXIT(BgL_an_exit1097z00_288, ((long)1)); 
{ /* Llib/pthread.scm 100 */
obj_t BgL_an_exitd1098z00_289;
BgL_an_exitd1098z00_289 = 
((obj_t)(&exitd)); 
{ /* Llib/pthread.scm 100 */
bool_t BgL_res1100z00_292;
{ /* Llib/pthread.scm 100 */
obj_t BgL_ohs1083z00_293;
BgL_ohs1083z00_293 = 
BGL_ERROR_HANDLER_GET(); 
{ /* Llib/pthread.scm 100 */
obj_t BgL_exitd1090z00_294;
BgL_exitd1090z00_294 = 
((obj_t)(&exitd)); 
{ 
obj_t BgL_zc3z04anonymousza31672ze3z87_629;
BgL_zc3z04anonymousza31672ze3z87_629 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31672ze3ze5zz__pth_threadz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31672ze3z87_629, 
(int)(((long)0)), BgL_ohs1083z00_293); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1090z00_294, BgL_zc3z04anonymousza31672ze3z87_629); 
{ /* Llib/pthread.scm 100 */
bool_t BgL_tmp1092z00_296;
{ /* Llib/pthread.scm 100 */
obj_t BgL_arg1661z00_297;
{ /* Llib/pthread.scm 100 */
obj_t BgL_zc3z04anonymousza31663ze3z87_630;
BgL_zc3z04anonymousza31663ze3z87_630 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31663ze3ze5zz__pth_threadz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31663ze3z87_630, 
(int)(((long)0)), 
((obj_t)BgL_res1085z00_728)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31663ze3z87_630, 
(int)(((long)1)), BgL_an_exitd1098z00_289); 
BgL_arg1661z00_297 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31663ze3z87_630, BgL_ohs1083z00_293); } 
BGL_ERROR_HANDLER_SET(BgL_arg1661z00_297); BUNSPEC; } 
{ /* Llib/pthread.scm 100 */
obj_t BgL_auxz00_665;
BgL_auxz00_665 = 
BGl_zc3z04exitza31664ze3ze70z60zz__pth_threadz00(BgL_i1082z00_727); 
CELL_SET(BgL_res1085z00_728, BgL_auxz00_665); } 
BgL_tmp1092z00_296 = ((bool_t)0); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1090z00_294); 
BGL_ERROR_HANDLER_SET(BgL_ohs1083z00_293); BUNSPEC; 
BgL_res1100z00_292 = BgL_tmp1092z00_296; } } } } 
POP_EXIT(); 
return 
BBOOL(BgL_res1100z00_292);} } } 
} } 

}



/* &<@anonymous:1668> */
obj_t BGl_z62zc3z04anonymousza31668ze3ze5zz__pth_threadz00(obj_t BgL_envz00_667, obj_t BgL_sz00_669)
{
{ /* Llib/pthread.scm 111 */
{ /* Llib/pthread.scm 112 */
obj_t BgL_an_exitd1094z00_668;
BgL_an_exitd1094z00_668 = 
PROCEDURE_REF(BgL_envz00_667, 
(int)(((long)0))); 
BGL_UNCAUGHT_EXCEPTION_HANDLER_SET(BGl_proc2102z00zz__pth_threadz00); BUNSPEC; 
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1094z00_668, BFALSE);} } 

}



/* &<@anonymous:1670> */
obj_t BGl_z62zc3z04anonymousza31670ze3ze5zz__pth_threadz00(obj_t BgL_envz00_670, obj_t BgL_valz00_671)
{
{ /* Llib/pthread.scm 113 */
return BgL_valz00_671;} 

}



/* &<@anonymous:1663> */
obj_t BGl_z62zc3z04anonymousza31663ze3ze5zz__pth_threadz00(obj_t BgL_envz00_672, obj_t BgL_ez00_675)
{
{ /* Llib/pthread.scm 100 */
{ /* Llib/pthread.scm 100 */
obj_t BgL_res1085z00_673;obj_t BgL_an_exitd1098z00_674;
BgL_res1085z00_673 = 
PROCEDURE_REF(BgL_envz00_672, 
(int)(((long)0))); 
BgL_an_exitd1098z00_674 = 
PROCEDURE_REF(BgL_envz00_672, 
(int)(((long)1))); 
CELL_SET(BgL_res1085z00_673, BgL_ez00_675); 
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1098z00_674, BTRUE);} } 

}



/* &<@anonymous:1672> */
obj_t BGl_z62zc3z04anonymousza31672ze3ze5zz__pth_threadz00(obj_t BgL_envz00_677)
{
{ /* Llib/pthread.scm 100 */
{ 
obj_t BgL_ohs1083z00_678;
BgL_ohs1083z00_678 = 
PROCEDURE_REF(BgL_envz00_677, 
(int)(((long)0))); 
BGL_ERROR_HANDLER_SET(BgL_ohs1083z00_678); 
return BUNSPEC;} } 

}



/* &<@anonymous:1617> */
obj_t BGl_z62zc3z04anonymousza31617ze3ze5zz__pth_threadz00(obj_t BgL_envz00_679, obj_t BgL_valz00_681)
{
{ /* Llib/pthread.scm 96 */
{ /* Llib/pthread.scm 97 */
BgL_pthreadz00_bglt BgL_oz00_680;
BgL_oz00_680 = 
((BgL_pthreadz00_bglt)
PROCEDURE_REF(BgL_envz00_679, 
(int)(((long)0)))); 
{ /* Llib/pthread.scm 97 */
obj_t BgL_arg1621z00_1025;
{ /* Llib/pthread.scm 97 */
obj_t BgL_list1622z00_1026;
BgL_list1622z00_1026 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_oz00_680), BNIL); 
BgL_arg1621z00_1025 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2103z00zz__pth_threadz00, BgL_list1622z00_1026); } 
return 
BGl_errorz00zz__errorz00(BgL_arg1621z00_1025, BGl_string2104z00zz__pth_threadz00, BgL_valz00_681);} } } 

}



/* &%user-thread-yield!-1137 */
obj_t BGl_z62z52userzd2threadzd2yieldz12zd21137zf0zz__pth_threadz00(obj_t BgL_envz00_682, obj_t BgL_oz00_683)
{
{ /* Llib/pthread.scm 77 */
{ /* Llib/pthread.scm 78 */
BgL_pthreadz00_bglt BgL_oz00_1027;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_683, BGl_pthreadz00zz__pth_threadz00))
{ /* Llib/pthread.scm 78 */
BgL_oz00_1027 = 
((BgL_pthreadz00_bglt)BgL_oz00_683); }  else 
{ 
obj_t BgL_auxz00_1766;
BgL_auxz00_1766 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2029z00zz__pth_threadz00, 
BINT(((long)3514)), BGl_string2105z00zz__pth_threadz00, BGl_string2039z00zz__pth_threadz00, BgL_oz00_683); 
FAILURE(BgL_auxz00_1766,BFALSE,BFALSE);} 
return 
BINT(
sched_yield());} } 

}



/* &object-print-uncaugh1135 */
obj_t BGl_z62objectzd2printzd2uncaugh1135z62zz__pth_threadz00(obj_t BgL_envz00_684, obj_t BgL_oz00_685, obj_t BgL_portz00_686, obj_t BgL_printzd2slotzd2_687)
{
{ /* Llib/pthread.scm 70 */
{ /* Llib/pthread.scm 71 */
BgL_uncaughtzd2exceptionzd2_bglt BgL_oz00_1028;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_685, BGl_uncaughtzd2exceptionzd2zz__pth_threadz00))
{ /* Llib/pthread.scm 71 */
BgL_oz00_1028 = 
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_oz00_685); }  else 
{ 
obj_t BgL_auxz00_1775;
BgL_auxz00_1775 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2029z00zz__pth_threadz00, 
BINT(((long)3150)), BGl_string2109z00zz__pth_threadz00, BGl_string2033z00zz__pth_threadz00, BgL_oz00_685); 
FAILURE(BgL_auxz00_1775,BFALSE,BFALSE);} 
{ /* Llib/pthread.scm 72 */
obj_t BgL_arg1590z00_1029;
BgL_arg1590z00_1029 = 
(((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(BgL_oz00_1028))->BgL_reasonz00); 
{ /* Llib/pthread.scm 72 */
obj_t BgL_auxz00_1795;obj_t BgL_auxz00_1788;BgL_objectz00_bglt BgL_auxz00_1780;
if(
PROCEDUREP(BgL_printzd2slotzd2_687))
{ /* Llib/pthread.scm 72 */
BgL_auxz00_1795 = BgL_printzd2slotzd2_687
; }  else 
{ 
obj_t BgL_auxz00_1798;
BgL_auxz00_1798 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2029z00zz__pth_threadz00, 
BINT(((long)3226)), BGl_string2106z00zz__pth_threadz00, BGl_string2041z00zz__pth_threadz00, BgL_printzd2slotzd2_687); 
FAILURE(BgL_auxz00_1798,BFALSE,BFALSE);} 
if(
OUTPUT_PORTP(BgL_portz00_686))
{ /* Llib/pthread.scm 72 */
BgL_auxz00_1788 = BgL_portz00_686
; }  else 
{ 
obj_t BgL_auxz00_1791;
BgL_auxz00_1791 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2029z00zz__pth_threadz00, 
BINT(((long)3221)), BGl_string2106z00zz__pth_threadz00, BGl_string2108z00zz__pth_threadz00, BgL_portz00_686); 
FAILURE(BgL_auxz00_1791,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_arg1590z00_1029, BGl_objectz00zz__objectz00))
{ /* Llib/pthread.scm 72 */
BgL_auxz00_1780 = 
((BgL_objectz00_bglt)BgL_arg1590z00_1029)
; }  else 
{ 
obj_t BgL_auxz00_1784;
BgL_auxz00_1784 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2029z00zz__pth_threadz00, 
BINT(((long)3214)), BGl_string2106z00zz__pth_threadz00, BGl_string2107z00zz__pth_threadz00, BgL_arg1590z00_1029); 
FAILURE(BgL_auxz00_1784,BFALSE,BFALSE);} 
return 
BGl_objectzd2printzd2zz__objectz00(BgL_auxz00_1780, BgL_auxz00_1788, BgL_auxz00_1795);} } } } 

}



/* &object-display-uncau1133 */
obj_t BGl_z62objectzd2displayzd2uncau1133z62zz__pth_threadz00(obj_t BgL_envz00_688, obj_t BgL_oz00_689, obj_t BgL_portz00_690)
{
{ /* Llib/pthread.scm 63 */
{ /* Llib/pthread.scm 64 */
BgL_uncaughtzd2exceptionzd2_bglt BgL_oz00_1030;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_689, BGl_uncaughtzd2exceptionzd2zz__pth_threadz00))
{ /* Llib/pthread.scm 64 */
BgL_oz00_1030 = 
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_oz00_689); }  else 
{ 
obj_t BgL_auxz00_1806;
BgL_auxz00_1806 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2029z00zz__pth_threadz00, 
BINT(((long)2769)), BGl_string2112z00zz__pth_threadz00, BGl_string2033z00zz__pth_threadz00, BgL_oz00_689); 
FAILURE(BgL_auxz00_1806,BFALSE,BFALSE);} 
{ /* Llib/pthread.scm 65 */
obj_t BgL_runner1580z00_1031;
{ /* Llib/pthread.scm 65 */
obj_t BgL_arg1577z00_1032;
BgL_arg1577z00_1032 = 
(((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(BgL_oz00_1030))->BgL_reasonz00); 
{ /* Llib/pthread.scm 65 */
obj_t BgL_list1578z00_1033;
BgL_list1578z00_1033 = 
MAKE_YOUNG_PAIR(BgL_portz00_690, BNIL); 
BgL_runner1580z00_1031 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_arg1577z00_1032, BgL_list1578z00_1033); } } 
{ /* Llib/pthread.scm 65 */
BgL_objectz00_bglt BgL_aux1579z00_1034;
{ /* Llib/pthread.scm 65 */
obj_t BgL_pairz00_1035;
{ /* Llib/pthread.scm 65 */
obj_t BgL_aux1985z00_1036;
BgL_aux1985z00_1036 = BgL_runner1580z00_1031; 
if(
PAIRP(BgL_aux1985z00_1036))
{ /* Llib/pthread.scm 65 */
BgL_pairz00_1035 = BgL_aux1985z00_1036; }  else 
{ 
obj_t BgL_auxz00_1815;
BgL_auxz00_1815 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2029z00zz__pth_threadz00, 
BINT(((long)2819)), BGl_string2110z00zz__pth_threadz00, BGl_string2111z00zz__pth_threadz00, BgL_aux1985z00_1036); 
FAILURE(BgL_auxz00_1815,BFALSE,BFALSE);} } 
{ /* Llib/pthread.scm 65 */
obj_t BgL_aux1987z00_1037;
BgL_aux1987z00_1037 = 
CAR(BgL_pairz00_1035); 
if(
BGl_isazf3zf3zz__objectz00(BgL_aux1987z00_1037, BGl_objectz00zz__objectz00))
{ /* Llib/pthread.scm 65 */
BgL_aux1579z00_1034 = 
((BgL_objectz00_bglt)BgL_aux1987z00_1037); }  else 
{ 
obj_t BgL_auxz00_1823;
BgL_auxz00_1823 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2029z00zz__pth_threadz00, 
BINT(((long)2819)), BGl_string2110z00zz__pth_threadz00, BGl_string2107z00zz__pth_threadz00, BgL_aux1987z00_1037); 
FAILURE(BgL_auxz00_1823,BFALSE,BFALSE);} } } 
{ /* Llib/pthread.scm 65 */
obj_t BgL_pairz00_1038;
{ /* Llib/pthread.scm 65 */
obj_t BgL_aux1989z00_1039;
BgL_aux1989z00_1039 = BgL_runner1580z00_1031; 
if(
PAIRP(BgL_aux1989z00_1039))
{ /* Llib/pthread.scm 65 */
BgL_pairz00_1038 = BgL_aux1989z00_1039; }  else 
{ 
obj_t BgL_auxz00_1829;
BgL_auxz00_1829 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2029z00zz__pth_threadz00, 
BINT(((long)2819)), BGl_string2110z00zz__pth_threadz00, BGl_string2111z00zz__pth_threadz00, BgL_aux1989z00_1039); 
FAILURE(BgL_auxz00_1829,BFALSE,BFALSE);} } 
BgL_runner1580z00_1031 = 
CDR(BgL_pairz00_1038); } 
return 
BGl_objectzd2displayzd2zz__objectz00(BgL_aux1579z00_1034, BgL_runner1580z00_1031);} } } } 

}



/* &object-write-uncaugh1131 */
obj_t BGl_z62objectzd2writezd2uncaugh1131z62zz__pth_threadz00(obj_t BgL_envz00_691, obj_t BgL_oz00_692, obj_t BgL_portz00_693)
{
{ /* Llib/pthread.scm 56 */
{ /* Llib/pthread.scm 57 */
BgL_uncaughtzd2exceptionzd2_bglt BgL_oz00_1040;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_692, BGl_uncaughtzd2exceptionzd2zz__pth_threadz00))
{ /* Llib/pthread.scm 57 */
BgL_oz00_1040 = 
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_oz00_692); }  else 
{ 
obj_t BgL_auxz00_1838;
BgL_auxz00_1838 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2029z00zz__pth_threadz00, 
BINT(((long)2397)), BGl_string2114z00zz__pth_threadz00, BGl_string2033z00zz__pth_threadz00, BgL_oz00_692); 
FAILURE(BgL_auxz00_1838,BFALSE,BFALSE);} 
{ /* Llib/pthread.scm 58 */
obj_t BgL_runner1566z00_1041;
{ /* Llib/pthread.scm 58 */
obj_t BgL_arg1563z00_1042;
BgL_arg1563z00_1042 = 
(((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(BgL_oz00_1040))->BgL_reasonz00); 
{ /* Llib/pthread.scm 58 */
obj_t BgL_list1564z00_1043;
BgL_list1564z00_1043 = 
MAKE_YOUNG_PAIR(BgL_portz00_693, BNIL); 
BgL_runner1566z00_1041 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_arg1563z00_1042, BgL_list1564z00_1043); } } 
{ /* Llib/pthread.scm 58 */
BgL_objectz00_bglt BgL_aux1565z00_1044;
{ /* Llib/pthread.scm 58 */
obj_t BgL_pairz00_1045;
{ /* Llib/pthread.scm 58 */
obj_t BgL_aux1993z00_1046;
BgL_aux1993z00_1046 = BgL_runner1566z00_1041; 
if(
PAIRP(BgL_aux1993z00_1046))
{ /* Llib/pthread.scm 58 */
BgL_pairz00_1045 = BgL_aux1993z00_1046; }  else 
{ 
obj_t BgL_auxz00_1847;
BgL_auxz00_1847 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2029z00zz__pth_threadz00, 
BINT(((long)2447)), BGl_string2113z00zz__pth_threadz00, BGl_string2111z00zz__pth_threadz00, BgL_aux1993z00_1046); 
FAILURE(BgL_auxz00_1847,BFALSE,BFALSE);} } 
{ /* Llib/pthread.scm 58 */
obj_t BgL_aux1995z00_1047;
BgL_aux1995z00_1047 = 
CAR(BgL_pairz00_1045); 
if(
BGl_isazf3zf3zz__objectz00(BgL_aux1995z00_1047, BGl_objectz00zz__objectz00))
{ /* Llib/pthread.scm 58 */
BgL_aux1565z00_1044 = 
((BgL_objectz00_bglt)BgL_aux1995z00_1047); }  else 
{ 
obj_t BgL_auxz00_1855;
BgL_auxz00_1855 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2029z00zz__pth_threadz00, 
BINT(((long)2447)), BGl_string2113z00zz__pth_threadz00, BGl_string2107z00zz__pth_threadz00, BgL_aux1995z00_1047); 
FAILURE(BgL_auxz00_1855,BFALSE,BFALSE);} } } 
{ /* Llib/pthread.scm 58 */
obj_t BgL_pairz00_1048;
{ /* Llib/pthread.scm 58 */
obj_t BgL_aux1997z00_1049;
BgL_aux1997z00_1049 = BgL_runner1566z00_1041; 
if(
PAIRP(BgL_aux1997z00_1049))
{ /* Llib/pthread.scm 58 */
BgL_pairz00_1048 = BgL_aux1997z00_1049; }  else 
{ 
obj_t BgL_auxz00_1861;
BgL_auxz00_1861 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2029z00zz__pth_threadz00, 
BINT(((long)2447)), BGl_string2113z00zz__pth_threadz00, BGl_string2111z00zz__pth_threadz00, BgL_aux1997z00_1049); 
FAILURE(BgL_auxz00_1861,BFALSE,BFALSE);} } 
BgL_runner1566z00_1041 = 
CDR(BgL_pairz00_1048); } 
return 
BGl_objectzd2writezd2zz__objectz00(BgL_aux1565z00_1044, BgL_runner1566z00_1041);} } } } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__pth_threadz00()
{
{ /* Llib/pthread.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__pth_backendz00(((long)354908835), 
BSTRING_TO_STRING(BGl_string2115z00zz__pth_threadz00));} 

}

#ifdef __cplusplus
}
#endif
