/*===========================================================================*/
/*   (Command/expr.scm)                                                      */
/*   Bigloo (4.3h)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue 12 May 2020 08:36:09 AM CEST    */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.3h/bin/bigloo -afile .afile -no-hello -rm -L /builddir/build/BUILD/bigloo-4.3h/lib/bigloo/4.3h -O5 -unsafe -c Command/expr.scm -o Command/expr.o) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zzcommand_exprz00();
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_resetzd2expressionzd2tablez12z12zzcommand_exprz00();
extern bool_t BGl_bigloozd2identzf3z21zztools_toolsz00(obj_t);
static bool_t BGl_bigloozd2exprzf3z21zzcommand_exprz00(obj_t);
static obj_t BGl_methodzd2initzd2zzcommand_exprz00();
BGL_EXPORTED_DECL obj_t BGl_bdbzd2exprzd2ze3gdbzd2exprz31zzcommand_exprz00(obj_t, obj_t);
extern obj_t BGl_bdbzd2manglezd2zzpatient_manglingz00(obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62gdbzd2exprzd2ze3bdbzd2exprz53zzcommand_exprz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2hashtablezd2zz__hashz00(obj_t);
static obj_t BGl_za2expressionzd2tableza2zd2zzcommand_exprz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_z62tryz62zz__errorz00(obj_t, obj_t);
BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
extern obj_t BGl_za2bdbzd2modeza2zd2zzengine_paramz00;
static obj_t BGl_gczd2rootszd2initz00zzcommand_exprz00();
static obj_t BGl_z62resetzd2expressionzd2tablez12z70zzcommand_exprz00(obj_t);
static obj_t BGl_compilezd2exprzd2zzcommand_exprz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t);
static obj_t BGl_loopze70ze7zzcommand_exprz00(obj_t, obj_t);
static obj_t BGl_loopze71ze7zzcommand_exprz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readzd2casezd2sensitivez00zz__readerz00(obj_t);
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_gdbzd2exprzd2ze3bdbzd2exprz31zzcommand_exprz00(obj_t);
BGL_IMPORT obj_t BGl_hashtablezd2getzd2zz__hashz00(obj_t, obj_t);
extern obj_t BGl_bdbzd2notifyzd2errorz00zztools_errorz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl_compileze70ze7zzcommand_exprz00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzcommand_exprz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31041ze3ze5zzcommand_exprz00(obj_t);
static obj_t BGl_toplevelzd2initzd2zzcommand_exprz00();
BGL_IMPORT obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zzcommand_exprz00();
BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31044ze3ze5zzcommand_exprz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31045ze3ze5zzcommand_exprz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_bdbzd2manglezd2exprz00zzcommand_exprz00(obj_t, obj_t);
BGL_IMPORT bool_t BGl_hashtablezf3zf3zz__hashz00(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_close_input_port(obj_t);
BGL_IMPORT obj_t string_append(obj_t, obj_t);
static obj_t BGl_initzd2expressionzd2tablez12z12zzcommand_exprz00();
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcommand_exprz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzpatient_manglingz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_toolsz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_bigloozd2exprzd2ze3gdbzd2exprz31zzcommand_exprz00(obj_t, obj_t);
extern obj_t BGl_bdbzd2manglezd2forzd2funcallzd2zzpatient_manglingz00(obj_t);
static obj_t BGl_cnstzd2initzd2zzcommand_exprz00();
static obj_t BGl_libraryzd2moduleszd2initz00zzcommand_exprz00();
static obj_t BGl_importedzd2moduleszd2initz00zzcommand_exprz00();
BGL_IMPORT obj_t BGl_hashtablezd2putz12zc0zz__hashz00(obj_t, obj_t, obj_t);
extern obj_t BGl_bdbzd2mangle2zd2zzpatient_manglingz00(obj_t, obj_t);
static obj_t BGl_z62bdbzd2exprzd2ze3gdbzd2exprz53zzcommand_exprz00(obj_t, obj_t, obj_t);
static obj_t __cnst[ 5 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_bdbzd2exprzd2ze3gdbzd2exprzd2envze3zzcommand_exprz00, BgL_bgl_za762bdbza7d2exprza7d21232za7, BGl_z62bdbzd2exprzd2ze3gdbzd2exprz53zzcommand_exprz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gdbzd2exprzd2ze3bdbzd2exprzd2envze3zzcommand_exprz00, BgL_bgl_za762gdbza7d2exprza7d21233za7, BGl_z62gdbzd2exprzd2ze3bdbzd2exprz53zzcommand_exprz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1203z00zzcommand_exprz00, BgL_bgl_za762za7c3za704anonymo1234za7, BGl_z62zc3z04anonymousza31045ze3ze5zzcommand_exprz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string1200z00zzcommand_exprz00, BgL_bgl_string1200za700za7za7c1235za7, "]\n", 2 );
DEFINE_STRING( BGl_string1201z00zzcommand_exprz00, BgL_bgl_string1201za700za7za7c1236za7, "] -> [", 6 );
DEFINE_STRING( BGl_string1202z00zzcommand_exprz00, BgL_bgl_string1202za700za7za7c1237za7, "bdb-expr->gdb-exp [", 19 );
DEFINE_STRING( BGl_string1204z00zzcommand_exprz00, BgL_bgl_string1204za700za7za7c1238za7, "eval", 4 );
DEFINE_STRING( BGl_string1205z00zzcommand_exprz00, BgL_bgl_string1205za700za7za7c1239za7, "Junk at end of expression", 25 );
DEFINE_STRING( BGl_string1206z00zzcommand_exprz00, BgL_bgl_string1206za700za7za7c1240za7, ")", 1 );
DEFINE_STRING( BGl_string1207z00zzcommand_exprz00, BgL_bgl_string1207za700za7za7c1241za7, ", ", 2 );
DEFINE_STRING( BGl_string1208z00zzcommand_exprz00, BgL_bgl_string1208za700za7za7c1242za7, "bdb_nil()", 9 );
DEFINE_STRING( BGl_string1209z00zzcommand_exprz00, BgL_bgl_string1209za700za7za7c1243za7, "make_pair(", 10 );
DEFINE_STRING( BGl_string1210z00zzcommand_exprz00, BgL_bgl_string1210za700za7za7c1244za7, " )", 2 );
DEFINE_STRING( BGl_string1211z00zzcommand_exprz00, BgL_bgl_string1211za700za7za7c1245za7, "bdb_funcall( ", 13 );
DEFINE_STRING( BGl_string1212z00zzcommand_exprz00, BgL_bgl_string1212za700za7za7c1246za7, "()", 2 );
DEFINE_STRING( BGl_string1213z00zzcommand_exprz00, BgL_bgl_string1213za700za7za7c1247za7, "(", 1 );
DEFINE_STRING( BGl_string1214z00zzcommand_exprz00, BgL_bgl_string1214za700za7za7c1248za7, "bdb_bchar( ", 11 );
DEFINE_STRING( BGl_string1215z00zzcommand_exprz00, BgL_bgl_string1215za700za7za7c1249za7, "Unknown function", 16 );
DEFINE_STRING( BGl_string1216z00zzcommand_exprz00, BgL_bgl_string1216za700za7za7c1250za7, "bdb_bint( ", 10 );
DEFINE_STRING( BGl_string1217z00zzcommand_exprz00, BgL_bgl_string1217za700za7za7c1251za7, "bdb_true()", 10 );
DEFINE_STRING( BGl_string1218z00zzcommand_exprz00, BgL_bgl_string1218za700za7za7c1252za7, "bdb_false()", 11 );
DEFINE_STRING( BGl_string1219z00zzcommand_exprz00, BgL_bgl_string1219za700za7za7c1253za7, "BUNSPEC", 7 );
DEFINE_STRING( BGl_string1220z00zzcommand_exprz00, BgL_bgl_string1220za700za7za7c1254za7, " ) ", 3 );
DEFINE_STRING( BGl_string1221z00zzcommand_exprz00, BgL_bgl_string1221za700za7za7c1255za7, "if( ", 4 );
DEFINE_STRING( BGl_string1222z00zzcommand_exprz00, BgL_bgl_string1222za700za7za7c1256za7, " else ", 6 );
DEFINE_STRING( BGl_string1223z00zzcommand_exprz00, BgL_bgl_string1223za700za7za7c1257za7, "command_expr", 12 );
DEFINE_STRING( BGl_string1224z00zzcommand_exprz00, BgL_bgl_string1224za700za7za7c1258za7, "begin if app no (scheme mixte) ", 31 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_resetzd2expressionzd2tablez12zd2envzc0zzcommand_exprz00, BgL_bgl_za762resetza7d2expre1259z00, BGl_z62resetzd2expressionzd2tablez12z70zzcommand_exprz00, 0L, BUNSPEC, 0 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_za2expressionzd2tableza2zd2zzcommand_exprz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zzcommand_exprz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcommand_exprz00(long BgL_checksumz00_394, char * BgL_fromz00_395)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzcommand_exprz00))
{ 
BGl_requirezd2initializa7ationz75zzcommand_exprz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zzcommand_exprz00(); 
BGl_libraryzd2moduleszd2initz00zzcommand_exprz00(); 
BGl_cnstzd2initzd2zzcommand_exprz00(); 
BGl_importedzd2moduleszd2initz00zzcommand_exprz00(); 
return 
BGl_toplevelzd2initzd2zzcommand_exprz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzcommand_exprz00()
{
{ /* Command/expr.scm 14 */
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "command_expr"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "command_expr"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "command_expr"); 
BGl_modulezd2initializa7ationz75zz__hashz00(((long)0), "command_expr"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "command_expr"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "command_expr"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "command_expr"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "command_expr"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "command_expr"); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long)0), "command_expr"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "command_expr"); 
BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long)0), "command_expr"); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)0), "command_expr"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "command_expr"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzcommand_exprz00()
{
{ /* Command/expr.scm 14 */
{ /* Command/expr.scm 14 */
obj_t BgL_cportz00_372;
{ /* Command/expr.scm 14 */
obj_t BgL_stringz00_380;
BgL_stringz00_380 = BGl_string1224z00zzcommand_exprz00; 
{ /* Command/expr.scm 14 */
obj_t BgL_startz00_381;
BgL_startz00_381 = 
BINT(((long)0)); 
{ /* Command/expr.scm 14 */
obj_t BgL_endz00_382;
BgL_endz00_382 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_380))); 
{ /* Command/expr.scm 14 */

BgL_cportz00_372 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_380, BgL_startz00_381, BgL_endz00_382); } } } } 
{ 
long BgL_iz00_373;
BgL_iz00_373 = ((long)4); 
BgL_loopz00_374:
if(
(BgL_iz00_373==((long)-1)))
{ /* Command/expr.scm 14 */
return BUNSPEC;}  else 
{ /* Command/expr.scm 14 */
{ /* Command/expr.scm 14 */
obj_t BgL_arg1230z00_376;
{ /* Command/expr.scm 14 */

{ /* Command/expr.scm 14 */
obj_t BgL_locationz00_378;
BgL_locationz00_378 = 
BBOOL(((bool_t)0)); 
{ /* Command/expr.scm 14 */

BgL_arg1230z00_376 = 
BGl_readz00zz__readerz00(BgL_cportz00_372, BgL_locationz00_378); } } } 
{ /* Command/expr.scm 14 */
int BgL_tmpz00_427;
BgL_tmpz00_427 = 
(int)(BgL_iz00_373); 
CNST_TABLE_SET(BgL_tmpz00_427, BgL_arg1230z00_376); } } 
{ /* Command/expr.scm 14 */
int BgL_auxz00_379;
BgL_auxz00_379 = 
(int)(
(BgL_iz00_373-((long)1))); 
{ 
long BgL_iz00_432;
BgL_iz00_432 = 
(long)(BgL_auxz00_379); 
BgL_iz00_373 = BgL_iz00_432; 
goto BgL_loopz00_374;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zzcommand_exprz00()
{
{ /* Command/expr.scm 14 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzcommand_exprz00()
{
{ /* Command/expr.scm 14 */
return ( 
BGl_za2expressionzd2tableza2zd2zzcommand_exprz00 = BUNSPEC, BUNSPEC) ;} 

}



/* gdb-expr->bdb-expr */
BGL_EXPORTED_DEF obj_t BGl_gdbzd2exprzd2ze3bdbzd2exprz31zzcommand_exprz00(obj_t BgL_exprz00_3)
{
{ /* Command/expr.scm 27 */
if(
BGl_hashtablezf3zf3zz__hashz00(BGl_za2expressionzd2tableza2zd2zzcommand_exprz00))
{ /* Command/expr.scm 29 */
obj_t BgL_bdbzd2exprzd2_209;
BgL_bdbzd2exprzd2_209 = 
BGl_hashtablezd2getzd2zz__hashz00(BGl_za2expressionzd2tableza2zd2zzcommand_exprz00, BgL_exprz00_3); 
if(
CBOOL(BgL_bdbzd2exprzd2_209))
{ /* Command/expr.scm 30 */
return BgL_bdbzd2exprzd2_209;}  else 
{ /* Command/expr.scm 30 */
return BgL_exprz00_3;} }  else 
{ /* Command/expr.scm 28 */
return BgL_exprz00_3;} } 

}



/* &gdb-expr->bdb-expr */
obj_t BGl_z62gdbzd2exprzd2ze3bdbzd2exprz53zzcommand_exprz00(obj_t BgL_envz00_350, obj_t BgL_exprz00_351)
{
{ /* Command/expr.scm 27 */
return 
BGl_gdbzd2exprzd2ze3bdbzd2exprz31zzcommand_exprz00(BgL_exprz00_351);} 

}



/* bdb-expr->gdb-expr */
BGL_EXPORTED_DEF obj_t BGl_bdbzd2exprzd2ze3gdbzd2exprz31zzcommand_exprz00(obj_t BgL_exprz00_4, obj_t BgL_gdbzd2funzd2_5)
{
{ /* Command/expr.scm 47 */
if(
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BGl_za2bdbzd2modeza2zd2zzengine_paramz00, 
CNST_TABLE_REF(((long)0)))))
{ /* Command/expr.scm 49 */
obj_t BgL_resz00_26;
{ /* Command/expr.scm 49 */
bool_t BgL_test1272z00_445;
if(
STRINGP(BgL_gdbzd2funzd2_5))
{ /* Command/expr.scm 49 */
BgL_test1272z00_445 = 
BGl_bigloozd2exprzf3z21zzcommand_exprz00(BgL_exprz00_4)
; }  else 
{ /* Command/expr.scm 49 */
BgL_test1272z00_445 = ((bool_t)0)
; } 
if(BgL_test1272z00_445)
{ /* Command/expr.scm 51 */
obj_t BgL_resz00_34;
BgL_resz00_34 = 
BGl_bigloozd2exprzd2ze3gdbzd2exprz31zzcommand_exprz00(BgL_exprz00_4, BgL_gdbzd2funzd2_5); 
if(
STRINGP(BgL_resz00_34))
{ /* Command/expr.scm 52 */
BgL_resz00_26 = BgL_resz00_34; }  else 
{ /* Command/expr.scm 52 */
if(
BGl_bigloozd2identzf3z21zztools_toolsz00(BgL_exprz00_4))
{ /* Command/expr.scm 118 */
obj_t BgL_cz00_213;
BgL_cz00_213 = 
BGl_bdbzd2manglezd2exprz00zzcommand_exprz00(BgL_exprz00_4, BgL_gdbzd2funzd2_5); 
if(
STRINGP(BgL_cz00_213))
{ /* Command/expr.scm 119 */
BgL_resz00_26 = BgL_cz00_213; }  else 
{ /* Command/expr.scm 119 */
BgL_resz00_26 = BgL_exprz00_4; } }  else 
{ /* Command/expr.scm 117 */
BgL_resz00_26 = BgL_exprz00_4; } } }  else 
{ /* Command/expr.scm 49 */
if(
BGl_bigloozd2identzf3z21zztools_toolsz00(BgL_exprz00_4))
{ /* Command/expr.scm 118 */
obj_t BgL_cz00_217;
BgL_cz00_217 = 
BGl_bdbzd2manglezd2exprz00zzcommand_exprz00(BgL_exprz00_4, BgL_gdbzd2funzd2_5); 
if(
STRINGP(BgL_cz00_217))
{ /* Command/expr.scm 119 */
BgL_resz00_26 = BgL_cz00_217; }  else 
{ /* Command/expr.scm 119 */
BgL_resz00_26 = BgL_exprz00_4; } }  else 
{ /* Command/expr.scm 117 */
BgL_resz00_26 = BgL_exprz00_4; } } } 
BGl_initzd2expressionzd2tablez12z12zzcommand_exprz00(); 
BGl_hashtablezd2putz12zc0zz__hashz00(BGl_za2expressionzd2tableza2zd2zzcommand_exprz00, BgL_resz00_26, BgL_exprz00_4); 
{ /* Command/expr.scm 58 */
obj_t BgL_list1022z00_27;
{ /* Command/expr.scm 58 */
obj_t BgL_arg1023z00_28;
{ /* Command/expr.scm 58 */
obj_t BgL_arg1024z00_29;
{ /* Command/expr.scm 58 */
obj_t BgL_arg1025z00_30;
{ /* Command/expr.scm 58 */
obj_t BgL_arg1026z00_31;
BgL_arg1026z00_31 = 
MAKE_YOUNG_PAIR(BGl_string1200z00zzcommand_exprz00, BNIL); 
BgL_arg1025z00_30 = 
MAKE_YOUNG_PAIR(BgL_resz00_26, BgL_arg1026z00_31); } 
BgL_arg1024z00_29 = 
MAKE_YOUNG_PAIR(BGl_string1201z00zzcommand_exprz00, BgL_arg1025z00_30); } 
BgL_arg1023z00_28 = 
MAKE_YOUNG_PAIR(BgL_exprz00_4, BgL_arg1024z00_29); } 
BgL_list1022z00_27 = 
MAKE_YOUNG_PAIR(BGl_string1202z00zzcommand_exprz00, BgL_arg1023z00_28); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)4)), BgL_list1022z00_27); } 
return BgL_resz00_26;}  else 
{ /* Command/expr.scm 48 */
return BgL_exprz00_4;} } 

}



/* &bdb-expr->gdb-expr */
obj_t BGl_z62bdbzd2exprzd2ze3gdbzd2exprz53zzcommand_exprz00(obj_t BgL_envz00_352, obj_t BgL_exprz00_353, obj_t BgL_gdbzd2funzd2_354)
{
{ /* Command/expr.scm 47 */
return 
BGl_bdbzd2exprzd2ze3gdbzd2exprz31zzcommand_exprz00(BgL_exprz00_353, BgL_gdbzd2funzd2_354);} 

}



/* reset-expression-table! */
BGL_EXPORTED_DEF obj_t BGl_resetzd2expressionzd2tablez12z12zzcommand_exprz00()
{
{ /* Command/expr.scm 70 */
return ( 
BGl_za2expressionzd2tableza2zd2zzcommand_exprz00 = BUNSPEC, BUNSPEC) ;} 

}



/* &reset-expression-table! */
obj_t BGl_z62resetzd2expressionzd2tablez12z70zzcommand_exprz00(obj_t BgL_envz00_355)
{
{ /* Command/expr.scm 70 */
return 
BGl_resetzd2expressionzd2tablez12z12zzcommand_exprz00();} 

}



/* init-expression-table! */
obj_t BGl_initzd2expressionzd2tablez12z12zzcommand_exprz00()
{
{ /* Command/expr.scm 76 */
if(
BGl_hashtablezf3zf3zz__hashz00(BGl_za2expressionzd2tableza2zd2zzcommand_exprz00))
{ /* Command/expr.scm 77 */
return BFALSE;}  else 
{ /* Command/expr.scm 77 */
return ( 
BGl_za2expressionzd2tableza2zd2zzcommand_exprz00 = 
BGl_makezd2hashtablezd2zz__hashz00(BNIL), BUNSPEC) ;} } 

}



/* bigloo-expr? */
bool_t BGl_bigloozd2exprzf3z21zzcommand_exprz00(obj_t BgL_exprz00_6)
{
{ /* Command/expr.scm 89 */
{ /* Command/expr.scm 90 */
long BgL_lenz00_39;
BgL_lenz00_39 = 
STRING_LENGTH(BgL_exprz00_6); 
if(
(BgL_lenz00_39>((long)0)))
{ /* Command/expr.scm 91 */
if(
(
STRING_REF(BgL_exprz00_6, ((long)0))==((unsigned char)'(')))
{ /* Command/expr.scm 92 */
return 
(
STRING_REF(BgL_exprz00_6, 
(BgL_lenz00_39-((long)1)))==((unsigned char)')'));}  else 
{ /* Command/expr.scm 92 */
return ((bool_t)0);} }  else 
{ /* Command/expr.scm 91 */
return ((bool_t)0);} } } 

}



/* bdb-mangle-expr */
obj_t BGl_bdbzd2manglezd2exprz00zzcommand_exprz00(obj_t BgL_exprz00_7, obj_t BgL_gdbzd2funzd2_8)
{
{ /* Command/expr.scm 101 */
{ /* Command/expr.scm 102 */
obj_t BgL_cz00_237;
if(
STRINGP(BgL_gdbzd2funzd2_8))
{ /* Command/expr.scm 102 */
BgL_cz00_237 = 
BGl_bdbzd2mangle2zd2zzpatient_manglingz00(BgL_gdbzd2funzd2_8, BgL_exprz00_7); }  else 
{ /* Command/expr.scm 102 */
BgL_cz00_237 = BFALSE; } 
if(
STRINGP(BgL_cz00_237))
{ /* Command/expr.scm 103 */
return BgL_cz00_237;}  else 
{ /* Command/expr.scm 105 */
obj_t BgL_cz00_240;
BgL_cz00_240 = 
BGl_bdbzd2manglezd2zzpatient_manglingz00(BgL_exprz00_7); 
if(
STRINGP(BgL_cz00_240))
{ /* Command/expr.scm 106 */
return BgL_cz00_240;}  else 
{ /* Command/expr.scm 106 */
return BFALSE;} } } } 

}



/* bigloo-expr->gdb-expr */
obj_t BGl_bigloozd2exprzd2ze3gdbzd2exprz31zzcommand_exprz00(obj_t BgL_exprz00_11, obj_t BgL_gdbzd2funzd2_12)
{
{ /* Command/expr.scm 134 */
{ /* Command/expr.scm 137 */
obj_t BgL_zc3z04anonymousza31041ze3z87_358;
BgL_zc3z04anonymousza31041ze3z87_358 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31041ze3ze5zzcommand_exprz00, 
(int)(((long)0)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31041ze3z87_358, 
(int)(((long)0)), BgL_exprz00_11); 
PROCEDURE_SET(BgL_zc3z04anonymousza31041ze3z87_358, 
(int)(((long)1)), BgL_gdbzd2funzd2_12); 
return 
BGl_z62tryz62zz__errorz00(BgL_zc3z04anonymousza31041ze3z87_358, BGl_proc1203z00zzcommand_exprz00);} } 

}



/* &<@anonymous:1045> */
obj_t BGl_z62zc3z04anonymousza31045ze3ze5zzcommand_exprz00(obj_t BgL_envz00_359, obj_t BgL_escapez00_360, obj_t BgL_objz00_361, obj_t BgL_procz00_362, obj_t BgL_msgz00_363)
{
{ /* Command/expr.scm 145 */
BGl_bdbzd2notifyzd2errorz00zztools_errorz00(BgL_objz00_361, BgL_procz00_362, BgL_msgz00_363); 
return 
PROCEDURE_ENTRY(BgL_escapez00_360)(BgL_escapez00_360, BFALSE, BEOA);} 

}



/* &<@anonymous:1041> */
obj_t BGl_z62zc3z04anonymousza31041ze3ze5zzcommand_exprz00(obj_t BgL_envz00_364)
{
{ /* Command/expr.scm 137 */
{ /* Command/expr.scm 137 */
obj_t BgL_exprz00_365;obj_t BgL_gdbzd2funzd2_366;
BgL_exprz00_365 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_364, 
(int)(((long)0)))); 
BgL_gdbzd2funzd2_366 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_364, 
(int)(((long)1)))); 
{ /* Command/expr.scm 137 */
obj_t BgL_portz00_385;
{ /* Command/expr.scm 137 */
long BgL_endz00_386;
BgL_endz00_386 = 
STRING_LENGTH(BgL_exprz00_365); 
{ /* Command/expr.scm 137 */

BgL_portz00_385 = 
BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(BgL_exprz00_365, 
BINT(((long)0)), 
BINT(BgL_endz00_386)); } } 
{ /* Command/expr.scm 138 */
obj_t BgL_exitd1014z00_387;
BgL_exitd1014z00_387 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Command/expr.scm 144 */
obj_t BgL_zc3z04anonymousza31044ze3z87_388;
BgL_zc3z04anonymousza31044ze3z87_388 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31044ze3ze5zzcommand_exprz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31044ze3z87_388, 
(int)(((long)0)), BgL_portz00_385); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1014z00_387, BgL_zc3z04anonymousza31044ze3z87_388); 
{ /* Command/expr.scm 139 */
obj_t BgL_tmp1016z00_389;
{ /* Command/expr.scm 139 */
obj_t BgL_expz00_390;
{ /* Command/expr.scm 139 */
obj_t BgL_list1043z00_391;
BgL_list1043z00_391 = 
MAKE_YOUNG_PAIR(BgL_portz00_385, BNIL); 
BgL_expz00_390 = 
BGl_readzd2casezd2sensitivez00zz__readerz00(BgL_list1043z00_391); } 
{ /* Command/expr.scm 139 */
obj_t BgL_eofz00_392;
{ /* Command/expr.scm 140 */

{ /* Command/expr.scm 140 */

BgL_eofz00_392 = 
BGl_readz00zz__readerz00(BgL_portz00_385, BFALSE); } } 
{ /* Command/expr.scm 140 */

{ /* Command/expr.scm 141 */
bool_t BgL_test1286z00_526;
{ /* Command/expr.scm 141 */
bool_t BgL_res1182z00_393;
BgL_res1182z00_393 = 
EOF_OBJECTP(BgL_eofz00_392); 
BgL_test1286z00_526 = BgL_res1182z00_393; } 
if(BgL_test1286z00_526)
{ /* Command/expr.scm 141 */
BgL_tmp1016z00_389 = 
BGl_compilezd2exprzd2zzcommand_exprz00(BgL_expz00_390, BgL_gdbzd2funzd2_366); }  else 
{ /* Command/expr.scm 141 */
BgL_tmp1016z00_389 = 
BGl_errorz00zz__errorz00(BGl_string1204z00zzcommand_exprz00, BGl_string1205z00zzcommand_exprz00, BgL_eofz00_392); } } } } } 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1014z00_387); 
bgl_close_input_port(BgL_portz00_385); 
return BgL_tmp1016z00_389;} } } } } } 

}



/* &<@anonymous:1044> */
obj_t BGl_z62zc3z04anonymousza31044ze3ze5zzcommand_exprz00(obj_t BgL_envz00_367)
{
{ /* Command/expr.scm 138 */
{ /* Command/expr.scm 144 */
obj_t BgL_portz00_368;
BgL_portz00_368 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_367, 
(int)(((long)0)))); 
return 
bgl_close_input_port(BgL_portz00_368);} } 

}



/* compile-expr */
obj_t BGl_compilezd2exprzd2zzcommand_exprz00(obj_t BgL_expz00_13, obj_t BgL_gdbzd2funzd2_14)
{
{ /* Command/expr.scm 154 */
return 
BGl_compileze70ze7zzcommand_exprz00(BgL_gdbzd2funzd2_14, BgL_expz00_13, 
CNST_TABLE_REF(((long)1)));} 

}



/* loop~0 */
obj_t BGl_loopze70ze7zzcommand_exprz00(obj_t BgL_gdbzd2funzd2_369, obj_t BgL_bodyz00_174)
{
{ /* Command/expr.scm 191 */
if(
NULLP(
CDR(
((obj_t)BgL_bodyz00_174))))
{ /* Command/expr.scm 193 */
obj_t BgL_arg1134z00_178;
{ /* Command/expr.scm 193 */
obj_t BgL_arg1136z00_179;
BgL_arg1136z00_179 = 
CAR(
((obj_t)BgL_bodyz00_174)); 
BgL_arg1134z00_178 = 
BGl_compileze70ze7zzcommand_exprz00(BgL_gdbzd2funzd2_369, BgL_arg1136z00_179, 
CNST_TABLE_REF(((long)1))); } 
return 
string_append(BgL_arg1134z00_178, BGl_string1206z00zzcommand_exprz00);}  else 
{ /* Command/expr.scm 194 */
obj_t BgL_arg1137z00_180;obj_t BgL_arg1138z00_181;
{ /* Command/expr.scm 194 */
obj_t BgL_arg1139z00_182;
BgL_arg1139z00_182 = 
CAR(
((obj_t)BgL_bodyz00_174)); 
BgL_arg1137z00_180 = 
BGl_compileze70ze7zzcommand_exprz00(BgL_gdbzd2funzd2_369, BgL_arg1139z00_182, 
CNST_TABLE_REF(((long)1))); } 
{ /* Command/expr.scm 195 */
obj_t BgL_arg1141z00_183;
BgL_arg1141z00_183 = 
CDR(
((obj_t)BgL_bodyz00_174)); 
BgL_arg1138z00_181 = 
BGl_loopze70ze7zzcommand_exprz00(BgL_gdbzd2funzd2_369, BgL_arg1141z00_183); } 
return 
string_append_3(BgL_arg1137z00_180, BGl_string1207z00zzcommand_exprz00, BgL_arg1138z00_181);} } 

}



/* loop~1 */
obj_t BGl_loopze71ze7zzcommand_exprz00(obj_t BgL_gdbzd2funzd2_370, obj_t BgL_argsz00_194)
{
{ /* Command/expr.scm 198 */
if(
NULLP(BgL_argsz00_194))
{ /* Command/expr.scm 199 */
return BGl_string1208z00zzcommand_exprz00;}  else 
{ /* Command/expr.scm 201 */
obj_t BgL_argz00_197;
{ /* Command/expr.scm 201 */
obj_t BgL_arg1162z00_205;
BgL_arg1162z00_205 = 
CAR(
((obj_t)BgL_argsz00_194)); 
BgL_argz00_197 = 
BGl_compileze70ze7zzcommand_exprz00(BgL_gdbzd2funzd2_370, BgL_arg1162z00_205, 
CNST_TABLE_REF(((long)1))); } 
{ /* Command/expr.scm 204 */
obj_t BgL_arg1151z00_198;
{ /* Command/expr.scm 204 */
obj_t BgL_arg1161z00_204;
BgL_arg1161z00_204 = 
CDR(
((obj_t)BgL_argsz00_194)); 
BgL_arg1151z00_198 = 
BGl_loopze71ze7zzcommand_exprz00(BgL_gdbzd2funzd2_370, BgL_arg1161z00_204); } 
{ /* Command/expr.scm 202 */
obj_t BgL_list1152z00_199;
{ /* Command/expr.scm 202 */
obj_t BgL_arg1153z00_200;
{ /* Command/expr.scm 202 */
obj_t BgL_arg1154z00_201;
{ /* Command/expr.scm 202 */
obj_t BgL_arg1156z00_202;
{ /* Command/expr.scm 202 */
obj_t BgL_arg1157z00_203;
BgL_arg1157z00_203 = 
MAKE_YOUNG_PAIR(BGl_string1206z00zzcommand_exprz00, BNIL); 
BgL_arg1156z00_202 = 
MAKE_YOUNG_PAIR(BgL_arg1151z00_198, BgL_arg1157z00_203); } 
BgL_arg1154z00_201 = 
MAKE_YOUNG_PAIR(BGl_string1207z00zzcommand_exprz00, BgL_arg1156z00_202); } 
BgL_arg1153z00_200 = 
MAKE_YOUNG_PAIR(BgL_argz00_197, BgL_arg1154z00_201); } 
BgL_list1152z00_199 = 
MAKE_YOUNG_PAIR(BGl_string1209z00zzcommand_exprz00, BgL_arg1153z00_200); } 
return 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list1152z00_199);} } } } 

}



/* compile~0 */
obj_t BGl_compileze70ze7zzcommand_exprz00(obj_t BgL_gdbzd2funzd2_371, obj_t BgL_expz00_79, obj_t BgL_sitez00_80)
{
{ /* Command/expr.scm 206 */
{ 
obj_t BgL_bodyz00_95;obj_t BgL_funz00_97;obj_t BgL_argsz00_98;
if(
SYMBOLP(BgL_expz00_79))
{ /* Command/expr.scm 206 */
{ /* Command/expr.scm 158 */
obj_t BgL_strz00_144;
{ /* Command/expr.scm 158 */
obj_t BgL_res1183z00_265;
{ /* Command/expr.scm 158 */
obj_t BgL_arg1429z00_264;
BgL_arg1429z00_264 = 
SYMBOL_TO_STRING(
((obj_t)BgL_expz00_79)); 
BgL_res1183z00_265 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1429z00_264); } 
BgL_strz00_144 = BgL_res1183z00_265; } 
{ /* Command/expr.scm 158 */
obj_t BgL_cz00_145;
BgL_cz00_145 = 
BGl_bdbzd2mangle2zd2zzpatient_manglingz00(BgL_gdbzd2funzd2_371, BgL_strz00_144); 
{ /* Command/expr.scm 159 */

if(
STRINGP(BgL_cz00_145))
{ /* Command/expr.scm 160 */
return BgL_cz00_145;}  else 
{ /* Command/expr.scm 162 */
obj_t BgL_cz00_147;
if(
(BgL_sitez00_80==
CNST_TABLE_REF(((long)2))))
{ /* Command/expr.scm 162 */
BgL_cz00_147 = 
BGl_bdbzd2manglezd2forzd2funcallzd2zzpatient_manglingz00(BgL_strz00_144); }  else 
{ /* Command/expr.scm 162 */
BgL_cz00_147 = 
BGl_bdbzd2manglezd2zzpatient_manglingz00(BgL_strz00_144); } 
if(
STRINGP(BgL_cz00_147))
{ /* Command/expr.scm 165 */
return BgL_cz00_147;}  else 
{ /* Command/expr.scm 165 */
return 
BGl_errorz00zz__errorz00(BGl_string1204z00zzcommand_exprz00, BGl_string1215z00zzcommand_exprz00, BgL_strz00_144);} } } } } }  else 
{ /* Command/expr.scm 206 */
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_expz00_79))
{ /* Command/expr.scm 169 */
obj_t BgL_arg1097z00_298;
{ /* Command/expr.scm 169 */

BgL_arg1097z00_298 = 
BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(BgL_expz00_79, 
BINT(((long)10))); } 
return 
string_append_3(BGl_string1216z00zzcommand_exprz00, BgL_arg1097z00_298, BGl_string1210z00zzcommand_exprz00);}  else 
{ /* Command/expr.scm 206 */
if(
BOOLEANP(BgL_expz00_79))
{ /* Command/expr.scm 206 */
if(
CBOOL(BgL_expz00_79))
{ /* Command/expr.scm 171 */
return BGl_string1217z00zzcommand_exprz00;}  else 
{ /* Command/expr.scm 171 */
return BGl_string1218z00zzcommand_exprz00;} }  else 
{ /* Command/expr.scm 206 */
if(
CHARP(BgL_expz00_79))
{ /* Command/expr.scm 206 */
{ /* Command/expr.scm 173 */
obj_t BgL_arg1098z00_153;
{ /* Command/expr.scm 173 */

BgL_arg1098z00_153 = 
BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(
BINT(
(
CCHAR(BgL_expz00_79))), 
BINT(((long)10))); } 
return 
string_append_3(BGl_string1214z00zzcommand_exprz00, BgL_arg1098z00_153, BGl_string1210z00zzcommand_exprz00);} }  else 
{ /* Command/expr.scm 206 */
if(
NULLP(BgL_expz00_79))
{ /* Command/expr.scm 206 */
return BGl_string1208z00zzcommand_exprz00;}  else 
{ /* Command/expr.scm 206 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_expz00_79, BUNSPEC))
{ /* Command/expr.scm 206 */
return BGl_string1219z00zzcommand_exprz00;}  else 
{ /* Command/expr.scm 206 */
if(
PAIRP(BgL_expz00_79))
{ /* Command/expr.scm 206 */
obj_t BgL_cdrzd2157zd2_108;
BgL_cdrzd2157zd2_108 = 
CDR(BgL_expz00_79); 
if(
(
CAR(BgL_expz00_79)==
CNST_TABLE_REF(((long)3))))
{ /* Command/expr.scm 206 */
if(
PAIRP(BgL_cdrzd2157zd2_108))
{ /* Command/expr.scm 206 */
obj_t BgL_cdrzd2161zd2_112;
BgL_cdrzd2161zd2_112 = 
CDR(BgL_cdrzd2157zd2_108); 
if(
PAIRP(BgL_cdrzd2161zd2_112))
{ /* Command/expr.scm 206 */
if(
NULLP(
CDR(BgL_cdrzd2161zd2_112)))
{ /* Command/expr.scm 206 */
obj_t BgL_arg1060z00_116;obj_t BgL_arg1061z00_117;
BgL_arg1060z00_116 = 
CAR(BgL_cdrzd2157zd2_108); 
BgL_arg1061z00_117 = 
CAR(BgL_cdrzd2161zd2_112); 
{ /* Command/expr.scm 179 */
obj_t BgL_arg1100z00_314;obj_t BgL_arg1101z00_315;
BgL_arg1100z00_314 = 
BGl_compileze70ze7zzcommand_exprz00(BgL_gdbzd2funzd2_371, BgL_arg1060z00_116, 
CNST_TABLE_REF(((long)1))); 
BgL_arg1101z00_315 = 
BGl_compileze70ze7zzcommand_exprz00(BgL_gdbzd2funzd2_371, BgL_arg1061z00_117, 
CNST_TABLE_REF(((long)1))); 
{ /* Command/expr.scm 179 */
obj_t BgL_list1102z00_316;
{ /* Command/expr.scm 179 */
obj_t BgL_arg1103z00_317;
{ /* Command/expr.scm 179 */
obj_t BgL_arg1104z00_318;
{ /* Command/expr.scm 179 */
obj_t BgL_arg1105z00_319;
BgL_arg1105z00_319 = 
MAKE_YOUNG_PAIR(BgL_arg1101z00_315, BNIL); 
BgL_arg1104z00_318 = 
MAKE_YOUNG_PAIR(BGl_string1220z00zzcommand_exprz00, BgL_arg1105z00_319); } 
BgL_arg1103z00_317 = 
MAKE_YOUNG_PAIR(BgL_arg1100z00_314, BgL_arg1104z00_318); } 
BgL_list1102z00_316 = 
MAKE_YOUNG_PAIR(BGl_string1221z00zzcommand_exprz00, BgL_arg1103z00_317); } 
return 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list1102z00_316);} } }  else 
{ /* Command/expr.scm 206 */
obj_t BgL_cdrzd2186zd2_119;
BgL_cdrzd2186zd2_119 = 
CDR(
((obj_t)BgL_cdrzd2157zd2_108)); 
{ /* Command/expr.scm 206 */
obj_t BgL_cdrzd2193zd2_120;
BgL_cdrzd2193zd2_120 = 
CDR(
((obj_t)BgL_cdrzd2186zd2_119)); 
if(
PAIRP(BgL_cdrzd2193zd2_120))
{ /* Command/expr.scm 206 */
if(
NULLP(
CDR(BgL_cdrzd2193zd2_120)))
{ /* Command/expr.scm 206 */
obj_t BgL_arg1065z00_124;obj_t BgL_arg1066z00_125;obj_t BgL_arg1067z00_126;
BgL_arg1065z00_124 = 
CAR(
((obj_t)BgL_cdrzd2157zd2_108)); 
BgL_arg1066z00_125 = 
CAR(
((obj_t)BgL_cdrzd2186zd2_119)); 
BgL_arg1067z00_126 = 
CAR(BgL_cdrzd2193zd2_120); 
{ /* Command/expr.scm 182 */
obj_t BgL_arg1106z00_329;obj_t BgL_arg1107z00_330;obj_t BgL_arg1108z00_331;
BgL_arg1106z00_329 = 
BGl_compileze70ze7zzcommand_exprz00(BgL_gdbzd2funzd2_371, BgL_arg1065z00_124, 
CNST_TABLE_REF(((long)1))); 
BgL_arg1107z00_330 = 
BGl_compileze70ze7zzcommand_exprz00(BgL_gdbzd2funzd2_371, BgL_arg1066z00_125, 
CNST_TABLE_REF(((long)1))); 
BgL_arg1108z00_331 = 
BGl_compileze70ze7zzcommand_exprz00(BgL_gdbzd2funzd2_371, BgL_arg1067z00_126, 
CNST_TABLE_REF(((long)1))); 
{ /* Command/expr.scm 181 */
obj_t BgL_list1109z00_332;
{ /* Command/expr.scm 181 */
obj_t BgL_arg1113z00_333;
{ /* Command/expr.scm 181 */
obj_t BgL_arg1114z00_334;
{ /* Command/expr.scm 181 */
obj_t BgL_arg1116z00_335;
{ /* Command/expr.scm 181 */
obj_t BgL_arg1117z00_336;
{ /* Command/expr.scm 181 */
obj_t BgL_arg1118z00_337;
BgL_arg1118z00_337 = 
MAKE_YOUNG_PAIR(BgL_arg1108z00_331, BNIL); 
BgL_arg1117z00_336 = 
MAKE_YOUNG_PAIR(BGl_string1222z00zzcommand_exprz00, BgL_arg1118z00_337); } 
BgL_arg1116z00_335 = 
MAKE_YOUNG_PAIR(BgL_arg1107z00_330, BgL_arg1117z00_336); } 
BgL_arg1114z00_334 = 
MAKE_YOUNG_PAIR(BGl_string1220z00zzcommand_exprz00, BgL_arg1116z00_335); } 
BgL_arg1113z00_333 = 
MAKE_YOUNG_PAIR(BgL_arg1106z00_329, BgL_arg1114z00_334); } 
BgL_list1109z00_332 = 
MAKE_YOUNG_PAIR(BGl_string1221z00zzcommand_exprz00, BgL_arg1113z00_333); } 
return 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list1109z00_332);} } }  else 
{ /* Command/expr.scm 206 */
BgL_funz00_97 = 
CAR(BgL_expz00_79); 
BgL_argsz00_98 = 
CDR(BgL_expz00_79); 
BgL_tagzd2110zd2_99:
{ /* Command/expr.scm 197 */
obj_t BgL_funz00_186;
BgL_funz00_186 = 
BGl_compileze70ze7zzcommand_exprz00(BgL_gdbzd2funzd2_371, BgL_funz00_97, 
CNST_TABLE_REF(((long)2))); 
{ /* Command/expr.scm 197 */
obj_t BgL_argsz00_187;
BgL_argsz00_187 = 
BGl_loopze71ze7zzcommand_exprz00(BgL_gdbzd2funzd2_371, BgL_argsz00_98); 
{ /* Command/expr.scm 198 */

{ /* Command/expr.scm 206 */
obj_t BgL_list1143z00_188;
{ /* Command/expr.scm 206 */
obj_t BgL_arg1144z00_189;
{ /* Command/expr.scm 206 */
obj_t BgL_arg1145z00_190;
{ /* Command/expr.scm 206 */
obj_t BgL_arg1146z00_191;
{ /* Command/expr.scm 206 */
obj_t BgL_arg1147z00_192;
BgL_arg1147z00_192 = 
MAKE_YOUNG_PAIR(BGl_string1210z00zzcommand_exprz00, BNIL); 
BgL_arg1146z00_191 = 
MAKE_YOUNG_PAIR(BgL_argsz00_187, BgL_arg1147z00_192); } 
BgL_arg1145z00_190 = 
MAKE_YOUNG_PAIR(BGl_string1207z00zzcommand_exprz00, BgL_arg1146z00_191); } 
BgL_arg1144z00_189 = 
MAKE_YOUNG_PAIR(BgL_funz00_186, BgL_arg1145z00_190); } 
BgL_list1143z00_188 = 
MAKE_YOUNG_PAIR(BGl_string1211z00zzcommand_exprz00, BgL_arg1144z00_189); } 
return 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list1143z00_188);} } } } } }  else 
{ 
obj_t BgL_argsz00_673;obj_t BgL_funz00_671;
BgL_funz00_671 = 
CAR(BgL_expz00_79); 
BgL_argsz00_673 = 
CDR(BgL_expz00_79); 
BgL_argsz00_98 = BgL_argsz00_673; 
BgL_funz00_97 = BgL_funz00_671; 
goto BgL_tagzd2110zd2_99;} } } }  else 
{ 
obj_t BgL_argsz00_677;obj_t BgL_funz00_675;
BgL_funz00_675 = 
CAR(BgL_expz00_79); 
BgL_argsz00_677 = BgL_cdrzd2157zd2_108; 
BgL_argsz00_98 = BgL_argsz00_677; 
BgL_funz00_97 = BgL_funz00_675; 
goto BgL_tagzd2110zd2_99;} }  else 
{ 
obj_t BgL_argsz00_680;obj_t BgL_funz00_678;
BgL_funz00_678 = 
CAR(BgL_expz00_79); 
BgL_argsz00_680 = BgL_cdrzd2157zd2_108; 
BgL_argsz00_98 = BgL_argsz00_680; 
BgL_funz00_97 = BgL_funz00_678; 
goto BgL_tagzd2110zd2_99;} }  else 
{ /* Command/expr.scm 206 */
if(
(
CAR(BgL_expz00_79)==
CNST_TABLE_REF(((long)4))))
{ /* Command/expr.scm 206 */
BgL_bodyz00_95 = BgL_cdrzd2157zd2_108; 
if(
NULLP(BgL_bodyz00_95))
{ /* Command/expr.scm 187 */
return BGl_string1212z00zzcommand_exprz00;}  else 
{ /* Command/expr.scm 187 */
return 
BGl_loopze70ze7zzcommand_exprz00(BgL_gdbzd2funzd2_371, BgL_bodyz00_95);} }  else 
{ 
obj_t BgL_argsz00_690;obj_t BgL_funz00_688;
BgL_funz00_688 = 
CAR(BgL_expz00_79); 
BgL_argsz00_690 = BgL_cdrzd2157zd2_108; 
BgL_argsz00_98 = BgL_argsz00_690; 
BgL_funz00_97 = BgL_funz00_688; 
goto BgL_tagzd2110zd2_99;} } }  else 
{ /* Command/expr.scm 206 */
return BFALSE;} } } } } } } } } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zzcommand_exprz00()
{
{ /* Command/expr.scm 14 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zzcommand_exprz00()
{
{ /* Command/expr.scm 14 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zzcommand_exprz00()
{
{ /* Command/expr.scm 14 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzcommand_exprz00()
{
{ /* Command/expr.scm 14 */
BGl_modulezd2initializa7ationz75zztools_toolsz00(((long)85148931), 
BSTRING_TO_STRING(BGl_string1223z00zzcommand_exprz00)); 
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)222649143), 
BSTRING_TO_STRING(BGl_string1223z00zzcommand_exprz00)); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)203313037), 
BSTRING_TO_STRING(BGl_string1223z00zzcommand_exprz00)); 
BGl_modulezd2initializa7ationz75zzpatient_manglingz00(((long)448820806), 
BSTRING_TO_STRING(BGl_string1223z00zzcommand_exprz00)); 
return 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)249086913), 
BSTRING_TO_STRING(BGl_string1223z00zzcommand_exprz00));} 

}

#ifdef __cplusplus
}
#endif
