/*===========================================================================*/
/*   (Eval/progn.scm)                                                        */
/*   Bigloo (4.3h)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue 12 May 2020 08:36:09 AM CEST    */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.3h/bin/bigloo -srfi enable-resolv -srfi enable-unistring -srfi enable-pcre -srfi enable-gmp -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.3h/lib/bigloo/4.3h -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo-4.3h/lib/bigloo/4.3h -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Eval/progn.scm -o objs/obj_p/Eval/progn.o) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
static obj_t BGl_requirezd2initializa7ationz75zz__prognz00 = BUNSPEC;
static obj_t BGl_symbol1693z00zz__prognz00 = BUNSPEC;
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__prognz00();
static obj_t BGl_objectzd2initzd2zz__prognz00();
extern obj_t bstring_to_symbol(obj_t);
static obj_t BGl_appendzd221010zd2zz__prognz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__prognz00();
BGL_EXPORTED_DECL obj_t BGl_evepairifyza2za2zz__prognz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_evepairifyzd2deepzd2zz__prognz00(obj_t, obj_t);
static obj_t BGl_z62evepairifyzd2deepzb0zz__prognz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62expandzd2prognzb0zz__prognz00(obj_t, obj_t);
static obj_t BGl_flattenzd2sequenceze70z35zz__prognz00(obj_t);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
extern bool_t BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl_makezd2epairzd2zz__prognz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_evepairifyz00zz__prognz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_z62evepairifyz62zz__prognz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62evepairifyza2zc0zz__prognz00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__prognz00();
static obj_t BGl_importedzd2moduleszd2initz00zz__prognz00();
static obj_t BGl_gczd2rootszd2initz00zz__prognz00();
static obj_t BGl_profzd2initzd2zz__prognz00();
static obj_t BGl_loopze70ze7zz__prognz00(obj_t, obj_t);
static obj_t BGl_loopze71ze7zz__prognz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_expandzd2prognzd2zz__prognz00(obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_evepairifyzd2envzd2zz__prognz00, BgL_bgl_za762evepairifyza7621700z00, BGl_z62evepairifyz62zz__prognz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_evepairifyza2zd2envz70zz__prognz00, BgL_bgl_za762evepairifyza7a21701z00, BGl_z62evepairifyza2zc0zz__prognz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_evepairifyzd2deepzd2envz00zz__prognz00, BgL_bgl_za762evepairifyza7d21702z00, BGl_z62evepairifyzd2deepzb0zz__prognz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_expandzd2prognzd2envz00zz__prognz00, BgL_bgl_za762expandza7d2prog1703z00, BGl_z62expandzd2prognzb0zz__prognz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1694z00zz__prognz00, BgL_bgl_string1694za700za7za7_1704za7, "begin", 5 );
DEFINE_STRING( BGl_string1695z00zz__prognz00, BgL_bgl_string1695za700za7za7_1705za7, "Illegal form", 12 );
DEFINE_STRING( BGl_string1696z00zz__prognz00, BgL_bgl_string1696za700za7za7_1706za7, "/builddir/build/BUILD/bigloo-4.3h/runtime/Eval/progn.scm", 56 );
DEFINE_STRING( BGl_string1697z00zz__prognz00, BgL_bgl_string1697za700za7za7_1707za7, "&expand-progn", 13 );
DEFINE_STRING( BGl_string1698z00zz__prognz00, BgL_bgl_string1698za700za7za7_1708za7, "pair-nil", 8 );
DEFINE_STRING( BGl_string1699z00zz__prognz00, BgL_bgl_string1699za700za7za7_1709za7, "__progn", 7 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__prognz00) );
ADD_ROOT( (void *)(&BGl_symbol1693z00zz__prognz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__prognz00\")\n", (FILE *)bprof_port );
      fputs( "(\"append-21010\" \"BGl_appendzd221010zd2zz__prognz00\")\n", (FILE *)bprof_port );
      fputs( "((\"make-epair\" \"Eval/progn.scm\" 1864) \"BGl_makezd2epairzd2zz__prognz00\")\n", (FILE *)bprof_port );
      fputs( "((\"evepairify\" \"Eval/progn.scm\" 2679) \"BGl_evepairifyz00zz__prognz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&evepairify\" \"Eval/progn.scm\" 2679) \"BGl_z62evepairifyz62zz__prognz00\")\n", (FILE *)bprof_port );
      fputs( "((\"evepairify*\" \"Eval/progn.scm\" 3491) \"BGl_evepairifyza2za2zz__prognz00\")\n", (FILE *)bprof_port );
      fputs( "((\"loop~1\" \"Eval/progn.scm\" 3597) \"BGl_loopze71ze7zz__prognz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&evepairify*\" \"Eval/progn.scm\" 3491) \"BGl_z62evepairifyza2zc0zz__prognz00\")\n", (FILE *)bprof_port );
      fputs( "((\"evepairify-deep\" \"Eval/progn.scm\" 3969) \"BGl_evepairifyzd2deepzd2zz__prognz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&evepairify-deep\" \"Eval/progn.scm\" 3969) \"BGl_z62evepairifyzd2deepzb0zz__prognz00\")\n", (FILE *)bprof_port );
      fputs( "((\"expand-progn\" \"Eval/progn.scm\" 4712) \"BGl_expandzd2prognzd2zz__prognz00\")\n", (FILE *)bprof_port );
      fputs( "((\"loop~0\" \"Eval/progn.scm\" 4791) \"BGl_loopze70ze7zz__prognz00\")\n", (FILE *)bprof_port );
      fputs( "((\"flatten-sequence~0\" \"Eval/progn.scm\" 5147) \"BGl_flattenzd2sequenceze70z35zz__prognz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&expand-progn\" \"Eval/progn.scm\" 4712) \"BGl_z62expandzd2prognzb0zz__prognz00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long BgL_checksumz00_1898, char * BgL_fromz00_1899)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__prognz00))
{ 
BGl_requirezd2initializa7ationz75zz__prognz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__prognz00(); 
BGl_cnstzd2initzd2zz__prognz00(); 
BGl_importedzd2moduleszd2initz00zz__prognz00(); 
return 
BGl_profzd2initzd2zz__prognz00();}  else 
{ 
return BUNSPEC;} } 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__prognz00()
{
{ /* Eval/progn.scm 14 */
return ( 
BGl_symbol1693z00zz__prognz00 = 
bstring_to_symbol(BGl_string1694z00zz__prognz00), BUNSPEC) ;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__prognz00()
{
{ /* Eval/progn.scm 14 */
return 
bgl_gc_roots_register();} 

}



/* prof-init */
obj_t BGl_profzd2initzd2zz__prognz00()
{
{ /* Eval/progn.scm 14 */
return 
write_bprof_table();} 

}



/* append-21010 */
obj_t BGl_appendzd221010zd2zz__prognz00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
{
{ 
{ 
obj_t BgL_headz00_1063;
BgL_headz00_1063 = 
MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2); 
{ 
obj_t BgL_prevz00_1064;obj_t BgL_tailz00_1065;
BgL_prevz00_1064 = BgL_headz00_1063; 
BgL_tailz00_1065 = BgL_l1z00_1; 
BgL_loopz00_1066:
if(
PAIRP(BgL_tailz00_1065))
{ 
obj_t BgL_newzd2prevzd2_1068;
BgL_newzd2prevzd2_1068 = 
MAKE_YOUNG_PAIR(
CAR(BgL_tailz00_1065), BgL_l2z00_2); 
SET_CDR(BgL_prevz00_1064, BgL_newzd2prevzd2_1068); 
{ 
obj_t BgL_tailz00_1917;obj_t BgL_prevz00_1916;
BgL_prevz00_1916 = BgL_newzd2prevzd2_1068; 
BgL_tailz00_1917 = 
CDR(BgL_tailz00_1065); 
BgL_tailz00_1065 = BgL_tailz00_1917; 
BgL_prevz00_1064 = BgL_prevz00_1916; 
goto BgL_loopz00_1066;} }  else 
{ BNIL; } 
return 
CDR(BgL_headz00_1063);} } } 

}



/* make-epair */
obj_t BGl_makezd2epairzd2zz__prognz00(obj_t BgL_az00_3, obj_t BgL_bz00_4, obj_t BgL_ez00_5)
{
{ /* Eval/progn.scm 55 */
{ /* Eval/progn.scm 57 */
bool_t BgL_test1713z00_1920;
{ /* Eval/progn.scm 57 */
bool_t BgL_res1614z00_1579;
BgL_res1614z00_1579 = 
EPAIRP(BgL_ez00_5); 
BgL_test1713z00_1920 = BgL_res1614z00_1579; } 
if(BgL_test1713z00_1920)
{ /* Eval/progn.scm 58 */
obj_t BgL_arg1139z00_1072;
BgL_arg1139z00_1072 = 
CER(
((obj_t)BgL_ez00_5)); 
{ /* Eval/progn.scm 58 */
obj_t BgL_res1615z00_1581;
BgL_res1615z00_1581 = 
MAKE_YOUNG_EPAIR(BgL_az00_3, BgL_bz00_4, BgL_arg1139z00_1072); 
return BgL_res1615z00_1581;} }  else 
{ /* Eval/progn.scm 59 */
bool_t BgL_test1714z00_1925;
{ /* Eval/progn.scm 59 */
bool_t BgL_res1616z00_1582;
BgL_res1616z00_1582 = 
EPAIRP(BgL_bz00_4); 
BgL_test1714z00_1925 = BgL_res1616z00_1582; } 
if(BgL_test1714z00_1925)
{ /* Eval/progn.scm 60 */
obj_t BgL_arg1141z00_1074;
BgL_arg1141z00_1074 = 
CER(
((obj_t)BgL_bz00_4)); 
{ /* Eval/progn.scm 60 */
obj_t BgL_res1617z00_1584;
BgL_res1617z00_1584 = 
MAKE_YOUNG_EPAIR(BgL_az00_3, BgL_bz00_4, BgL_arg1141z00_1074); 
return BgL_res1617z00_1584;} }  else 
{ /* Eval/progn.scm 61 */
bool_t BgL_test1715z00_1930;
{ /* Eval/progn.scm 61 */
bool_t BgL_res1618z00_1585;
BgL_res1618z00_1585 = 
EPAIRP(BgL_az00_3); 
BgL_test1715z00_1930 = BgL_res1618z00_1585; } 
if(BgL_test1715z00_1930)
{ /* Eval/progn.scm 62 */
obj_t BgL_arg1143z00_1076;
BgL_arg1143z00_1076 = 
CER(
((obj_t)BgL_az00_3)); 
{ /* Eval/progn.scm 62 */
obj_t BgL_res1619z00_1587;
BgL_res1619z00_1587 = 
MAKE_YOUNG_EPAIR(BgL_az00_3, BgL_bz00_4, BgL_arg1143z00_1076); 
return BgL_res1619z00_1587;} }  else 
{ /* Eval/progn.scm 61 */
return 
MAKE_YOUNG_PAIR(BgL_az00_3, BgL_bz00_4);} } } } } 

}



/* evepairify */
BGL_EXPORTED_DEF obj_t BGl_evepairifyz00zz__prognz00(obj_t BgL_pairz00_6, obj_t BgL_epairz00_7)
{
{ /* Eval/progn.scm 74 */
{ /* Eval/progn.scm 76 */
bool_t BgL_test1716z00_1936;
{ /* Eval/progn.scm 76 */
bool_t BgL_res1620z00_1588;
BgL_res1620z00_1588 = 
EPAIRP(BgL_epairz00_7); 
BgL_test1716z00_1936 = BgL_res1620z00_1588; } 
if(BgL_test1716z00_1936)
{ /* Eval/progn.scm 78 */
bool_t BgL_test1717z00_1938;
{ /* Eval/progn.scm 78 */
bool_t BgL_res1621z00_1589;
BgL_res1621z00_1589 = 
EPAIRP(BgL_pairz00_6); 
BgL_test1717z00_1938 = BgL_res1621z00_1589; } 
if(BgL_test1717z00_1938)
{ /* Eval/progn.scm 78 */
return BgL_pairz00_6;}  else 
{ /* Eval/progn.scm 78 */
if(
PAIRP(BgL_pairz00_6))
{ /* Eval/progn.scm 83 */
obj_t BgL_arg1147z00_1080;obj_t BgL_arg1148z00_1081;obj_t BgL_arg1149z00_1082;
BgL_arg1147z00_1080 = 
CAR(BgL_pairz00_6); 
BgL_arg1148z00_1081 = 
CDR(BgL_pairz00_6); 
BgL_arg1149z00_1082 = 
CER(
((obj_t)BgL_epairz00_7)); 
{ /* Eval/progn.scm 83 */
obj_t BgL_res1623z00_1594;
BgL_res1623z00_1594 = 
MAKE_YOUNG_EPAIR(BgL_arg1147z00_1080, BgL_arg1148z00_1081, BgL_arg1149z00_1082); 
return BgL_res1623z00_1594;} }  else 
{ /* Eval/progn.scm 80 */
return BgL_pairz00_6;} } }  else 
{ /* Eval/progn.scm 76 */
return BgL_pairz00_6;} } } 

}



/* &evepairify */
obj_t BGl_z62evepairifyz62zz__prognz00(obj_t BgL_envz00_1883, obj_t BgL_pairz00_1884, obj_t BgL_epairz00_1885)
{
{ /* Eval/progn.scm 74 */
return 
BGl_evepairifyz00zz__prognz00(BgL_pairz00_1884, BgL_epairz00_1885);} 

}



/* evepairify* */
BGL_EXPORTED_DEF obj_t BGl_evepairifyza2za2zz__prognz00(obj_t BgL_pairz00_8, obj_t BgL_epairz00_9)
{
{ /* Eval/progn.scm 93 */
{ /* Eval/progn.scm 94 */
bool_t BgL_test1719z00_1948;
{ /* Eval/progn.scm 94 */
bool_t BgL_res1624z00_1595;
BgL_res1624z00_1595 = 
EPAIRP(BgL_epairz00_9); 
BgL_test1719z00_1948 = BgL_res1624z00_1595; } 
if(BgL_test1719z00_1948)
{ /* Eval/progn.scm 96 */
obj_t BgL_ez00_1084;
BgL_ez00_1084 = 
CER(
((obj_t)BgL_epairz00_9)); 
return 
BGl_loopze71ze7zz__prognz00(BgL_ez00_1084, BgL_pairz00_8);}  else 
{ /* Eval/progn.scm 94 */
return BgL_pairz00_8;} } } 

}



/* loop~1 */
obj_t BGl_loopze71ze7zz__prognz00(obj_t BgL_ez00_1895, obj_t BgL_objz00_1086)
{
{ /* Eval/progn.scm 97 */
if(
PAIRP(BgL_objz00_1086))
{ /* Eval/progn.scm 101 */
bool_t BgL_test1722z00_1955;
{ /* Eval/progn.scm 101 */
bool_t BgL_res1626z00_1598;
BgL_res1626z00_1598 = 
EPAIRP(BgL_objz00_1086); 
BgL_test1722z00_1955 = BgL_res1626z00_1598; } 
if(BgL_test1722z00_1955)
{ /* Eval/progn.scm 101 */
return BgL_objz00_1086;}  else 
{ /* Eval/progn.scm 104 */
obj_t BgL_arg1154z00_1090;obj_t BgL_arg1156z00_1091;
BgL_arg1154z00_1090 = 
BGl_loopze71ze7zz__prognz00(BgL_ez00_1895, 
CAR(BgL_objz00_1086)); 
BgL_arg1156z00_1091 = 
BGl_loopze71ze7zz__prognz00(BgL_ez00_1895, 
CDR(BgL_objz00_1086)); 
{ /* Eval/progn.scm 104 */
obj_t BgL_res1627z00_1601;
BgL_res1627z00_1601 = 
MAKE_YOUNG_EPAIR(BgL_arg1154z00_1090, BgL_arg1156z00_1091, BgL_ez00_1895); 
return BgL_res1627z00_1601;} } }  else 
{ /* Eval/progn.scm 99 */
return BgL_objz00_1086;} } 

}



/* &evepairify* */
obj_t BGl_z62evepairifyza2zc0zz__prognz00(obj_t BgL_envz00_1886, obj_t BgL_pairz00_1887, obj_t BgL_epairz00_1888)
{
{ /* Eval/progn.scm 93 */
return 
BGl_evepairifyza2za2zz__prognz00(BgL_pairz00_1887, BgL_epairz00_1888);} 

}



/* evepairify-deep */
BGL_EXPORTED_DEF obj_t BGl_evepairifyzd2deepzd2zz__prognz00(obj_t BgL_pairz00_10, obj_t BgL_epairz00_11)
{
{ /* Eval/progn.scm 109 */
{ /* Eval/progn.scm 111 */
bool_t BgL_test1723z00_1963;
{ /* Eval/progn.scm 111 */
bool_t BgL_res1628z00_1602;
BgL_res1628z00_1602 = 
EPAIRP(BgL_epairz00_11); 
BgL_test1723z00_1963 = BgL_res1628z00_1602; } 
if(BgL_test1723z00_1963)
{ /* Eval/progn.scm 111 */
if(
PAIRP(BgL_pairz00_10))
{ /* Eval/progn.scm 115 */
bool_t BgL_test1725z00_1967;
{ /* Eval/progn.scm 115 */
bool_t BgL_res1630z00_1604;
BgL_res1630z00_1604 = 
EPAIRP(BgL_pairz00_10); 
BgL_test1725z00_1967 = BgL_res1630z00_1604; } 
if(BgL_test1725z00_1967)
{ /* Eval/progn.scm 115 */
return BgL_pairz00_10;}  else 
{ /* Eval/progn.scm 118 */
obj_t BgL_arg1165z00_1098;obj_t BgL_arg1166z00_1099;obj_t BgL_arg1167z00_1100;
{ /* Eval/progn.scm 118 */
obj_t BgL_arg1169z00_1101;obj_t BgL_arg1170z00_1102;
BgL_arg1169z00_1101 = 
CAR(BgL_pairz00_10); 
BgL_arg1170z00_1102 = 
CAR(
((obj_t)BgL_epairz00_11)); 
BgL_arg1165z00_1098 = 
BGl_evepairifyzd2deepzd2zz__prognz00(BgL_arg1169z00_1101, BgL_arg1170z00_1102); } 
{ /* Eval/progn.scm 119 */
obj_t BgL_arg1171z00_1103;obj_t BgL_arg1172z00_1104;
BgL_arg1171z00_1103 = 
CDR(BgL_pairz00_10); 
BgL_arg1172z00_1104 = 
CDR(
((obj_t)BgL_epairz00_11)); 
BgL_arg1166z00_1099 = 
BGl_evepairifyzd2deepzd2zz__prognz00(BgL_arg1171z00_1103, BgL_arg1172z00_1104); } 
BgL_arg1167z00_1100 = 
CER(
((obj_t)BgL_epairz00_11)); 
{ /* Eval/progn.scm 118 */
obj_t BgL_res1631z00_1610;
BgL_res1631z00_1610 = 
MAKE_YOUNG_EPAIR(BgL_arg1165z00_1098, BgL_arg1166z00_1099, BgL_arg1167z00_1100); 
return BgL_res1631z00_1610;} } }  else 
{ /* Eval/progn.scm 113 */
return BgL_pairz00_10;} }  else 
{ /* Eval/progn.scm 111 */
return BgL_pairz00_10;} } } 

}



/* &evepairify-deep */
obj_t BGl_z62evepairifyzd2deepzb0zz__prognz00(obj_t BgL_envz00_1889, obj_t BgL_pairz00_1890, obj_t BgL_epairz00_1891)
{
{ /* Eval/progn.scm 109 */
return 
BGl_evepairifyzd2deepzd2zz__prognz00(BgL_pairz00_1890, BgL_epairz00_1891);} 

}



/* expand-progn */
BGL_EXPORTED_DEF obj_t BGl_expandzd2prognzd2zz__prognz00(obj_t BgL_expsz00_12)
{
{ /* Eval/progn.scm 128 */
if(
NULLP(BgL_expsz00_12))
{ /* Eval/progn.scm 142 */
return BUNSPEC;}  else 
{ /* Eval/progn.scm 142 */
if(
NULLP(
CDR(BgL_expsz00_12)))
{ /* Eval/progn.scm 144 */
return 
CAR(BgL_expsz00_12);}  else 
{ /* Eval/progn.scm 146 */
obj_t BgL_esz00_1109;
BgL_esz00_1109 = 
BGl_flattenzd2sequenceze70z35zz__prognz00(BgL_expsz00_12); 
if(
NULLP(BgL_esz00_1109))
{ /* Eval/progn.scm 148 */
return BUNSPEC;}  else 
{ /* Eval/progn.scm 148 */
if(
PAIRP(BgL_esz00_1109))
{ /* Eval/progn.scm 150 */
if(
NULLP(
CDR(BgL_esz00_1109)))
{ /* Eval/progn.scm 152 */
return 
CAR(BgL_esz00_1109);}  else 
{ /* Eval/progn.scm 152 */
return 
BGl_makezd2epairzd2zz__prognz00(BGl_symbol1693z00zz__prognz00, BgL_esz00_1109, BgL_esz00_1109);} }  else 
{ /* Eval/progn.scm 150 */
return BgL_esz00_1109;} } } } } 

}



/* loop~0 */
obj_t BGl_loopze70ze7zz__prognz00(obj_t BgL_expsz00_1894, obj_t BgL_esz00_1119)
{
{ /* Eval/progn.scm 130 */
BGl_loopze70ze7zz__prognz00:
{ /* Eval/progn.scm 132 */
bool_t BgL_test1731z00_1997;
if(
NULLP(BgL_esz00_1119))
{ /* Eval/progn.scm 132 */
BgL_test1731z00_1997 = ((bool_t)1)
; }  else 
{ /* Eval/progn.scm 132 */
BgL_test1731z00_1997 = 
NULLP(
CDR(
((obj_t)BgL_esz00_1119)))
; } 
if(BgL_test1731z00_1997)
{ /* Eval/progn.scm 132 */
return BgL_esz00_1119;}  else 
{ /* Eval/progn.scm 132 */
if(
PAIRP(BgL_esz00_1119))
{ /* Eval/progn.scm 136 */
bool_t BgL_test1734z00_2005;
{ /* Eval/progn.scm 136 */
obj_t BgL_tmpz00_2006;
BgL_tmpz00_2006 = 
CAR(BgL_esz00_1119); 
BgL_test1734z00_2005 = 
PAIRP(BgL_tmpz00_2006); } 
if(BgL_test1734z00_2005)
{ /* Eval/progn.scm 136 */
if(
(
CAR(
CAR(BgL_esz00_1119))==BGl_symbol1693z00zz__prognz00))
{ 
obj_t BgL_esz00_2013;
BgL_esz00_2013 = 
BGl_evepairifyz00zz__prognz00(
BGl_appendzd221010zd2zz__prognz00(
CDR(
CAR(BgL_esz00_1119)), 
BGl_loopze70ze7zz__prognz00(BgL_expsz00_1894, 
CDR(BgL_esz00_1119))), 
CAR(BgL_esz00_1119)); 
BgL_esz00_1119 = BgL_esz00_2013; 
goto BGl_loopze70ze7zz__prognz00;}  else 
{ /* Eval/progn.scm 138 */
return 
BGl_makezd2epairzd2zz__prognz00(
CAR(BgL_esz00_1119), 
BGl_loopze70ze7zz__prognz00(BgL_expsz00_1894, 
CDR(BgL_esz00_1119)), BgL_esz00_1119);} }  else 
{ 
obj_t BgL_esz00_2025;
BgL_esz00_2025 = 
CDR(BgL_esz00_1119); 
BgL_esz00_1119 = BgL_esz00_2025; 
goto BGl_loopze70ze7zz__prognz00;} }  else 
{ /* Eval/progn.scm 134 */
return 
BGl_errorz00zz__errorz00(BGl_string1694z00zz__prognz00, BGl_string1695z00zz__prognz00, BgL_expsz00_1894);} } } } 

}



/* flatten-sequence~0 */
obj_t BGl_flattenzd2sequenceze70z35zz__prognz00(obj_t BgL_expsz00_1116)
{
{ /* Eval/progn.scm 141 */
return 
BGl_loopze70ze7zz__prognz00(BgL_expsz00_1116, BgL_expsz00_1116);} 

}



/* &expand-progn */
obj_t BGl_z62expandzd2prognzb0zz__prognz00(obj_t BgL_envz00_1892, obj_t BgL_expsz00_1893)
{
{ /* Eval/progn.scm 128 */
{ /* Eval/progn.scm 132 */
obj_t BgL_auxz00_2029;
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_expsz00_1893))
{ /* Eval/progn.scm 132 */
BgL_auxz00_2029 = BgL_expsz00_1893
; }  else 
{ 
obj_t BgL_auxz00_2032;
BgL_auxz00_2032 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1696z00zz__prognz00, 
BINT(((long)4826)), BGl_string1697z00zz__prognz00, BGl_string1698z00zz__prognz00, BgL_expsz00_1893); 
FAILURE(BgL_auxz00_2032,BFALSE,BFALSE);} 
return 
BGl_expandzd2prognzd2zz__prognz00(BgL_auxz00_2029);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__prognz00()
{
{ /* Eval/progn.scm 14 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__prognz00()
{
{ /* Eval/progn.scm 14 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__prognz00()
{
{ /* Eval/progn.scm 14 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__prognz00()
{
{ /* Eval/progn.scm 14 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)330490148), 
BSTRING_TO_STRING(BGl_string1699z00zz__prognz00)); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)180158922), 
BSTRING_TO_STRING(BGl_string1699z00zz__prognz00)); 
BGl_modulezd2initializa7ationz75zz__tvectorz00(((long)135276775), 
BSTRING_TO_STRING(BGl_string1699z00zz__prognz00)); 
BGl_modulezd2initializa7ationz75zz__structurez00(((long)128218210), 
BSTRING_TO_STRING(BGl_string1699z00zz__prognz00)); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)340267792), 
BSTRING_TO_STRING(BGl_string1699z00zz__prognz00)); 
BGl_modulezd2initializa7ationz75zz__bignumz00(((long)6519932), 
BSTRING_TO_STRING(BGl_string1699z00zz__prognz00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string1699z00zz__prognz00)); 
BGl_modulezd2initializa7ationz75zz__expandz00(((long)414007149), 
BSTRING_TO_STRING(BGl_string1699z00zz__prognz00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)193422112), 
BSTRING_TO_STRING(BGl_string1699z00zz__prognz00)); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)224967693), 
BSTRING_TO_STRING(BGl_string1699z00zz__prognz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)68574988), 
BSTRING_TO_STRING(BGl_string1699z00zz__prognz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)93454137), 
BSTRING_TO_STRING(BGl_string1699z00zz__prognz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)437057797), 
BSTRING_TO_STRING(BGl_string1699z00zz__prognz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)268155843), 
BSTRING_TO_STRING(BGl_string1699z00zz__prognz00)); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)198620800), 
BSTRING_TO_STRING(BGl_string1699z00zz__prognz00)); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)473309430), 
BSTRING_TO_STRING(BGl_string1699z00zz__prognz00)); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long)459519430), 
BSTRING_TO_STRING(BGl_string1699z00zz__prognz00)); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)460262918), 
BSTRING_TO_STRING(BGl_string1699z00zz__prognz00)); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)-400105135), 
BSTRING_TO_STRING(BGl_string1699z00zz__prognz00)); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)9614678), 
BSTRING_TO_STRING(BGl_string1699z00zz__prognz00)); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)376927882), 
BSTRING_TO_STRING(BGl_string1699z00zz__prognz00)); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)127905250), 
BSTRING_TO_STRING(BGl_string1699z00zz__prognz00)); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)331540577), 
BSTRING_TO_STRING(BGl_string1699z00zz__prognz00)); 
return 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)86988580), 
BSTRING_TO_STRING(BGl_string1699z00zz__prognz00));} 

}

#ifdef __cplusplus
}
#endif
