/*===========================================================================*/
/*   (Llib/color.scm)                                                        */
/*   Bigloo (4.3h)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue 12 May 2020 08:36:09 AM CEST    */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.3h/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.3h/lib/bigloo/4.3h -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.3h/lib/bigloo/4.3h -unsafe -safee -copt -fPIC -copt -IUnix Llib/color.scm -o objs/color.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_z62iozd2parsezd2errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62iozd2parsezd2errorz62_bglt;

typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;


BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_makezd2hexzd2colorz00zz__multimediazd2colorzd2(int, int, int);
BGL_IMPORT obj_t BGl_assocz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_minz00zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl_z62parsezd2webzd2colorz62zz__multimediazd2colorzd2(obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__multimediazd2colorzd2();
BGL_IMPORT obj_t BGl_2za2za2zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_2zf2zf2zz__r4_numbers_6_5z00(obj_t, obj_t);
static double BGl_tcze70ze7zz__multimediazd2colorzd2(double);
static long BGl_colorcze70ze7zz__multimediazd2colorzd2(double, double, double);
static obj_t BGl_methodzd2initzd2zz__multimediazd2colorzd2();
static obj_t BGl_parsezd2rgbzd2colorz00zz__multimediazd2colorzd2(obj_t);
static obj_t BGl_parsezd2hslzd2colorz00zz__multimediazd2colorzd2(obj_t);
BGL_IMPORT obj_t make_string(long, unsigned char);
static obj_t BGl_z62hsvzd2ze3rgbz53zz__multimediazd2colorzd2(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_stringzd2ze3numberz31zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl_z62parsezd2hexzd2colorz62zz__multimediazd2colorzd2(obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__multimediazd2colorzd2();
BGL_EXPORTED_DECL obj_t BGl_hsvzd2ze3rgbz31zz__multimediazd2colorzd2(int, int, int);
static obj_t BGl_raisezd2colorzd2errorz00zz__multimediazd2colorzd2(obj_t);
BGL_IMPORT obj_t c_substring(obj_t, long, long);
BGL_IMPORT obj_t BGl_floorz00zz__r4_numbers_6_5z00(obj_t);
static obj_t BGl_z62makezd2hexzd2colorz62zz__multimediazd2colorzd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62hslzd2ze3rgbz53zz__multimediazd2colorzd2(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_pregexpzd2matchzd2zz__regexpz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62rgbzd2ze3hslz53zz__multimediazd2colorzd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62rgbzd2ze3hsvz53zz__multimediazd2colorzd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__multimediazd2colorzd2 = BUNSPEC;
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_charzd2ze3intze70zd6zz__multimediazd2colorzd2(obj_t, unsigned char);
static obj_t BGl_toplevelzd2initzd2zz__multimediazd2colorzd2();
BGL_IMPORT double BGl_roundflz00zz__r4_numbers_6_5_flonumz00(double);
BGL_IMPORT obj_t BGl_z62iozd2parsezd2errorz62zz__objectz00;
static obj_t BGl_genericzd2initzd2zz__multimediazd2colorzd2();
BGL_EXPORTED_DECL obj_t BGl_hslzd2ze3rgbz31zz__multimediazd2colorzd2(int, int, int);
BGL_EXPORTED_DECL obj_t BGl_parsezd2webzd2colorz00zz__multimediazd2colorzd2(obj_t);
BGL_IMPORT obj_t BGl_pregexpz00zz__regexpz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_rgbzd2ze3hslz31zz__multimediazd2colorzd2(int, int, int);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_rgbzd2ze3hsvz31zz__multimediazd2colorzd2(int, int, int);
static obj_t BGl_css2zd2colorszd2zz__multimediazd2colorzd2 = BUNSPEC;
static obj_t BGl_integerzd2ze3stringzd22ze3zz__multimediazd2colorzd2(obj_t, long, int);
static long BGl_hz00zz__multimediazd2colorzd2(double, double, double, double, double);
BGL_IMPORT long BGl_modulofxz00zz__r4_numbers_6_5_fixnumz00(long, long);
BGL_EXPORTED_DECL obj_t BGl_parsezd2hexzd2colorz00zz__multimediazd2colorzd2(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2colorzd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__regexpz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_pregexp1027z00zz__multimediazd2colorzd2 = BUNSPEC;
static obj_t BGl_pregexp1031z00zz__multimediazd2colorzd2 = BUNSPEC;
static obj_t BGl_pregexp1035z00zz__multimediazd2colorzd2 = BUNSPEC;
static obj_t BGl_cnstzd2initzd2zz__multimediazd2colorzd2();
static obj_t BGl_libraryzd2moduleszd2initz00zz__multimediazd2colorzd2();
BGL_IMPORT bool_t bigloo_strcmp_at(obj_t, obj_t, long);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
BGL_IMPORT obj_t BGl_moduloz00zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_maxz00zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_valuesz00zz__r5_control_features_6_4z00(obj_t);
static obj_t __cnst[ 1 ] ;


DEFINE_REAL( BGl_real1915z00zz__multimediazd2colorzd2, BgL_bgl_real1915za700za7za7__m1930za7, 100.0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_parsezd2webzd2colorzd2envzd2zz__multimediazd2colorzd2, BgL_bgl_za762parseza7d2webza7d1931za7, BGl_z62parsezd2webzd2colorz62zz__multimediazd2colorzd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_makezd2hexzd2colorzd2envzd2zz__multimediazd2colorzd2, BgL_bgl_za762makeza7d2hexza7d21932za7, BGl_z62makezd2hexzd2colorz62zz__multimediazd2colorzd2, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string1899z00zz__multimediazd2colorzd2, BgL_bgl_string1899za700za7za7_1933za7, "hsl([ ]*([0-9]+)[ ]*,[ ]*([0-9]+)%[ ]*,[ ]*([0-9]+)%[ ]*)", 57 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_hsvzd2ze3rgbzd2envze3zz__multimediazd2colorzd2, BgL_bgl_za762hsvza7d2za7e3rgbza71934z00, BGl_z62hsvzd2ze3rgbz53zz__multimediazd2colorzd2, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_rgbzd2ze3hsvzd2envze3zz__multimediazd2colorzd2, BgL_bgl_za762rgbza7d2za7e3hsvza71935z00, BGl_z62rgbzd2ze3hsvz53zz__multimediazd2colorzd2, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string1900z00zz__multimediazd2colorzd2, BgL_bgl_string1900za700za7za7_1936za7, "rgb([ ]*([0-9]+)%[ ]*,[ ]*([0-9]+)%[ ]*,[ ]*([0-9]+)%[ ]*)", 58 );
DEFINE_STRING( BGl_string1901z00zz__multimediazd2colorzd2, BgL_bgl_string1901za700za7za7_1937za7, "rgb([ ]*([0-9]+)[ ]*,[ ]*([0-9]+)[ ]*,[ ]*([0-9]+)[ ]*)", 55 );
DEFINE_STRING( BGl_string1902z00zz__multimediazd2colorzd2, BgL_bgl_string1902za700za7za7_1938za7, "0123456789abcdef", 16 );
DEFINE_STRING( BGl_string1903z00zz__multimediazd2colorzd2, BgL_bgl_string1903za700za7za7_1939za7, "/builddir/build/BUILD/bigloo-4.3h/api/multimedia/src/Llib/color.scm", 67 );
DEFINE_STRING( BGl_string1904z00zz__multimediazd2colorzd2, BgL_bgl_string1904za700za7za7_1940za7, "&make-hex-color", 15 );
DEFINE_STRING( BGl_string1905z00zz__multimediazd2colorzd2, BgL_bgl_string1905za700za7za7_1941za7, "bint", 4 );
DEFINE_STRING( BGl_string1906z00zz__multimediazd2colorzd2, BgL_bgl_string1906za700za7za7_1942za7, "parse-web-color", 15 );
DEFINE_STRING( BGl_string1907z00zz__multimediazd2colorzd2, BgL_bgl_string1907za700za7za7_1943za7, "Illegal color", 13 );
DEFINE_STRING( BGl_string1908z00zz__multimediazd2colorzd2, BgL_bgl_string1908za700za7za7_1944za7, "&parse-hex-color", 16 );
DEFINE_STRING( BGl_string1909z00zz__multimediazd2colorzd2, BgL_bgl_string1909za700za7za7_1945za7, "bstring", 7 );
DEFINE_STRING( BGl_string1910z00zz__multimediazd2colorzd2, BgL_bgl_string1910za700za7za7_1946za7, "rgb(", 4 );
DEFINE_STRING( BGl_string1911z00zz__multimediazd2colorzd2, BgL_bgl_string1911za700za7za7_1947za7, "hsl(", 4 );
DEFINE_STRING( BGl_string1912z00zz__multimediazd2colorzd2, BgL_bgl_string1912za700za7za7_1948za7, "&parse-web-color", 16 );
DEFINE_STRING( BGl_string1913z00zz__multimediazd2colorzd2, BgL_bgl_string1913za700za7za7_1949za7, "&hsv->rgb", 9 );
DEFINE_STRING( BGl_string1914z00zz__multimediazd2colorzd2, BgL_bgl_string1914za700za7za7_1950za7, "&rgb->hsv", 9 );
DEFINE_STRING( BGl_string1916z00zz__multimediazd2colorzd2, BgL_bgl_string1916za700za7za7_1951za7, "&hsl->rgb", 9 );
DEFINE_STRING( BGl_string1917z00zz__multimediazd2colorzd2, BgL_bgl_string1917za700za7za7_1952za7, "&rgb->hsl", 9 );
DEFINE_STRING( BGl_string1918z00zz__multimediazd2colorzd2, BgL_bgl_string1918za700za7za7_1953za7, "((\"maroon\" 128 0 0) (\"red\" 255 0 0) (\"orange\" 255 165 0) (\"yellow\" 255 255 0) (\"olive\" 128 128 0) (\"purple\" 128 0 128) (\"fuchsia\" 255 0 255) (\"white\" 255 255 255) (\"lime\" 0 255 0) (\"green\" 0 128 0) (\"navy\" 0 0 128) (\"blue\" 0 0 255) (\"aqua\" 0 255 255) (\"teal\" 0 128 128) (\"black\" 0 0 0) (\"silver\" 192 192 192) (\"gray\" 128 128 128)) ", 331 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_parsezd2hexzd2colorzd2envzd2zz__multimediazd2colorzd2, BgL_bgl_za762parseza7d2hexza7d1954za7, BGl_z62parsezd2hexzd2colorz62zz__multimediazd2colorzd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_hslzd2ze3rgbzd2envze3zz__multimediazd2colorzd2, BgL_bgl_za762hslza7d2za7e3rgbza71955z00, BGl_z62hslzd2ze3rgbz53zz__multimediazd2colorzd2, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_rgbzd2ze3hslzd2envze3zz__multimediazd2colorzd2, BgL_bgl_za762rgbza7d2za7e3hslza71956z00, BGl_z62rgbzd2ze3hslz53zz__multimediazd2colorzd2, 0L, BUNSPEC, 3 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__multimediazd2colorzd2) );
ADD_ROOT( (void *)(&BGl_css2zd2colorszd2zz__multimediazd2colorzd2) );
ADD_ROOT( (void *)(&BGl_pregexp1027z00zz__multimediazd2colorzd2) );
ADD_ROOT( (void *)(&BGl_pregexp1031z00zz__multimediazd2colorzd2) );
ADD_ROOT( (void *)(&BGl_pregexp1035z00zz__multimediazd2colorzd2) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2colorzd2(long BgL_checksumz00_1011, char * BgL_fromz00_1012)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__multimediazd2colorzd2))
{ 
BGl_requirezd2initializa7ationz75zz__multimediazd2colorzd2 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__multimediazd2colorzd2(); 
BGl_libraryzd2moduleszd2initz00zz__multimediazd2colorzd2(); 
BGl_cnstzd2initzd2zz__multimediazd2colorzd2(); 
return 
BGl_toplevelzd2initzd2zz__multimediazd2colorzd2();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__multimediazd2colorzd2()
{
{ /* Llib/color.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__multimedia-color"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__multimedia-color"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "__multimedia-color"); 
BGl_modulezd2initializa7ationz75zz__regexpz00(((long)0), "__multimedia-color"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)0), "__multimedia-color"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__multimedia-color"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__multimedia-color"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__multimedia-color"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__multimedia-color"); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)0), "__multimedia-color"); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)0), "__multimedia-color"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__multimedia-color"); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)0), "__multimedia-color"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__multimedia-color"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__multimediazd2colorzd2()
{
{ /* Llib/color.scm 15 */
{ /* Llib/color.scm 15 */
obj_t BgL_cportz00_974;
{ /* Llib/color.scm 15 */
obj_t BgL_stringz00_982;
BgL_stringz00_982 = BGl_string1918z00zz__multimediazd2colorzd2; 
{ /* Llib/color.scm 15 */
obj_t BgL_startz00_983;
BgL_startz00_983 = 
BINT(((long)0)); 
{ /* Llib/color.scm 15 */
obj_t BgL_endz00_984;
BgL_endz00_984 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_982))); 
{ /* Llib/color.scm 15 */

BgL_cportz00_974 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_982, BgL_startz00_983, BgL_endz00_984); } } } } 
{ 
long BgL_iz00_975;
BgL_iz00_975 = ((long)0); 
BgL_loopz00_976:
if(
(BgL_iz00_975==((long)-1)))
{ /* Llib/color.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/color.scm 15 */
{ /* Llib/color.scm 15 */
obj_t BgL_arg1920z00_978;
{ /* Llib/color.scm 15 */

{ /* Llib/color.scm 15 */
obj_t BgL_locationz00_980;
BgL_locationz00_980 = 
BBOOL(((bool_t)0)); 
{ /* Llib/color.scm 15 */

BgL_arg1920z00_978 = 
BGl_readz00zz__readerz00(BgL_cportz00_974, BgL_locationz00_980); } } } 
{ /* Llib/color.scm 15 */
int BgL_tmpz00_1043;
BgL_tmpz00_1043 = 
(int)(BgL_iz00_975); 
CNST_TABLE_SET(BgL_tmpz00_1043, BgL_arg1920z00_978); } } 
{ /* Llib/color.scm 15 */
int BgL_auxz00_981;
BgL_auxz00_981 = 
(int)(
(BgL_iz00_975-((long)1))); 
{ 
long BgL_iz00_1048;
BgL_iz00_1048 = 
(long)(BgL_auxz00_981); 
BgL_iz00_975 = BgL_iz00_1048; 
goto BgL_loopz00_976;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__multimediazd2colorzd2()
{
{ /* Llib/color.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__multimediazd2colorzd2()
{
{ /* Llib/color.scm 15 */
BGl_pregexp1035z00zz__multimediazd2colorzd2 = 
BGl_pregexpz00zz__regexpz00(BGl_string1899z00zz__multimediazd2colorzd2, BNIL); 
BGl_pregexp1031z00zz__multimediazd2colorzd2 = 
BGl_pregexpz00zz__regexpz00(BGl_string1900z00zz__multimediazd2colorzd2, BNIL); 
BGl_pregexp1027z00zz__multimediazd2colorzd2 = 
BGl_pregexpz00zz__regexpz00(BGl_string1901z00zz__multimediazd2colorzd2, BNIL); 
return ( 
BGl_css2zd2colorszd2zz__multimediazd2colorzd2 = 
CNST_TABLE_REF(((long)0)), BUNSPEC) ;} 

}



/* integer->string-2 */
obj_t BGl_integerzd2ze3stringzd22ze3zz__multimediazd2colorzd2(obj_t BgL_resz00_3, long BgL_oz00_4, int BgL_nz00_5)
{
{ /* Llib/color.scm 52 */
if(
(
(long)(BgL_nz00_5)>=((long)16)))
{ /* Llib/color.scm 55 */
{ /* Llib/color.scm 57 */
unsigned char BgL_tmpz00_1058;
BgL_tmpz00_1058 = 
STRING_REF(BGl_string1902z00zz__multimediazd2colorzd2, 
(
(long)(BgL_nz00_5) >> 
(int)(((long)4)))); 
STRING_SET(BgL_resz00_3, BgL_oz00_4, BgL_tmpz00_1058); } 
{ /* Llib/color.scm 58 */
unsigned char BgL_auxz00_1066;long BgL_tmpz00_1064;
BgL_auxz00_1066 = 
STRING_REF(BGl_string1902z00zz__multimediazd2colorzd2, 
(
(long)(BgL_nz00_5) & ((long)15))); 
BgL_tmpz00_1064 = 
(BgL_oz00_4+((long)1)); 
return 
STRING_SET(BgL_resz00_3, BgL_tmpz00_1064, BgL_auxz00_1066);} }  else 
{ /* Llib/color.scm 59 */
unsigned char BgL_auxz00_1073;long BgL_tmpz00_1071;
BgL_auxz00_1073 = 
STRING_REF(BGl_string1902z00zz__multimediazd2colorzd2, 
(long)(BgL_nz00_5)); 
BgL_tmpz00_1071 = 
(BgL_oz00_4+((long)1)); 
return 
STRING_SET(BgL_resz00_3, BgL_tmpz00_1071, BgL_auxz00_1073);} } 

}



/* make-hex-color */
BGL_EXPORTED_DEF obj_t BGl_makezd2hexzd2colorz00zz__multimediazd2colorzd2(int BgL_rz00_6, int BgL_gz00_7, int BgL_bz00_8)
{
{ /* Llib/color.scm 64 */
{ /* Llib/color.scm 65 */
obj_t BgL_resz00_408;
BgL_resz00_408 = 
make_string(((long)7), ((unsigned char)'0')); 
STRING_SET(BgL_resz00_408, ((long)0), ((unsigned char)'#')); 
BGl_integerzd2ze3stringzd22ze3zz__multimediazd2colorzd2(BgL_resz00_408, ((long)1), BgL_rz00_6); 
BGl_integerzd2ze3stringzd22ze3zz__multimediazd2colorzd2(BgL_resz00_408, ((long)3), BgL_gz00_7); 
BGl_integerzd2ze3stringzd22ze3zz__multimediazd2colorzd2(BgL_resz00_408, ((long)5), BgL_bz00_8); 
return BgL_resz00_408;} } 

}



/* &make-hex-color */
obj_t BGl_z62makezd2hexzd2colorz62zz__multimediazd2colorzd2(obj_t BgL_envz00_915, obj_t BgL_rz00_916, obj_t BgL_gz00_917, obj_t BgL_bz00_918)
{
{ /* Llib/color.scm 64 */
{ /* Llib/color.scm 65 */
int BgL_auxz00_1100;int BgL_auxz00_1091;int BgL_auxz00_1082;
{ /* Llib/color.scm 65 */
obj_t BgL_tmpz00_1101;
if(
INTEGERP(BgL_bz00_918))
{ /* Llib/color.scm 65 */
BgL_tmpz00_1101 = BgL_bz00_918
; }  else 
{ 
obj_t BgL_auxz00_1104;
BgL_auxz00_1104 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1903z00zz__multimediazd2colorzd2, 
BINT(((long)2936)), BGl_string1904z00zz__multimediazd2colorzd2, BGl_string1905z00zz__multimediazd2colorzd2, BgL_bz00_918); 
FAILURE(BgL_auxz00_1104,BFALSE,BFALSE);} 
BgL_auxz00_1100 = 
CINT(BgL_tmpz00_1101); } 
{ /* Llib/color.scm 65 */
obj_t BgL_tmpz00_1092;
if(
INTEGERP(BgL_gz00_917))
{ /* Llib/color.scm 65 */
BgL_tmpz00_1092 = BgL_gz00_917
; }  else 
{ 
obj_t BgL_auxz00_1095;
BgL_auxz00_1095 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1903z00zz__multimediazd2colorzd2, 
BINT(((long)2936)), BGl_string1904z00zz__multimediazd2colorzd2, BGl_string1905z00zz__multimediazd2colorzd2, BgL_gz00_917); 
FAILURE(BgL_auxz00_1095,BFALSE,BFALSE);} 
BgL_auxz00_1091 = 
CINT(BgL_tmpz00_1092); } 
{ /* Llib/color.scm 65 */
obj_t BgL_tmpz00_1083;
if(
INTEGERP(BgL_rz00_916))
{ /* Llib/color.scm 65 */
BgL_tmpz00_1083 = BgL_rz00_916
; }  else 
{ 
obj_t BgL_auxz00_1086;
BgL_auxz00_1086 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1903z00zz__multimediazd2colorzd2, 
BINT(((long)2936)), BGl_string1904z00zz__multimediazd2colorzd2, BGl_string1905z00zz__multimediazd2colorzd2, BgL_rz00_916); 
FAILURE(BgL_auxz00_1086,BFALSE,BFALSE);} 
BgL_auxz00_1082 = 
CINT(BgL_tmpz00_1083); } 
return 
BGl_makezd2hexzd2colorz00zz__multimediazd2colorzd2(BgL_auxz00_1082, BgL_auxz00_1091, BgL_auxz00_1100);} } 

}



/* raise-color-error */
obj_t BGl_raisezd2colorzd2errorz00zz__multimediazd2colorzd2(obj_t BgL_colorz00_9)
{
{ /* Llib/color.scm 75 */
{ /* Llib/color.scm 76 */
BgL_z62iozd2parsezd2errorz62_bglt BgL_arg1071z00_55;
{ /* Llib/color.scm 76 */
BgL_z62iozd2parsezd2errorz62_bglt BgL_new1012z00_56;
{ /* Llib/color.scm 76 */
BgL_z62iozd2parsezd2errorz62_bglt BgL_new1011z00_59;
BgL_new1011z00_59 = 
((BgL_z62iozd2parsezd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62iozd2parsezd2errorz62_bgl) ))); 
{ /* Llib/color.scm 76 */
long BgL_arg1078z00_60;
{ /* Llib/color.scm 76 */
long BgL_res1691z00_413;
BgL_res1691z00_413 = 
BGL_CLASS_INDEX(BGl_z62iozd2parsezd2errorz62zz__objectz00); 
BgL_arg1078z00_60 = BgL_res1691z00_413; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1011z00_59), BgL_arg1078z00_60); } 
BgL_new1012z00_56 = BgL_new1011z00_59; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1012z00_56)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1012z00_56)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
obj_t BgL_auxz00_1118;
{ /* Llib/color.scm 76 */
obj_t BgL_arg1072z00_57;
{ /* Llib/color.scm 76 */
obj_t BgL_arg1077z00_58;
{ /* Llib/color.scm 76 */
obj_t BgL_res1692z00_417;
{ /* Llib/color.scm 76 */
obj_t BgL_classz00_416;
BgL_classz00_416 = BGl_z62iozd2parsezd2errorz62zz__objectz00; 
BgL_res1692z00_417 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_416); } 
BgL_arg1077z00_58 = BgL_res1692z00_417; } 
BgL_arg1072z00_57 = 
VECTOR_REF(BgL_arg1077z00_58,((long)2)); } 
BgL_auxz00_1118 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1072z00_57); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1012z00_56)))->BgL_stackz00)=((obj_t)BgL_auxz00_1118),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1012z00_56)))->BgL_procz00)=((obj_t)BGl_string1906z00zz__multimediazd2colorzd2),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1012z00_56)))->BgL_msgz00)=((obj_t)BGl_string1907z00zz__multimediazd2colorzd2),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1012z00_56)))->BgL_objz00)=((obj_t)BgL_colorz00_9),BUNSPEC); 
BgL_arg1071z00_55 = BgL_new1012z00_56; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1071z00_55));} } 

}



/* parse-hex-color */
BGL_EXPORTED_DEF obj_t BGl_parsezd2hexzd2colorz00zz__multimediazd2colorzd2(obj_t BgL_colorz00_10)
{
{ /* Llib/color.scm 84 */
{ /* Llib/color.scm 98 */
bool_t BgL_test1963z00_1132;
if(
(
STRING_LENGTH(BgL_colorz00_10)<((long)4)))
{ /* Llib/color.scm 98 */
BgL_test1963z00_1132 = ((bool_t)1)
; }  else 
{ /* Llib/color.scm 98 */
if(
(
STRING_REF(BgL_colorz00_10, ((long)0))==((unsigned char)'#')))
{ /* Llib/color.scm 99 */
BgL_test1963z00_1132 = ((bool_t)0)
; }  else 
{ /* Llib/color.scm 99 */
BgL_test1963z00_1132 = ((bool_t)1)
; } } 
if(BgL_test1963z00_1132)
{ /* Llib/color.scm 98 */
return 
BGl_raisezd2colorzd2errorz00zz__multimediazd2colorzd2(BgL_colorz00_10);}  else 
{ /* Llib/color.scm 98 */
if(
(
STRING_LENGTH(BgL_colorz00_10)==((long)7)))
{ /* Llib/color.scm 102 */
long BgL_val0_1021z00_71;long BgL_val1_1022z00_72;long BgL_val2_1023z00_73;
{ /* Llib/color.scm 102 */
obj_t BgL_arg1093z00_74;
BgL_arg1093z00_74 = 
c_substring(BgL_colorz00_10, ((long)1), ((long)3)); 
{ /* Llib/color.scm 102 */
char * BgL_tmpz00_1144;
BgL_tmpz00_1144 = 
BSTRING_TO_STRING(BgL_arg1093z00_74); 
BgL_val0_1021z00_71 = 
BGL_STRTOL(BgL_tmpz00_1144, ((long)0), ((long)16)); } } 
{ /* Llib/color.scm 103 */
obj_t BgL_arg1094z00_75;
BgL_arg1094z00_75 = 
c_substring(BgL_colorz00_10, ((long)3), ((long)5)); 
{ /* Llib/color.scm 103 */
char * BgL_tmpz00_1148;
BgL_tmpz00_1148 = 
BSTRING_TO_STRING(BgL_arg1094z00_75); 
BgL_val1_1022z00_72 = 
BGL_STRTOL(BgL_tmpz00_1148, ((long)0), ((long)16)); } } 
{ /* Llib/color.scm 104 */
obj_t BgL_arg1095z00_76;
BgL_arg1095z00_76 = 
c_substring(BgL_colorz00_10, ((long)5), ((long)7)); 
{ /* Llib/color.scm 104 */
char * BgL_tmpz00_1152;
BgL_tmpz00_1152 = 
BSTRING_TO_STRING(BgL_arg1095z00_76); 
BgL_val2_1023z00_73 = 
BGL_STRTOL(BgL_tmpz00_1152, ((long)0), ((long)16)); } } 
{ /* Llib/color.scm 102 */
int BgL_res1719z00_478;
{ /* Llib/color.scm 102 */
int BgL_tmpz00_1155;
BgL_tmpz00_1155 = 
(int)(((long)3)); 
BgL_res1719z00_478 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1155); } BgL_res1719z00_478; } 
{ /* Llib/color.scm 102 */
obj_t BgL_auxz00_1160;int BgL_tmpz00_1158;
BgL_auxz00_1160 = 
BINT(BgL_val1_1022z00_72); 
BgL_tmpz00_1158 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1158, BgL_auxz00_1160); } 
{ /* Llib/color.scm 102 */
obj_t BgL_auxz00_1165;int BgL_tmpz00_1163;
BgL_auxz00_1165 = 
BINT(BgL_val2_1023z00_73); 
BgL_tmpz00_1163 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1163, BgL_auxz00_1165); } 
return 
BINT(BgL_val0_1021z00_71);}  else 
{ /* Llib/color.scm 101 */
if(
(
STRING_LENGTH(BgL_colorz00_10)==((long)4)))
{ /* Llib/color.scm 106 */
obj_t BgL_val0_1024z00_79;obj_t BgL_val1_1025z00_80;obj_t BgL_val2_1026z00_81;
BgL_val0_1024z00_79 = 
BGl_charzd2ze3intze70zd6zz__multimediazd2colorzd2(BgL_colorz00_10, 
STRING_REF(BgL_colorz00_10, ((long)1))); 
BgL_val1_1025z00_80 = 
BGl_charzd2ze3intze70zd6zz__multimediazd2colorzd2(BgL_colorz00_10, 
STRING_REF(BgL_colorz00_10, ((long)2))); 
BgL_val2_1026z00_81 = 
BGl_charzd2ze3intze70zd6zz__multimediazd2colorzd2(BgL_colorz00_10, 
STRING_REF(BgL_colorz00_10, ((long)3))); 
{ /* Llib/color.scm 106 */
int BgL_res1725z00_489;
{ /* Llib/color.scm 106 */
int BgL_tmpz00_1178;
BgL_tmpz00_1178 = 
(int)(((long)3)); 
BgL_res1725z00_489 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1178); } BgL_res1725z00_489; } 
{ /* Llib/color.scm 106 */
int BgL_tmpz00_1181;
BgL_tmpz00_1181 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1181, BgL_val1_1025z00_80); } 
{ /* Llib/color.scm 106 */
int BgL_tmpz00_1184;
BgL_tmpz00_1184 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1184, BgL_val2_1026z00_81); } 
return BgL_val0_1024z00_79;}  else 
{ /* Llib/color.scm 105 */
return 
BGl_raisezd2colorzd2errorz00zz__multimediazd2colorzd2(BgL_colorz00_10);} } } } } 

}



/* char->int~0 */
obj_t BGl_charzd2ze3intze70zd6zz__multimediazd2colorzd2(obj_t BgL_colorz00_939, unsigned char BgL_cz00_91)
{
{ /* Llib/color.scm 95 */
{ /* Llib/color.scm 88 */
bool_t BgL_test1968z00_1188;
if(
(BgL_cz00_91>=((unsigned char)'0')))
{ /* Llib/color.scm 88 */
BgL_test1968z00_1188 = 
(BgL_cz00_91<=((unsigned char)'9'))
; }  else 
{ /* Llib/color.scm 88 */
BgL_test1968z00_1188 = ((bool_t)0)
; } 
if(BgL_test1968z00_1188)
{ /* Llib/color.scm 88 */
return 
BINT(
(((long)16)*
(
(BgL_cz00_91)-((long)48))));}  else 
{ /* Llib/color.scm 90 */
bool_t BgL_test1970z00_1196;
if(
(BgL_cz00_91>=((unsigned char)'a')))
{ /* Llib/color.scm 90 */
BgL_test1970z00_1196 = 
(BgL_cz00_91<=((unsigned char)'f'))
; }  else 
{ /* Llib/color.scm 90 */
BgL_test1970z00_1196 = ((bool_t)0)
; } 
if(BgL_test1970z00_1196)
{ /* Llib/color.scm 90 */
return 
BINT(
(((long)16)*
(((long)10)+
(
(BgL_cz00_91)-((long)97)))));}  else 
{ /* Llib/color.scm 92 */
bool_t BgL_test1972z00_1205;
if(
(BgL_cz00_91>=((unsigned char)'A')))
{ /* Llib/color.scm 92 */
BgL_test1972z00_1205 = 
(BgL_cz00_91<=((unsigned char)'F'))
; }  else 
{ /* Llib/color.scm 92 */
BgL_test1972z00_1205 = ((bool_t)0)
; } 
if(BgL_test1972z00_1205)
{ /* Llib/color.scm 92 */
return 
BINT(
(((long)16)*
(((long)10)+
(
(BgL_cz00_91)-((long)65)))));}  else 
{ /* Llib/color.scm 92 */
return 
BGl_raisezd2colorzd2errorz00zz__multimediazd2colorzd2(BgL_colorz00_939);} } } } } 

}



/* &parse-hex-color */
obj_t BGl_z62parsezd2hexzd2colorz62zz__multimediazd2colorzd2(obj_t BgL_envz00_919, obj_t BgL_colorz00_920)
{
{ /* Llib/color.scm 84 */
{ /* Llib/color.scm 88 */
obj_t BgL_auxz00_1215;
if(
STRINGP(BgL_colorz00_920))
{ /* Llib/color.scm 88 */
BgL_auxz00_1215 = BgL_colorz00_920
; }  else 
{ 
obj_t BgL_auxz00_1218;
BgL_auxz00_1218 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1903z00zz__multimediazd2colorzd2, 
BINT(((long)3788)), BGl_string1908z00zz__multimediazd2colorzd2, BGl_string1909z00zz__multimediazd2colorzd2, BgL_colorz00_920); 
FAILURE(BgL_auxz00_1218,BFALSE,BFALSE);} 
return 
BGl_parsezd2hexzd2colorz00zz__multimediazd2colorzd2(BgL_auxz00_1215);} } 

}



/* parse-rgb-color */
obj_t BGl_parsezd2rgbzd2colorz00zz__multimediazd2colorzd2(obj_t BgL_cz00_11)
{
{ /* Llib/color.scm 115 */
{ /* Llib/color.scm 117 */
obj_t BgL_g1013z00_111;
{ /* Llib/color.scm 117 */
obj_t BgL_patz00_151;
BgL_patz00_151 = BGl_pregexp1027z00zz__multimediazd2colorzd2; 
{ /* Llib/color.scm 117 */
long BgL_endz00_154;
BgL_endz00_154 = 
STRING_LENGTH(BgL_cz00_11); 
{ /* Llib/color.scm 117 */

BgL_g1013z00_111 = 
BGl_pregexpzd2matchzd2zz__regexpz00(BgL_patz00_151, BgL_cz00_11, 
BINT(((long)0)), 
BINT(BgL_endz00_154)); } } } 
if(
CBOOL(BgL_g1013z00_111))
{ /* Llib/color.scm 120 */
obj_t BgL_val0_1028z00_114;obj_t BgL_val1_1029z00_115;obj_t BgL_val2_1030z00_116;
{ /* Llib/color.scm 120 */

{ /* Llib/color.scm 120 */
obj_t BgL_auxz00_1229;
{ /* Llib/color.scm 120 */
obj_t BgL_pairz00_495;
BgL_pairz00_495 = 
CDR(
((obj_t)BgL_g1013z00_111)); 
BgL_auxz00_1229 = 
CAR(BgL_pairz00_495); } 
BgL_val0_1028z00_114 = 
BGl_stringzd2ze3numberz31zz__r4_numbers_6_5z00(BgL_auxz00_1229, 
BINT(((long)10))); } } 
{ /* Llib/color.scm 121 */

{ /* Llib/color.scm 121 */
obj_t BgL_auxz00_1235;
{ /* Llib/color.scm 121 */
obj_t BgL_pairz00_501;
{ /* Llib/color.scm 121 */
obj_t BgL_pairz00_500;
BgL_pairz00_500 = 
CDR(
((obj_t)BgL_g1013z00_111)); 
BgL_pairz00_501 = 
CDR(BgL_pairz00_500); } 
BgL_auxz00_1235 = 
CAR(BgL_pairz00_501); } 
BgL_val1_1029z00_115 = 
BGl_stringzd2ze3numberz31zz__r4_numbers_6_5z00(BgL_auxz00_1235, 
BINT(((long)10))); } } 
{ /* Llib/color.scm 122 */

{ /* Llib/color.scm 122 */
obj_t BgL_auxz00_1242;
{ /* Llib/color.scm 122 */
obj_t BgL_pairz00_509;
{ /* Llib/color.scm 122 */
obj_t BgL_pairz00_508;
{ /* Llib/color.scm 122 */
obj_t BgL_pairz00_507;
BgL_pairz00_507 = 
CDR(
((obj_t)BgL_g1013z00_111)); 
BgL_pairz00_508 = 
CDR(BgL_pairz00_507); } 
BgL_pairz00_509 = 
CDR(BgL_pairz00_508); } 
BgL_auxz00_1242 = 
CAR(BgL_pairz00_509); } 
BgL_val2_1030z00_116 = 
BGl_stringzd2ze3numberz31zz__r4_numbers_6_5z00(BgL_auxz00_1242, 
BINT(((long)10))); } } 
{ /* Llib/color.scm 120 */
int BgL_res1727z00_510;
{ /* Llib/color.scm 120 */
int BgL_tmpz00_1250;
BgL_tmpz00_1250 = 
(int)(((long)3)); 
BgL_res1727z00_510 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1250); } BgL_res1727z00_510; } 
{ /* Llib/color.scm 120 */
int BgL_tmpz00_1253;
BgL_tmpz00_1253 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1253, BgL_val1_1029z00_115); } 
{ /* Llib/color.scm 120 */
int BgL_tmpz00_1256;
BgL_tmpz00_1256 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1256, BgL_val2_1030z00_116); } 
return BgL_val0_1028z00_114;}  else 
{ /* Llib/color.scm 123 */
obj_t BgL_g1015z00_126;
{ /* Llib/color.scm 123 */
obj_t BgL_patz00_147;
BgL_patz00_147 = BGl_pregexp1031z00zz__multimediazd2colorzd2; 
{ /* Llib/color.scm 123 */
long BgL_endz00_150;
BgL_endz00_150 = 
STRING_LENGTH(BgL_cz00_11); 
{ /* Llib/color.scm 123 */

BgL_g1015z00_126 = 
BGl_pregexpzd2matchzd2zz__regexpz00(BgL_patz00_147, BgL_cz00_11, 
BINT(((long)0)), 
BINT(BgL_endz00_150)); } } } 
if(
CBOOL(BgL_g1015z00_126))
{ /* Llib/color.scm 126 */
obj_t BgL_val0_1032z00_129;obj_t BgL_val1_1033z00_130;obj_t BgL_val2_1034z00_131;
{ /* Llib/color.scm 126 */
obj_t BgL_auxz00_1265;
{ /* Llib/color.scm 126 */
obj_t BgL_auxz00_1267;
{ /* Llib/color.scm 126 */

{ /* Llib/color.scm 126 */
obj_t BgL_auxz00_1268;
{ /* Llib/color.scm 126 */
obj_t BgL_pairz00_516;
BgL_pairz00_516 = 
CDR(
((obj_t)BgL_g1015z00_126)); 
BgL_auxz00_1268 = 
CAR(BgL_pairz00_516); } 
BgL_auxz00_1267 = 
BGl_stringzd2ze3numberz31zz__r4_numbers_6_5z00(BgL_auxz00_1268, 
BINT(((long)10))); } } 
BgL_auxz00_1265 = 
BGl_2zf2zf2zz__r4_numbers_6_5z00(BgL_auxz00_1267, 
BINT(((long)100))); } 
BgL_val0_1032z00_129 = 
BGl_2za2za2zz__r4_numbers_6_5z00(
BINT(((long)255)), BgL_auxz00_1265); } 
{ /* Llib/color.scm 127 */
obj_t BgL_auxz00_1277;
{ /* Llib/color.scm 127 */
obj_t BgL_auxz00_1279;
{ /* Llib/color.scm 127 */

{ /* Llib/color.scm 127 */
obj_t BgL_auxz00_1280;
{ /* Llib/color.scm 127 */
obj_t BgL_pairz00_522;
{ /* Llib/color.scm 127 */
obj_t BgL_pairz00_521;
BgL_pairz00_521 = 
CDR(
((obj_t)BgL_g1015z00_126)); 
BgL_pairz00_522 = 
CDR(BgL_pairz00_521); } 
BgL_auxz00_1280 = 
CAR(BgL_pairz00_522); } 
BgL_auxz00_1279 = 
BGl_stringzd2ze3numberz31zz__r4_numbers_6_5z00(BgL_auxz00_1280, 
BINT(((long)10))); } } 
BgL_auxz00_1277 = 
BGl_2zf2zf2zz__r4_numbers_6_5z00(BgL_auxz00_1279, 
BINT(((long)100))); } 
BgL_val1_1033z00_130 = 
BGl_2za2za2zz__r4_numbers_6_5z00(
BINT(((long)255)), BgL_auxz00_1277); } 
{ /* Llib/color.scm 128 */
obj_t BgL_auxz00_1290;
{ /* Llib/color.scm 128 */
obj_t BgL_auxz00_1292;
{ /* Llib/color.scm 128 */

{ /* Llib/color.scm 128 */
obj_t BgL_auxz00_1293;
{ /* Llib/color.scm 128 */
obj_t BgL_pairz00_530;
{ /* Llib/color.scm 128 */
obj_t BgL_pairz00_529;
{ /* Llib/color.scm 128 */
obj_t BgL_pairz00_528;
BgL_pairz00_528 = 
CDR(
((obj_t)BgL_g1015z00_126)); 
BgL_pairz00_529 = 
CDR(BgL_pairz00_528); } 
BgL_pairz00_530 = 
CDR(BgL_pairz00_529); } 
BgL_auxz00_1293 = 
CAR(BgL_pairz00_530); } 
BgL_auxz00_1292 = 
BGl_stringzd2ze3numberz31zz__r4_numbers_6_5z00(BgL_auxz00_1293, 
BINT(((long)10))); } } 
BgL_auxz00_1290 = 
BGl_2zf2zf2zz__r4_numbers_6_5z00(BgL_auxz00_1292, 
BINT(((long)100))); } 
BgL_val2_1034z00_131 = 
BGl_2za2za2zz__r4_numbers_6_5z00(
BINT(((long)255)), BgL_auxz00_1290); } 
{ /* Llib/color.scm 126 */
int BgL_res1729z00_531;
{ /* Llib/color.scm 126 */
int BgL_tmpz00_1304;
BgL_tmpz00_1304 = 
(int)(((long)3)); 
BgL_res1729z00_531 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1304); } BgL_res1729z00_531; } 
{ /* Llib/color.scm 126 */
int BgL_tmpz00_1307;
BgL_tmpz00_1307 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1307, BgL_val1_1033z00_130); } 
{ /* Llib/color.scm 126 */
int BgL_tmpz00_1310;
BgL_tmpz00_1310 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1310, BgL_val2_1034z00_131); } 
return BgL_val0_1032z00_129;}  else 
{ /* Llib/color.scm 123 */
return 
BGl_raisezd2colorzd2errorz00zz__multimediazd2colorzd2(BgL_cz00_11);} } } } 

}



/* parse-hsl-color */
obj_t BGl_parsezd2hslzd2colorz00zz__multimediazd2colorzd2(obj_t BgL_cz00_12)
{
{ /* Llib/color.scm 135 */
{ /* Llib/color.scm 137 */
obj_t BgL_g1017z00_155;
{ /* Llib/color.scm 137 */
obj_t BgL_patz00_164;
BgL_patz00_164 = BGl_pregexp1035z00zz__multimediazd2colorzd2; 
{ /* Llib/color.scm 137 */
long BgL_endz00_167;
BgL_endz00_167 = 
STRING_LENGTH(BgL_cz00_12); 
{ /* Llib/color.scm 137 */

BgL_g1017z00_155 = 
BGl_pregexpzd2matchzd2zz__regexpz00(BgL_patz00_164, BgL_cz00_12, 
BINT(((long)0)), 
BINT(BgL_endz00_167)); } } } 
if(
CBOOL(BgL_g1017z00_155))
{ /* Llib/color.scm 140 */
long BgL_arg1149z00_158;long BgL_arg1151z00_159;long BgL_arg1152z00_160;
{ /* Llib/color.scm 140 */
obj_t BgL_arg1153z00_161;
{ /* Llib/color.scm 140 */
obj_t BgL_pairz00_537;
BgL_pairz00_537 = 
CDR(
((obj_t)BgL_g1017z00_155)); 
BgL_arg1153z00_161 = 
CAR(BgL_pairz00_537); } 
{ /* Llib/color.scm 140 */
char * BgL_tmpz00_1323;
BgL_tmpz00_1323 = 
BSTRING_TO_STRING(BgL_arg1153z00_161); 
BgL_arg1149z00_158 = 
BGL_STRTOL(BgL_tmpz00_1323, ((long)0), ((long)10)); } } 
{ /* Llib/color.scm 141 */
obj_t BgL_arg1154z00_162;
{ /* Llib/color.scm 141 */
obj_t BgL_pairz00_543;
{ /* Llib/color.scm 141 */
obj_t BgL_pairz00_542;
BgL_pairz00_542 = 
CDR(
((obj_t)BgL_g1017z00_155)); 
BgL_pairz00_543 = 
CDR(BgL_pairz00_542); } 
BgL_arg1154z00_162 = 
CAR(BgL_pairz00_543); } 
{ /* Llib/color.scm 141 */
char * BgL_tmpz00_1330;
BgL_tmpz00_1330 = 
BSTRING_TO_STRING(BgL_arg1154z00_162); 
BgL_arg1151z00_159 = 
BGL_STRTOL(BgL_tmpz00_1330, ((long)0), ((long)10)); } } 
{ /* Llib/color.scm 142 */
obj_t BgL_arg1156z00_163;
{ /* Llib/color.scm 142 */
obj_t BgL_pairz00_551;
{ /* Llib/color.scm 142 */
obj_t BgL_pairz00_550;
{ /* Llib/color.scm 142 */
obj_t BgL_pairz00_549;
BgL_pairz00_549 = 
CDR(
((obj_t)BgL_g1017z00_155)); 
BgL_pairz00_550 = 
CDR(BgL_pairz00_549); } 
BgL_pairz00_551 = 
CDR(BgL_pairz00_550); } 
BgL_arg1156z00_163 = 
CAR(BgL_pairz00_551); } 
{ /* Llib/color.scm 142 */
char * BgL_tmpz00_1338;
BgL_tmpz00_1338 = 
BSTRING_TO_STRING(BgL_arg1156z00_163); 
BgL_arg1152z00_160 = 
BGL_STRTOL(BgL_tmpz00_1338, ((long)0), ((long)10)); } } 
return 
BGl_hslzd2ze3rgbz31zz__multimediazd2colorzd2(
(int)(BgL_arg1149z00_158), 
(int)(BgL_arg1151z00_159), 
(int)(BgL_arg1152z00_160));}  else 
{ /* Llib/color.scm 137 */
return 
BGl_raisezd2colorzd2errorz00zz__multimediazd2colorzd2(BgL_cz00_12);} } } 

}



/* parse-web-color */
BGL_EXPORTED_DEF obj_t BGl_parsezd2webzd2colorz00zz__multimediazd2colorzd2(obj_t BgL_colorz00_13)
{
{ /* Llib/color.scm 149 */
if(
(
STRING_LENGTH(BgL_colorz00_13)==((long)0)))
{ /* Llib/color.scm 151 */
return 
BGl_raisezd2colorzd2errorz00zz__multimediazd2colorzd2(BgL_colorz00_13);}  else 
{ /* Llib/color.scm 151 */
if(
(
STRING_REF(BgL_colorz00_13, ((long)0))==((unsigned char)'#')))
{ /* Llib/color.scm 153 */
return 
BGl_parsezd2hexzd2colorz00zz__multimediazd2colorzd2(BgL_colorz00_13);}  else 
{ /* Llib/color.scm 153 */
if(
bigloo_strcmp_at(BgL_colorz00_13, BGl_string1910z00zz__multimediazd2colorzd2, ((long)0)))
{ /* Llib/color.scm 155 */
return 
BGl_parsezd2rgbzd2colorz00zz__multimediazd2colorzd2(BgL_colorz00_13);}  else 
{ /* Llib/color.scm 155 */
if(
bigloo_strcmp_at(BgL_colorz00_13, BGl_string1911z00zz__multimediazd2colorzd2, ((long)0)))
{ /* Llib/color.scm 157 */
return 
BGl_parsezd2hslzd2colorz00zz__multimediazd2colorzd2(BgL_colorz00_13);}  else 
{ /* Llib/color.scm 160 */
obj_t BgL_valz00_174;
BgL_valz00_174 = 
BGl_assocz00zz__r4_pairs_and_lists_6_3z00(BgL_colorz00_13, 
CNST_TABLE_REF(((long)0))); 
if(
CBOOL(BgL_valz00_174))
{ /* Llib/color.scm 162 */
obj_t BgL_runner1165z00_175;
BgL_runner1165z00_175 = 
CDR(
((obj_t)BgL_valz00_174)); 
return 
BGl_valuesz00zz__r5_control_features_6_4z00(BgL_runner1165z00_175);}  else 
{ /* Llib/color.scm 161 */
return 
BGl_raisezd2colorzd2errorz00zz__multimediazd2colorzd2(BgL_colorz00_13);} } } } } } 

}



/* &parse-web-color */
obj_t BGl_z62parsezd2webzd2colorz62zz__multimediazd2colorzd2(obj_t BgL_envz00_921, obj_t BgL_colorz00_922)
{
{ /* Llib/color.scm 149 */
{ /* Llib/color.scm 151 */
obj_t BgL_auxz00_1368;
if(
STRINGP(BgL_colorz00_922))
{ /* Llib/color.scm 151 */
BgL_auxz00_1368 = BgL_colorz00_922
; }  else 
{ 
obj_t BgL_auxz00_1371;
BgL_auxz00_1371 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1903z00zz__multimediazd2colorzd2, 
BINT(((long)6277)), BGl_string1912z00zz__multimediazd2colorzd2, BGl_string1909z00zz__multimediazd2colorzd2, BgL_colorz00_922); 
FAILURE(BgL_auxz00_1371,BFALSE,BFALSE);} 
return 
BGl_parsezd2webzd2colorz00zz__multimediazd2colorzd2(BgL_auxz00_1368);} } 

}



/* hsv->rgb */
BGL_EXPORTED_DEF obj_t BGl_hsvzd2ze3rgbz31zz__multimediazd2colorzd2(int BgL_hz00_14, int BgL_sz00_15, int BgL_vz00_16)
{
{ /* Llib/color.scm 168 */
if(
(
(long)(BgL_sz00_15)>((long)0)))
{ /* Llib/color.scm 173 */
double BgL_hzf260zf2_183;
BgL_hzf260zf2_183 = 
(
(double)(
(long)(BgL_hz00_14))/((double)60.0)); 
{ /* Llib/color.scm 173 */
obj_t BgL_fhzf260zf2_184;
BgL_fhzf260zf2_184 = 
BGl_floorz00zz__r4_numbers_6_5z00(
DOUBLE_TO_REAL(BgL_hzf260zf2_183)); 
{ /* Llib/color.scm 174 */
obj_t BgL_hiz00_185;
BgL_hiz00_185 = 
BGl_moduloz00zz__r4_numbers_6_5_fixnumz00(
BINT(
(long)(
REAL_TO_DOUBLE(BgL_fhzf260zf2_184))), 
BINT(((long)6))); 
{ /* Llib/color.scm 175 */
double BgL_fz00_186;
BgL_fz00_186 = 
(BgL_hzf260zf2_183-
REAL_TO_DOUBLE(BgL_fhzf260zf2_184)); 
{ /* Llib/color.scm 176 */
double BgL_szf2100zf2_187;
BgL_szf2100zf2_187 = 
(
(double)(
(long)(BgL_sz00_15))/((double)100.0)); 
{ /* Llib/color.scm 177 */
double BgL_vzf2100zf2_188;
BgL_vzf2100zf2_188 = 
(
(double)(
(long)(BgL_vz00_16))/((double)100.0)); 
{ /* Llib/color.scm 178 */
long BgL_pz00_189;
BgL_pz00_189 = 
(long)(
(((double)255.0)*
(BgL_vzf2100zf2_188*
(((double)1.0)-BgL_szf2100zf2_187)))); 
{ /* Llib/color.scm 179 */
long BgL_qz00_190;
BgL_qz00_190 = 
(long)(
(((double)255.0)*
(BgL_vzf2100zf2_188*
(((double)1.0)-
(BgL_fz00_186*BgL_szf2100zf2_187))))); 
{ /* Llib/color.scm 181 */
long BgL_tz00_191;
BgL_tz00_191 = 
(long)(
(((double)255.0)*
(BgL_vzf2100zf2_188*
(((double)1.0)-
(
(((double)1.0)-BgL_fz00_186)*BgL_szf2100zf2_187))))); 
{ /* Llib/color.scm 183 */
long BgL_vza2255za2_192;
BgL_vza2255za2_192 = 
(long)(
BGl_roundflz00zz__r4_numbers_6_5_flonumz00(
(BgL_vzf2100zf2_188*((double)255.0)))); 
{ /* Llib/color.scm 185 */
long BgL_rz00_193;
BgL_rz00_193 = ((long)0); 
{ /* Llib/color.scm 187 */
long BgL_gz00_194;
BgL_gz00_194 = ((long)0); 
{ /* Llib/color.scm 188 */
long BgL_bz00_195;
BgL_bz00_195 = ((long)0); 
{ /* Llib/color.scm 189 */

if(
INTEGERP(BgL_hiz00_185))
{ /* Llib/color.scm 190 */
switch( 
(long)CINT(BgL_hiz00_185)) { case ((long)0) : 

BgL_rz00_193 = BgL_vza2255za2_192; 
BgL_gz00_194 = BgL_tz00_191; 
BgL_bz00_195 = BgL_pz00_189; break;case ((long)1) : 

BgL_rz00_193 = BgL_qz00_190; 
BgL_gz00_194 = BgL_vza2255za2_192; 
BgL_bz00_195 = BgL_pz00_189; break;case ((long)2) : 

BgL_rz00_193 = BgL_pz00_189; 
BgL_gz00_194 = BgL_vza2255za2_192; 
BgL_bz00_195 = BgL_tz00_191; break;case ((long)3) : 

BgL_rz00_193 = BgL_pz00_189; 
BgL_gz00_194 = BgL_qz00_190; 
BgL_bz00_195 = BgL_vza2255za2_192; break;case ((long)4) : 

BgL_rz00_193 = BgL_tz00_191; 
BgL_gz00_194 = BgL_pz00_189; 
BgL_bz00_195 = BgL_vza2255za2_192; break;case ((long)5) : 

BgL_rz00_193 = BgL_vza2255za2_192; 
BgL_gz00_194 = BgL_pz00_189; 
BgL_bz00_195 = BgL_qz00_190; break;
default: BUNSPEC; } }  else 
{ /* Llib/color.scm 190 */BUNSPEC; } 
{ /* Llib/color.scm 197 */
long BgL_val0_1036z00_199;long BgL_val1_1037z00_200;long BgL_val2_1038z00_201;
BgL_val0_1036z00_199 = BgL_rz00_193; 
BgL_val1_1037z00_200 = BgL_gz00_194; 
BgL_val2_1038z00_201 = BgL_bz00_195; 
{ /* Llib/color.scm 197 */
int BgL_res1761z00_629;
{ /* Llib/color.scm 197 */
int BgL_tmpz00_1419;
BgL_tmpz00_1419 = 
(int)(((long)3)); 
BgL_res1761z00_629 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1419); } BgL_res1761z00_629; } 
{ /* Llib/color.scm 197 */
obj_t BgL_auxz00_1424;int BgL_tmpz00_1422;
BgL_auxz00_1424 = 
BINT(BgL_val1_1037z00_200); 
BgL_tmpz00_1422 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1422, BgL_auxz00_1424); } 
{ /* Llib/color.scm 197 */
obj_t BgL_auxz00_1429;int BgL_tmpz00_1427;
BgL_auxz00_1429 = 
BINT(BgL_val2_1038z00_201); 
BgL_tmpz00_1427 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1427, BgL_auxz00_1429); } 
return 
BINT(BgL_val0_1036z00_199);} } } } } } } } } } } } } } }  else 
{ /* Llib/color.scm 198 */
long BgL_vz00_220;
{ /* Llib/color.scm 199 */
double BgL_arg1206z00_224;
{ /* Llib/color.scm 199 */
double BgL_arg1207z00_225;
BgL_arg1207z00_225 = 
(
(
(double)(
(long)(BgL_vz00_16))/((double)100.0))*((double)255.0)); 
BgL_arg1206z00_224 = 
BGl_roundflz00zz__r4_numbers_6_5_flonumz00(BgL_arg1207z00_225); } 
BgL_vz00_220 = 
(long)(BgL_arg1206z00_224); } 
{ /* Llib/color.scm 200 */
int BgL_res1766z00_640;
{ /* Llib/color.scm 200 */
int BgL_tmpz00_1439;
BgL_tmpz00_1439 = 
(int)(((long)3)); 
BgL_res1766z00_640 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1439); } BgL_res1766z00_640; } 
{ /* Llib/color.scm 200 */
obj_t BgL_auxz00_1444;int BgL_tmpz00_1442;
BgL_auxz00_1444 = 
BINT(BgL_vz00_220); 
BgL_tmpz00_1442 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1442, BgL_auxz00_1444); } 
{ /* Llib/color.scm 200 */
obj_t BgL_auxz00_1449;int BgL_tmpz00_1447;
BgL_auxz00_1449 = 
BINT(BgL_vz00_220); 
BgL_tmpz00_1447 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1447, BgL_auxz00_1449); } 
return 
BINT(BgL_vz00_220);} } 

}



/* &hsv->rgb */
obj_t BGl_z62hsvzd2ze3rgbz53zz__multimediazd2colorzd2(obj_t BgL_envz00_923, obj_t BgL_hz00_924, obj_t BgL_sz00_925, obj_t BgL_vz00_926)
{
{ /* Llib/color.scm 168 */
{ /* Llib/color.scm 172 */
int BgL_auxz00_1471;int BgL_auxz00_1462;int BgL_auxz00_1453;
{ /* Llib/color.scm 172 */
obj_t BgL_tmpz00_1472;
if(
INTEGERP(BgL_vz00_926))
{ /* Llib/color.scm 172 */
BgL_tmpz00_1472 = BgL_vz00_926
; }  else 
{ 
obj_t BgL_auxz00_1475;
BgL_auxz00_1475 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1903z00zz__multimediazd2colorzd2, 
BINT(((long)6983)), BGl_string1913z00zz__multimediazd2colorzd2, BGl_string1905z00zz__multimediazd2colorzd2, BgL_vz00_926); 
FAILURE(BgL_auxz00_1475,BFALSE,BFALSE);} 
BgL_auxz00_1471 = 
CINT(BgL_tmpz00_1472); } 
{ /* Llib/color.scm 172 */
obj_t BgL_tmpz00_1463;
if(
INTEGERP(BgL_sz00_925))
{ /* Llib/color.scm 172 */
BgL_tmpz00_1463 = BgL_sz00_925
; }  else 
{ 
obj_t BgL_auxz00_1466;
BgL_auxz00_1466 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1903z00zz__multimediazd2colorzd2, 
BINT(((long)6983)), BGl_string1913z00zz__multimediazd2colorzd2, BGl_string1905z00zz__multimediazd2colorzd2, BgL_sz00_925); 
FAILURE(BgL_auxz00_1466,BFALSE,BFALSE);} 
BgL_auxz00_1462 = 
CINT(BgL_tmpz00_1463); } 
{ /* Llib/color.scm 172 */
obj_t BgL_tmpz00_1454;
if(
INTEGERP(BgL_hz00_924))
{ /* Llib/color.scm 172 */
BgL_tmpz00_1454 = BgL_hz00_924
; }  else 
{ 
obj_t BgL_auxz00_1457;
BgL_auxz00_1457 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1903z00zz__multimediazd2colorzd2, 
BINT(((long)6983)), BGl_string1913z00zz__multimediazd2colorzd2, BGl_string1905z00zz__multimediazd2colorzd2, BgL_hz00_924); 
FAILURE(BgL_auxz00_1457,BFALSE,BFALSE);} 
BgL_auxz00_1453 = 
CINT(BgL_tmpz00_1454); } 
return 
BGl_hsvzd2ze3rgbz31zz__multimediazd2colorzd2(BgL_auxz00_1453, BgL_auxz00_1462, BgL_auxz00_1471);} } 

}



/* h */
long BGl_hz00zz__multimediazd2colorzd2(double BgL_maxz00_17, double BgL_minz00_18, double BgL_rz00_19, double BgL_gz00_20, double BgL_bz00_21)
{
{ /* Llib/color.scm 205 */
if(
(BgL_maxz00_17==BgL_minz00_18))
{ /* Llib/color.scm 207 */
return ((long)0);}  else 
{ /* Llib/color.scm 207 */
if(
(BgL_maxz00_17==BgL_rz00_19))
{ /* Llib/color.scm 212 */
long BgL_arg1218z00_231;
BgL_arg1218z00_231 = 
(long)(
BGl_roundflz00zz__r4_numbers_6_5_flonumz00(
(
(((double)60.0)*
(
(BgL_gz00_20-BgL_bz00_21)/
(BgL_maxz00_17-BgL_minz00_18)))+((double)360.0)))); 
return 
BGl_modulofxz00zz__r4_numbers_6_5_fixnumz00(BgL_arg1218z00_231, ((long)360));}  else 
{ /* Llib/color.scm 209 */
if(
(BgL_maxz00_17==BgL_gz00_20))
{ /* Llib/color.scm 213 */
return 
(long)(
BGl_roundflz00zz__r4_numbers_6_5_flonumz00(
(
(((double)60.0)*
(
(BgL_bz00_21-BgL_rz00_19)/
(BgL_maxz00_17-BgL_minz00_18)))+((double)120.0))));}  else 
{ /* Llib/color.scm 213 */
return 
(long)(
BGl_roundflz00zz__r4_numbers_6_5_flonumz00(
(
(((double)60.0)*
(
(BgL_rz00_19-BgL_gz00_20)/
(BgL_maxz00_17-BgL_minz00_18)))+((double)240.0))));} } } } 

}



/* rgb->hsv */
BGL_EXPORTED_DEF obj_t BGl_rgbzd2ze3hsvz31zz__multimediazd2colorzd2(int BgL_rz00_22, int BgL_gz00_23, int BgL_bz00_24)
{
{ /* Llib/color.scm 223 */
{ /* Llib/color.scm 228 */
double BgL_rz00_252;
BgL_rz00_252 = 
(
(double)(
(long)(BgL_rz00_22))/((double)255.0)); 
{ /* Llib/color.scm 228 */
double BgL_gz00_253;
BgL_gz00_253 = 
(
(double)(
(long)(BgL_gz00_23))/((double)255.0)); 
{ /* Llib/color.scm 229 */
double BgL_bz00_254;
BgL_bz00_254 = 
(
(double)(
(long)(BgL_bz00_24))/((double)255.0)); 
{ /* Llib/color.scm 230 */
obj_t BgL_maxz00_255;
{ /* Llib/color.scm 231 */
obj_t BgL_list1348z00_265;
{ /* Llib/color.scm 231 */
obj_t BgL_arg1349z00_266;
BgL_arg1349z00_266 = 
MAKE_YOUNG_PAIR(
DOUBLE_TO_REAL(BgL_bz00_254), BNIL); 
BgL_list1348z00_265 = 
MAKE_YOUNG_PAIR(
DOUBLE_TO_REAL(BgL_gz00_253), BgL_arg1349z00_266); } 
BgL_maxz00_255 = 
BGl_maxz00zz__r4_numbers_6_5z00(
DOUBLE_TO_REAL(BgL_rz00_252), BgL_list1348z00_265); } 
{ /* Llib/color.scm 231 */
obj_t BgL_minz00_256;
{ /* Llib/color.scm 232 */
obj_t BgL_list1340z00_263;
{ /* Llib/color.scm 232 */
obj_t BgL_arg1347z00_264;
BgL_arg1347z00_264 = 
MAKE_YOUNG_PAIR(
DOUBLE_TO_REAL(BgL_bz00_254), BNIL); 
BgL_list1340z00_263 = 
MAKE_YOUNG_PAIR(
DOUBLE_TO_REAL(BgL_gz00_253), BgL_arg1347z00_264); } 
BgL_minz00_256 = 
BGl_minz00zz__r4_numbers_6_5z00(
DOUBLE_TO_REAL(BgL_rz00_252), BgL_list1340z00_263); } 
{ /* Llib/color.scm 232 */

{ /* Llib/color.scm 233 */
long BgL_val0_1042z00_257;long BgL_val1_1043z00_258;long BgL_val2_1044z00_259;
BgL_val0_1042z00_257 = 
BGl_hz00zz__multimediazd2colorzd2(
REAL_TO_DOUBLE(BgL_maxz00_255), 
REAL_TO_DOUBLE(BgL_minz00_256), BgL_rz00_252, BgL_gz00_253, BgL_bz00_254); 
{ /* Llib/color.scm 234 */
double BgL_maxz00_723;double BgL_minz00_724;
BgL_maxz00_723 = 
REAL_TO_DOUBLE(BgL_maxz00_255); 
BgL_minz00_724 = 
REAL_TO_DOUBLE(BgL_minz00_256); 
if(
(BgL_maxz00_723==((double)0.0)))
{ /* Llib/color.scm 225 */
BgL_val1_1043z00_258 = ((long)0); }  else 
{ /* Llib/color.scm 227 */
double BgL_arg1383z00_729;
{ /* Llib/color.scm 227 */
obj_t BgL_arg1384z00_730;
BgL_arg1384z00_730 = 
BGl_2za2za2zz__r4_numbers_6_5z00(
BINT(((long)100)), 
DOUBLE_TO_REAL(
(
(BgL_maxz00_723-BgL_minz00_724)/BgL_maxz00_723))); 
BgL_arg1383z00_729 = 
BGl_roundflz00zz__r4_numbers_6_5_flonumz00(
REAL_TO_DOUBLE(BgL_arg1384z00_730)); } 
BgL_val1_1043z00_258 = 
(long)(BgL_arg1383z00_729); } } 
{ /* Llib/color.scm 235 */
double BgL_arg1336z00_260;
{ /* Llib/color.scm 235 */
obj_t BgL_arg1337z00_261;
if(
INTEGERP(BgL_maxz00_255))
{ /* Llib/color.scm 235 */
BgL_arg1337z00_261 = 
BINT(
(((long)100)*
(long)CINT(BgL_maxz00_255))); }  else 
{ /* Llib/color.scm 235 */
BgL_arg1337z00_261 = 
BGl_2za2za2zz__r4_numbers_6_5z00(
BINT(((long)100)), BgL_maxz00_255); } 
BgL_arg1336z00_260 = 
BGl_roundflz00zz__r4_numbers_6_5_flonumz00(
REAL_TO_DOUBLE(BgL_arg1337z00_261)); } 
BgL_val2_1044z00_259 = 
(long)(BgL_arg1336z00_260); } 
{ /* Llib/color.scm 233 */
int BgL_res1800z00_743;
{ /* Llib/color.scm 233 */
int BgL_tmpz00_1555;
BgL_tmpz00_1555 = 
(int)(((long)3)); 
BgL_res1800z00_743 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1555); } BgL_res1800z00_743; } 
{ /* Llib/color.scm 233 */
obj_t BgL_auxz00_1560;int BgL_tmpz00_1558;
BgL_auxz00_1560 = 
BINT(BgL_val1_1043z00_258); 
BgL_tmpz00_1558 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1558, BgL_auxz00_1560); } 
{ /* Llib/color.scm 233 */
obj_t BgL_auxz00_1565;int BgL_tmpz00_1563;
BgL_auxz00_1565 = 
BINT(BgL_val2_1044z00_259); 
BgL_tmpz00_1563 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1563, BgL_auxz00_1565); } 
return 
BINT(BgL_val0_1042z00_257);} } } } } } } } 

}



/* &rgb->hsv */
obj_t BGl_z62rgbzd2ze3hsvz53zz__multimediazd2colorzd2(obj_t BgL_envz00_927, obj_t BgL_rz00_928, obj_t BgL_gz00_929, obj_t BgL_bz00_930)
{
{ /* Llib/color.scm 223 */
{ /* Llib/color.scm 228 */
int BgL_auxz00_1587;int BgL_auxz00_1578;int BgL_auxz00_1569;
{ /* Llib/color.scm 228 */
obj_t BgL_tmpz00_1588;
if(
INTEGERP(BgL_bz00_930))
{ /* Llib/color.scm 228 */
BgL_tmpz00_1588 = BgL_bz00_930
; }  else 
{ 
obj_t BgL_auxz00_1591;
BgL_auxz00_1591 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1903z00zz__multimediazd2colorzd2, 
BINT(((long)9016)), BGl_string1914z00zz__multimediazd2colorzd2, BGl_string1905z00zz__multimediazd2colorzd2, BgL_bz00_930); 
FAILURE(BgL_auxz00_1591,BFALSE,BFALSE);} 
BgL_auxz00_1587 = 
CINT(BgL_tmpz00_1588); } 
{ /* Llib/color.scm 228 */
obj_t BgL_tmpz00_1579;
if(
INTEGERP(BgL_gz00_929))
{ /* Llib/color.scm 228 */
BgL_tmpz00_1579 = BgL_gz00_929
; }  else 
{ 
obj_t BgL_auxz00_1582;
BgL_auxz00_1582 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1903z00zz__multimediazd2colorzd2, 
BINT(((long)9016)), BGl_string1914z00zz__multimediazd2colorzd2, BGl_string1905z00zz__multimediazd2colorzd2, BgL_gz00_929); 
FAILURE(BgL_auxz00_1582,BFALSE,BFALSE);} 
BgL_auxz00_1578 = 
CINT(BgL_tmpz00_1579); } 
{ /* Llib/color.scm 228 */
obj_t BgL_tmpz00_1570;
if(
INTEGERP(BgL_rz00_928))
{ /* Llib/color.scm 228 */
BgL_tmpz00_1570 = BgL_rz00_928
; }  else 
{ 
obj_t BgL_auxz00_1573;
BgL_auxz00_1573 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1903z00zz__multimediazd2colorzd2, 
BINT(((long)9016)), BGl_string1914z00zz__multimediazd2colorzd2, BGl_string1905z00zz__multimediazd2colorzd2, BgL_rz00_928); 
FAILURE(BgL_auxz00_1573,BFALSE,BFALSE);} 
BgL_auxz00_1569 = 
CINT(BgL_tmpz00_1570); } 
return 
BGl_rgbzd2ze3hsvz31zz__multimediazd2colorzd2(BgL_auxz00_1569, BgL_auxz00_1578, BgL_auxz00_1587);} } 

}



/* hsl->rgb */
BGL_EXPORTED_DEF obj_t BGl_hslzd2ze3rgbz31zz__multimediazd2colorzd2(int BgL_hz00_25, int BgL_sz00_26, int BgL_lz00_27)
{
{ /* Llib/color.scm 240 */
if(
(
(long)(BgL_sz00_26)==((long)0)))
{ /* Llib/color.scm 258 */
long BgL_vz00_286;
{ /* Llib/color.scm 258 */
double BgL_arg1517z00_290;
{ /* Llib/color.scm 258 */
double BgL_arg1518z00_291;
BgL_arg1518z00_291 = 
(
REAL_TO_DOUBLE(
BGl_2zf2zf2zz__r4_numbers_6_5z00(
BINT(BgL_lz00_27), BGL_REAL_CNST( BGl_real1915z00zz__multimediazd2colorzd2)))*((double)255.0)); 
BgL_arg1517z00_290 = 
BGl_roundflz00zz__r4_numbers_6_5_flonumz00(BgL_arg1518z00_291); } 
BgL_vz00_286 = 
(long)(BgL_arg1517z00_290); } 
{ /* Llib/color.scm 259 */
int BgL_res1821z00_799;
{ /* Llib/color.scm 259 */
int BgL_tmpz00_1606;
BgL_tmpz00_1606 = 
(int)(((long)3)); 
BgL_res1821z00_799 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1606); } BgL_res1821z00_799; } 
{ /* Llib/color.scm 259 */
obj_t BgL_auxz00_1611;int BgL_tmpz00_1609;
BgL_auxz00_1611 = 
BINT(BgL_vz00_286); 
BgL_tmpz00_1609 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1609, BgL_auxz00_1611); } 
{ /* Llib/color.scm 259 */
obj_t BgL_auxz00_1616;int BgL_tmpz00_1614;
BgL_auxz00_1616 = 
BINT(BgL_vz00_286); 
BgL_tmpz00_1614 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1614, BgL_auxz00_1616); } 
return 
BINT(BgL_vz00_286);}  else 
{ /* Llib/color.scm 260 */
double BgL_lzf2100zf2_293;
BgL_lzf2100zf2_293 = 
(
(double)(
(long)(BgL_lz00_27))/((double)100.0)); 
{ /* Llib/color.scm 260 */
double BgL_szf2100zf2_294;
BgL_szf2100zf2_294 = 
(
(double)(
(long)(BgL_sz00_26))/((double)100.0)); 
{ /* Llib/color.scm 261 */
double BgL_qz00_295;
if(
(
(long)(BgL_lz00_27)<((long)50)))
{ /* Llib/color.scm 262 */
BgL_qz00_295 = 
(BgL_lzf2100zf2_293*
(((double)1.0)+BgL_szf2100zf2_294)); }  else 
{ /* Llib/color.scm 262 */
BgL_qz00_295 = 
(BgL_lzf2100zf2_293+
(BgL_szf2100zf2_294-
(BgL_lzf2100zf2_293*BgL_szf2100zf2_294))); } 
{ /* Llib/color.scm 262 */
double BgL_pz00_296;
BgL_pz00_296 = 
(
(((double)2.0)*BgL_lzf2100zf2_293)-BgL_qz00_295); 
{ /* Llib/color.scm 265 */
double BgL_hkz00_297;
BgL_hkz00_297 = 
(
(double)(
(long)(BgL_hz00_25))/((double)360.0)); 
{ /* Llib/color.scm 266 */
double BgL_tcrz00_298;
BgL_tcrz00_298 = 
BGl_tcze70ze7zz__multimediazd2colorzd2(
(BgL_hkz00_297+((double)0.3333333333333333))); 
{ /* Llib/color.scm 267 */
double BgL_tcgz00_299;
BgL_tcgz00_299 = 
BGl_tcze70ze7zz__multimediazd2colorzd2(BgL_hkz00_297); 
{ /* Llib/color.scm 268 */
double BgL_tcbz00_300;
BgL_tcbz00_300 = 
BGl_tcze70ze7zz__multimediazd2colorzd2(
(BgL_hkz00_297-((double)0.3333333333333333))); 
{ /* Llib/color.scm 269 */

{ /* Llib/color.scm 270 */
long BgL_val0_1048z00_301;long BgL_val1_1049z00_302;long BgL_val2_1050z00_303;
BgL_val0_1048z00_301 = 
BGl_colorcze70ze7zz__multimediazd2colorzd2(BgL_tcrz00_298, BgL_pz00_296, BgL_qz00_295); 
BgL_val1_1049z00_302 = 
BGl_colorcze70ze7zz__multimediazd2colorzd2(BgL_tcgz00_299, BgL_pz00_296, BgL_qz00_295); 
BgL_val2_1050z00_303 = 
BGl_colorcze70ze7zz__multimediazd2colorzd2(BgL_tcbz00_300, BgL_pz00_296, BgL_qz00_295); 
{ /* Llib/color.scm 270 */
int BgL_res1837z00_841;
{ /* Llib/color.scm 270 */
int BgL_tmpz00_1647;
BgL_tmpz00_1647 = 
(int)(((long)3)); 
BgL_res1837z00_841 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1647); } BgL_res1837z00_841; } 
{ /* Llib/color.scm 270 */
obj_t BgL_auxz00_1652;int BgL_tmpz00_1650;
BgL_auxz00_1652 = 
BINT(BgL_val1_1049z00_302); 
BgL_tmpz00_1650 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1650, BgL_auxz00_1652); } 
{ /* Llib/color.scm 270 */
obj_t BgL_auxz00_1657;int BgL_tmpz00_1655;
BgL_auxz00_1657 = 
BINT(BgL_val2_1050z00_303); 
BgL_tmpz00_1655 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1655, BgL_auxz00_1657); } 
return 
BINT(BgL_val0_1048z00_301);} } } } } } } } } } } 

}



/* tc~0 */
double BGl_tcze70ze7zz__multimediazd2colorzd2(double BgL_tz00_315)
{
{ /* Llib/color.scm 245 */
if(
(BgL_tz00_315<((double)0.0)))
{ /* Llib/color.scm 243 */
return 
(BgL_tz00_315+((double)1.0));}  else 
{ /* Llib/color.scm 243 */
if(
(BgL_tz00_315>((double)1.0)))
{ /* Llib/color.scm 244 */
return 
(BgL_tz00_315-((double)1.0));}  else 
{ /* Llib/color.scm 244 */
return BgL_tz00_315;} } } 

}



/* colorc~0 */
long BGl_colorcze70ze7zz__multimediazd2colorzd2(double BgL_tz00_319, double BgL_pz00_320, double BgL_qz00_321)
{
{ /* Llib/color.scm 256 */
{ /* Llib/color.scm 247 */
double BgL_vz00_323;
if(
(BgL_tz00_319<((double)0.16666666666666666)))
{ /* Llib/color.scm 248 */
BgL_vz00_323 = 
(BgL_pz00_320+
(
(BgL_qz00_321-BgL_pz00_320)*
(((double)6.0)*BgL_tz00_319))); }  else 
{ /* Llib/color.scm 248 */
if(
(BgL_tz00_319<((double)0.5)))
{ /* Llib/color.scm 250 */
BgL_vz00_323 = BgL_qz00_321; }  else 
{ /* Llib/color.scm 250 */
if(
(BgL_tz00_319<((double)0.6666666666666666)))
{ /* Llib/color.scm 252 */
BgL_vz00_323 = 
(BgL_pz00_320+
(
(BgL_qz00_321-BgL_pz00_320)*
(((double)6.0)*
(((double)0.6666666666666666)-BgL_tz00_319)))); }  else 
{ /* Llib/color.scm 252 */
BgL_vz00_323 = BgL_pz00_320; } } } 
return 
(long)(
BGl_roundflz00zz__r4_numbers_6_5_flonumz00(
(((double)255.0)*BgL_vz00_323)));} } 

}



/* &hsl->rgb */
obj_t BGl_z62hslzd2ze3rgbz53zz__multimediazd2colorzd2(obj_t BgL_envz00_931, obj_t BgL_hz00_932, obj_t BgL_sz00_933, obj_t BgL_lz00_934)
{
{ /* Llib/color.scm 240 */
{ /* Llib/color.scm 243 */
int BgL_auxz00_1703;int BgL_auxz00_1694;int BgL_auxz00_1685;
{ /* Llib/color.scm 243 */
obj_t BgL_tmpz00_1704;
if(
INTEGERP(BgL_lz00_934))
{ /* Llib/color.scm 243 */
BgL_tmpz00_1704 = BgL_lz00_934
; }  else 
{ 
obj_t BgL_auxz00_1707;
BgL_auxz00_1707 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1903z00zz__multimediazd2colorzd2, 
BINT(((long)9560)), BGl_string1916z00zz__multimediazd2colorzd2, BGl_string1905z00zz__multimediazd2colorzd2, BgL_lz00_934); 
FAILURE(BgL_auxz00_1707,BFALSE,BFALSE);} 
BgL_auxz00_1703 = 
CINT(BgL_tmpz00_1704); } 
{ /* Llib/color.scm 243 */
obj_t BgL_tmpz00_1695;
if(
INTEGERP(BgL_sz00_933))
{ /* Llib/color.scm 243 */
BgL_tmpz00_1695 = BgL_sz00_933
; }  else 
{ 
obj_t BgL_auxz00_1698;
BgL_auxz00_1698 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1903z00zz__multimediazd2colorzd2, 
BINT(((long)9560)), BGl_string1916z00zz__multimediazd2colorzd2, BGl_string1905z00zz__multimediazd2colorzd2, BgL_sz00_933); 
FAILURE(BgL_auxz00_1698,BFALSE,BFALSE);} 
BgL_auxz00_1694 = 
CINT(BgL_tmpz00_1695); } 
{ /* Llib/color.scm 243 */
obj_t BgL_tmpz00_1686;
if(
INTEGERP(BgL_hz00_932))
{ /* Llib/color.scm 243 */
BgL_tmpz00_1686 = BgL_hz00_932
; }  else 
{ 
obj_t BgL_auxz00_1689;
BgL_auxz00_1689 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1903z00zz__multimediazd2colorzd2, 
BINT(((long)9560)), BGl_string1916z00zz__multimediazd2colorzd2, BGl_string1905z00zz__multimediazd2colorzd2, BgL_hz00_932); 
FAILURE(BgL_auxz00_1689,BFALSE,BFALSE);} 
BgL_auxz00_1685 = 
CINT(BgL_tmpz00_1686); } 
return 
BGl_hslzd2ze3rgbz31zz__multimediazd2colorzd2(BgL_auxz00_1685, BgL_auxz00_1694, BgL_auxz00_1703);} } 

}



/* rgb->hsl */
BGL_EXPORTED_DEF obj_t BGl_rgbzd2ze3hslz31zz__multimediazd2colorzd2(int BgL_rz00_28, int BgL_gz00_29, int BgL_bz00_30)
{
{ /* Llib/color.scm 275 */
{ 
double BgL_maxz00_356;double BgL_minz00_357;double BgL_rz00_358;double BgL_gz00_359;double BgL_bz00_360;double BgL_lz00_361;
{ /* Llib/color.scm 286 */
double BgL_rz00_339;
BgL_rz00_339 = 
(
(double)(
(long)(BgL_rz00_28))/((double)255.0)); 
{ /* Llib/color.scm 286 */
double BgL_gz00_340;
BgL_gz00_340 = 
(
(double)(
(long)(BgL_gz00_29))/((double)255.0)); 
{ /* Llib/color.scm 287 */
double BgL_bz00_341;
BgL_bz00_341 = 
(
(double)(
(long)(BgL_bz00_30))/((double)255.0)); 
{ /* Llib/color.scm 288 */
double BgL_maxz00_342;
BgL_maxz00_342 = 
BGL_FL_MAX2(
BGL_FL_MAX2(BgL_rz00_339, BgL_gz00_340), BgL_bz00_341); 
{ /* Llib/color.scm 289 */
double BgL_minz00_343;
BgL_minz00_343 = 
BGL_FL_MIN2(
BGL_FL_MIN2(BgL_rz00_339, BgL_gz00_340), BgL_bz00_341); 
{ /* Llib/color.scm 290 */
double BgL_lz00_344;
BgL_lz00_344 = 
(
(BgL_maxz00_342+BgL_minz00_343)/((double)2.0)); 
{ /* Llib/color.scm 291 */

{ /* Llib/color.scm 292 */
long BgL_val0_1053z00_345;long BgL_val1_1054z00_346;long BgL_val2_1055z00_347;
BgL_val0_1053z00_345 = 
BGl_hz00zz__multimediazd2colorzd2(BgL_maxz00_342, BgL_minz00_343, BgL_rz00_339, BgL_gz00_340, BgL_bz00_341); 
BgL_maxz00_356 = BgL_maxz00_342; 
BgL_minz00_357 = BgL_minz00_343; 
BgL_rz00_358 = BgL_rz00_339; 
BgL_gz00_359 = BgL_gz00_340; 
BgL_bz00_360 = BgL_bz00_341; 
BgL_lz00_361 = BgL_lz00_344; 
if(
(BgL_maxz00_356==BgL_minz00_357))
{ /* Llib/color.scm 278 */
BgL_val1_1054z00_346 = ((long)0); }  else 
{ /* Llib/color.scm 278 */
if(
(BgL_lz00_361<=((double)0.5)))
{ /* Llib/color.scm 280 */
BgL_val1_1054z00_346 = 
(long)(
BGl_roundflz00zz__r4_numbers_6_5_flonumz00(
(((double)100.0)*
(
(BgL_maxz00_356-BgL_minz00_357)/
(BgL_maxz00_356+BgL_minz00_357))))); }  else 
{ /* Llib/color.scm 280 */
BgL_val1_1054z00_346 = 
(long)(
BGl_roundflz00zz__r4_numbers_6_5_flonumz00(
(((double)100.0)*
(
(BgL_maxz00_356-BgL_minz00_357)/
(((double)2.0)-
(BgL_maxz00_356+BgL_minz00_357)))))); } } 
BgL_val2_1055z00_347 = 
(long)(
BGl_roundflz00zz__r4_numbers_6_5_flonumz00(
(((double)100.0)*BgL_lz00_344))); 
{ /* Llib/color.scm 292 */
int BgL_res1864z00_914;
{ /* Llib/color.scm 292 */
int BgL_tmpz00_1749;
BgL_tmpz00_1749 = 
(int)(((long)3)); 
BgL_res1864z00_914 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1749); } BgL_res1864z00_914; } 
{ /* Llib/color.scm 292 */
obj_t BgL_auxz00_1754;int BgL_tmpz00_1752;
BgL_auxz00_1754 = 
BINT(BgL_val1_1054z00_346); 
BgL_tmpz00_1752 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1752, BgL_auxz00_1754); } 
{ /* Llib/color.scm 292 */
obj_t BgL_auxz00_1759;int BgL_tmpz00_1757;
BgL_auxz00_1759 = 
BINT(BgL_val2_1055z00_347); 
BgL_tmpz00_1757 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1757, BgL_auxz00_1759); } 
return 
BINT(BgL_val0_1053z00_345);} } } } } } } } } } 

}



/* &rgb->hsl */
obj_t BGl_z62rgbzd2ze3hslz53zz__multimediazd2colorzd2(obj_t BgL_envz00_935, obj_t BgL_rz00_936, obj_t BgL_gz00_937, obj_t BgL_bz00_938)
{
{ /* Llib/color.scm 275 */
{ /* Llib/color.scm 278 */
int BgL_auxz00_1781;int BgL_auxz00_1772;int BgL_auxz00_1763;
{ /* Llib/color.scm 278 */
obj_t BgL_tmpz00_1782;
if(
INTEGERP(BgL_bz00_938))
{ /* Llib/color.scm 278 */
BgL_tmpz00_1782 = BgL_bz00_938
; }  else 
{ 
obj_t BgL_auxz00_1785;
BgL_auxz00_1785 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1903z00zz__multimediazd2colorzd2, 
BINT(((long)10797)), BGl_string1917z00zz__multimediazd2colorzd2, BGl_string1905z00zz__multimediazd2colorzd2, BgL_bz00_938); 
FAILURE(BgL_auxz00_1785,BFALSE,BFALSE);} 
BgL_auxz00_1781 = 
CINT(BgL_tmpz00_1782); } 
{ /* Llib/color.scm 278 */
obj_t BgL_tmpz00_1773;
if(
INTEGERP(BgL_gz00_937))
{ /* Llib/color.scm 278 */
BgL_tmpz00_1773 = BgL_gz00_937
; }  else 
{ 
obj_t BgL_auxz00_1776;
BgL_auxz00_1776 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1903z00zz__multimediazd2colorzd2, 
BINT(((long)10797)), BGl_string1917z00zz__multimediazd2colorzd2, BGl_string1905z00zz__multimediazd2colorzd2, BgL_gz00_937); 
FAILURE(BgL_auxz00_1776,BFALSE,BFALSE);} 
BgL_auxz00_1772 = 
CINT(BgL_tmpz00_1773); } 
{ /* Llib/color.scm 278 */
obj_t BgL_tmpz00_1764;
if(
INTEGERP(BgL_rz00_936))
{ /* Llib/color.scm 278 */
BgL_tmpz00_1764 = BgL_rz00_936
; }  else 
{ 
obj_t BgL_auxz00_1767;
BgL_auxz00_1767 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1903z00zz__multimediazd2colorzd2, 
BINT(((long)10797)), BGl_string1917z00zz__multimediazd2colorzd2, BGl_string1905z00zz__multimediazd2colorzd2, BgL_rz00_936); 
FAILURE(BgL_auxz00_1767,BFALSE,BFALSE);} 
BgL_auxz00_1763 = 
CINT(BgL_tmpz00_1764); } 
return 
BGl_rgbzd2ze3hslz31zz__multimediazd2colorzd2(BgL_auxz00_1763, BgL_auxz00_1772, BgL_auxz00_1781);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__multimediazd2colorzd2()
{
{ /* Llib/color.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__multimediazd2colorzd2()
{
{ /* Llib/color.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__multimediazd2colorzd2()
{
{ /* Llib/color.scm 15 */
return BUNSPEC;} 

}

#ifdef __cplusplus
}
#endif
