/*===========================================================================*/
/*   (Llib/pdgevent.scm)                                                     */
/*   Bigloo (4.3h)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue 12 May 2020 08:36:09 AM CEST    */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.3h/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.3h/lib/bigloo/4.3h -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.3h/lib/bigloo/4.3h -srfi phidget -unsafe -safee -copt  -copt -fPIC -copt -IClib Llib/pdgevent.scm -o objs/pdgevent.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <bglphidget_config.h>
#include <bglphidget.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_threadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
} *BgL_threadz00_bglt;

typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_pthreadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_bodyz00;
   bool_t BgL_detachedpz00;
   obj_t BgL_endzd2resultzd2;
   obj_t BgL_endzd2exceptionzd2;
   void * BgL_z42builtinz42;
} *BgL_pthreadz00_bglt;

typedef struct BgL_z62phidgetzd2errorzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62phidgetzd2errorzb0_bglt;

typedef struct BgL_z52phidgetz52_bgl {
   header_t header;
   obj_t widening;
} *BgL_z52phidgetz52_bglt;

typedef struct BgL_z52phidgetzd2eventz80_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
} *BgL_z52phidgetzd2eventz80_bglt;

typedef struct BgL_phidgetzd2eventzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   struct BgL_z52phidgetz52_bgl * BgL_phidgetz00;
} *BgL_phidgetzd2eventzd2_bglt;

typedef struct BgL_phidgetzd2errorzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_codez00;
   char * BgL_messagez00;
} *BgL_phidgetzd2errorzd2eventz00_bglt;

typedef struct BgL_phidgetzd2attachzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   struct BgL_z52phidgetz52_bgl * BgL_phidgetz00;
} *BgL_phidgetzd2attachzd2eventz00_bglt;

typedef struct BgL_phidgetzd2detachzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   struct BgL_z52phidgetz52_bgl * BgL_phidgetz00;
} *BgL_phidgetzd2detachzd2eventz00_bglt;

typedef struct BgL_phidgetzd2changezd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
} *BgL_phidgetzd2changezd2eventz00_bglt;

typedef struct BgL_phidgetzd2inputchangezd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   bool_t BgL_statez00;
} *BgL_phidgetzd2inputchangezd2eventz00_bglt;

typedef struct BgL_phidgetzd2outputchangezd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   bool_t BgL_statez00;
} *BgL_phidgetzd2outputchangezd2eventz00_bglt;

typedef struct BgL_phidgetzd2sensorchangezd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   int BgL_statez00;
} *BgL_phidgetzd2sensorchangezd2eventz00_bglt;

typedef struct BgL_phidgetzd2serverconnectzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   struct BgL_z52phidgetz52_bgl * BgL_phidgetz00;
} *BgL_phidgetzd2serverconnectzd2eventz00_bglt;

typedef struct BgL_phidgetzd2serverdisconnectzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   struct BgL_z52phidgetz52_bgl * BgL_phidgetz00;
} *BgL_phidgetzd2serverdisconnectzd2eventz00_bglt;

typedef struct BgL_phidgetzd2spatialdatazd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_secondsz00;
   int BgL_microsecondsz00;
   double BgL_acxz00;
   double BgL_acyz00;
   double BgL_acza7za7;
   double BgL_anxz00;
   double BgL_anyz00;
   double BgL_anza7za7;
   double BgL_mfxz00;
   double BgL_mfyz00;
   double BgL_mfza7za7;
} *BgL_phidgetzd2spatialdatazd2eventz00_bglt;

typedef struct BgL_phidgetzd2servopositionzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   double BgL_positionz00;
} *BgL_phidgetzd2servopositionzd2eventz00_bglt;

typedef struct BgL_phidgetzd2servovelocityzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   double BgL_velocityz00;
} *BgL_phidgetzd2servovelocityzd2eventz00_bglt;

typedef struct BgL_phidgetzd2servocurrentzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   double BgL_currentz00;
} *BgL_phidgetzd2servocurrentzd2eventz00_bglt;

typedef struct BgL_phidgetzd2stepperinputzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   bool_t BgL_statez00;
} *BgL_phidgetzd2stepperinputzd2eventz00_bglt;

typedef struct BgL_phidgetzd2steppervelocityzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   double BgL_velocityz00;
} *BgL_phidgetzd2steppervelocityzd2eventz00_bglt;

typedef struct BgL_phidgetzd2stepperpositionzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   BGL_LONGLONG_T BgL_positionz00;
} *BgL_phidgetzd2stepperpositionzd2eventz00_bglt;

typedef struct BgL_phidgetzd2steppercurrentzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   double BgL_currentz00;
} *BgL_phidgetzd2steppercurrentzd2eventz00_bglt;

typedef struct BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   double BgL_velocityz00;
} *BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bglt;

typedef struct BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   double BgL_currentz00;
} *BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bglt;

typedef struct BgL_phidgetzd2encoderinputzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   bool_t BgL_statez00;
} *BgL_phidgetzd2encoderinputzd2eventz00_bglt;

typedef struct BgL_phidgetzd2encoderpositionzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   int BgL_timez00;
   int BgL_positionz00;
} *BgL_phidgetzd2encoderpositionzd2eventz00_bglt;

typedef struct BgL_phidgetzd2encoderindexzd2eventz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_targetz00;
   int BgL_indexz00;
   int BgL_positionz00;
} *BgL_phidgetzd2encoderindexzd2eventz00_bglt;


BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
static obj_t BGl_z62phidgetzd2eventzd2outputchangezd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_phidgetzd2spatialdatazd2eventz00zz__phidget_typesz00;
BGL_IMPORT void * BGl_z42pthreadzd2nilz90zz__pth_threadz00();
BGL_EXPORTED_DECL obj_t bgl_phidget_event_encoderindex_new(obj_t, int, int);
BGL_EXPORTED_DECL obj_t BGl_phidgetzd2addzd2eventzd2listenerz12zc0zz__phidget_eventz00(BgL_z52phidgetz52_bglt, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_phidget_event_spatialdata_new(obj_t, int, int, double, double, double, double, double, double, double, double, double);
static obj_t BGl_objectzd2initzd2zz__phidget_eventz00();
BGL_EXPORTED_DECL obj_t bgl_phidget_event_inputchange_new(obj_t, int, bool_t);
BGL_EXPORTED_DECL obj_t bgl_phidget_event_serverdisconnect_new(obj_t, CPhidgetHandle);
static obj_t BGl_za2phidgetzd2threadza2zd2zz__phidget_eventz00 = BUNSPEC;
extern obj_t BGl_phidgetzd2serverconnectzd2eventz00zz__phidget_typesz00;
static obj_t BGl_z62zc3z04anonymousza31143ze3ze5zz__phidget_eventz00(obj_t);
static obj_t BGl_z62phidgetzd2eventzd2encoderinputzd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_phidget_event_outputchange_new(obj_t, int, bool_t);
static obj_t BGl_z62phidgetzd2eventzd2steppervelocityzd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62z52phidgetzd2lockz12zf0zz__phidget_eventz00(obj_t);
extern obj_t bgl_phidget_new(CPhidgetHandle);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__phidget_eventz00();
static obj_t BGl_z62phidgetzd2eventzd2detachzd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62phidgetzd2eventzd2stepperpositionzd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_z62phidgetzd2errorzb0zz__phidget_typesz00;
BGL_EXPORTED_DECL obj_t bgl_phidget_event_encoderinput_new(obj_t, int, bool_t);
BGL_EXPORTED_DECL obj_t bgl_phidget_event_steppercurrent_new(obj_t, int, double);
BGL_EXPORTED_DECL obj_t bgl_phidget_event_attach_new(obj_t, CPhidgetHandle);
extern obj_t BGl_phidgetzd2steppervelocityzd2eventz00zz__phidget_typesz00;
static obj_t BGl_z62phidgetzd2eventzd2servocurrentzd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_threadzd2startz12zc0zz__threadz00(BgL_threadz00_bglt, obj_t);
extern obj_t BGl_phidgetzd2attachzd2eventz00zz__phidget_typesz00;
static bool_t BGl_phidgetzd2initializa7edpz75zz__phidget_eventz00;
extern obj_t BGl_phidgetzd2outputchangezd2eventz00zz__phidget_typesz00;
extern obj_t BGl_z52phidgetz52zz__phidget_typesz00;
static obj_t BGl_gczd2rootszd2initz00zz__phidget_eventz00();
BGL_EXPORTED_DECL obj_t bgl_phidget_signal();
static obj_t BGl_z62phidgetzd2eventzd2steppercurrentzd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62z52phidgetzd2unlockz12zf0zz__phidget_eventz00(obj_t);
BGL_EXPORTED_DECL obj_t bgl_phidget_event_servocurrent_new(obj_t, int, double);
static obj_t BGl_z62phidgetzd2eventzd2stepperinputzd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62phidgetzd2eventzd2serverdisconnectzd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t);
extern obj_t BGl_phidgetzd2servovelocityzd2eventz00zz__phidget_typesz00;
extern obj_t BGl_phidgetzd2motorcontrolvelocityzd2eventz00zz__phidget_typesz00;
static obj_t BGl_z62phidgetzd2eventzd2sensorchangezd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62phidgetzd2eventzd2motorcontrolvelocityzd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62phidgetzd2eventzd2motorcontrolcurrentzd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_phidgetzd2steppercurrentzd2eventz00zz__phidget_typesz00;
BGL_EXPORTED_DECL obj_t bgl_phidget_event_stepperinput_new(obj_t, int, int);
extern obj_t BGl_phidgetzd2detachzd2eventz00zz__phidget_typesz00;
extern obj_t BGl_phidgetzd2errorzd2eventz00zz__phidget_typesz00;
static obj_t BGl_requirezd2initializa7ationz75zz__phidget_eventz00 = BUNSPEC;
extern obj_t BGl_phidgetzd2encoderpositionzd2eventz00zz__phidget_typesz00;
extern obj_t BGl_phidgetzd2inputchangezd2eventz00zz__phidget_typesz00;
extern obj_t BGl_phidgetzd2stepperpositionzd2eventz00zz__phidget_typesz00;
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_phidgetzd2sensorchangezd2eventz00zz__phidget_typesz00;
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_phidget_event_sensorchange_new(obj_t, int, int);
static obj_t BGl_toplevelzd2initzd2zz__phidget_eventz00();
BGL_EXPORTED_DECL obj_t BGl_z52phidgetzd2threadzd2initz12z40zz__phidget_eventz00();
extern obj_t BGl_phidgetzd2stepperinputzd2eventz00zz__phidget_typesz00;
BGL_EXPORTED_DECL obj_t bgl_phidget_event_error_new(obj_t, int, char *);
BGL_EXPORTED_DECL obj_t bgl_phidget_event_encoderposition_new(obj_t, int, int, int);
static obj_t BGl_genericzd2initzd2zz__phidget_eventz00();
BGL_IMPORT obj_t BGl_pthreadz00zz__pth_threadz00;
static obj_t BGl_z62phidgetzd2eventzd2attachzd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62z52phidgetzd2threadzd2initz12z22zz__phidget_eventz00(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
extern obj_t BGl_phidgetzd2servopositionzd2eventz00zz__phidget_typesz00;
extern obj_t BGl_phidgetzd2serverdisconnectzd2eventz00zz__phidget_typesz00;
extern obj_t BGl_phidgetzd2encoderinputzd2eventz00zz__phidget_typesz00;
static obj_t BGl_z62phidgetzd2addzd2eventzd2listenerz12za2zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_phidget_lock();
BGL_EXPORTED_DECL obj_t bgl_phidget_event_servovelocity_new(obj_t, int, double);
static obj_t BGl_z62phidgetzd2eventzd2servovelocityzd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
static obj_t BGl_z62phidgetzd2eventzd2encoderpositionzd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62phidgetzd2addzd2eventzd2li1135zb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_phidget_unlock();
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__phidget_eventz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__phidget_phidgetz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__phidget_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__pth_threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_EXPORTED_DECL obj_t bgl_phidget_event_servoposition_new(obj_t, int, double);
static obj_t BGl_z62phidgetzd2eventzd2servopositionzd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_phidget_event_motorcontrolvelocity_new(obj_t, int, double);
extern obj_t BGl_phidgetzd2encoderindexzd2eventz00zz__phidget_typesz00;
BGL_EXPORTED_DECL obj_t bgl_phidget_event_detach_new(obj_t, CPhidgetHandle);
static obj_t BGl_z62phidgetzd2eventzd2errorzd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__phidget_eventz00();
BGL_EXPORTED_DECL obj_t bgl_phidget_event_serverconnect_new(obj_t, CPhidgetHandle);
static obj_t BGl_libraryzd2moduleszd2initz00zz__phidget_eventz00();
static obj_t BGl_z62phidgetzd2eventzd2serverconnectzd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__phidget_eventz00();
static obj_t BGl_z62z52phidgetzd2signalze2zz__phidget_eventz00(obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
static obj_t BGl_za2phidgetzd2condvza2zd2zz__phidget_eventz00 = BUNSPEC;
static obj_t BGl_z62phidgetzd2eventzd2spatialdatazd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_phidget_event_motorcontrolcurrent_new(obj_t, int, double);
extern obj_t BGl_phidgetzd2motorcontrolcurrentzd2eventz00zz__phidget_typesz00;
static obj_t BGl_za2phidgetzd2mutexza2zd2zz__phidget_eventz00 = BUNSPEC;
static obj_t BGl_z62phidgetzd2eventzd2inputchangezd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_phidget_event_steppervelocity_new(obj_t, int, double);
extern obj_t BGl_phidgetzd2servocurrentzd2eventz00zz__phidget_typesz00;
BGL_IMPORT obj_t BGl_threadz00zz__threadz00;
BGL_EXPORTED_DECL obj_t bgl_phidget_event_stepperposition_new(obj_t, int, BGL_LONGLONG_T);
static obj_t BGl_z62phidgetzd2eventzd2encoderindexzd2newzb0zz__phidget_eventz00(obj_t, obj_t, obj_t, obj_t);
static obj_t __cnst[ 1 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2servopositionzd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1507z00, BGl_z62phidgetzd2eventzd2servopositionzd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2steppervelocityzd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1508z00, BGl_z62phidgetzd2eventzd2steppervelocityzd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1363z00zz__phidget_eventz00, BgL_bgl_za762za7c3za704anonymo1509za7, BGl_z62zc3z04anonymousza31143ze3ze5zz__phidget_eventz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52phidgetzd2threadzd2initz12zd2envz92zz__phidget_eventz00, BgL_bgl_za762za752phidgetza7d21510za7, BGl_z62z52phidgetzd2threadzd2initz12z22zz__phidget_eventz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1391z00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2add1511z00, BGl_z62phidgetzd2addzd2eventzd2li1135zb0zz__phidget_eventz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52phidgetzd2signalzd2envz52zz__phidget_eventz00, BgL_bgl_za762za752phidgetza7d21512za7, BGl_z62z52phidgetzd2signalze2zz__phidget_eventz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2serverdisconnectzd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1513z00, BGl_z62phidgetzd2eventzd2serverdisconnectzd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2errorzd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1514z00, BGl_z62phidgetzd2eventzd2errorzd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2encoderinputzd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1515z00, BGl_z62phidgetzd2eventzd2encoderinputzd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2motorcontrolcurrentzd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1516z00, BGl_z62phidgetzd2eventzd2motorcontrolcurrentzd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52phidgetzd2lockz12zd2envz40zz__phidget_eventz00, BgL_bgl_za762za752phidgetza7d21517za7, BGl_z62z52phidgetzd2lockz12zf0zz__phidget_eventz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2detachzd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1518z00, BGl_z62phidgetzd2eventzd2detachzd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_phidgetzd2addzd2eventzd2listenerz12zd2envz12zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2add1519z00, BGl_z62phidgetzd2addzd2eventzd2listenerz12za2zz__phidget_eventz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2inputchangezd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1520z00, BGl_z62phidgetzd2eventzd2inputchangezd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2stepperpositionzd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1521z00, BGl_z62phidgetzd2eventzd2stepperpositionzd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2servocurrentzd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1522z00, BGl_z62phidgetzd2eventzd2servocurrentzd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52phidgetzd2unlockz12zd2envz40zz__phidget_eventz00, BgL_bgl_za762za752phidgetza7d21523za7, BGl_z62z52phidgetzd2unlockz12zf0zz__phidget_eventz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2sensorchangezd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1524z00, BGl_z62phidgetzd2eventzd2sensorchangezd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2outputchangezd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1525z00, BGl_z62phidgetzd2eventzd2outputchangezd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2encoderindexzd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1526z00, BGl_z62phidgetzd2eventzd2encoderindexzd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2spatialdatazd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1527z00, BGl_z62phidgetzd2eventzd2spatialdatazd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 12 );
DEFINE_STRING( BGl_string1362z00zz__phidget_eventz00, BgL_bgl_string1362za700za7za7_1528za7, "Llib/pdgevent.scm", 17 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2attachzd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1529z00, BGl_z62phidgetzd2eventzd2attachzd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1364z00zz__phidget_eventz00, BgL_bgl_string1364za700za7za7_1530za7, "/builddir/build/BUILD/bigloo-4.3h/api/phidget/src/Llib/pdgevent.scm", 67 );
DEFINE_STRING( BGl_string1365z00zz__phidget_eventz00, BgL_bgl_string1365za700za7za7_1531za7, "&phidget-event-error-new", 24 );
DEFINE_STRING( BGl_string1366z00zz__phidget_eventz00, BgL_bgl_string1366za700za7za7_1532za7, "bint", 4 );
DEFINE_STRING( BGl_string1367z00zz__phidget_eventz00, BgL_bgl_string1367za700za7za7_1533za7, "bstring", 7 );
DEFINE_STRING( BGl_string1368z00zz__phidget_eventz00, BgL_bgl_string1368za700za7za7_1534za7, "&phidget-event-attach-new", 25 );
DEFINE_STRING( BGl_string1369z00zz__phidget_eventz00, BgL_bgl_string1369za700za7za7_1535za7, "void*", 5 );
DEFINE_STRING( BGl_string1370z00zz__phidget_eventz00, BgL_bgl_string1370za700za7za7_1536za7, "&phidget-event-detach-new", 25 );
DEFINE_STRING( BGl_string1371z00zz__phidget_eventz00, BgL_bgl_string1371za700za7za7_1537za7, "&phidget-event-inputchange-new", 30 );
DEFINE_STRING( BGl_string1372z00zz__phidget_eventz00, BgL_bgl_string1372za700za7za7_1538za7, "&phidget-event-outputchange-new", 31 );
DEFINE_STRING( BGl_string1373z00zz__phidget_eventz00, BgL_bgl_string1373za700za7za7_1539za7, "&phidget-event-sensorchange-new", 31 );
DEFINE_STRING( BGl_string1374z00zz__phidget_eventz00, BgL_bgl_string1374za700za7za7_1540za7, "&phidget-event-serverconnect-new", 32 );
DEFINE_STRING( BGl_string1375z00zz__phidget_eventz00, BgL_bgl_string1375za700za7za7_1541za7, "&phidget-event-serverdisconnect-new", 35 );
DEFINE_STRING( BGl_string1376z00zz__phidget_eventz00, BgL_bgl_string1376za700za7za7_1542za7, "&phidget-event-spatialdata-new", 30 );
DEFINE_STRING( BGl_string1377z00zz__phidget_eventz00, BgL_bgl_string1377za700za7za7_1543za7, "real", 4 );
DEFINE_STRING( BGl_string1378z00zz__phidget_eventz00, BgL_bgl_string1378za700za7za7_1544za7, "&phidget-event-servoposition-new", 32 );
DEFINE_STRING( BGl_string1379z00zz__phidget_eventz00, BgL_bgl_string1379za700za7za7_1545za7, "&phidget-event-servovelocity-new", 32 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2servovelocityzd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1546z00, BGl_z62phidgetzd2eventzd2servovelocityzd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string1380z00zz__phidget_eventz00, BgL_bgl_string1380za700za7za7_1547za7, "&phidget-event-servocurrent-new", 31 );
DEFINE_STRING( BGl_string1381z00zz__phidget_eventz00, BgL_bgl_string1381za700za7za7_1548za7, "&phidget-event-stepperinput-new", 31 );
DEFINE_STRING( BGl_string1382z00zz__phidget_eventz00, BgL_bgl_string1382za700za7za7_1549za7, "&phidget-event-steppervelocity-new", 34 );
DEFINE_STRING( BGl_string1383z00zz__phidget_eventz00, BgL_bgl_string1383za700za7za7_1550za7, "&phidget-event-stepperposition-new", 34 );
DEFINE_STRING( BGl_string1384z00zz__phidget_eventz00, BgL_bgl_string1384za700za7za7_1551za7, "bllong", 6 );
DEFINE_STRING( BGl_string1385z00zz__phidget_eventz00, BgL_bgl_string1385za700za7za7_1552za7, "&phidget-event-steppercurrent-new", 33 );
DEFINE_STRING( BGl_string1386z00zz__phidget_eventz00, BgL_bgl_string1386za700za7za7_1553za7, "&phidget-event-motorcontrolvelocity-new", 39 );
DEFINE_STRING( BGl_string1387z00zz__phidget_eventz00, BgL_bgl_string1387za700za7za7_1554za7, "&phidget-event-motorcontrolcurrent-new", 38 );
DEFINE_STRING( BGl_string1388z00zz__phidget_eventz00, BgL_bgl_string1388za700za7za7_1555za7, "&phidget-event-encoderinput-new", 31 );
DEFINE_STRING( BGl_string1389z00zz__phidget_eventz00, BgL_bgl_string1389za700za7za7_1556za7, "&phidget-event-encoderposition-new", 34 );
DEFINE_STRING( BGl_string1390z00zz__phidget_eventz00, BgL_bgl_string1390za700za7za7_1557za7, "&phidget-event-encoderindex-new", 31 );
DEFINE_STRING( BGl_string1392z00zz__phidget_eventz00, BgL_bgl_string1392za700za7za7_1558za7, "phidget-add-event-li1135", 24 );
DEFINE_STRING( BGl_string1393z00zz__phidget_eventz00, BgL_bgl_string1393za700za7za7_1559za7, "phidget-add-event-listener!", 27 );
DEFINE_STRING( BGl_string1394z00zz__phidget_eventz00, BgL_bgl_string1394za700za7za7_1560za7, "event not supported", 19 );
DEFINE_STRING( BGl_string1395z00zz__phidget_eventz00, BgL_bgl_string1395za700za7za7_1561za7, "&phidget-add-event-listener!", 28 );
DEFINE_STRING( BGl_string1396z00zz__phidget_eventz00, BgL_bgl_string1396za700za7za7_1562za7, "%phidget", 8 );
DEFINE_STRING( BGl_string1397z00zz__phidget_eventz00, BgL_bgl_string1397za700za7za7_1563za7, "procedure", 9 );
DEFINE_STRING( BGl_string1398z00zz__phidget_eventz00, BgL_bgl_string1398za700za7za7_1564za7, "__phidget_event", 15 );
DEFINE_STRING( BGl_string1399z00zz__phidget_eventz00, BgL_bgl_string1399za700za7za7_1565za7, "phidget ", 8 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2steppercurrentzd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1566z00, BGl_z62phidgetzd2eventzd2steppercurrentzd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2stepperinputzd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1567z00, BGl_z62phidgetzd2eventzd2stepperinputzd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2motorcontrolvelocityzd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1568z00, BGl_z62phidgetzd2eventzd2motorcontrolvelocityzd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2encoderpositionzd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1569z00, BGl_z62phidgetzd2eventzd2encoderpositionzd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_phidgetzd2eventzd2serverconnectzd2newzd2envz00zz__phidget_eventz00, BgL_bgl_za762phidgetza7d2eve1570z00, BGl_z62phidgetzd2eventzd2serverconnectzd2newzb0zz__phidget_eventz00, 0L, BUNSPEC, 2 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_za2phidgetzd2threadza2zd2zz__phidget_eventz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__phidget_eventz00) );
ADD_ROOT( (void *)(&BGl_za2phidgetzd2condvza2zd2zz__phidget_eventz00) );
ADD_ROOT( (void *)(&BGl_za2phidgetzd2mutexza2zd2zz__phidget_eventz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__phidget_eventz00(long BgL_checksumz00_637, char * BgL_fromz00_638)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__phidget_eventz00))
{ 
BGl_requirezd2initializa7ationz75zz__phidget_eventz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__phidget_eventz00(); 
BGl_libraryzd2moduleszd2initz00zz__phidget_eventz00(); 
BGl_cnstzd2initzd2zz__phidget_eventz00(); 
BGl_importedzd2moduleszd2initz00zz__phidget_eventz00(); 
BGl_genericzd2initzd2zz__phidget_eventz00(); 
return 
BGl_toplevelzd2initzd2zz__phidget_eventz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__phidget_eventz00()
{
{ /* Llib/pdgevent.scm 16 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__phidget_event"); 
BGl_modulezd2initializa7ationz75zz__pth_threadz00(((long)0), "__phidget_event"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__phidget_event"); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)0), "__phidget_event"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__phidget_event"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__phidget_event"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__phidget_event"); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)0), "__phidget_event"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__phidget_event"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__phidget_event"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__phidget_eventz00()
{
{ /* Llib/pdgevent.scm 16 */
{ /* Llib/pdgevent.scm 16 */
obj_t BgL_cportz00_608;
{ /* Llib/pdgevent.scm 16 */
obj_t BgL_stringz00_616;
BgL_stringz00_616 = BGl_string1399z00zz__phidget_eventz00; 
{ /* Llib/pdgevent.scm 16 */
obj_t BgL_startz00_617;
BgL_startz00_617 = 
BINT(((long)0)); 
{ /* Llib/pdgevent.scm 16 */
obj_t BgL_endz00_618;
BgL_endz00_618 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_616))); 
{ /* Llib/pdgevent.scm 16 */

BgL_cportz00_608 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_616, BgL_startz00_617, BgL_endz00_618); } } } } 
{ 
long BgL_iz00_609;
BgL_iz00_609 = ((long)0); 
BgL_loopz00_610:
if(
(BgL_iz00_609==((long)-1)))
{ /* Llib/pdgevent.scm 16 */
return BUNSPEC;}  else 
{ /* Llib/pdgevent.scm 16 */
{ /* Llib/pdgevent.scm 16 */
obj_t BgL_arg1505z00_612;
{ /* Llib/pdgevent.scm 16 */

{ /* Llib/pdgevent.scm 16 */
obj_t BgL_locationz00_614;
BgL_locationz00_614 = 
BBOOL(((bool_t)0)); 
{ /* Llib/pdgevent.scm 16 */

BgL_arg1505z00_612 = 
BGl_readz00zz__readerz00(BgL_cportz00_608, BgL_locationz00_614); } } } 
{ /* Llib/pdgevent.scm 16 */
int BgL_tmpz00_667;
BgL_tmpz00_667 = 
(int)(BgL_iz00_609); 
CNST_TABLE_SET(BgL_tmpz00_667, BgL_arg1505z00_612); } } 
{ /* Llib/pdgevent.scm 16 */
int BgL_auxz00_615;
BgL_auxz00_615 = 
(int)(
(BgL_iz00_609-((long)1))); 
{ 
long BgL_iz00_672;
BgL_iz00_672 = 
(long)(BgL_auxz00_615); 
BgL_iz00_609 = BgL_iz00_672; 
goto BgL_loopz00_610;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__phidget_eventz00()
{
{ /* Llib/pdgevent.scm 16 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__phidget_eventz00()
{
{ /* Llib/pdgevent.scm 16 */
BGl_modulezd2initializa7ationz75zz__pth_threadz00(((long)0), 
BSTRING_TO_STRING(BGl_string1362z00zz__phidget_eventz00)); 
{ /* Llib/pdgevent.scm 86 */
obj_t BgL_res1198z00_177;
{ /* Llib/pdgevent.scm 86 */
obj_t BgL_namez00_176;
BgL_namez00_176 = 
CNST_TABLE_REF(((long)0)); 
BgL_res1198z00_177 = 
bgl_make_mutex(BgL_namez00_176); } 
BGl_za2phidgetzd2mutexza2zd2zz__phidget_eventz00 = BgL_res1198z00_177; } 
{ /* Llib/pdgevent.scm 87 */
obj_t BgL_res1199z00_179;
{ /* Llib/pdgevent.scm 87 */
obj_t BgL_namez00_178;
BgL_namez00_178 = 
CNST_TABLE_REF(((long)0)); 
BgL_res1199z00_179 = 
bgl_make_condvar(BgL_namez00_178); } 
BGl_za2phidgetzd2condvza2zd2zz__phidget_eventz00 = BgL_res1199z00_179; } 
BGl_za2phidgetzd2threadza2zd2zz__phidget_eventz00 = BUNSPEC; 
BGl_phidgetzd2initializa7edpz75zz__phidget_eventz00 = ((bool_t)0); 
return BUNSPEC;} 

}



/* %phidget-lock! */
BGL_EXPORTED_DEF obj_t bgl_phidget_lock()
{
{ /* Llib/pdgevent.scm 92 */
{ /* Llib/pdgevent.scm 93 */
obj_t BgL_g1150z00_180;
BgL_g1150z00_180 = BGl_za2phidgetzd2mutexza2zd2zz__phidget_eventz00; 
{ /* Llib/pdgevent.scm 93 */

{ /* Llib/pdgevent.scm 93 */
int BgL_arg1652z00_185;
BgL_arg1652z00_185 = 
BGL_MUTEX_LOCK(BgL_g1150z00_180); 
return 
BBOOL(
(
(long)(BgL_arg1652z00_185)==((long)0)));} } } } 

}



/* &%phidget-lock! */
obj_t BGl_z62z52phidgetzd2lockz12zf0zz__phidget_eventz00(obj_t BgL_envz00_404)
{
{ /* Llib/pdgevent.scm 92 */
return 
bgl_phidget_lock();} 

}



/* %phidget-unlock! */
BGL_EXPORTED_DEF obj_t bgl_phidget_unlock()
{
{ /* Llib/pdgevent.scm 98 */
{ /* Llib/pdgevent.scm 99 */
obj_t BgL_mz00_193;
BgL_mz00_193 = BGl_za2phidgetzd2mutexza2zd2zz__phidget_eventz00; 
{ /* Llib/pdgevent.scm 99 */
int BgL_arg1648z00_194;
BgL_arg1648z00_194 = 
BGL_MUTEX_UNLOCK(BgL_mz00_193); 
return 
BBOOL(
(
(long)(BgL_arg1648z00_194)==((long)0)));} } } 

}



/* &%phidget-unlock! */
obj_t BGl_z62z52phidgetzd2unlockz12zf0zz__phidget_eventz00(obj_t BgL_envz00_405)
{
{ /* Llib/pdgevent.scm 98 */
return 
bgl_phidget_unlock();} 

}



/* %phidget-signal */
BGL_EXPORTED_DEF obj_t bgl_phidget_signal()
{
{ /* Llib/pdgevent.scm 104 */
{ /* Llib/pdgevent.scm 105 */
bool_t BgL_res1204z00_198;
BgL_res1204z00_198 = 
BGL_CONDVAR_SIGNAL(BGl_za2phidgetzd2condvza2zd2zz__phidget_eventz00); 
return 
BBOOL(BgL_res1204z00_198);} } 

}



/* &%phidget-signal */
obj_t BGl_z62z52phidgetzd2signalze2zz__phidget_eventz00(obj_t BgL_envz00_406)
{
{ /* Llib/pdgevent.scm 104 */
return 
bgl_phidget_signal();} 

}



/* %phidget-thread-init! */
BGL_EXPORTED_DEF obj_t BGl_z52phidgetzd2threadzd2initz12z40zz__phidget_eventz00()
{
{ /* Llib/pdgevent.scm 120 */
if(
BGl_isazf3zf3zz__objectz00(BGl_za2phidgetzd2threadza2zd2zz__phidget_eventz00, BGl_threadz00zz__threadz00))
{ /* Llib/pdgevent.scm 121 */
return BFALSE;}  else 
{ /* Llib/pdgevent.scm 121 */
{ /* Llib/pdgevent.scm 124 */
BgL_pthreadz00_bglt BgL_new1089z00_86;
{ /* Llib/pdgevent.scm 124 */
BgL_pthreadz00_bglt BgL_new1088z00_97;
BgL_new1088z00_97 = 
((BgL_pthreadz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pthreadz00_bgl) ))); 
{ /* Llib/pdgevent.scm 124 */
long BgL_arg1146z00_98;
{ /* Llib/pdgevent.scm 124 */
long BgL_res1205z00_200;
BgL_res1205z00_200 = 
BGL_CLASS_INDEX(BGl_pthreadz00zz__pth_threadz00); 
BgL_arg1146z00_98 = BgL_res1205z00_200; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1088z00_97), BgL_arg1146z00_98); } 
BgL_new1089z00_86 = BgL_new1088z00_97; } 
{ 
obj_t BgL_auxz00_700;
{ /* Llib/pdgevent.scm 124 */
obj_t BgL_arg1141z00_87;
{ /* Llib/pdgevent.scm 124 */
obj_t BgL_arg1142z00_88;
{ /* Llib/pdgevent.scm 124 */
obj_t BgL_res1206z00_204;
{ /* Llib/pdgevent.scm 124 */
obj_t BgL_classz00_203;
BgL_classz00_203 = BGl_pthreadz00zz__pth_threadz00; 
BgL_res1206z00_204 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_203); } 
BgL_arg1142z00_88 = BgL_res1206z00_204; } 
BgL_arg1141z00_87 = 
VECTOR_REF(BgL_arg1142z00_88,((long)0)); } 
BgL_auxz00_700 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1141z00_87); } 
((((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_new1089z00_86)))->BgL_namez00)=((obj_t)BgL_auxz00_700),BUNSPEC); } 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1089z00_86))->BgL_bodyz00)=((obj_t)BGl_proc1363z00zz__phidget_eventz00),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1089z00_86))->BgL_detachedpz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1089z00_86))->BgL_endzd2resultzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1089z00_86))->BgL_endzd2exceptionzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1089z00_86))->BgL_z42builtinz42)=((void *)
BGl_z42pthreadzd2nilz90zz__pth_threadz00()),BUNSPEC); 
{ /* Llib/pdgevent.scm 124 */
obj_t BgL_fun1145z00_96;
BgL_fun1145z00_96 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_pthreadz00zz__pth_threadz00); 
PROCEDURE_ENTRY(BgL_fun1145z00_96)(BgL_fun1145z00_96, 
((obj_t)BgL_new1089z00_86), BEOA); } 
BGl_za2phidgetzd2threadza2zd2zz__phidget_eventz00 = 
((obj_t)BgL_new1089z00_86); } 
return 
BGl_threadzd2startz12zc0zz__threadz00(
((BgL_threadz00_bglt)BGl_za2phidgetzd2threadza2zd2zz__phidget_eventz00), BNIL);} } 

}



/* &%phidget-thread-init! */
obj_t BGl_z62z52phidgetzd2threadzd2initz12z22zz__phidget_eventz00(obj_t BgL_envz00_408)
{
{ /* Llib/pdgevent.scm 120 */
return 
BGl_z52phidgetzd2threadzd2initz12z40zz__phidget_eventz00();} 

}



/* &<@anonymous:1143> */
obj_t BGl_z62zc3z04anonymousza31143ze3ze5zz__phidget_eventz00(obj_t BgL_envz00_409)
{
{ /* Llib/pdgevent.scm 125 */
{ /* Llib/pdgevent.scm 126 */
obj_t BgL_top1575z00_723;
BgL_top1575z00_723 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BGl_za2phidgetzd2mutexza2zd2zz__phidget_eventz00); 
BGL_EXITD_PUSH_PROTECT(BgL_top1575z00_723, BGl_za2phidgetzd2mutexza2zd2zz__phidget_eventz00); BUNSPEC; 
{ /* Llib/pdgevent.scm 126 */
obj_t BgL_tmp1574z00_722;
{ 

BgL_loopz00_621:
{ /* Llib/pdgevent.scm 129 */
obj_t BgL_g1144z00_622;obj_t BgL_g1145z00_623;
BgL_g1144z00_622 = BGl_za2phidgetzd2condvza2zd2zz__phidget_eventz00; 
BgL_g1145z00_623 = BGl_za2phidgetzd2mutexza2zd2zz__phidget_eventz00; 
{ /* Llib/pdgevent.scm 128 */

{ /* Llib/pdgevent.scm 128 */
bool_t BgL_res1208z00_624;
BgL_res1208z00_624 = 
BGL_CONDVAR_WAIT(BgL_g1144z00_622, BgL_g1145z00_623); BgL_res1208z00_624; } } } 
bgl_phidget_invoke_callbacks(); BUNSPEC; 
goto BgL_loopz00_621;} 
BGL_EXITD_POP_PROTECT(BgL_top1575z00_723); BUNSPEC; 
BGL_MUTEX_UNLOCK(BGl_za2phidgetzd2mutexza2zd2zz__phidget_eventz00); 
return BgL_tmp1574z00_722;} } } 

}



/* phidget-event-error-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_error_new(obj_t BgL_targetz00_6, int BgL_codez00_7, char * BgL_msgz00_8)
{
{ /* Llib/pdgevent.scm 147 */
{ /* Llib/pdgevent.scm 148 */
BgL_phidgetzd2errorzd2eventz00_bglt BgL_new1093z00_213;
{ /* Llib/pdgevent.scm 149 */
BgL_phidgetzd2errorzd2eventz00_bglt BgL_new1092z00_214;
BgL_new1092z00_214 = 
((BgL_phidgetzd2errorzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2errorzd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 149 */
long BgL_arg1148z00_215;
{ /* Llib/pdgevent.scm 149 */
long BgL_res1209z00_217;
BgL_res1209z00_217 = 
BGL_CLASS_INDEX(BGl_phidgetzd2errorzd2eventz00zz__phidget_typesz00); 
BgL_arg1148z00_215 = BgL_res1209z00_217; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1092z00_214), BgL_arg1148z00_215); } 
BgL_new1093z00_213 = BgL_new1092z00_214; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1093z00_213)))->BgL_targetz00)=((obj_t)BgL_targetz00_6),BUNSPEC); 
((((BgL_phidgetzd2errorzd2eventz00_bglt)COBJECT(BgL_new1093z00_213))->BgL_codez00)=((int)BgL_codez00_7),BUNSPEC); 
((((BgL_phidgetzd2errorzd2eventz00_bglt)COBJECT(BgL_new1093z00_213))->BgL_messagez00)=((char *)BgL_msgz00_8),BUNSPEC); 
return 
((obj_t)BgL_new1093z00_213);} } 

}



/* &phidget-event-error-new */
obj_t BGl_z62phidgetzd2eventzd2errorzd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_410, obj_t BgL_targetz00_411, obj_t BgL_codez00_412, obj_t BgL_msgz00_413)
{
{ /* Llib/pdgevent.scm 147 */
{ /* Llib/pdgevent.scm 148 */
char * BgL_auxz00_749;int BgL_auxz00_740;
{ /* Llib/pdgevent.scm 148 */
obj_t BgL_tmpz00_750;
if(
STRINGP(BgL_msgz00_413))
{ /* Llib/pdgevent.scm 148 */
BgL_tmpz00_750 = BgL_msgz00_413
; }  else 
{ 
obj_t BgL_auxz00_753;
BgL_auxz00_753 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1364z00zz__phidget_eventz00, 
BINT(((long)7781)), BGl_string1365z00zz__phidget_eventz00, BGl_string1367z00zz__phidget_eventz00, BgL_msgz00_413); 
FAILURE(BgL_auxz00_753,BFALSE,BFALSE);} 
BgL_auxz00_749 = 
BSTRING_TO_STRING(BgL_tmpz00_750); } 
{ /* Llib/pdgevent.scm 148 */
obj_t BgL_tmpz00_741;
if(
INTEGERP(BgL_codez00_412))
{ /* Llib/pdgevent.scm 148 */
BgL_tmpz00_741 = BgL_codez00_412
; }  else 
{ 
obj_t BgL_auxz00_744;
BgL_auxz00_744 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1364z00zz__phidget_eventz00, 
BINT(((long)7781)), BGl_string1365z00zz__phidget_eventz00, BGl_string1366z00zz__phidget_eventz00, BgL_codez00_412); 
FAILURE(BgL_auxz00_744,BFALSE,BFALSE);} 
BgL_auxz00_740 = 
CINT(BgL_tmpz00_741); } 
return 
bgl_phidget_event_error_new(BgL_targetz00_411, BgL_auxz00_740, BgL_auxz00_749);} } 

}



/* phidget-event-attach-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_attach_new(obj_t BgL_targetz00_9, CPhidgetHandle BgL_phidz00_10)
{
{ /* Llib/pdgevent.scm 156 */
{ /* Llib/pdgevent.scm 157 */
BgL_phidgetzd2attachzd2eventz00_bglt BgL_new1095z00_220;
{ /* Llib/pdgevent.scm 158 */
BgL_phidgetzd2attachzd2eventz00_bglt BgL_new1094z00_221;
BgL_new1094z00_221 = 
((BgL_phidgetzd2attachzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2attachzd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 158 */
long BgL_arg1149z00_222;
{ /* Llib/pdgevent.scm 158 */
long BgL_res1210z00_224;
BgL_res1210z00_224 = 
BGL_CLASS_INDEX(BGl_phidgetzd2attachzd2eventz00zz__phidget_typesz00); 
BgL_arg1149z00_222 = BgL_res1210z00_224; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1094z00_221), BgL_arg1149z00_222); } 
BgL_new1095z00_220 = BgL_new1094z00_221; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1095z00_220)))->BgL_targetz00)=((obj_t)BgL_targetz00_9),BUNSPEC); 
((((BgL_phidgetzd2eventzd2_bglt)COBJECT(
((BgL_phidgetzd2eventzd2_bglt)BgL_new1095z00_220)))->BgL_phidgetz00)=((BgL_z52phidgetz52_bglt)
((BgL_z52phidgetz52_bglt)
bgl_phidget_new(BgL_phidz00_10))),BUNSPEC); 
return 
((obj_t)BgL_new1095z00_220);} } 

}



/* &phidget-event-attach-new */
obj_t BGl_z62phidgetzd2eventzd2attachzd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_414, obj_t BgL_targetz00_415, obj_t BgL_phidz00_416)
{
{ /* Llib/pdgevent.scm 156 */
{ /* Llib/pdgevent.scm 157 */
CPhidgetHandle BgL_auxz00_770;
if(
FOREIGNP(BgL_phidz00_416))
{ /* Llib/pdgevent.scm 157 */
BgL_auxz00_770 = 
FOREIGN_TO_COBJ(BgL_phidz00_416)
; }  else 
{ 
obj_t BgL_auxz00_774;
BgL_auxz00_774 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1364z00zz__phidget_eventz00, 
BINT(((long)8164)), BGl_string1368z00zz__phidget_eventz00, BGl_string1369z00zz__phidget_eventz00, BgL_phidz00_416); 
FAILURE(BgL_auxz00_774,BFALSE,BFALSE);} 
return 
bgl_phidget_event_attach_new(BgL_targetz00_415, BgL_auxz00_770);} } 

}



/* phidget-event-detach-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_detach_new(obj_t BgL_targetz00_11, CPhidgetHandle BgL_phidz00_12)
{
{ /* Llib/pdgevent.scm 164 */
{ /* Llib/pdgevent.scm 165 */
BgL_phidgetzd2detachzd2eventz00_bglt BgL_new1097z00_227;
{ /* Llib/pdgevent.scm 166 */
BgL_phidgetzd2detachzd2eventz00_bglt BgL_new1096z00_228;
BgL_new1096z00_228 = 
((BgL_phidgetzd2detachzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2detachzd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 166 */
long BgL_arg1151z00_229;
{ /* Llib/pdgevent.scm 166 */
long BgL_res1211z00_231;
BgL_res1211z00_231 = 
BGL_CLASS_INDEX(BGl_phidgetzd2detachzd2eventz00zz__phidget_typesz00); 
BgL_arg1151z00_229 = BgL_res1211z00_231; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1096z00_228), BgL_arg1151z00_229); } 
BgL_new1097z00_227 = BgL_new1096z00_228; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1097z00_227)))->BgL_targetz00)=((obj_t)BgL_targetz00_11),BUNSPEC); 
((((BgL_phidgetzd2eventzd2_bglt)COBJECT(
((BgL_phidgetzd2eventzd2_bglt)BgL_new1097z00_227)))->BgL_phidgetz00)=((BgL_z52phidgetz52_bglt)
((BgL_z52phidgetz52_bglt)
bgl_phidget_new(BgL_phidz00_12))),BUNSPEC); 
return 
((obj_t)BgL_new1097z00_227);} } 

}



/* &phidget-event-detach-new */
obj_t BGl_z62phidgetzd2eventzd2detachzd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_417, obj_t BgL_targetz00_418, obj_t BgL_phidz00_419)
{
{ /* Llib/pdgevent.scm 164 */
{ /* Llib/pdgevent.scm 165 */
CPhidgetHandle BgL_auxz00_790;
if(
FOREIGNP(BgL_phidz00_419))
{ /* Llib/pdgevent.scm 165 */
BgL_auxz00_790 = 
FOREIGN_TO_COBJ(BgL_phidz00_419)
; }  else 
{ 
obj_t BgL_auxz00_794;
BgL_auxz00_794 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1364z00zz__phidget_eventz00, 
BINT(((long)8547)), BGl_string1370z00zz__phidget_eventz00, BGl_string1369z00zz__phidget_eventz00, BgL_phidz00_419); 
FAILURE(BgL_auxz00_794,BFALSE,BFALSE);} 
return 
bgl_phidget_event_detach_new(BgL_targetz00_418, BgL_auxz00_790);} } 

}



/* phidget-event-inputchange-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_inputchange_new(obj_t BgL_targetz00_13, int BgL_indexz00_14, bool_t BgL_statez00_15)
{
{ /* Llib/pdgevent.scm 172 */
{ /* Llib/pdgevent.scm 173 */
BgL_phidgetzd2inputchangezd2eventz00_bglt BgL_new1099z00_234;
{ /* Llib/pdgevent.scm 174 */
BgL_phidgetzd2inputchangezd2eventz00_bglt BgL_new1098z00_235;
BgL_new1098z00_235 = 
((BgL_phidgetzd2inputchangezd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2inputchangezd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 174 */
long BgL_arg1152z00_236;
{ /* Llib/pdgevent.scm 174 */
long BgL_res1212z00_238;
BgL_res1212z00_238 = 
BGL_CLASS_INDEX(BGl_phidgetzd2inputchangezd2eventz00zz__phidget_typesz00); 
BgL_arg1152z00_236 = BgL_res1212z00_238; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1098z00_235), BgL_arg1152z00_236); } 
BgL_new1099z00_234 = BgL_new1098z00_235; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1099z00_234)))->BgL_targetz00)=((obj_t)BgL_targetz00_13),BUNSPEC); 
((((BgL_phidgetzd2changezd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2changezd2eventz00_bglt)BgL_new1099z00_234)))->BgL_indexz00)=((int)BgL_indexz00_14),BUNSPEC); 
((((BgL_phidgetzd2inputchangezd2eventz00_bglt)COBJECT(BgL_new1099z00_234))->BgL_statez00)=((bool_t)BgL_statez00_15),BUNSPEC); 
return 
((obj_t)BgL_new1099z00_234);} } 

}



/* &phidget-event-inputchange-new */
obj_t BGl_z62phidgetzd2eventzd2inputchangezd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_420, obj_t BgL_targetz00_421, obj_t BgL_indexz00_422, obj_t BgL_statez00_423)
{
{ /* Llib/pdgevent.scm 172 */
{ /* Llib/pdgevent.scm 173 */
int BgL_auxz00_809;
{ /* Llib/pdgevent.scm 173 */
obj_t BgL_tmpz00_810;
if(
INTEGERP(BgL_indexz00_422))
{ /* Llib/pdgevent.scm 173 */
BgL_tmpz00_810 = BgL_indexz00_422
; }  else 
{ 
obj_t BgL_auxz00_813;
BgL_auxz00_813 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1364z00zz__phidget_eventz00, 
BINT(((long)8939)), BGl_string1371z00zz__phidget_eventz00, BGl_string1366z00zz__phidget_eventz00, BgL_indexz00_422); 
FAILURE(BgL_auxz00_813,BFALSE,BFALSE);} 
BgL_auxz00_809 = 
CINT(BgL_tmpz00_810); } 
return 
bgl_phidget_event_inputchange_new(BgL_targetz00_421, BgL_auxz00_809, 
CBOOL(BgL_statez00_423));} } 

}



/* phidget-event-outputchange-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_outputchange_new(obj_t BgL_targetz00_16, int BgL_indexz00_17, bool_t BgL_statez00_18)
{
{ /* Llib/pdgevent.scm 181 */
{ /* Llib/pdgevent.scm 182 */
BgL_phidgetzd2outputchangezd2eventz00_bglt BgL_new1101z00_241;
{ /* Llib/pdgevent.scm 183 */
BgL_phidgetzd2outputchangezd2eventz00_bglt BgL_new1100z00_242;
BgL_new1100z00_242 = 
((BgL_phidgetzd2outputchangezd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2outputchangezd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 183 */
long BgL_arg1153z00_243;
{ /* Llib/pdgevent.scm 183 */
long BgL_res1213z00_245;
BgL_res1213z00_245 = 
BGL_CLASS_INDEX(BGl_phidgetzd2outputchangezd2eventz00zz__phidget_typesz00); 
BgL_arg1153z00_243 = BgL_res1213z00_245; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1100z00_242), BgL_arg1153z00_243); } 
BgL_new1101z00_241 = BgL_new1100z00_242; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1101z00_241)))->BgL_targetz00)=((obj_t)BgL_targetz00_16),BUNSPEC); 
((((BgL_phidgetzd2changezd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2changezd2eventz00_bglt)BgL_new1101z00_241)))->BgL_indexz00)=((int)BgL_indexz00_17),BUNSPEC); 
((((BgL_phidgetzd2outputchangezd2eventz00_bglt)COBJECT(BgL_new1101z00_241))->BgL_statez00)=((bool_t)BgL_statez00_18),BUNSPEC); 
return 
((obj_t)BgL_new1101z00_241);} } 

}



/* &phidget-event-outputchange-new */
obj_t BGl_z62phidgetzd2eventzd2outputchangezd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_424, obj_t BgL_targetz00_425, obj_t BgL_indexz00_426, obj_t BgL_statez00_427)
{
{ /* Llib/pdgevent.scm 181 */
{ /* Llib/pdgevent.scm 182 */
int BgL_auxz00_830;
{ /* Llib/pdgevent.scm 182 */
obj_t BgL_tmpz00_831;
if(
INTEGERP(BgL_indexz00_426))
{ /* Llib/pdgevent.scm 182 */
BgL_tmpz00_831 = BgL_indexz00_426
; }  else 
{ 
obj_t BgL_auxz00_834;
BgL_auxz00_834 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1364z00zz__phidget_eventz00, 
BINT(((long)9340)), BGl_string1372z00zz__phidget_eventz00, BGl_string1366z00zz__phidget_eventz00, BgL_indexz00_426); 
FAILURE(BgL_auxz00_834,BFALSE,BFALSE);} 
BgL_auxz00_830 = 
CINT(BgL_tmpz00_831); } 
return 
bgl_phidget_event_outputchange_new(BgL_targetz00_425, BgL_auxz00_830, 
CBOOL(BgL_statez00_427));} } 

}



/* phidget-event-sensorchange-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_sensorchange_new(obj_t BgL_targetz00_19, int BgL_indexz00_20, int BgL_statez00_21)
{
{ /* Llib/pdgevent.scm 190 */
{ /* Llib/pdgevent.scm 191 */
BgL_phidgetzd2sensorchangezd2eventz00_bglt BgL_new1103z00_248;
{ /* Llib/pdgevent.scm 192 */
BgL_phidgetzd2sensorchangezd2eventz00_bglt BgL_new1102z00_249;
BgL_new1102z00_249 = 
((BgL_phidgetzd2sensorchangezd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2sensorchangezd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 192 */
long BgL_arg1154z00_250;
{ /* Llib/pdgevent.scm 192 */
long BgL_res1214z00_252;
BgL_res1214z00_252 = 
BGL_CLASS_INDEX(BGl_phidgetzd2sensorchangezd2eventz00zz__phidget_typesz00); 
BgL_arg1154z00_250 = BgL_res1214z00_252; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1102z00_249), BgL_arg1154z00_250); } 
BgL_new1103z00_248 = BgL_new1102z00_249; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1103z00_248)))->BgL_targetz00)=((obj_t)BgL_targetz00_19),BUNSPEC); 
((((BgL_phidgetzd2changezd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2changezd2eventz00_bglt)BgL_new1103z00_248)))->BgL_indexz00)=((int)BgL_indexz00_20),BUNSPEC); 
((((BgL_phidgetzd2sensorchangezd2eventz00_bglt)COBJECT(BgL_new1103z00_248))->BgL_statez00)=((int)BgL_statez00_21),BUNSPEC); 
return 
((obj_t)BgL_new1103z00_248);} } 

}



/* &phidget-event-sensorchange-new */
obj_t BGl_z62phidgetzd2eventzd2sensorchangezd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_428, obj_t BgL_targetz00_429, obj_t BgL_indexz00_430, obj_t BgL_statez00_431)
{
{ /* Llib/pdgevent.scm 190 */
{ /* Llib/pdgevent.scm 191 */
int BgL_auxz00_860;int BgL_auxz00_851;
{ /* Llib/pdgevent.scm 191 */
obj_t BgL_tmpz00_861;
if(
INTEGERP(BgL_statez00_431))
{ /* Llib/pdgevent.scm 191 */
BgL_tmpz00_861 = BgL_statez00_431
; }  else 
{ 
obj_t BgL_auxz00_864;
BgL_auxz00_864 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1364z00zz__phidget_eventz00, 
BINT(((long)9741)), BGl_string1373z00zz__phidget_eventz00, BGl_string1366z00zz__phidget_eventz00, BgL_statez00_431); 
FAILURE(BgL_auxz00_864,BFALSE,BFALSE);} 
BgL_auxz00_860 = 
CINT(BgL_tmpz00_861); } 
{ /* Llib/pdgevent.scm 191 */
obj_t BgL_tmpz00_852;
if(
INTEGERP(BgL_indexz00_430))
{ /* Llib/pdgevent.scm 191 */
BgL_tmpz00_852 = BgL_indexz00_430
; }  else 
{ 
obj_t BgL_auxz00_855;
BgL_auxz00_855 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1364z00zz__phidget_eventz00, 
BINT(((long)9741)), BGl_string1373z00zz__phidget_eventz00, BGl_string1366z00zz__phidget_eventz00, BgL_indexz00_430); 
FAILURE(BgL_auxz00_855,BFALSE,BFALSE);} 
BgL_auxz00_851 = 
CINT(BgL_tmpz00_852); } 
return 
bgl_phidget_event_sensorchange_new(BgL_targetz00_429, BgL_auxz00_851, BgL_auxz00_860);} } 

}



/* phidget-event-serverconnect-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_serverconnect_new(obj_t BgL_targetz00_22, CPhidgetHandle BgL_phidz00_23)
{
{ /* Llib/pdgevent.scm 199 */
{ /* Llib/pdgevent.scm 200 */
BgL_phidgetzd2serverconnectzd2eventz00_bglt BgL_new1106z00_255;
{ /* Llib/pdgevent.scm 201 */
BgL_phidgetzd2serverconnectzd2eventz00_bglt BgL_new1105z00_256;
BgL_new1105z00_256 = 
((BgL_phidgetzd2serverconnectzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2serverconnectzd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 201 */
long BgL_arg1156z00_257;
{ /* Llib/pdgevent.scm 201 */
long BgL_res1215z00_259;
BgL_res1215z00_259 = 
BGL_CLASS_INDEX(BGl_phidgetzd2serverconnectzd2eventz00zz__phidget_typesz00); 
BgL_arg1156z00_257 = BgL_res1215z00_259; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1105z00_256), BgL_arg1156z00_257); } 
BgL_new1106z00_255 = BgL_new1105z00_256; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1106z00_255)))->BgL_targetz00)=((obj_t)BgL_targetz00_22),BUNSPEC); 
((((BgL_phidgetzd2eventzd2_bglt)COBJECT(
((BgL_phidgetzd2eventzd2_bglt)BgL_new1106z00_255)))->BgL_phidgetz00)=((BgL_z52phidgetz52_bglt)
((BgL_z52phidgetz52_bglt)
bgl_phidget_new(BgL_phidz00_23))),BUNSPEC); 
return 
((obj_t)BgL_new1106z00_255);} } 

}



/* &phidget-event-serverconnect-new */
obj_t BGl_z62phidgetzd2eventzd2serverconnectzd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_432, obj_t BgL_targetz00_433, obj_t BgL_phidz00_434)
{
{ /* Llib/pdgevent.scm 199 */
{ /* Llib/pdgevent.scm 200 */
CPhidgetHandle BgL_auxz00_881;
if(
FOREIGNP(BgL_phidz00_434))
{ /* Llib/pdgevent.scm 200 */
BgL_auxz00_881 = 
FOREIGN_TO_COBJ(BgL_phidz00_434)
; }  else 
{ 
obj_t BgL_auxz00_885;
BgL_auxz00_885 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1364z00zz__phidget_eventz00, 
BINT(((long)10140)), BGl_string1374z00zz__phidget_eventz00, BGl_string1369z00zz__phidget_eventz00, BgL_phidz00_434); 
FAILURE(BgL_auxz00_885,BFALSE,BFALSE);} 
return 
bgl_phidget_event_serverconnect_new(BgL_targetz00_433, BgL_auxz00_881);} } 

}



/* phidget-event-serverdisconnect-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_serverdisconnect_new(obj_t BgL_targetz00_24, CPhidgetHandle BgL_phidz00_25)
{
{ /* Llib/pdgevent.scm 207 */
{ /* Llib/pdgevent.scm 208 */
BgL_phidgetzd2serverdisconnectzd2eventz00_bglt BgL_new1108z00_262;
{ /* Llib/pdgevent.scm 209 */
BgL_phidgetzd2serverdisconnectzd2eventz00_bglt BgL_new1107z00_263;
BgL_new1107z00_263 = 
((BgL_phidgetzd2serverdisconnectzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2serverdisconnectzd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 209 */
long BgL_arg1157z00_264;
{ /* Llib/pdgevent.scm 209 */
long BgL_res1216z00_266;
BgL_res1216z00_266 = 
BGL_CLASS_INDEX(BGl_phidgetzd2serverdisconnectzd2eventz00zz__phidget_typesz00); 
BgL_arg1157z00_264 = BgL_res1216z00_266; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1107z00_263), BgL_arg1157z00_264); } 
BgL_new1108z00_262 = BgL_new1107z00_263; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1108z00_262)))->BgL_targetz00)=((obj_t)BgL_targetz00_24),BUNSPEC); 
((((BgL_phidgetzd2eventzd2_bglt)COBJECT(
((BgL_phidgetzd2eventzd2_bglt)BgL_new1108z00_262)))->BgL_phidgetz00)=((BgL_z52phidgetz52_bglt)
((BgL_z52phidgetz52_bglt)
bgl_phidget_new(BgL_phidz00_25))),BUNSPEC); 
return 
((obj_t)BgL_new1108z00_262);} } 

}



/* &phidget-event-serverdisconnect-new */
obj_t BGl_z62phidgetzd2eventzd2serverdisconnectzd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_435, obj_t BgL_targetz00_436, obj_t BgL_phidz00_437)
{
{ /* Llib/pdgevent.scm 207 */
{ /* Llib/pdgevent.scm 208 */
CPhidgetHandle BgL_auxz00_901;
if(
FOREIGNP(BgL_phidz00_437))
{ /* Llib/pdgevent.scm 208 */
BgL_auxz00_901 = 
FOREIGN_TO_COBJ(BgL_phidz00_437)
; }  else 
{ 
obj_t BgL_auxz00_905;
BgL_auxz00_905 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1364z00zz__phidget_eventz00, 
BINT(((long)10540)), BGl_string1375z00zz__phidget_eventz00, BGl_string1369z00zz__phidget_eventz00, BgL_phidz00_437); 
FAILURE(BgL_auxz00_905,BFALSE,BFALSE);} 
return 
bgl_phidget_event_serverdisconnect_new(BgL_targetz00_436, BgL_auxz00_901);} } 

}



/* phidget-event-spatialdata-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_spatialdata_new(obj_t BgL_targetz00_26, int BgL_sz00_27, int BgL_msz00_28, double BgL_acxz00_29, double BgL_acyz00_30, double BgL_acza7za7_31, double BgL_anxz00_32, double BgL_anyz00_33, double BgL_anza7za7_34, double BgL_mfxz00_35, double BgL_mfyz00_36, double BgL_mfza7za7_37)
{
{ /* Llib/pdgevent.scm 215 */
{ /* Llib/pdgevent.scm 216 */
BgL_phidgetzd2spatialdatazd2eventz00_bglt BgL_new1110z00_269;
{ /* Llib/pdgevent.scm 217 */
BgL_phidgetzd2spatialdatazd2eventz00_bglt BgL_new1109z00_270;
BgL_new1109z00_270 = 
((BgL_phidgetzd2spatialdatazd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2spatialdatazd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 217 */
long BgL_arg1161z00_271;
{ /* Llib/pdgevent.scm 217 */
long BgL_res1217z00_273;
BgL_res1217z00_273 = 
BGL_CLASS_INDEX(BGl_phidgetzd2spatialdatazd2eventz00zz__phidget_typesz00); 
BgL_arg1161z00_271 = BgL_res1217z00_273; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1109z00_270), BgL_arg1161z00_271); } 
BgL_new1110z00_269 = BgL_new1109z00_270; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1110z00_269)))->BgL_targetz00)=((obj_t)BgL_targetz00_26),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(BgL_new1110z00_269))->BgL_secondsz00)=((int)BgL_sz00_27),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(BgL_new1110z00_269))->BgL_microsecondsz00)=((int)BgL_msz00_28),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(BgL_new1110z00_269))->BgL_acxz00)=((double)BgL_acxz00_29),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(BgL_new1110z00_269))->BgL_acyz00)=((double)BgL_acyz00_30),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(BgL_new1110z00_269))->BgL_acza7za7)=((double)BgL_acza7za7_31),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(BgL_new1110z00_269))->BgL_anxz00)=((double)BgL_anxz00_32),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(BgL_new1110z00_269))->BgL_anyz00)=((double)BgL_anyz00_33),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(BgL_new1110z00_269))->BgL_anza7za7)=((double)BgL_anza7za7_34),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(BgL_new1110z00_269))->BgL_mfxz00)=((double)BgL_mfxz00_35),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(BgL_new1110z00_269))->BgL_mfyz00)=((double)BgL_mfyz00_36),BUNSPEC); 
((((BgL_phidgetzd2spatialdatazd2eventz00_bglt)COBJECT(BgL_new1110z00_269))->BgL_mfza7za7)=((double)BgL_mfza7za7_37),BUNSPEC); 
return 
((obj_t)BgL_new1110z00_269);} } 

}



/* &phidget-event-spatialdata-new */
obj_t BGl_z62phidgetzd2eventzd2spatialdatazd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_438, obj_t BgL_targetz00_439, obj_t BgL_sz00_440, obj_t BgL_msz00_441, obj_t BgL_acxz00_442, obj_t BgL_acyz00_443, obj_t BgL_acza7za7_444, obj_t BgL_anxz00_445, obj_t BgL_anyz00_446, obj_t BgL_anza7za7_447, obj_t BgL_mfxz00_448, obj_t BgL_mfyz00_449, obj_t BgL_mfza7za7_450)
{
{ /* Llib/pdgevent.scm 215 */
{ /* Llib/pdgevent.scm 216 */
double BgL_auxz00_1018;double BgL_auxz00_1009;double BgL_auxz00_1000;double BgL_auxz00_991;double BgL_auxz00_982;double BgL_auxz00_973;double BgL_auxz00_964;double BgL_auxz00_955;double BgL_auxz00_946;int BgL_auxz00_937;int BgL_auxz00_928;
{ /* Llib/pdgevent.scm 216 */
obj_t BgL_tmpz00_1019;
if(
REALP(BgL_mfza7za7_450))
{ /* Llib/pdgevent.scm 216 */
BgL_tmpz00_1019 = BgL_mfza7za7_450
; }  else 
{ 
obj_t BgL_auxz00_1022;
BgL_auxz00_1022 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1364z00zz__phidget_eventz00, 
BINT(((long)10960)), BGl_string1376z00zz__phidget_eventz00, BGl_string1377z00zz__phidget_eventz00, BgL_mfza7za7_450); 
FAILURE(BgL_auxz00_1022,BFALSE,BFALSE);} 
BgL_auxz00_1018 = 
REAL_TO_DOUBLE(BgL_tmpz00_1019); } 
{ /* Llib/pdgevent.scm 216 */
obj_t BgL_tmpz00_1010;
if(
REALP(BgL_mfyz00_449))
{ /* Llib/pdgevent.scm 216 */
BgL_tmpz00_1010 = BgL_mfyz00_449
; }  else 
{ 
obj_t BgL_auxz00_1013;
BgL_auxz00_1013 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1364z00zz__phidget_eventz00, 
BINT(((long)10960)), BGl_string1376z00zz__phidget_eventz00, BGl_string1377z00zz__phidget_eventz00, BgL_mfyz00_449); 
FAILURE(BgL_auxz00_1013,BFALSE,BFALSE);} 
BgL_auxz00_1009 = 
REAL_TO_DOUBLE(BgL_tmpz00_1010); } 
{ /* Llib/pdgevent.scm 216 */
obj_t BgL_tmpz00_1001;
if(
REALP(BgL_mfxz00_448))
{ /* Llib/pdgevent.scm 216 */
BgL_tmpz00_1001 = BgL_mfxz00_448
; }  else 
{ 
obj_t BgL_auxz00_1004;
BgL_auxz00_1004 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1364z00zz__phidget_eventz00, 
BINT(((long)10960)), BGl_string1376z00zz__phidget_eventz00, BGl_string1377z00zz__phidget_eventz00, BgL_mfxz00_448); 
FAILURE(BgL_auxz00_1004,BFALSE,BFALSE);} 
BgL_auxz00_1000 = 
REAL_TO_DOUBLE(BgL_tmpz00_1001); } 
{ /* Llib/pdgevent.scm 216 */
obj_t BgL_tmpz00_992;
if(
REALP(BgL_anza7za7_447))
{ /* Llib/pdgevent.scm 216 */
BgL_tmpz00_992 = BgL_anza7za7_447
; }  else 
{ 
obj_t BgL_auxz00_995;
BgL_auxz00_995 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1364z00zz__phidget_eventz00, 
BINT(((long)10960)), BGl_string1376z00zz__phidget_eventz00, BGl_string1377z00zz__phidget_eventz00, BgL_anza7za7_447); 
FAILURE(BgL_auxz00_995,BFALSE,BFALSE);} 
BgL_auxz00_991 = 
REAL_TO_DOUBLE(BgL_tmpz00_992); } 
{ /* Llib/pdgevent.scm 216 */
obj_t BgL_tmpz00_983;
if(
REALP(BgL_anyz00_446))
{ /* Llib/pdgevent.scm 216 */
BgL_tmpz00_983 = BgL_anyz00_446
; }  else 
{ 
obj_t BgL_auxz00_986;
BgL_auxz00_986 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1364z00zz__phidget_eventz00, 
BINT(((long)10960)), BGl_string1376z00zz__phidget_eventz00, BGl_string1377z00zz__phidget_eventz00, BgL_anyz00_446); 
FAILURE(BgL_auxz00_986,BFALSE,BFALSE);} 
BgL_auxz00_982 = 
REAL_TO_DOUBLE(BgL_tmpz00_983); } 
{ /* Llib/pdgevent.scm 216 */
obj_t BgL_tmpz00_974;
if(
REALP(BgL_anxz00_445))
{ /* Llib/pdgevent.scm 216 */
BgL_tmpz00_974 = BgL_anxz00_445
; }  else 
{ 
obj_t BgL_auxz00_977;
BgL_auxz00_977 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1364z00zz__phidget_eventz00, 
BINT(((long)10960)), BGl_string1376z00zz__phidget_eventz00, BGl_string1377z00zz__phidget_eventz00, BgL_anxz00_445); 
FAILURE(BgL_auxz00_977,BFALSE,BFALSE);} 
BgL_auxz00_973 = 
REAL_TO_DOUBLE(BgL_tmpz00_974); } 
{ /* Llib/pdgevent.scm 216 */
obj_t BgL_tmpz00_965;
if(
REALP(BgL_acza7za7_444))
{ /* Llib/pdgevent.scm 216 */
BgL_tmpz00_965 = BgL_acza7za7_444
; }  else 
{ 
obj_t BgL_auxz00_968;
BgL_auxz00_968 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1364z00zz__phidget_eventz00, 
BINT(((long)10960)), BGl_string1376z00zz__phidget_eventz00, BGl_string1377z00zz__phidget_eventz00, BgL_acza7za7_444); 
FAILURE(BgL_auxz00_968,BFALSE,BFALSE);} 
BgL_auxz00_964 = 
REAL_TO_DOUBLE(BgL_tmpz00_965); } 
{ /* Llib/pdgevent.scm 216 */
obj_t BgL_tmpz00_956;
if(
REALP(BgL_acyz00_443))
{ /* Llib/pdgevent.scm 216 */
BgL_tmpz00_956 = BgL_acyz00_443
; }  else 
{ 
obj_t BgL_auxz00_959;
BgL_auxz00_959 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1364z00zz__phidget_eventz00, 
BINT(((long)10960)), BGl_string1376z00zz__phidget_eventz00, BGl_string1377z00zz__phidget_eventz00, BgL_acyz00_443); 
FAILURE(BgL_auxz00_959,BFALSE,BFALSE);} 
BgL_auxz00_955 = 
REAL_TO_DOUBLE(BgL_tmpz00_956); } 
{ /* Llib/pdgevent.scm 216 */
obj_t BgL_tmpz00_947;
if(
REALP(BgL_acxz00_442))
{ /* Llib/pdgevent.scm 216 */
BgL_tmpz00_947 = BgL_acxz00_442
; }  else 
{ 
obj_t BgL_auxz00_950;
BgL_auxz00_950 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1364z00zz__phidget_eventz00, 
BINT(((long)10960)), BGl_string1376z00zz__phidget_eventz00, BGl_string1377z00zz__phidget_eventz00, BgL_acxz00_442); 
FAILURE(BgL_auxz00_950,BFALSE,BFALSE);} 
BgL_auxz00_946 = 
REAL_TO_DOUBLE(BgL_tmpz00_947); } 
{ /* Llib/pdgevent.scm 216 */
obj_t BgL_tmpz00_938;
if(
INTEGERP(BgL_msz00_441))
{ /* Llib/pdgevent.scm 216 */
BgL_tmpz00_938 = BgL_msz00_441
; }  else 
{ 
obj_t BgL_auxz00_941;
BgL_auxz00_941 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1364z00zz__phidget_eventz00, 
BINT(((long)10960)), BGl_string1376z00zz__phidget_eventz00, BGl_string1366z00zz__phidget_eventz00, BgL_msz00_441); 
FAILURE(BgL_auxz00_941,BFALSE,BFALSE);} 
BgL_auxz00_937 = 
CINT(BgL_tmpz00_938); } 
{ /* Llib/pdgevent.scm 216 */
obj_t BgL_tmpz00_929;
if(
INTEGERP(BgL_sz00_440))
{ /* Llib/pdgevent.scm 216 */
BgL_tmpz00_929 = BgL_sz00_440
; }  else 
{ 
obj_t BgL_auxz00_932;
BgL_auxz00_932 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1364z00zz__phidget_eventz00, 
BINT(((long)10960)), BGl_string1376z00zz__phidget_eventz00, BGl_string1366z00zz__phidget_eventz00, BgL_sz00_440); 
FAILURE(BgL_auxz00_932,BFALSE,BFALSE);} 
BgL_auxz00_928 = 
CINT(BgL_tmpz00_929); } 
return 
bgl_phidget_event_spatialdata_new(BgL_targetz00_439, BgL_auxz00_928, BgL_auxz00_937, BgL_auxz00_946, BgL_auxz00_955, BgL_auxz00_964, BgL_auxz00_973, BgL_auxz00_982, BgL_auxz00_991, BgL_auxz00_1000, BgL_auxz00_1009, BgL_auxz00_1018);} } 

}



/* phidget-event-servoposition-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_servoposition_new(obj_t BgL_targetz00_38, int BgL_indexz00_39, double BgL_positionz00_40)
{
{ /* Llib/pdgevent.scm 233 */
{ /* Llib/pdgevent.scm 234 */
BgL_phidgetzd2servopositionzd2eventz00_bglt BgL_new1112z00_276;
{ /* Llib/pdgevent.scm 235 */
BgL_phidgetzd2servopositionzd2eventz00_bglt BgL_new1111z00_277;
BgL_new1111z00_277 = 
((BgL_phidgetzd2servopositionzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2servopositionzd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 235 */
long BgL_arg1162z00_278;
{ /* Llib/pdgevent.scm 235 */
long BgL_res1218z00_280;
BgL_res1218z00_280 = 
BGL_CLASS_INDEX(BGl_phidgetzd2servopositionzd2eventz00zz__phidget_typesz00); 
BgL_arg1162z00_278 = BgL_res1218z00_280; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1111z00_277), BgL_arg1162z00_278); } 
BgL_new1112z00_276 = BgL_new1111z00_277; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1112z00_276)))->BgL_targetz00)=((obj_t)BgL_targetz00_38),BUNSPEC); 
((((BgL_phidgetzd2servopositionzd2eventz00_bglt)COBJECT(BgL_new1112z00_276))->BgL_indexz00)=((int)BgL_indexz00_39),BUNSPEC); 
((((BgL_phidgetzd2servopositionzd2eventz00_bglt)COBJECT(BgL_new1112z00_276))->BgL_positionz00)=((double)BgL_positionz00_40),BUNSPEC); 
return 
((obj_t)BgL_new1112z00_276);} } 

}



/* &phidget-event-servoposition-new */
obj_t BGl_z62phidgetzd2eventzd2servopositionzd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_451, obj_t BgL_targetz00_452, obj_t BgL_indexz00_453, obj_t BgL_positionz00_454)
{
{ /* Llib/pdgevent.scm 233 */
{ /* Llib/pdgevent.scm 234 */
double BgL_auxz00_1046;int BgL_auxz00_1037;
{ /* Llib/pdgevent.scm 234 */
obj_t BgL_tmpz00_1047;
if(
REALP(BgL_positionz00_454))
{ /* Llib/pdgevent.scm 234 */
BgL_tmpz00_1047 = BgL_positionz00_454
; }  else 
{ 
obj_t BgL_auxz00_1050;
BgL_auxz00_1050 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1364z00zz__phidget_eventz00, 
BINT(((long)11506)), BGl_string1378z00zz__phidget_eventz00, BGl_string1377z00zz__phidget_eventz00, BgL_positionz00_454); 
FAILURE(BgL_auxz00_1050,BFALSE,BFALSE);} 
BgL_auxz00_1046 = 
REAL_TO_DOUBLE(BgL_tmpz00_1047); } 
{ /* Llib/pdgevent.scm 234 */
obj_t BgL_tmpz00_1038;
if(
INTEGERP(BgL_indexz00_453))
{ /* Llib/pdgevent.scm 234 */
BgL_tmpz00_1038 = BgL_indexz00_453
; }  else 
{ 
obj_t BgL_auxz00_1041;
BgL_auxz00_1041 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1364z00zz__phidget_eventz00, 
BINT(((long)11506)), BGl_string1378z00zz__phidget_eventz00, BGl_string1366z00zz__phidget_eventz00, BgL_indexz00_453); 
FAILURE(BgL_auxz00_1041,BFALSE,BFALSE);} 
BgL_auxz00_1037 = 
CINT(BgL_tmpz00_1038); } 
return 
bgl_phidget_event_servoposition_new(BgL_targetz00_452, BgL_auxz00_1037, BgL_auxz00_1046);} } 

}



/* phidget-event-servovelocity-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_servovelocity_new(obj_t BgL_targetz00_41, int BgL_indexz00_42, double BgL_velocityz00_43)
{
{ /* Llib/pdgevent.scm 242 */
{ /* Llib/pdgevent.scm 243 */
BgL_phidgetzd2servovelocityzd2eventz00_bglt BgL_new1114z00_283;
{ /* Llib/pdgevent.scm 244 */
BgL_phidgetzd2servovelocityzd2eventz00_bglt BgL_new1113z00_284;
BgL_new1113z00_284 = 
((BgL_phidgetzd2servovelocityzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2servovelocityzd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 244 */
long BgL_arg1165z00_285;
{ /* Llib/pdgevent.scm 244 */
long BgL_res1219z00_287;
BgL_res1219z00_287 = 
BGL_CLASS_INDEX(BGl_phidgetzd2servovelocityzd2eventz00zz__phidget_typesz00); 
BgL_arg1165z00_285 = BgL_res1219z00_287; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1113z00_284), BgL_arg1165z00_285); } 
BgL_new1114z00_283 = BgL_new1113z00_284; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1114z00_283)))->BgL_targetz00)=((obj_t)BgL_targetz00_41),BUNSPEC); 
((((BgL_phidgetzd2servovelocityzd2eventz00_bglt)COBJECT(BgL_new1114z00_283))->BgL_indexz00)=((int)BgL_indexz00_42),BUNSPEC); 
((((BgL_phidgetzd2servovelocityzd2eventz00_bglt)COBJECT(BgL_new1114z00_283))->BgL_velocityz00)=((double)BgL_velocityz00_43),BUNSPEC); 
return 
((obj_t)BgL_new1114z00_283);} } 

}



/* &phidget-event-servovelocity-new */
obj_t BGl_z62phidgetzd2eventzd2servovelocityzd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_455, obj_t BgL_targetz00_456, obj_t BgL_indexz00_457, obj_t BgL_velocityz00_458)
{
{ /* Llib/pdgevent.scm 242 */
{ /* Llib/pdgevent.scm 243 */
double BgL_auxz00_1074;int BgL_auxz00_1065;
{ /* Llib/pdgevent.scm 243 */
obj_t BgL_tmpz00_1075;
if(
REALP(BgL_velocityz00_458))
{ /* Llib/pdgevent.scm 243 */
BgL_tmpz00_1075 = BgL_velocityz00_458
; }  else 
{ 
obj_t BgL_auxz00_1078;
BgL_auxz00_1078 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1364z00zz__phidget_eventz00, 
BINT(((long)11908)), BGl_string1379z00zz__phidget_eventz00, BGl_string1377z00zz__phidget_eventz00, BgL_velocityz00_458); 
FAILURE(BgL_auxz00_1078,BFALSE,BFALSE);} 
BgL_auxz00_1074 = 
REAL_TO_DOUBLE(BgL_tmpz00_1075); } 
{ /* Llib/pdgevent.scm 243 */
obj_t BgL_tmpz00_1066;
if(
INTEGERP(BgL_indexz00_457))
{ /* Llib/pdgevent.scm 243 */
BgL_tmpz00_1066 = BgL_indexz00_457
; }  else 
{ 
obj_t BgL_auxz00_1069;
BgL_auxz00_1069 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1364z00zz__phidget_eventz00, 
BINT(((long)11908)), BGl_string1379z00zz__phidget_eventz00, BGl_string1366z00zz__phidget_eventz00, BgL_indexz00_457); 
FAILURE(BgL_auxz00_1069,BFALSE,BFALSE);} 
BgL_auxz00_1065 = 
CINT(BgL_tmpz00_1066); } 
return 
bgl_phidget_event_servovelocity_new(BgL_targetz00_456, BgL_auxz00_1065, BgL_auxz00_1074);} } 

}



/* phidget-event-servocurrent-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_servocurrent_new(obj_t BgL_targetz00_44, int BgL_indexz00_45, double BgL_currentz00_46)
{
{ /* Llib/pdgevent.scm 251 */
{ /* Llib/pdgevent.scm 252 */
BgL_phidgetzd2servocurrentzd2eventz00_bglt BgL_new1116z00_290;
{ /* Llib/pdgevent.scm 253 */
BgL_phidgetzd2servocurrentzd2eventz00_bglt BgL_new1115z00_291;
BgL_new1115z00_291 = 
((BgL_phidgetzd2servocurrentzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2servocurrentzd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 253 */
long BgL_arg1166z00_292;
{ /* Llib/pdgevent.scm 253 */
long BgL_res1220z00_294;
BgL_res1220z00_294 = 
BGL_CLASS_INDEX(BGl_phidgetzd2servocurrentzd2eventz00zz__phidget_typesz00); 
BgL_arg1166z00_292 = BgL_res1220z00_294; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1115z00_291), BgL_arg1166z00_292); } 
BgL_new1116z00_290 = BgL_new1115z00_291; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1116z00_290)))->BgL_targetz00)=((obj_t)BgL_targetz00_44),BUNSPEC); 
((((BgL_phidgetzd2servocurrentzd2eventz00_bglt)COBJECT(BgL_new1116z00_290))->BgL_indexz00)=((int)BgL_indexz00_45),BUNSPEC); 
((((BgL_phidgetzd2servocurrentzd2eventz00_bglt)COBJECT(BgL_new1116z00_290))->BgL_currentz00)=((double)BgL_currentz00_46),BUNSPEC); 
return 
((obj_t)BgL_new1116z00_290);} } 

}



/* &phidget-event-servocurrent-new */
obj_t BGl_z62phidgetzd2eventzd2servocurrentzd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_459, obj_t BgL_targetz00_460, obj_t BgL_indexz00_461, obj_t BgL_currentz00_462)
{
{ /* Llib/pdgevent.scm 251 */
{ /* Llib/pdgevent.scm 252 */
double BgL_auxz00_1102;int BgL_auxz00_1093;
{ /* Llib/pdgevent.scm 252 */
obj_t BgL_tmpz00_1103;
if(
REALP(BgL_currentz00_462))
{ /* Llib/pdgevent.scm 252 */
BgL_tmpz00_1103 = BgL_currentz00_462
; }  else 
{ 
obj_t BgL_auxz00_1106;
BgL_auxz00_1106 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1364z00zz__phidget_eventz00, 
BINT(((long)12308)), BGl_string1380z00zz__phidget_eventz00, BGl_string1377z00zz__phidget_eventz00, BgL_currentz00_462); 
FAILURE(BgL_auxz00_1106,BFALSE,BFALSE);} 
BgL_auxz00_1102 = 
REAL_TO_DOUBLE(BgL_tmpz00_1103); } 
{ /* Llib/pdgevent.scm 252 */
obj_t BgL_tmpz00_1094;
if(
INTEGERP(BgL_indexz00_461))
{ /* Llib/pdgevent.scm 252 */
BgL_tmpz00_1094 = BgL_indexz00_461
; }  else 
{ 
obj_t BgL_auxz00_1097;
BgL_auxz00_1097 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1364z00zz__phidget_eventz00, 
BINT(((long)12308)), BGl_string1380z00zz__phidget_eventz00, BGl_string1366z00zz__phidget_eventz00, BgL_indexz00_461); 
FAILURE(BgL_auxz00_1097,BFALSE,BFALSE);} 
BgL_auxz00_1093 = 
CINT(BgL_tmpz00_1094); } 
return 
bgl_phidget_event_servocurrent_new(BgL_targetz00_460, BgL_auxz00_1093, BgL_auxz00_1102);} } 

}



/* phidget-event-stepperinput-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_stepperinput_new(obj_t BgL_targetz00_47, int BgL_indexz00_48, int BgL_statez00_49)
{
{ /* Llib/pdgevent.scm 260 */
{ /* Llib/pdgevent.scm 261 */
BgL_phidgetzd2stepperinputzd2eventz00_bglt BgL_new1118z00_297;
{ /* Llib/pdgevent.scm 262 */
BgL_phidgetzd2stepperinputzd2eventz00_bglt BgL_new1117z00_298;
BgL_new1117z00_298 = 
((BgL_phidgetzd2stepperinputzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2stepperinputzd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 262 */
long BgL_arg1167z00_299;
{ /* Llib/pdgevent.scm 262 */
long BgL_res1221z00_301;
BgL_res1221z00_301 = 
BGL_CLASS_INDEX(BGl_phidgetzd2stepperinputzd2eventz00zz__phidget_typesz00); 
BgL_arg1167z00_299 = BgL_res1221z00_301; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1117z00_298), BgL_arg1167z00_299); } 
BgL_new1118z00_297 = BgL_new1117z00_298; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1118z00_297)))->BgL_targetz00)=((obj_t)BgL_targetz00_47),BUNSPEC); 
((((BgL_phidgetzd2changezd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2changezd2eventz00_bglt)BgL_new1118z00_297)))->BgL_indexz00)=((int)BgL_indexz00_48),BUNSPEC); 
((((BgL_phidgetzd2inputchangezd2eventz00_bglt)COBJECT(
((BgL_phidgetzd2inputchangezd2eventz00_bglt)BgL_new1118z00_297)))->BgL_statez00)=((bool_t)((bool_t)1)),BUNSPEC); 
return 
((obj_t)BgL_new1118z00_297);} } 

}



/* &phidget-event-stepperinput-new */
obj_t BGl_z62phidgetzd2eventzd2stepperinputzd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_463, obj_t BgL_targetz00_464, obj_t BgL_indexz00_465, obj_t BgL_statez00_466)
{
{ /* Llib/pdgevent.scm 260 */
{ /* Llib/pdgevent.scm 261 */
int BgL_auxz00_1132;int BgL_auxz00_1123;
{ /* Llib/pdgevent.scm 261 */
obj_t BgL_tmpz00_1133;
if(
INTEGERP(BgL_statez00_466))
{ /* Llib/pdgevent.scm 261 */
BgL_tmpz00_1133 = BgL_statez00_466
; }  else 
{ 
obj_t BgL_auxz00_1136;
BgL_auxz00_1136 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1364z00zz__phidget_eventz00, 
BINT(((long)12703)), BGl_string1381z00zz__phidget_eventz00, BGl_string1366z00zz__phidget_eventz00, BgL_statez00_466); 
FAILURE(BgL_auxz00_1136,BFALSE,BFALSE);} 
BgL_auxz00_1132 = 
CINT(BgL_tmpz00_1133); } 
{ /* Llib/pdgevent.scm 261 */
obj_t BgL_tmpz00_1124;
if(
INTEGERP(BgL_indexz00_465))
{ /* Llib/pdgevent.scm 261 */
BgL_tmpz00_1124 = BgL_indexz00_465
; }  else 
{ 
obj_t BgL_auxz00_1127;
BgL_auxz00_1127 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1364z00zz__phidget_eventz00, 
BINT(((long)12703)), BGl_string1381z00zz__phidget_eventz00, BGl_string1366z00zz__phidget_eventz00, BgL_indexz00_465); 
FAILURE(BgL_auxz00_1127,BFALSE,BFALSE);} 
BgL_auxz00_1123 = 
CINT(BgL_tmpz00_1124); } 
return 
bgl_phidget_event_stepperinput_new(BgL_targetz00_464, BgL_auxz00_1123, BgL_auxz00_1132);} } 

}



/* phidget-event-steppervelocity-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_steppervelocity_new(obj_t BgL_targetz00_50, int BgL_indexz00_51, double BgL_velocityz00_52)
{
{ /* Llib/pdgevent.scm 269 */
{ /* Llib/pdgevent.scm 270 */
BgL_phidgetzd2steppervelocityzd2eventz00_bglt BgL_new1120z00_304;
{ /* Llib/pdgevent.scm 271 */
BgL_phidgetzd2steppervelocityzd2eventz00_bglt BgL_new1119z00_305;
BgL_new1119z00_305 = 
((BgL_phidgetzd2steppervelocityzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2steppervelocityzd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 271 */
long BgL_arg1169z00_306;
{ /* Llib/pdgevent.scm 271 */
long BgL_res1222z00_308;
BgL_res1222z00_308 = 
BGL_CLASS_INDEX(BGl_phidgetzd2steppervelocityzd2eventz00zz__phidget_typesz00); 
BgL_arg1169z00_306 = BgL_res1222z00_308; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1119z00_305), BgL_arg1169z00_306); } 
BgL_new1120z00_304 = BgL_new1119z00_305; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1120z00_304)))->BgL_targetz00)=((obj_t)BgL_targetz00_50),BUNSPEC); 
((((BgL_phidgetzd2steppervelocityzd2eventz00_bglt)COBJECT(BgL_new1120z00_304))->BgL_indexz00)=((int)BgL_indexz00_51),BUNSPEC); 
((((BgL_phidgetzd2steppervelocityzd2eventz00_bglt)COBJECT(BgL_new1120z00_304))->BgL_velocityz00)=((double)BgL_velocityz00_52),BUNSPEC); 
return 
((obj_t)BgL_new1120z00_304);} } 

}



/* &phidget-event-steppervelocity-new */
obj_t BGl_z62phidgetzd2eventzd2steppervelocityzd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_467, obj_t BgL_targetz00_468, obj_t BgL_indexz00_469, obj_t BgL_velocityz00_470)
{
{ /* Llib/pdgevent.scm 269 */
{ /* Llib/pdgevent.scm 270 */
double BgL_auxz00_1160;int BgL_auxz00_1151;
{ /* Llib/pdgevent.scm 270 */
obj_t BgL_tmpz00_1161;
if(
REALP(BgL_velocityz00_470))
{ /* Llib/pdgevent.scm 270 */
BgL_tmpz00_1161 = BgL_velocityz00_470
; }  else 
{ 
obj_t BgL_auxz00_1164;
BgL_auxz00_1164 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1364z00zz__phidget_eventz00, 
BINT(((long)13103)), BGl_string1382z00zz__phidget_eventz00, BGl_string1377z00zz__phidget_eventz00, BgL_velocityz00_470); 
FAILURE(BgL_auxz00_1164,BFALSE,BFALSE);} 
BgL_auxz00_1160 = 
REAL_TO_DOUBLE(BgL_tmpz00_1161); } 
{ /* Llib/pdgevent.scm 270 */
obj_t BgL_tmpz00_1152;
if(
INTEGERP(BgL_indexz00_469))
{ /* Llib/pdgevent.scm 270 */
BgL_tmpz00_1152 = BgL_indexz00_469
; }  else 
{ 
obj_t BgL_auxz00_1155;
BgL_auxz00_1155 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1364z00zz__phidget_eventz00, 
BINT(((long)13103)), BGl_string1382z00zz__phidget_eventz00, BGl_string1366z00zz__phidget_eventz00, BgL_indexz00_469); 
FAILURE(BgL_auxz00_1155,BFALSE,BFALSE);} 
BgL_auxz00_1151 = 
CINT(BgL_tmpz00_1152); } 
return 
bgl_phidget_event_steppervelocity_new(BgL_targetz00_468, BgL_auxz00_1151, BgL_auxz00_1160);} } 

}



/* phidget-event-stepperposition-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_stepperposition_new(obj_t BgL_targetz00_53, int BgL_indexz00_54, BGL_LONGLONG_T BgL_positionz00_55)
{
{ /* Llib/pdgevent.scm 278 */
{ /* Llib/pdgevent.scm 279 */
BgL_phidgetzd2stepperpositionzd2eventz00_bglt BgL_new1122z00_311;
{ /* Llib/pdgevent.scm 280 */
BgL_phidgetzd2stepperpositionzd2eventz00_bglt BgL_new1121z00_312;
BgL_new1121z00_312 = 
((BgL_phidgetzd2stepperpositionzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2stepperpositionzd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 280 */
long BgL_arg1170z00_313;
{ /* Llib/pdgevent.scm 280 */
long BgL_res1223z00_315;
BgL_res1223z00_315 = 
BGL_CLASS_INDEX(BGl_phidgetzd2stepperpositionzd2eventz00zz__phidget_typesz00); 
BgL_arg1170z00_313 = BgL_res1223z00_315; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1121z00_312), BgL_arg1170z00_313); } 
BgL_new1122z00_311 = BgL_new1121z00_312; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1122z00_311)))->BgL_targetz00)=((obj_t)BgL_targetz00_53),BUNSPEC); 
((((BgL_phidgetzd2stepperpositionzd2eventz00_bglt)COBJECT(BgL_new1122z00_311))->BgL_indexz00)=((int)BgL_indexz00_54),BUNSPEC); 
((((BgL_phidgetzd2stepperpositionzd2eventz00_bglt)COBJECT(BgL_new1122z00_311))->BgL_positionz00)=((BGL_LONGLONG_T)BgL_positionz00_55),BUNSPEC); 
return 
((obj_t)BgL_new1122z00_311);} } 

}



/* &phidget-event-stepperposition-new */
obj_t BGl_z62phidgetzd2eventzd2stepperpositionzd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_471, obj_t BgL_targetz00_472, obj_t BgL_indexz00_473, obj_t BgL_positionz00_474)
{
{ /* Llib/pdgevent.scm 278 */
{ /* Llib/pdgevent.scm 279 */
BGL_LONGLONG_T BgL_auxz00_1188;int BgL_auxz00_1179;
{ /* Llib/pdgevent.scm 279 */
obj_t BgL_tmpz00_1189;
if(
LLONGP(BgL_positionz00_474))
{ /* Llib/pdgevent.scm 279 */
BgL_tmpz00_1189 = BgL_positionz00_474
; }  else 
{ 
obj_t BgL_auxz00_1192;
BgL_auxz00_1192 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1364z00zz__phidget_eventz00, 
BINT(((long)13512)), BGl_string1383z00zz__phidget_eventz00, BGl_string1384z00zz__phidget_eventz00, BgL_positionz00_474); 
FAILURE(BgL_auxz00_1192,BFALSE,BFALSE);} 
BgL_auxz00_1188 = 
BLLONG_TO_LLONG(BgL_tmpz00_1189); } 
{ /* Llib/pdgevent.scm 279 */
obj_t BgL_tmpz00_1180;
if(
INTEGERP(BgL_indexz00_473))
{ /* Llib/pdgevent.scm 279 */
BgL_tmpz00_1180 = BgL_indexz00_473
; }  else 
{ 
obj_t BgL_auxz00_1183;
BgL_auxz00_1183 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1364z00zz__phidget_eventz00, 
BINT(((long)13512)), BGl_string1383z00zz__phidget_eventz00, BGl_string1366z00zz__phidget_eventz00, BgL_indexz00_473); 
FAILURE(BgL_auxz00_1183,BFALSE,BFALSE);} 
BgL_auxz00_1179 = 
CINT(BgL_tmpz00_1180); } 
return 
bgl_phidget_event_stepperposition_new(BgL_targetz00_472, BgL_auxz00_1179, BgL_auxz00_1188);} } 

}



/* phidget-event-steppercurrent-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_steppercurrent_new(obj_t BgL_targetz00_56, int BgL_indexz00_57, double BgL_currentz00_58)
{
{ /* Llib/pdgevent.scm 287 */
{ /* Llib/pdgevent.scm 288 */
BgL_phidgetzd2steppercurrentzd2eventz00_bglt BgL_new1124z00_318;
{ /* Llib/pdgevent.scm 289 */
BgL_phidgetzd2steppercurrentzd2eventz00_bglt BgL_new1123z00_319;
BgL_new1123z00_319 = 
((BgL_phidgetzd2steppercurrentzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2steppercurrentzd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 289 */
long BgL_arg1171z00_320;
{ /* Llib/pdgevent.scm 289 */
long BgL_res1224z00_322;
BgL_res1224z00_322 = 
BGL_CLASS_INDEX(BGl_phidgetzd2steppercurrentzd2eventz00zz__phidget_typesz00); 
BgL_arg1171z00_320 = BgL_res1224z00_322; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1123z00_319), BgL_arg1171z00_320); } 
BgL_new1124z00_318 = BgL_new1123z00_319; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1124z00_318)))->BgL_targetz00)=((obj_t)BgL_targetz00_56),BUNSPEC); 
((((BgL_phidgetzd2steppercurrentzd2eventz00_bglt)COBJECT(BgL_new1124z00_318))->BgL_indexz00)=((int)BgL_indexz00_57),BUNSPEC); 
((((BgL_phidgetzd2steppercurrentzd2eventz00_bglt)COBJECT(BgL_new1124z00_318))->BgL_currentz00)=((double)BgL_currentz00_58),BUNSPEC); 
return 
((obj_t)BgL_new1124z00_318);} } 

}



/* &phidget-event-steppercurrent-new */
obj_t BGl_z62phidgetzd2eventzd2steppercurrentzd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_475, obj_t BgL_targetz00_476, obj_t BgL_indexz00_477, obj_t BgL_currentz00_478)
{
{ /* Llib/pdgevent.scm 287 */
{ /* Llib/pdgevent.scm 288 */
double BgL_auxz00_1216;int BgL_auxz00_1207;
{ /* Llib/pdgevent.scm 288 */
obj_t BgL_tmpz00_1217;
if(
REALP(BgL_currentz00_478))
{ /* Llib/pdgevent.scm 288 */
BgL_tmpz00_1217 = BgL_currentz00_478
; }  else 
{ 
obj_t BgL_auxz00_1220;
BgL_auxz00_1220 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1364z00zz__phidget_eventz00, 
BINT(((long)13918)), BGl_string1385z00zz__phidget_eventz00, BGl_string1377z00zz__phidget_eventz00, BgL_currentz00_478); 
FAILURE(BgL_auxz00_1220,BFALSE,BFALSE);} 
BgL_auxz00_1216 = 
REAL_TO_DOUBLE(BgL_tmpz00_1217); } 
{ /* Llib/pdgevent.scm 288 */
obj_t BgL_tmpz00_1208;
if(
INTEGERP(BgL_indexz00_477))
{ /* Llib/pdgevent.scm 288 */
BgL_tmpz00_1208 = BgL_indexz00_477
; }  else 
{ 
obj_t BgL_auxz00_1211;
BgL_auxz00_1211 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1364z00zz__phidget_eventz00, 
BINT(((long)13918)), BGl_string1385z00zz__phidget_eventz00, BGl_string1366z00zz__phidget_eventz00, BgL_indexz00_477); 
FAILURE(BgL_auxz00_1211,BFALSE,BFALSE);} 
BgL_auxz00_1207 = 
CINT(BgL_tmpz00_1208); } 
return 
bgl_phidget_event_steppercurrent_new(BgL_targetz00_476, BgL_auxz00_1207, BgL_auxz00_1216);} } 

}



/* phidget-event-motorcontrolvelocity-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_motorcontrolvelocity_new(obj_t BgL_targetz00_59, int BgL_indexz00_60, double BgL_velocityz00_61)
{
{ /* Llib/pdgevent.scm 296 */
{ /* Llib/pdgevent.scm 297 */
BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bglt BgL_new1126z00_325;
{ /* Llib/pdgevent.scm 298 */
BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bglt BgL_new1125z00_326;
BgL_new1125z00_326 = 
((BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 298 */
long BgL_arg1172z00_327;
{ /* Llib/pdgevent.scm 298 */
long BgL_res1225z00_329;
BgL_res1225z00_329 = 
BGL_CLASS_INDEX(BGl_phidgetzd2motorcontrolvelocityzd2eventz00zz__phidget_typesz00); 
BgL_arg1172z00_327 = BgL_res1225z00_329; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1125z00_326), BgL_arg1172z00_327); } 
BgL_new1126z00_325 = BgL_new1125z00_326; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1126z00_325)))->BgL_targetz00)=((obj_t)BgL_targetz00_59),BUNSPEC); 
((((BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bglt)COBJECT(BgL_new1126z00_325))->BgL_indexz00)=((int)BgL_indexz00_60),BUNSPEC); 
((((BgL_phidgetzd2motorcontrolvelocityzd2eventz00_bglt)COBJECT(BgL_new1126z00_325))->BgL_velocityz00)=((double)BgL_velocityz00_61),BUNSPEC); 
return 
((obj_t)BgL_new1126z00_325);} } 

}



/* &phidget-event-motorcontrolvelocity-new */
obj_t BGl_z62phidgetzd2eventzd2motorcontrolvelocityzd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_479, obj_t BgL_targetz00_480, obj_t BgL_indexz00_481, obj_t BgL_velocityz00_482)
{
{ /* Llib/pdgevent.scm 296 */
{ /* Llib/pdgevent.scm 297 */
double BgL_auxz00_1244;int BgL_auxz00_1235;
{ /* Llib/pdgevent.scm 297 */
obj_t BgL_tmpz00_1245;
if(
REALP(BgL_velocityz00_482))
{ /* Llib/pdgevent.scm 297 */
BgL_tmpz00_1245 = BgL_velocityz00_482
; }  else 
{ 
obj_t BgL_auxz00_1248;
BgL_auxz00_1248 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1364z00zz__phidget_eventz00, 
BINT(((long)14326)), BGl_string1386z00zz__phidget_eventz00, BGl_string1377z00zz__phidget_eventz00, BgL_velocityz00_482); 
FAILURE(BgL_auxz00_1248,BFALSE,BFALSE);} 
BgL_auxz00_1244 = 
REAL_TO_DOUBLE(BgL_tmpz00_1245); } 
{ /* Llib/pdgevent.scm 297 */
obj_t BgL_tmpz00_1236;
if(
INTEGERP(BgL_indexz00_481))
{ /* Llib/pdgevent.scm 297 */
BgL_tmpz00_1236 = BgL_indexz00_481
; }  else 
{ 
obj_t BgL_auxz00_1239;
BgL_auxz00_1239 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1364z00zz__phidget_eventz00, 
BINT(((long)14326)), BGl_string1386z00zz__phidget_eventz00, BGl_string1366z00zz__phidget_eventz00, BgL_indexz00_481); 
FAILURE(BgL_auxz00_1239,BFALSE,BFALSE);} 
BgL_auxz00_1235 = 
CINT(BgL_tmpz00_1236); } 
return 
bgl_phidget_event_motorcontrolvelocity_new(BgL_targetz00_480, BgL_auxz00_1235, BgL_auxz00_1244);} } 

}



/* phidget-event-motorcontrolcurrent-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_motorcontrolcurrent_new(obj_t BgL_targetz00_62, int BgL_indexz00_63, double BgL_currentz00_64)
{
{ /* Llib/pdgevent.scm 305 */
{ /* Llib/pdgevent.scm 306 */
BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bglt BgL_new1128z00_332;
{ /* Llib/pdgevent.scm 307 */
BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bglt BgL_new1127z00_333;
BgL_new1127z00_333 = 
((BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 307 */
long BgL_arg1173z00_334;
{ /* Llib/pdgevent.scm 307 */
long BgL_res1226z00_336;
BgL_res1226z00_336 = 
BGL_CLASS_INDEX(BGl_phidgetzd2motorcontrolcurrentzd2eventz00zz__phidget_typesz00); 
BgL_arg1173z00_334 = BgL_res1226z00_336; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1127z00_333), BgL_arg1173z00_334); } 
BgL_new1128z00_332 = BgL_new1127z00_333; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1128z00_332)))->BgL_targetz00)=((obj_t)BgL_targetz00_62),BUNSPEC); 
((((BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bglt)COBJECT(BgL_new1128z00_332))->BgL_indexz00)=((int)BgL_indexz00_63),BUNSPEC); 
((((BgL_phidgetzd2motorcontrolcurrentzd2eventz00_bglt)COBJECT(BgL_new1128z00_332))->BgL_currentz00)=((double)BgL_currentz00_64),BUNSPEC); 
return 
((obj_t)BgL_new1128z00_332);} } 

}



/* &phidget-event-motorcontrolcurrent-new */
obj_t BGl_z62phidgetzd2eventzd2motorcontrolcurrentzd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_483, obj_t BgL_targetz00_484, obj_t BgL_indexz00_485, obj_t BgL_currentz00_486)
{
{ /* Llib/pdgevent.scm 305 */
{ /* Llib/pdgevent.scm 306 */
double BgL_auxz00_1272;int BgL_auxz00_1263;
{ /* Llib/pdgevent.scm 306 */
obj_t BgL_tmpz00_1273;
if(
REALP(BgL_currentz00_486))
{ /* Llib/pdgevent.scm 306 */
BgL_tmpz00_1273 = BgL_currentz00_486
; }  else 
{ 
obj_t BgL_auxz00_1276;
BgL_auxz00_1276 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1364z00zz__phidget_eventz00, 
BINT(((long)14740)), BGl_string1387z00zz__phidget_eventz00, BGl_string1377z00zz__phidget_eventz00, BgL_currentz00_486); 
FAILURE(BgL_auxz00_1276,BFALSE,BFALSE);} 
BgL_auxz00_1272 = 
REAL_TO_DOUBLE(BgL_tmpz00_1273); } 
{ /* Llib/pdgevent.scm 306 */
obj_t BgL_tmpz00_1264;
if(
INTEGERP(BgL_indexz00_485))
{ /* Llib/pdgevent.scm 306 */
BgL_tmpz00_1264 = BgL_indexz00_485
; }  else 
{ 
obj_t BgL_auxz00_1267;
BgL_auxz00_1267 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1364z00zz__phidget_eventz00, 
BINT(((long)14740)), BGl_string1387z00zz__phidget_eventz00, BGl_string1366z00zz__phidget_eventz00, BgL_indexz00_485); 
FAILURE(BgL_auxz00_1267,BFALSE,BFALSE);} 
BgL_auxz00_1263 = 
CINT(BgL_tmpz00_1264); } 
return 
bgl_phidget_event_motorcontrolcurrent_new(BgL_targetz00_484, BgL_auxz00_1263, BgL_auxz00_1272);} } 

}



/* phidget-event-encoderinput-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_encoderinput_new(obj_t BgL_targetz00_65, int BgL_indexz00_66, bool_t BgL_statez00_67)
{
{ /* Llib/pdgevent.scm 314 */
{ /* Llib/pdgevent.scm 315 */
BgL_phidgetzd2encoderinputzd2eventz00_bglt BgL_new1130z00_339;
{ /* Llib/pdgevent.scm 316 */
BgL_phidgetzd2encoderinputzd2eventz00_bglt BgL_new1129z00_340;
BgL_new1129z00_340 = 
((BgL_phidgetzd2encoderinputzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2encoderinputzd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 316 */
long BgL_arg1174z00_341;
{ /* Llib/pdgevent.scm 316 */
long BgL_res1227z00_343;
BgL_res1227z00_343 = 
BGL_CLASS_INDEX(BGl_phidgetzd2encoderinputzd2eventz00zz__phidget_typesz00); 
BgL_arg1174z00_341 = BgL_res1227z00_343; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1129z00_340), BgL_arg1174z00_341); } 
BgL_new1130z00_339 = BgL_new1129z00_340; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1130z00_339)))->BgL_targetz00)=((obj_t)BgL_targetz00_65),BUNSPEC); 
((((BgL_phidgetzd2encoderinputzd2eventz00_bglt)COBJECT(BgL_new1130z00_339))->BgL_indexz00)=((int)BgL_indexz00_66),BUNSPEC); 
((((BgL_phidgetzd2encoderinputzd2eventz00_bglt)COBJECT(BgL_new1130z00_339))->BgL_statez00)=((bool_t)BgL_statez00_67),BUNSPEC); 
return 
((obj_t)BgL_new1130z00_339);} } 

}



/* &phidget-event-encoderinput-new */
obj_t BGl_z62phidgetzd2eventzd2encoderinputzd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_487, obj_t BgL_targetz00_488, obj_t BgL_indexz00_489, obj_t BgL_statez00_490)
{
{ /* Llib/pdgevent.scm 314 */
{ /* Llib/pdgevent.scm 315 */
int BgL_auxz00_1291;
{ /* Llib/pdgevent.scm 315 */
obj_t BgL_tmpz00_1292;
if(
INTEGERP(BgL_indexz00_489))
{ /* Llib/pdgevent.scm 315 */
BgL_tmpz00_1292 = BgL_indexz00_489
; }  else 
{ 
obj_t BgL_auxz00_1295;
BgL_auxz00_1295 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1364z00zz__phidget_eventz00, 
BINT(((long)15142)), BGl_string1388z00zz__phidget_eventz00, BGl_string1366z00zz__phidget_eventz00, BgL_indexz00_489); 
FAILURE(BgL_auxz00_1295,BFALSE,BFALSE);} 
BgL_auxz00_1291 = 
CINT(BgL_tmpz00_1292); } 
return 
bgl_phidget_event_encoderinput_new(BgL_targetz00_488, BgL_auxz00_1291, 
CBOOL(BgL_statez00_490));} } 

}



/* phidget-event-encoderposition-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_encoderposition_new(obj_t BgL_targetz00_68, int BgL_indexz00_69, int BgL_timez00_70, int BgL_positionz00_71)
{
{ /* Llib/pdgevent.scm 323 */
{ /* Llib/pdgevent.scm 324 */
BgL_phidgetzd2encoderpositionzd2eventz00_bglt BgL_new1132z00_346;
{ /* Llib/pdgevent.scm 325 */
BgL_phidgetzd2encoderpositionzd2eventz00_bglt BgL_new1131z00_347;
BgL_new1131z00_347 = 
((BgL_phidgetzd2encoderpositionzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2encoderpositionzd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 325 */
long BgL_arg1175z00_348;
{ /* Llib/pdgevent.scm 325 */
long BgL_res1228z00_350;
BgL_res1228z00_350 = 
BGL_CLASS_INDEX(BGl_phidgetzd2encoderpositionzd2eventz00zz__phidget_typesz00); 
BgL_arg1175z00_348 = BgL_res1228z00_350; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1131z00_347), BgL_arg1175z00_348); } 
BgL_new1132z00_346 = BgL_new1131z00_347; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1132z00_346)))->BgL_targetz00)=((obj_t)BgL_targetz00_68),BUNSPEC); 
((((BgL_phidgetzd2encoderpositionzd2eventz00_bglt)COBJECT(BgL_new1132z00_346))->BgL_indexz00)=((int)BgL_indexz00_69),BUNSPEC); 
((((BgL_phidgetzd2encoderpositionzd2eventz00_bglt)COBJECT(BgL_new1132z00_346))->BgL_timez00)=((int)BgL_timez00_70),BUNSPEC); 
((((BgL_phidgetzd2encoderpositionzd2eventz00_bglt)COBJECT(BgL_new1132z00_346))->BgL_positionz00)=((int)BgL_positionz00_71),BUNSPEC); 
return 
((obj_t)BgL_new1132z00_346);} } 

}



/* &phidget-event-encoderposition-new */
obj_t BGl_z62phidgetzd2eventzd2encoderpositionzd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_491, obj_t BgL_targetz00_492, obj_t BgL_indexz00_493, obj_t BgL_timez00_494, obj_t BgL_positionz00_495)
{
{ /* Llib/pdgevent.scm 323 */
{ /* Llib/pdgevent.scm 324 */
int BgL_auxz00_1330;int BgL_auxz00_1321;int BgL_auxz00_1312;
{ /* Llib/pdgevent.scm 324 */
obj_t BgL_tmpz00_1331;
if(
INTEGERP(BgL_positionz00_495))
{ /* Llib/pdgevent.scm 324 */
BgL_tmpz00_1331 = BgL_positionz00_495
; }  else 
{ 
obj_t BgL_auxz00_1334;
BgL_auxz00_1334 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1364z00zz__phidget_eventz00, 
BINT(((long)15544)), BGl_string1389z00zz__phidget_eventz00, BGl_string1366z00zz__phidget_eventz00, BgL_positionz00_495); 
FAILURE(BgL_auxz00_1334,BFALSE,BFALSE);} 
BgL_auxz00_1330 = 
CINT(BgL_tmpz00_1331); } 
{ /* Llib/pdgevent.scm 324 */
obj_t BgL_tmpz00_1322;
if(
INTEGERP(BgL_timez00_494))
{ /* Llib/pdgevent.scm 324 */
BgL_tmpz00_1322 = BgL_timez00_494
; }  else 
{ 
obj_t BgL_auxz00_1325;
BgL_auxz00_1325 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1364z00zz__phidget_eventz00, 
BINT(((long)15544)), BGl_string1389z00zz__phidget_eventz00, BGl_string1366z00zz__phidget_eventz00, BgL_timez00_494); 
FAILURE(BgL_auxz00_1325,BFALSE,BFALSE);} 
BgL_auxz00_1321 = 
CINT(BgL_tmpz00_1322); } 
{ /* Llib/pdgevent.scm 324 */
obj_t BgL_tmpz00_1313;
if(
INTEGERP(BgL_indexz00_493))
{ /* Llib/pdgevent.scm 324 */
BgL_tmpz00_1313 = BgL_indexz00_493
; }  else 
{ 
obj_t BgL_auxz00_1316;
BgL_auxz00_1316 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1364z00zz__phidget_eventz00, 
BINT(((long)15544)), BGl_string1389z00zz__phidget_eventz00, BGl_string1366z00zz__phidget_eventz00, BgL_indexz00_493); 
FAILURE(BgL_auxz00_1316,BFALSE,BFALSE);} 
BgL_auxz00_1312 = 
CINT(BgL_tmpz00_1313); } 
return 
bgl_phidget_event_encoderposition_new(BgL_targetz00_492, BgL_auxz00_1312, BgL_auxz00_1321, BgL_auxz00_1330);} } 

}



/* phidget-event-encoderindex-new */
BGL_EXPORTED_DEF obj_t bgl_phidget_event_encoderindex_new(obj_t BgL_targetz00_72, int BgL_indexz00_73, int BgL_positionz00_74)
{
{ /* Llib/pdgevent.scm 333 */
{ /* Llib/pdgevent.scm 334 */
BgL_phidgetzd2encoderindexzd2eventz00_bglt BgL_new1134z00_353;
{ /* Llib/pdgevent.scm 335 */
BgL_phidgetzd2encoderindexzd2eventz00_bglt BgL_new1133z00_354;
BgL_new1133z00_354 = 
((BgL_phidgetzd2encoderindexzd2eventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_phidgetzd2encoderindexzd2eventz00_bgl) ))); 
{ /* Llib/pdgevent.scm 335 */
long BgL_arg1179z00_355;
{ /* Llib/pdgevent.scm 335 */
long BgL_res1229z00_357;
BgL_res1229z00_357 = 
BGL_CLASS_INDEX(BGl_phidgetzd2encoderindexzd2eventz00zz__phidget_typesz00); 
BgL_arg1179z00_355 = BgL_res1229z00_357; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1133z00_354), BgL_arg1179z00_355); } 
BgL_new1134z00_353 = BgL_new1133z00_354; } 
((((BgL_z52phidgetzd2eventz80_bglt)COBJECT(
((BgL_z52phidgetzd2eventz80_bglt)BgL_new1134z00_353)))->BgL_targetz00)=((obj_t)BgL_targetz00_72),BUNSPEC); 
((((BgL_phidgetzd2encoderindexzd2eventz00_bglt)COBJECT(BgL_new1134z00_353))->BgL_indexz00)=((int)BgL_indexz00_73),BUNSPEC); 
((((BgL_phidgetzd2encoderindexzd2eventz00_bglt)COBJECT(BgL_new1134z00_353))->BgL_positionz00)=((int)BgL_positionz00_74),BUNSPEC); 
return 
((obj_t)BgL_new1134z00_353);} } 

}



/* &phidget-event-encoderindex-new */
obj_t BGl_z62phidgetzd2eventzd2encoderindexzd2newzb0zz__phidget_eventz00(obj_t BgL_envz00_496, obj_t BgL_targetz00_497, obj_t BgL_indexz00_498, obj_t BgL_positionz00_499)
{
{ /* Llib/pdgevent.scm 333 */
{ /* Llib/pdgevent.scm 334 */
int BgL_auxz00_1358;int BgL_auxz00_1349;
{ /* Llib/pdgevent.scm 334 */
obj_t BgL_tmpz00_1359;
if(
INTEGERP(BgL_positionz00_499))
{ /* Llib/pdgevent.scm 334 */
BgL_tmpz00_1359 = BgL_positionz00_499
; }  else 
{ 
obj_t BgL_auxz00_1362;
BgL_auxz00_1362 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1364z00zz__phidget_eventz00, 
BINT(((long)15965)), BGl_string1390z00zz__phidget_eventz00, BGl_string1366z00zz__phidget_eventz00, BgL_positionz00_499); 
FAILURE(BgL_auxz00_1362,BFALSE,BFALSE);} 
BgL_auxz00_1358 = 
CINT(BgL_tmpz00_1359); } 
{ /* Llib/pdgevent.scm 334 */
obj_t BgL_tmpz00_1350;
if(
INTEGERP(BgL_indexz00_498))
{ /* Llib/pdgevent.scm 334 */
BgL_tmpz00_1350 = BgL_indexz00_498
; }  else 
{ 
obj_t BgL_auxz00_1353;
BgL_auxz00_1353 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1364z00zz__phidget_eventz00, 
BINT(((long)15965)), BGl_string1390z00zz__phidget_eventz00, BGl_string1366z00zz__phidget_eventz00, BgL_indexz00_498); 
FAILURE(BgL_auxz00_1353,BFALSE,BFALSE);} 
BgL_auxz00_1349 = 
CINT(BgL_tmpz00_1350); } 
return 
bgl_phidget_event_encoderindex_new(BgL_targetz00_497, BgL_auxz00_1349, BgL_auxz00_1358);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__phidget_eventz00()
{
{ /* Llib/pdgevent.scm 16 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__phidget_eventz00()
{
{ /* Llib/pdgevent.scm 16 */
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_phidgetzd2addzd2eventzd2listenerz12zd2envz12zz__phidget_eventz00, BGl_proc1391z00zz__phidget_eventz00, BGl_z52phidgetz52zz__phidget_typesz00, BGl_string1392z00zz__phidget_eventz00);} 

}



/* &phidget-add-event-li1135 */
obj_t BGl_z62phidgetzd2addzd2eventzd2li1135zb0zz__phidget_eventz00(obj_t BgL_envz00_501, obj_t BgL_objz00_502, obj_t BgL_eventz00_503, obj_t BgL_procz00_504)
{
{ /* Llib/pdgevent.scm 137 */
{ /* Llib/pdgevent.scm 139 */
BgL_z62phidgetzd2errorzb0_bglt BgL_arg1194z00_628;
{ /* Llib/pdgevent.scm 139 */
BgL_z62phidgetzd2errorzb0_bglt BgL_new1091z00_629;
{ /* Llib/pdgevent.scm 139 */
BgL_z62phidgetzd2errorzb0_bglt BgL_new1090z00_630;
BgL_new1090z00_630 = 
((BgL_z62phidgetzd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62phidgetzd2errorzb0_bgl) ))); 
{ /* Llib/pdgevent.scm 139 */
long BgL_arg1197z00_631;
{ /* Llib/pdgevent.scm 139 */
long BgL_res1230z00_632;
BgL_res1230z00_632 = 
BGL_CLASS_INDEX(BGl_z62phidgetzd2errorzb0zz__phidget_typesz00); 
BgL_arg1197z00_631 = BgL_res1230z00_632; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1090z00_630), BgL_arg1197z00_631); } 
BgL_new1091z00_629 = BgL_new1090z00_630; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1091z00_629)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1091z00_629)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
obj_t BgL_auxz00_1377;
{ /* Llib/pdgevent.scm 139 */
obj_t BgL_arg1195z00_633;
{ /* Llib/pdgevent.scm 139 */
obj_t BgL_arg1196z00_634;
{ /* Llib/pdgevent.scm 139 */
obj_t BgL_res1231z00_635;
{ /* Llib/pdgevent.scm 139 */
obj_t BgL_classz00_636;
BgL_classz00_636 = BGl_z62phidgetzd2errorzb0zz__phidget_typesz00; 
BgL_res1231z00_635 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_636); } 
BgL_arg1196z00_634 = BgL_res1231z00_635; } 
BgL_arg1195z00_633 = 
VECTOR_REF(BgL_arg1196z00_634,((long)2)); } 
BgL_auxz00_1377 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1195z00_633); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1091z00_629)))->BgL_stackz00)=((obj_t)BgL_auxz00_1377),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1091z00_629)))->BgL_procz00)=((obj_t)BGl_string1393z00zz__phidget_eventz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1091z00_629)))->BgL_msgz00)=((obj_t)BGl_string1394z00zz__phidget_eventz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1091z00_629)))->BgL_objz00)=((obj_t)
((obj_t)
((BgL_z52phidgetz52_bglt)BgL_objz00_502))),BUNSPEC); 
BgL_arg1194z00_628 = BgL_new1091z00_629; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1194z00_628));} } 

}



/* phidget-add-event-listener! */
BGL_EXPORTED_DEF obj_t BGl_phidgetzd2addzd2eventzd2listenerz12zc0zz__phidget_eventz00(BgL_z52phidgetz52_bglt BgL_objz00_3, obj_t BgL_eventz00_4, obj_t BgL_procz00_5)
{
{ /* Llib/pdgevent.scm 137 */
{ /* Llib/pdgevent.scm 137 */
obj_t BgL_method1136z00_175;
{ /* Llib/pdgevent.scm 137 */
obj_t BgL_res1242z00_403;
{ /* Llib/pdgevent.scm 137 */
long BgL_objzd2classzd2numz00_368;
{ /* Llib/pdgevent.scm 137 */
long BgL_res1232z00_371;
BgL_res1232z00_371 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_objz00_3)); 
BgL_objzd2classzd2numz00_368 = BgL_res1232z00_371; } 
{ /* Llib/pdgevent.scm 137 */
obj_t BgL_arg1745z00_369;
BgL_arg1745z00_369 = 
PROCEDURE_REF(BGl_phidgetzd2addzd2eventzd2listenerz12zd2envz12zz__phidget_eventz00, 
(int)(((long)1))); 
{ /* Llib/pdgevent.scm 137 */
int BgL_offsetz00_373;
BgL_offsetz00_373 = 
(int)(BgL_objzd2classzd2numz00_368); 
{ /* Llib/pdgevent.scm 137 */
long BgL_offsetz00_374;
BgL_offsetz00_374 = 
(
(long)(BgL_offsetz00_373)-OBJECT_TYPE); 
{ /* Llib/pdgevent.scm 137 */
long BgL_modz00_375;
BgL_modz00_375 = 
(BgL_offsetz00_374 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/pdgevent.scm 137 */
long BgL_restz00_377;
BgL_restz00_377 = 
(BgL_offsetz00_374 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/pdgevent.scm 137 */

{ /* Llib/pdgevent.scm 137 */
obj_t BgL_bucketz00_379;
BgL_bucketz00_379 = 
VECTOR_REF(
((obj_t)BgL_arg1745z00_369),BgL_modz00_375); 
BgL_res1242z00_403 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_379),BgL_restz00_377); } } } } } } } } 
BgL_method1136z00_175 = BgL_res1242z00_403; } 
return 
PROCEDURE_ENTRY(BgL_method1136z00_175)(BgL_method1136z00_175, 
((obj_t)BgL_objz00_3), BgL_eventz00_4, BgL_procz00_5, BEOA);} } 

}



/* &phidget-add-event-listener! */
obj_t BGl_z62phidgetzd2addzd2eventzd2listenerz12za2zz__phidget_eventz00(obj_t BgL_envz00_505, obj_t BgL_objz00_506, obj_t BgL_eventz00_507, obj_t BgL_procz00_508)
{
{ /* Llib/pdgevent.scm 137 */
{ /* Llib/pdgevent.scm 137 */
obj_t BgL_auxz00_1440;obj_t BgL_auxz00_1433;BgL_z52phidgetz52_bglt BgL_auxz00_1425;
if(
PROCEDUREP(BgL_procz00_508))
{ /* Llib/pdgevent.scm 137 */
BgL_auxz00_1440 = BgL_procz00_508
; }  else 
{ 
obj_t BgL_auxz00_1443;
BgL_auxz00_1443 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1364z00zz__phidget_eventz00, 
BINT(((long)7289)), BGl_string1395z00zz__phidget_eventz00, BGl_string1397z00zz__phidget_eventz00, BgL_procz00_508); 
FAILURE(BgL_auxz00_1443,BFALSE,BFALSE);} 
if(
STRINGP(BgL_eventz00_507))
{ /* Llib/pdgevent.scm 137 */
BgL_auxz00_1433 = BgL_eventz00_507
; }  else 
{ 
obj_t BgL_auxz00_1436;
BgL_auxz00_1436 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1364z00zz__phidget_eventz00, 
BINT(((long)7289)), BGl_string1395z00zz__phidget_eventz00, BGl_string1367z00zz__phidget_eventz00, BgL_eventz00_507); 
FAILURE(BgL_auxz00_1436,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_objz00_506, BGl_z52phidgetz52zz__phidget_typesz00))
{ /* Llib/pdgevent.scm 137 */
BgL_auxz00_1425 = 
((BgL_z52phidgetz52_bglt)BgL_objz00_506)
; }  else 
{ 
obj_t BgL_auxz00_1429;
BgL_auxz00_1429 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1364z00zz__phidget_eventz00, 
BINT(((long)7289)), BGl_string1395z00zz__phidget_eventz00, BGl_string1396z00zz__phidget_eventz00, BgL_objz00_506); 
FAILURE(BgL_auxz00_1429,BFALSE,BFALSE);} 
return 
BGl_phidgetzd2addzd2eventzd2listenerz12zc0zz__phidget_eventz00(BgL_auxz00_1425, BgL_auxz00_1433, BgL_auxz00_1440);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__phidget_eventz00()
{
{ /* Llib/pdgevent.scm 16 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__phidget_eventz00()
{
{ /* Llib/pdgevent.scm 16 */
BGl_modulezd2initializa7ationz75zz__phidget_typesz00(((long)253269866), 
BSTRING_TO_STRING(BGl_string1398z00zz__phidget_eventz00)); 
return 
BGl_modulezd2initializa7ationz75zz__phidget_phidgetz00(((long)489304720), 
BSTRING_TO_STRING(BGl_string1398z00zz__phidget_eventz00));} 

}

#ifdef __cplusplus
}
#endif
