/*===========================================================================*/
/*   (Llib/date.scm)                                                         */
/*   Bigloo (4.3h)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue 12 May 2020 08:36:09 AM CEST    */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.3h/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.3h/lib/bigloo/4.3h -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.3h/lib/bigloo/4.3h -unsafe -safee -copt -fPIC -copt -IPosix Llib/date.scm -o objs/date.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
static obj_t BGl_objectzd2initzd2zz__web_datez00();
BGL_IMPORT obj_t BGl_2za2za2zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl_thezd2substringze70z35zz__web_datez00(obj_t, int, int);
static obj_t BGl_thezd2substringze71z35zz__web_datez00(obj_t, int, int);
static obj_t BGl_thezd2substringze72z35zz__web_datez00(obj_t, int, int);
static obj_t BGl_methodzd2initzd2zz__web_datez00();
BGL_IMPORT obj_t rgc_buffer_substring(obj_t, long, long);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_stringzd2ze3numberz31zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl_w3czd2datetimezd2parsez00zz__web_datez00(obj_t);
static obj_t BGl_z62datezd2ze3w3czd2datetimez81zz__web_datez00(obj_t, obj_t);
BGL_IMPORT obj_t bgl_nanoseconds_to_date(BGL_LONGLONG_T);
BGL_IMPORT obj_t BGl_remainderz00zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
static obj_t BGl_tza7zd2grammarze70z92zz__web_datez00(obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__web_datez00();
BGL_IMPORT BGL_LONGLONG_T bgl_current_nanoseconds();
BGL_IMPORT obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t);
BGL_IMPORT bool_t bigloo_strcmp(obj_t, obj_t);
BGL_IMPORT obj_t BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_datezd2ze3w3czd2datetimeze3zz__web_datez00(obj_t);
static obj_t BGl_z62w3czd2datetimezd2ze3datez81zz__web_datez00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__web_datez00 = BUNSPEC;
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_w3czd2datetimezd2timestampz00zz__web_datez00();
BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__web_datez00();
BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31064ze3ze5zz__web_datez00(obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_close_input_port(obj_t);
BGL_EXPORTED_DECL obj_t BGl_w3czd2datetimezd2ze3dateze3zz__web_datez00(obj_t);
BGL_IMPORT obj_t BGl_quotientz00zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
static obj_t BGl_z62w3czd2datetimezd2timestampz62zz__web_datez00(obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__web_datez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__rgcz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__datez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long, long);
static obj_t BGl_cnstzd2initzd2zz__web_datez00();
static obj_t BGl_libraryzd2moduleszd2initz00zz__web_datez00();
BGL_IMPORT bool_t rgc_fill_buffer(obj_t);
BGL_IMPORT obj_t BGl_integerzd2ze3stringzf2paddingzc3zz__r4_numbers_6_5_fixnumz00(long, long, long);
static obj_t __cnst[ 2 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_w3czd2datetimezd2ze3datezd2envz31zz__web_datez00, BgL_bgl_za762w3cza7d2datetim2439z00, BGl_z62w3czd2datetimezd2ze3datez81zz__web_datez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_w3czd2datetimezd2timestampzd2envzd2zz__web_datez00, BgL_bgl_za762w3cza7d2datetim2440z00, BGl_z62w3czd2datetimezd2timestampz62zz__web_datez00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2415z00zz__web_datez00, BgL_bgl_string2415za700za7za7_2441za7, "Invalid (ISO-8601:2000/W3C-NOTE-datetime) format", 48 );
DEFINE_STRING( BGl_string2416z00zz__web_datez00, BgL_bgl_string2416za700za7za7_2442za7, "regular-grammar", 15 );
DEFINE_STRING( BGl_string2417z00zz__web_datez00, BgL_bgl_string2417za700za7za7_2443za7, "Illegal match", 13 );
DEFINE_STRING( BGl_string2418z00zz__web_datez00, BgL_bgl_string2418za700za7za7_2444za7, "Illegal range `~a'", 18 );
DEFINE_STRING( BGl_string2419z00zz__web_datez00, BgL_bgl_string2419za700za7za7_2445za7, "the-substring", 13 );
DEFINE_STRING( BGl_string2420z00zz__web_datez00, BgL_bgl_string2420za700za7za7_2446za7, "+", 1 );
DEFINE_STRING( BGl_string2421z00zz__web_datez00, BgL_bgl_string2421za700za7za7_2447za7, "/builddir/build/BUILD/bigloo-4.3h/api/web/src/Llib/date.scm", 59 );
DEFINE_STRING( BGl_string2422z00zz__web_datez00, BgL_bgl_string2422za700za7za7_2448za7, "&w3c-datetime->date", 19 );
DEFINE_STRING( BGl_string2423z00zz__web_datez00, BgL_bgl_string2423za700za7za7_2449za7, "bstring", 7 );
DEFINE_STRING( BGl_string2424z00zz__web_datez00, BgL_bgl_string2424za700za7za7_2450za7, "+~a:~a", 6 );
DEFINE_STRING( BGl_string2425z00zz__web_datez00, BgL_bgl_string2425za700za7za7_2451za7, "-~a:~a", 6 );
DEFINE_STRING( BGl_string2426z00zz__web_datez00, BgL_bgl_string2426za700za7za7_2452za7, "~a-~a-~aT~a:~a:~a~a", 19 );
DEFINE_STRING( BGl_string2427z00zz__web_datez00, BgL_bgl_string2427za700za7za7_2453za7, "&date->w3c-datetime", 19 );
DEFINE_STRING( BGl_string2428z00zz__web_datez00, BgL_bgl_string2428za700za7za7_2454za7, "date", 4 );
DEFINE_STRING( BGl_string2429z00zz__web_datez00, BgL_bgl_string2429za700za7za7_2455za7, "(:year :month :day :hour :min :sec :timezone) w3c-datetine-parse ", 65 );
BGL_IMPORT obj_t BGl_makezd2datezd2envz00zz__datez00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_datezd2ze3w3czd2datetimezd2envz31zz__web_datez00, BgL_bgl_za762dateza7d2za7e3w3c2456za7, BGl_z62datezd2ze3w3czd2datetimez81zz__web_datez00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__web_datez00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__web_datez00(long BgL_checksumz00_2033, char * BgL_fromz00_2034)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__web_datez00))
{ 
BGl_requirezd2initializa7ationz75zz__web_datez00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__web_datez00(); 
BGl_libraryzd2moduleszd2initz00zz__web_datez00(); 
BGl_cnstzd2initzd2zz__web_datez00(); 
return 
BGl_methodzd2initzd2zz__web_datez00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__web_datez00()
{
{ /* Llib/date.scm 18 */
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "__web_date"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__web_date"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__web_date"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__web_date"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__web_date"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__web_date"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__web_date"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__web_date"); 
BGl_modulezd2initializa7ationz75zz__datez00(((long)0), "__web_date"); 
BGl_modulezd2initializa7ationz75zz__rgcz00(((long)0), "__web_date"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__web_date"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__web_datez00()
{
{ /* Llib/date.scm 18 */
{ /* Llib/date.scm 18 */
obj_t BgL_cportz00_2006;
{ /* Llib/date.scm 18 */
obj_t BgL_stringz00_2014;
BgL_stringz00_2014 = BGl_string2429z00zz__web_datez00; 
{ /* Llib/date.scm 18 */
obj_t BgL_startz00_2015;
BgL_startz00_2015 = 
BINT(((long)0)); 
{ /* Llib/date.scm 18 */
obj_t BgL_endz00_2016;
BgL_endz00_2016 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_2014))); 
{ /* Llib/date.scm 18 */

BgL_cportz00_2006 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_2014, BgL_startz00_2015, BgL_endz00_2016); } } } } 
{ 
long BgL_iz00_2007;
BgL_iz00_2007 = ((long)1); 
BgL_loopz00_2008:
if(
(BgL_iz00_2007==((long)-1)))
{ /* Llib/date.scm 18 */
return BUNSPEC;}  else 
{ /* Llib/date.scm 18 */
{ /* Llib/date.scm 18 */
obj_t BgL_arg2431z00_2010;
{ /* Llib/date.scm 18 */

{ /* Llib/date.scm 18 */
obj_t BgL_locationz00_2012;
BgL_locationz00_2012 = 
BBOOL(((bool_t)0)); 
{ /* Llib/date.scm 18 */

BgL_arg2431z00_2010 = 
BGl_readz00zz__readerz00(BgL_cportz00_2006, BgL_locationz00_2012); } } } 
{ /* Llib/date.scm 18 */
int BgL_tmpz00_2062;
BgL_tmpz00_2062 = 
(int)(BgL_iz00_2007); 
CNST_TABLE_SET(BgL_tmpz00_2062, BgL_arg2431z00_2010); } } 
{ /* Llib/date.scm 18 */
int BgL_auxz00_2013;
BgL_auxz00_2013 = 
(int)(
(BgL_iz00_2007-((long)1))); 
{ 
long BgL_iz00_2067;
BgL_iz00_2067 = 
(long)(BgL_auxz00_2013); 
BgL_iz00_2007 = BgL_iz00_2067; 
goto BgL_loopz00_2008;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__web_datez00()
{
{ /* Llib/date.scm 18 */
return 
bgl_gc_roots_register();} 

}



/* w3c-datetime-timestamp */
BGL_EXPORTED_DEF obj_t BGl_w3czd2datetimezd2timestampz00zz__web_datez00()
{
{ /* Llib/date.scm 27 */
return 
BGl_datezd2ze3w3czd2datetimeze3zz__web_datez00(
bgl_nanoseconds_to_date(
bgl_current_nanoseconds()));} 

}



/* &w3c-datetime-timestamp */
obj_t BGl_z62w3czd2datetimezd2timestampz62zz__web_datez00(obj_t BgL_envz00_1980)
{
{ /* Llib/date.scm 27 */
return 
BGl_w3czd2datetimezd2timestampz00zz__web_datez00();} 

}



/* w3c-datetime-parse */
obj_t BGl_w3czd2datetimezd2parsez00zz__web_datez00(obj_t BgL_stringz00_3)
{
{ /* Llib/date.scm 33 */
{ /* Llib/date.scm 35 */
obj_t BgL_ipz00_15;
{ /* Llib/date.scm 35 */
long BgL_endz00_1128;
BgL_endz00_1128 = 
STRING_LENGTH(BgL_stringz00_3); 
{ /* Llib/date.scm 35 */

BgL_ipz00_15 = 
BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(BgL_stringz00_3, 
BINT(((long)0)), 
BINT(BgL_endz00_1128)); } } 
{ 
obj_t BgL_iportz00_417;
{ 
obj_t BgL_iportz00_25;
{ /* Llib/date.scm 91 */
obj_t BgL_exitd1054z00_19;
BgL_exitd1054z00_19 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/date.scm 93 */
obj_t BgL_zc3z04anonymousza31064ze3z87_1981;
BgL_zc3z04anonymousza31064ze3z87_1981 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31064ze3ze5zz__web_datez00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31064ze3z87_1981, 
(int)(((long)0)), BgL_ipz00_15); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1054z00_19, BgL_zc3z04anonymousza31064ze3z87_1981); 
{ /* Llib/date.scm 92 */
obj_t BgL_tmp1056z00_21;
BgL_iportz00_25 = BgL_ipz00_15; 
{ 
obj_t BgL_iportz00_67;long BgL_lastzd2matchzd2_68;long BgL_forwardz00_69;long BgL_bufposz00_70;obj_t BgL_iportz00_81;long BgL_lastzd2matchzd2_82;long BgL_forwardz00_83;long BgL_bufposz00_84;obj_t BgL_iportz00_95;long BgL_lastzd2matchzd2_96;long BgL_forwardz00_97;long BgL_bufposz00_98;obj_t BgL_iportz00_108;long BgL_lastzd2matchzd2_109;long BgL_forwardz00_110;long BgL_bufposz00_111;obj_t BgL_iportz00_127;long BgL_lastzd2matchzd2_128;long BgL_forwardz00_129;long BgL_bufposz00_130;obj_t BgL_iportz00_142;long BgL_lastzd2matchzd2_143;long BgL_forwardz00_144;long BgL_bufposz00_145;obj_t BgL_iportz00_157;long BgL_lastzd2matchzd2_158;long BgL_forwardz00_159;long BgL_bufposz00_160;obj_t BgL_iportz00_171;long BgL_lastzd2matchzd2_172;long BgL_forwardz00_173;long BgL_bufposz00_174;obj_t BgL_iportz00_185;long BgL_lastzd2matchzd2_186;long BgL_forwardz00_187;long BgL_bufposz00_188;obj_t BgL_iportz00_198;long BgL_lastzd2matchzd2_199;long BgL_forwardz00_200;long BgL_bufposz00_201;obj_t BgL_iportz00_212;long BgL_lastzd2matchzd2_213;long BgL_forwardz00_214;long BgL_bufposz00_215;
{ /* Llib/date.scm 38 */
long BgL_res2380z00_1935;
BgL_res2380z00_1935 = 
RGC_START_MATCH(BgL_iportz00_25); BgL_res2380z00_1935; } 
{ /* Llib/date.scm 38 */
long BgL_matchz00_351;
{ /* Llib/date.scm 38 */
long BgL_arg1647z00_373;long BgL_arg1649z00_374;
{ /* Llib/date.scm 38 */
long BgL_res2381z00_1937;
BgL_res2381z00_1937 = 
RGC_BUFFER_FORWARD(BgL_iportz00_25); 
BgL_arg1647z00_373 = BgL_res2381z00_1937; } 
{ /* Llib/date.scm 38 */
long BgL_res2382z00_1939;
BgL_res2382z00_1939 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_25); 
BgL_arg1649z00_374 = BgL_res2382z00_1939; } 
BgL_iportz00_142 = BgL_iportz00_25; 
BgL_lastzd2matchzd2_143 = ((long)4); 
BgL_forwardz00_144 = BgL_arg1647z00_373; 
BgL_bufposz00_145 = BgL_arg1649z00_374; 
BgL_zc3z04anonymousza31114ze3z87_146:
if(
(BgL_forwardz00_144==BgL_bufposz00_145))
{ /* Llib/date.scm 38 */
if(
rgc_fill_buffer(BgL_iportz00_142))
{ /* Llib/date.scm 38 */
long BgL_arg1117z00_149;long BgL_arg1118z00_150;
{ /* Llib/date.scm 38 */
long BgL_res2316z00_1780;
BgL_res2316z00_1780 = 
RGC_BUFFER_FORWARD(BgL_iportz00_142); 
BgL_arg1117z00_149 = BgL_res2316z00_1780; } 
{ /* Llib/date.scm 38 */
long BgL_res2317z00_1782;
BgL_res2317z00_1782 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_142); 
BgL_arg1118z00_150 = BgL_res2317z00_1782; } 
{ 
long BgL_bufposz00_2095;long BgL_forwardz00_2094;
BgL_forwardz00_2094 = BgL_arg1117z00_149; 
BgL_bufposz00_2095 = BgL_arg1118z00_150; 
BgL_bufposz00_145 = BgL_bufposz00_2095; 
BgL_forwardz00_144 = BgL_forwardz00_2094; 
goto BgL_zc3z04anonymousza31114ze3z87_146;} }  else 
{ /* Llib/date.scm 38 */
BgL_matchz00_351 = BgL_lastzd2matchzd2_143; } }  else 
{ /* Llib/date.scm 38 */
int BgL_curz00_151;
{ /* Llib/date.scm 38 */
int BgL_res2318z00_1785;
BgL_res2318z00_1785 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_142, BgL_forwardz00_144); 
BgL_curz00_151 = BgL_res2318z00_1785; } 
{ /* Llib/date.scm 38 */

{ /* Llib/date.scm 38 */
bool_t BgL_test2461z00_2097;
if(
(
(long)(BgL_curz00_151)>=((long)48)))
{ /* Llib/date.scm 38 */
BgL_test2461z00_2097 = 
(
(long)(BgL_curz00_151)<((long)58))
; }  else 
{ /* Llib/date.scm 38 */
BgL_test2461z00_2097 = ((bool_t)0)
; } 
if(BgL_test2461z00_2097)
{ /* Llib/date.scm 38 */
BgL_iportz00_127 = BgL_iportz00_142; 
BgL_lastzd2matchzd2_128 = BgL_lastzd2matchzd2_143; 
BgL_forwardz00_129 = 
(((long)1)+BgL_forwardz00_144); 
BgL_bufposz00_130 = BgL_bufposz00_145; 
BgL_zc3z04anonymousza31103ze3z87_131:
{ /* Llib/date.scm 38 */
long BgL_newzd2matchzd2_132;
{ /* Llib/date.scm 38 */
long BgL_res2305z00_1755;
BgL_res2305z00_1755 = 
RGC_STOP_MATCH(BgL_iportz00_127, BgL_forwardz00_129); BgL_res2305z00_1755; } 
BgL_newzd2matchzd2_132 = ((long)4); 
if(
(BgL_forwardz00_129==BgL_bufposz00_130))
{ /* Llib/date.scm 38 */
if(
rgc_fill_buffer(BgL_iportz00_127))
{ /* Llib/date.scm 38 */
long BgL_arg1106z00_135;long BgL_arg1107z00_136;
{ /* Llib/date.scm 38 */
long BgL_res2308z00_1762;
BgL_res2308z00_1762 = 
RGC_BUFFER_FORWARD(BgL_iportz00_127); 
BgL_arg1106z00_135 = BgL_res2308z00_1762; } 
{ /* Llib/date.scm 38 */
long BgL_res2309z00_1764;
BgL_res2309z00_1764 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_127); 
BgL_arg1107z00_136 = BgL_res2309z00_1764; } 
{ 
long BgL_bufposz00_2111;long BgL_forwardz00_2110;
BgL_forwardz00_2110 = BgL_arg1106z00_135; 
BgL_bufposz00_2111 = BgL_arg1107z00_136; 
BgL_bufposz00_130 = BgL_bufposz00_2111; 
BgL_forwardz00_129 = BgL_forwardz00_2110; 
goto BgL_zc3z04anonymousza31103ze3z87_131;} }  else 
{ /* Llib/date.scm 38 */
BgL_matchz00_351 = BgL_newzd2matchzd2_132; } }  else 
{ /* Llib/date.scm 38 */
int BgL_curz00_137;
{ /* Llib/date.scm 38 */
int BgL_res2310z00_1767;
BgL_res2310z00_1767 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_127, BgL_forwardz00_129); 
BgL_curz00_137 = BgL_res2310z00_1767; } 
{ /* Llib/date.scm 38 */

{ /* Llib/date.scm 38 */
bool_t BgL_test2465z00_2113;
if(
(
(long)(BgL_curz00_137)>=((long)48)))
{ /* Llib/date.scm 38 */
BgL_test2465z00_2113 = 
(
(long)(BgL_curz00_137)<((long)58))
; }  else 
{ /* Llib/date.scm 38 */
BgL_test2465z00_2113 = ((bool_t)0)
; } 
if(BgL_test2465z00_2113)
{ /* Llib/date.scm 38 */
BgL_iportz00_81 = BgL_iportz00_127; 
BgL_lastzd2matchzd2_82 = BgL_newzd2matchzd2_132; 
BgL_forwardz00_83 = 
(((long)1)+BgL_forwardz00_129); 
BgL_bufposz00_84 = BgL_bufposz00_130; 
BgL_zc3z04anonymousza31078ze3z87_85:
if(
(BgL_forwardz00_83==BgL_bufposz00_84))
{ /* Llib/date.scm 38 */
if(
rgc_fill_buffer(BgL_iportz00_81))
{ /* Llib/date.scm 38 */
long BgL_arg1083z00_88;long BgL_arg1084z00_89;
{ /* Llib/date.scm 38 */
long BgL_res2282z00_1699;
BgL_res2282z00_1699 = 
RGC_BUFFER_FORWARD(BgL_iportz00_81); 
BgL_arg1083z00_88 = BgL_res2282z00_1699; } 
{ /* Llib/date.scm 38 */
long BgL_res2283z00_1701;
BgL_res2283z00_1701 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_81); 
BgL_arg1084z00_89 = BgL_res2283z00_1701; } 
{ 
long BgL_bufposz00_2126;long BgL_forwardz00_2125;
BgL_forwardz00_2125 = BgL_arg1083z00_88; 
BgL_bufposz00_2126 = BgL_arg1084z00_89; 
BgL_bufposz00_84 = BgL_bufposz00_2126; 
BgL_forwardz00_83 = BgL_forwardz00_2125; 
goto BgL_zc3z04anonymousza31078ze3z87_85;} }  else 
{ /* Llib/date.scm 38 */
BgL_matchz00_351 = BgL_lastzd2matchzd2_82; } }  else 
{ /* Llib/date.scm 38 */
int BgL_curz00_90;
{ /* Llib/date.scm 38 */
int BgL_res2284z00_1704;
BgL_res2284z00_1704 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_81, BgL_forwardz00_83); 
BgL_curz00_90 = BgL_res2284z00_1704; } 
{ /* Llib/date.scm 38 */

{ /* Llib/date.scm 38 */
bool_t BgL_test2469z00_2128;
if(
(
(long)(BgL_curz00_90)>=((long)48)))
{ /* Llib/date.scm 38 */
BgL_test2469z00_2128 = 
(
(long)(BgL_curz00_90)<((long)58))
; }  else 
{ /* Llib/date.scm 38 */
BgL_test2469z00_2128 = ((bool_t)0)
; } 
if(BgL_test2469z00_2128)
{ /* Llib/date.scm 38 */
BgL_iportz00_67 = BgL_iportz00_81; 
BgL_lastzd2matchzd2_68 = BgL_lastzd2matchzd2_82; 
BgL_forwardz00_69 = 
(((long)1)+BgL_forwardz00_83); 
BgL_bufposz00_70 = BgL_bufposz00_84; 
BgL_zc3z04anonymousza31066ze3z87_71:
if(
(BgL_forwardz00_69==BgL_bufposz00_70))
{ /* Llib/date.scm 38 */
if(
rgc_fill_buffer(BgL_iportz00_67))
{ /* Llib/date.scm 38 */
long BgL_arg1069z00_74;long BgL_arg1070z00_75;
{ /* Llib/date.scm 38 */
long BgL_res2274z00_1681;
BgL_res2274z00_1681 = 
RGC_BUFFER_FORWARD(BgL_iportz00_67); 
BgL_arg1069z00_74 = BgL_res2274z00_1681; } 
{ /* Llib/date.scm 38 */
long BgL_res2275z00_1683;
BgL_res2275z00_1683 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_67); 
BgL_arg1070z00_75 = BgL_res2275z00_1683; } 
{ 
long BgL_bufposz00_2141;long BgL_forwardz00_2140;
BgL_forwardz00_2140 = BgL_arg1069z00_74; 
BgL_bufposz00_2141 = BgL_arg1070z00_75; 
BgL_bufposz00_70 = BgL_bufposz00_2141; 
BgL_forwardz00_69 = BgL_forwardz00_2140; 
goto BgL_zc3z04anonymousza31066ze3z87_71;} }  else 
{ /* Llib/date.scm 38 */
BgL_matchz00_351 = BgL_lastzd2matchzd2_68; } }  else 
{ /* Llib/date.scm 38 */
int BgL_curz00_76;
{ /* Llib/date.scm 38 */
int BgL_res2276z00_1686;
BgL_res2276z00_1686 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_67, BgL_forwardz00_69); 
BgL_curz00_76 = BgL_res2276z00_1686; } 
{ /* Llib/date.scm 38 */

{ /* Llib/date.scm 38 */
bool_t BgL_test2473z00_2143;
if(
(
(long)(BgL_curz00_76)>=((long)48)))
{ /* Llib/date.scm 38 */
BgL_test2473z00_2143 = 
(
(long)(BgL_curz00_76)<((long)58))
; }  else 
{ /* Llib/date.scm 38 */
BgL_test2473z00_2143 = ((bool_t)0)
; } 
if(BgL_test2473z00_2143)
{ /* Llib/date.scm 38 */
BgL_iportz00_95 = BgL_iportz00_67; 
BgL_lastzd2matchzd2_96 = BgL_lastzd2matchzd2_68; 
BgL_forwardz00_97 = 
(((long)1)+BgL_forwardz00_69); 
BgL_bufposz00_98 = BgL_bufposz00_70; 
BgL_zc3z04anonymousza31088ze3z87_99:
{ /* Llib/date.scm 38 */
long BgL_newzd2matchzd2_100;
{ /* Llib/date.scm 38 */
long BgL_res2288z00_1713;
BgL_res2288z00_1713 = 
RGC_STOP_MATCH(BgL_iportz00_95, BgL_forwardz00_97); BgL_res2288z00_1713; } 
BgL_newzd2matchzd2_100 = ((long)3); 
if(
(BgL_forwardz00_97==BgL_bufposz00_98))
{ /* Llib/date.scm 38 */
if(
rgc_fill_buffer(BgL_iportz00_95))
{ /* Llib/date.scm 38 */
long BgL_arg1091z00_103;long BgL_arg1092z00_104;
{ /* Llib/date.scm 38 */
long BgL_res2291z00_1720;
BgL_res2291z00_1720 = 
RGC_BUFFER_FORWARD(BgL_iportz00_95); 
BgL_arg1091z00_103 = BgL_res2291z00_1720; } 
{ /* Llib/date.scm 38 */
long BgL_res2292z00_1722;
BgL_res2292z00_1722 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_95); 
BgL_arg1092z00_104 = BgL_res2292z00_1722; } 
{ 
long BgL_bufposz00_2157;long BgL_forwardz00_2156;
BgL_forwardz00_2156 = BgL_arg1091z00_103; 
BgL_bufposz00_2157 = BgL_arg1092z00_104; 
BgL_bufposz00_98 = BgL_bufposz00_2157; 
BgL_forwardz00_97 = BgL_forwardz00_2156; 
goto BgL_zc3z04anonymousza31088ze3z87_99;} }  else 
{ /* Llib/date.scm 38 */
BgL_matchz00_351 = BgL_newzd2matchzd2_100; } }  else 
{ /* Llib/date.scm 38 */
int BgL_curz00_105;
{ /* Llib/date.scm 38 */
int BgL_res2293z00_1725;
BgL_res2293z00_1725 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_95, BgL_forwardz00_97); 
BgL_curz00_105 = BgL_res2293z00_1725; } 
{ /* Llib/date.scm 38 */

if(
(
(long)(BgL_curz00_105)==((long)45)))
{ /* Llib/date.scm 38 */
BgL_iportz00_212 = BgL_iportz00_95; 
BgL_lastzd2matchzd2_213 = BgL_newzd2matchzd2_100; 
BgL_forwardz00_214 = 
(((long)1)+BgL_forwardz00_97); 
BgL_bufposz00_215 = BgL_bufposz00_98; 
BgL_zc3z04anonymousza31166ze3z87_216:
if(
(BgL_forwardz00_214==BgL_bufposz00_215))
{ /* Llib/date.scm 38 */
if(
rgc_fill_buffer(BgL_iportz00_212))
{ /* Llib/date.scm 38 */
long BgL_arg1169z00_219;long BgL_arg1170z00_220;
{ /* Llib/date.scm 38 */
long BgL_res2359z00_1881;
BgL_res2359z00_1881 = 
RGC_BUFFER_FORWARD(BgL_iportz00_212); 
BgL_arg1169z00_219 = BgL_res2359z00_1881; } 
{ /* Llib/date.scm 38 */
long BgL_res2360z00_1883;
BgL_res2360z00_1883 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_212); 
BgL_arg1170z00_220 = BgL_res2360z00_1883; } 
{ 
long BgL_bufposz00_2169;long BgL_forwardz00_2168;
BgL_forwardz00_2168 = BgL_arg1169z00_219; 
BgL_bufposz00_2169 = BgL_arg1170z00_220; 
BgL_bufposz00_215 = BgL_bufposz00_2169; 
BgL_forwardz00_214 = BgL_forwardz00_2168; 
goto BgL_zc3z04anonymousza31166ze3z87_216;} }  else 
{ /* Llib/date.scm 38 */
BgL_matchz00_351 = BgL_lastzd2matchzd2_213; } }  else 
{ /* Llib/date.scm 38 */
int BgL_curz00_221;
{ /* Llib/date.scm 38 */
int BgL_res2361z00_1886;
BgL_res2361z00_1886 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_212, BgL_forwardz00_214); 
BgL_curz00_221 = BgL_res2361z00_1886; } 
{ /* Llib/date.scm 38 */

{ /* Llib/date.scm 38 */
bool_t BgL_test2480z00_2171;
if(
(
(long)(BgL_curz00_221)>=((long)48)))
{ /* Llib/date.scm 38 */
BgL_test2480z00_2171 = 
(
(long)(BgL_curz00_221)<((long)58))
; }  else 
{ /* Llib/date.scm 38 */
BgL_test2480z00_2171 = ((bool_t)0)
; } 
if(BgL_test2480z00_2171)
{ /* Llib/date.scm 38 */
BgL_iportz00_157 = BgL_iportz00_212; 
BgL_lastzd2matchzd2_158 = BgL_lastzd2matchzd2_213; 
BgL_forwardz00_159 = 
(((long)1)+BgL_forwardz00_214); 
BgL_bufposz00_160 = BgL_bufposz00_215; 
BgL_zc3z04anonymousza31134ze3z87_161:
if(
(BgL_forwardz00_159==BgL_bufposz00_160))
{ /* Llib/date.scm 38 */
if(
rgc_fill_buffer(BgL_iportz00_157))
{ /* Llib/date.scm 38 */
long BgL_arg1137z00_164;long BgL_arg1138z00_165;
{ /* Llib/date.scm 38 */
long BgL_res2326z00_1804;
BgL_res2326z00_1804 = 
RGC_BUFFER_FORWARD(BgL_iportz00_157); 
BgL_arg1137z00_164 = BgL_res2326z00_1804; } 
{ /* Llib/date.scm 38 */
long BgL_res2327z00_1806;
BgL_res2327z00_1806 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_157); 
BgL_arg1138z00_165 = BgL_res2327z00_1806; } 
{ 
long BgL_bufposz00_2184;long BgL_forwardz00_2183;
BgL_forwardz00_2183 = BgL_arg1137z00_164; 
BgL_bufposz00_2184 = BgL_arg1138z00_165; 
BgL_bufposz00_160 = BgL_bufposz00_2184; 
BgL_forwardz00_159 = BgL_forwardz00_2183; 
goto BgL_zc3z04anonymousza31134ze3z87_161;} }  else 
{ /* Llib/date.scm 38 */
BgL_matchz00_351 = BgL_lastzd2matchzd2_158; } }  else 
{ /* Llib/date.scm 38 */
int BgL_curz00_166;
{ /* Llib/date.scm 38 */
int BgL_res2328z00_1809;
BgL_res2328z00_1809 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_157, BgL_forwardz00_159); 
BgL_curz00_166 = BgL_res2328z00_1809; } 
{ /* Llib/date.scm 38 */

{ /* Llib/date.scm 38 */
bool_t BgL_test2484z00_2186;
if(
(
(long)(BgL_curz00_166)>=((long)48)))
{ /* Llib/date.scm 38 */
BgL_test2484z00_2186 = 
(
(long)(BgL_curz00_166)<((long)58))
; }  else 
{ /* Llib/date.scm 38 */
BgL_test2484z00_2186 = ((bool_t)0)
; } 
if(BgL_test2484z00_2186)
{ /* Llib/date.scm 38 */
BgL_iportz00_108 = BgL_iportz00_157; 
BgL_lastzd2matchzd2_109 = BgL_lastzd2matchzd2_158; 
BgL_forwardz00_110 = 
(((long)1)+BgL_forwardz00_159); 
BgL_bufposz00_111 = BgL_bufposz00_160; 
BgL_zc3z04anonymousza31095ze3z87_112:
{ /* Llib/date.scm 38 */
long BgL_newzd2matchzd2_113;
{ /* Llib/date.scm 38 */
long BgL_res2296z00_1732;
BgL_res2296z00_1732 = 
RGC_STOP_MATCH(BgL_iportz00_108, BgL_forwardz00_110); BgL_res2296z00_1732; } 
BgL_newzd2matchzd2_113 = ((long)2); 
if(
(BgL_forwardz00_110==BgL_bufposz00_111))
{ /* Llib/date.scm 38 */
if(
rgc_fill_buffer(BgL_iportz00_108))
{ /* Llib/date.scm 38 */
long BgL_arg1098z00_116;long BgL_arg1099z00_117;
{ /* Llib/date.scm 38 */
long BgL_res2299z00_1739;
BgL_res2299z00_1739 = 
RGC_BUFFER_FORWARD(BgL_iportz00_108); 
BgL_arg1098z00_116 = BgL_res2299z00_1739; } 
{ /* Llib/date.scm 38 */
long BgL_res2300z00_1741;
BgL_res2300z00_1741 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_108); 
BgL_arg1099z00_117 = BgL_res2300z00_1741; } 
{ 
long BgL_bufposz00_2200;long BgL_forwardz00_2199;
BgL_forwardz00_2199 = BgL_arg1098z00_116; 
BgL_bufposz00_2200 = BgL_arg1099z00_117; 
BgL_bufposz00_111 = BgL_bufposz00_2200; 
BgL_forwardz00_110 = BgL_forwardz00_2199; 
goto BgL_zc3z04anonymousza31095ze3z87_112;} }  else 
{ /* Llib/date.scm 38 */
BgL_matchz00_351 = BgL_newzd2matchzd2_113; } }  else 
{ /* Llib/date.scm 38 */
int BgL_curz00_118;
{ /* Llib/date.scm 38 */
int BgL_res2301z00_1744;
BgL_res2301z00_1744 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_108, BgL_forwardz00_110); 
BgL_curz00_118 = BgL_res2301z00_1744; } 
{ /* Llib/date.scm 38 */

if(
(
(long)(BgL_curz00_118)==((long)45)))
{ /* Llib/date.scm 38 */
BgL_iportz00_198 = BgL_iportz00_108; 
BgL_lastzd2matchzd2_199 = BgL_newzd2matchzd2_113; 
BgL_forwardz00_200 = 
(((long)1)+BgL_forwardz00_110); 
BgL_bufposz00_201 = BgL_bufposz00_111; 
BgL_zc3z04anonymousza31157ze3z87_202:
if(
(BgL_forwardz00_200==BgL_bufposz00_201))
{ /* Llib/date.scm 38 */
if(
rgc_fill_buffer(BgL_iportz00_198))
{ /* Llib/date.scm 38 */
long BgL_arg1161z00_205;long BgL_arg1162z00_206;
{ /* Llib/date.scm 38 */
long BgL_res2351z00_1863;
BgL_res2351z00_1863 = 
RGC_BUFFER_FORWARD(BgL_iportz00_198); 
BgL_arg1161z00_205 = BgL_res2351z00_1863; } 
{ /* Llib/date.scm 38 */
long BgL_res2352z00_1865;
BgL_res2352z00_1865 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_198); 
BgL_arg1162z00_206 = BgL_res2352z00_1865; } 
{ 
long BgL_bufposz00_2212;long BgL_forwardz00_2211;
BgL_forwardz00_2211 = BgL_arg1161z00_205; 
BgL_bufposz00_2212 = BgL_arg1162z00_206; 
BgL_bufposz00_201 = BgL_bufposz00_2212; 
BgL_forwardz00_200 = BgL_forwardz00_2211; 
goto BgL_zc3z04anonymousza31157ze3z87_202;} }  else 
{ /* Llib/date.scm 38 */
BgL_matchz00_351 = BgL_lastzd2matchzd2_199; } }  else 
{ /* Llib/date.scm 38 */
int BgL_curz00_207;
{ /* Llib/date.scm 38 */
int BgL_res2353z00_1868;
BgL_res2353z00_1868 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_198, BgL_forwardz00_200); 
BgL_curz00_207 = BgL_res2353z00_1868; } 
{ /* Llib/date.scm 38 */

{ /* Llib/date.scm 38 */
bool_t BgL_test2491z00_2214;
if(
(
(long)(BgL_curz00_207)>=((long)48)))
{ /* Llib/date.scm 38 */
BgL_test2491z00_2214 = 
(
(long)(BgL_curz00_207)<((long)58))
; }  else 
{ /* Llib/date.scm 38 */
BgL_test2491z00_2214 = ((bool_t)0)
; } 
if(BgL_test2491z00_2214)
{ /* Llib/date.scm 38 */
BgL_iportz00_171 = BgL_iportz00_198; 
BgL_lastzd2matchzd2_172 = BgL_lastzd2matchzd2_199; 
BgL_forwardz00_173 = 
(((long)1)+BgL_forwardz00_200); 
BgL_bufposz00_174 = BgL_bufposz00_201; 
BgL_zc3z04anonymousza31142ze3z87_175:
if(
(BgL_forwardz00_173==BgL_bufposz00_174))
{ /* Llib/date.scm 38 */
if(
rgc_fill_buffer(BgL_iportz00_171))
{ /* Llib/date.scm 38 */
long BgL_arg1145z00_178;long BgL_arg1146z00_179;
{ /* Llib/date.scm 38 */
long BgL_res2334z00_1822;
BgL_res2334z00_1822 = 
RGC_BUFFER_FORWARD(BgL_iportz00_171); 
BgL_arg1145z00_178 = BgL_res2334z00_1822; } 
{ /* Llib/date.scm 38 */
long BgL_res2335z00_1824;
BgL_res2335z00_1824 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_171); 
BgL_arg1146z00_179 = BgL_res2335z00_1824; } 
{ 
long BgL_bufposz00_2227;long BgL_forwardz00_2226;
BgL_forwardz00_2226 = BgL_arg1145z00_178; 
BgL_bufposz00_2227 = BgL_arg1146z00_179; 
BgL_bufposz00_174 = BgL_bufposz00_2227; 
BgL_forwardz00_173 = BgL_forwardz00_2226; 
goto BgL_zc3z04anonymousza31142ze3z87_175;} }  else 
{ /* Llib/date.scm 38 */
BgL_matchz00_351 = BgL_lastzd2matchzd2_172; } }  else 
{ /* Llib/date.scm 38 */
int BgL_curz00_180;
{ /* Llib/date.scm 38 */
int BgL_res2336z00_1827;
BgL_res2336z00_1827 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_171, BgL_forwardz00_173); 
BgL_curz00_180 = BgL_res2336z00_1827; } 
{ /* Llib/date.scm 38 */

{ /* Llib/date.scm 38 */
bool_t BgL_test2495z00_2229;
if(
(
(long)(BgL_curz00_180)>=((long)48)))
{ /* Llib/date.scm 38 */
BgL_test2495z00_2229 = 
(
(long)(BgL_curz00_180)<((long)58))
; }  else 
{ /* Llib/date.scm 38 */
BgL_test2495z00_2229 = ((bool_t)0)
; } 
if(BgL_test2495z00_2229)
{ /* Llib/date.scm 38 */
BgL_iportz00_185 = BgL_iportz00_171; 
BgL_lastzd2matchzd2_186 = BgL_lastzd2matchzd2_172; 
BgL_forwardz00_187 = 
(((long)1)+BgL_forwardz00_173); 
BgL_bufposz00_188 = BgL_bufposz00_174; 
BgL_zc3z04anonymousza31150ze3z87_189:
{ /* Llib/date.scm 38 */
long BgL_newzd2matchzd2_190;
{ /* Llib/date.scm 38 */
long BgL_res2340z00_1836;
BgL_res2340z00_1836 = 
RGC_STOP_MATCH(BgL_iportz00_185, BgL_forwardz00_187); BgL_res2340z00_1836; } 
BgL_newzd2matchzd2_190 = ((long)1); 
if(
(BgL_forwardz00_187==BgL_bufposz00_188))
{ /* Llib/date.scm 38 */
if(
rgc_fill_buffer(BgL_iportz00_185))
{ /* Llib/date.scm 38 */
long BgL_arg1153z00_193;long BgL_arg1154z00_194;
{ /* Llib/date.scm 38 */
long BgL_res2343z00_1843;
BgL_res2343z00_1843 = 
RGC_BUFFER_FORWARD(BgL_iportz00_185); 
BgL_arg1153z00_193 = BgL_res2343z00_1843; } 
{ /* Llib/date.scm 38 */
long BgL_res2344z00_1845;
BgL_res2344z00_1845 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_185); 
BgL_arg1154z00_194 = BgL_res2344z00_1845; } 
{ 
long BgL_bufposz00_2243;long BgL_forwardz00_2242;
BgL_forwardz00_2242 = BgL_arg1153z00_193; 
BgL_bufposz00_2243 = BgL_arg1154z00_194; 
BgL_bufposz00_188 = BgL_bufposz00_2243; 
BgL_forwardz00_187 = BgL_forwardz00_2242; 
goto BgL_zc3z04anonymousza31150ze3z87_189;} }  else 
{ /* Llib/date.scm 38 */
BgL_matchz00_351 = BgL_newzd2matchzd2_190; } }  else 
{ /* Llib/date.scm 38 */
int BgL_curz00_195;
{ /* Llib/date.scm 38 */
int BgL_res2345z00_1848;
BgL_res2345z00_1848 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_185, BgL_forwardz00_187); 
BgL_curz00_195 = BgL_res2345z00_1848; } 
{ /* Llib/date.scm 38 */

if(
(
(long)(BgL_curz00_195)==((long)84)))
{ /* Llib/date.scm 38 */
long BgL_arg1156z00_197;
BgL_arg1156z00_197 = 
(((long)1)+BgL_forwardz00_187); 
{ /* Llib/date.scm 38 */
long BgL_newzd2matchzd2_1853;
{ /* Llib/date.scm 38 */
long BgL_res2348z00_1856;
BgL_res2348z00_1856 = 
RGC_STOP_MATCH(BgL_iportz00_185, BgL_arg1156z00_197); BgL_res2348z00_1856; } 
BgL_newzd2matchzd2_1853 = ((long)0); 
BgL_matchz00_351 = BgL_newzd2matchzd2_1853; } }  else 
{ /* Llib/date.scm 38 */
BgL_matchz00_351 = BgL_newzd2matchzd2_190; } } } } }  else 
{ /* Llib/date.scm 38 */
BgL_matchz00_351 = BgL_lastzd2matchzd2_172; } } } } }  else 
{ /* Llib/date.scm 38 */
BgL_matchz00_351 = BgL_lastzd2matchzd2_199; } } } } }  else 
{ /* Llib/date.scm 38 */
BgL_matchz00_351 = BgL_newzd2matchzd2_113; } } } } }  else 
{ /* Llib/date.scm 38 */
BgL_matchz00_351 = BgL_lastzd2matchzd2_158; } } } } }  else 
{ /* Llib/date.scm 38 */
BgL_matchz00_351 = BgL_lastzd2matchzd2_213; } } } } }  else 
{ /* Llib/date.scm 38 */
BgL_matchz00_351 = BgL_newzd2matchzd2_100; } } } } }  else 
{ /* Llib/date.scm 38 */
BgL_matchz00_351 = BgL_lastzd2matchzd2_68; } } } } }  else 
{ /* Llib/date.scm 38 */
BgL_matchz00_351 = BgL_lastzd2matchzd2_82; } } } } }  else 
{ /* Llib/date.scm 38 */
BgL_matchz00_351 = BgL_newzd2matchzd2_132; } } } } } }  else 
{ /* Llib/date.scm 38 */
long BgL_arg1133z00_155;
BgL_arg1133z00_155 = 
(((long)1)+BgL_forwardz00_144); 
{ /* Llib/date.scm 38 */
long BgL_newzd2matchzd2_1794;
{ /* Llib/date.scm 38 */
long BgL_res2323z00_1797;
BgL_res2323z00_1797 = 
RGC_STOP_MATCH(BgL_iportz00_142, BgL_arg1133z00_155); BgL_res2323z00_1797; } 
BgL_newzd2matchzd2_1794 = ((long)4); 
BgL_matchz00_351 = BgL_newzd2matchzd2_1794; } } } } } } 
RGC_SET_FILEPOS(BgL_iportz00_25); 
switch( BgL_matchz00_351) { case ((long)4) : 

BgL_tmp1056z00_21 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)0)), BGl_string2415z00zz__web_datez00, BgL_stringz00_3); break;case ((long)3) : 

{ /* Llib/date.scm 49 */
obj_t BgL_arg1577z00_355;
BgL_arg1577z00_355 = 
BGl_thezd2substringze72z35zz__web_datez00(BgL_iportz00_25, 
(int)(((long)0)), 
(int)(((long)4))); 
{ /* Llib/date.scm 49 */
obj_t BgL_list1578z00_356;
BgL_list1578z00_356 = 
MAKE_YOUNG_PAIR(BgL_arg1577z00_355, BNIL); 
BgL_tmp1056z00_21 = BgL_list1578z00_356; } } break;case ((long)2) : 

{ /* Llib/date.scm 47 */
obj_t BgL_arg1579z00_357;obj_t BgL_arg1590z00_358;
BgL_arg1579z00_357 = 
BGl_thezd2substringze72z35zz__web_datez00(BgL_iportz00_25, 
(int)(((long)0)), 
(int)(((long)4))); 
BgL_arg1590z00_358 = 
BGl_thezd2substringze72z35zz__web_datez00(BgL_iportz00_25, 
(int)(((long)5)), 
(int)(((long)7))); 
{ /* Llib/date.scm 47 */
obj_t BgL_list1591z00_359;
{ /* Llib/date.scm 47 */
obj_t BgL_arg1592z00_360;
BgL_arg1592z00_360 = 
MAKE_YOUNG_PAIR(BgL_arg1590z00_358, BNIL); 
BgL_list1591z00_359 = 
MAKE_YOUNG_PAIR(BgL_arg1579z00_357, BgL_arg1592z00_360); } 
BgL_tmp1056z00_21 = BgL_list1591z00_359; } } break;case ((long)1) : 

{ /* Llib/date.scm 45 */
obj_t BgL_arg1612z00_361;obj_t BgL_arg1613z00_362;obj_t BgL_arg1616z00_363;
BgL_arg1612z00_361 = 
BGl_thezd2substringze72z35zz__web_datez00(BgL_iportz00_25, 
(int)(((long)0)), 
(int)(((long)4))); 
BgL_arg1613z00_362 = 
BGl_thezd2substringze72z35zz__web_datez00(BgL_iportz00_25, 
(int)(((long)5)), 
(int)(((long)7))); 
BgL_arg1616z00_363 = 
BGl_thezd2substringze72z35zz__web_datez00(BgL_iportz00_25, 
(int)(((long)8)), 
(int)(((long)10))); 
{ /* Llib/date.scm 45 */
obj_t BgL_list1617z00_364;
{ /* Llib/date.scm 45 */
obj_t BgL_arg1621z00_365;
{ /* Llib/date.scm 45 */
obj_t BgL_arg1623z00_366;
BgL_arg1623z00_366 = 
MAKE_YOUNG_PAIR(BgL_arg1616z00_363, BNIL); 
BgL_arg1621z00_365 = 
MAKE_YOUNG_PAIR(BgL_arg1613z00_362, BgL_arg1623z00_366); } 
BgL_list1617z00_364 = 
MAKE_YOUNG_PAIR(BgL_arg1612z00_361, BgL_arg1621z00_365); } 
BgL_tmp1056z00_21 = BgL_list1617z00_364; } } break;case ((long)0) : 

{ /* Llib/date.scm 40 */
obj_t BgL_d1z00_367;obj_t BgL_d2z00_368;obj_t BgL_d3z00_369;
BgL_d1z00_367 = 
BGl_thezd2substringze72z35zz__web_datez00(BgL_iportz00_25, 
(int)(((long)0)), 
(int)(((long)4))); 
BgL_d2z00_368 = 
BGl_thezd2substringze72z35zz__web_datez00(BgL_iportz00_25, 
(int)(((long)5)), 
(int)(((long)7))); 
BgL_d3z00_369 = 
BGl_thezd2substringze72z35zz__web_datez00(BgL_iportz00_25, 
(int)(((long)8)), 
(int)(((long)10))); 
{ /* Llib/date.scm 43 */
obj_t BgL_arg1624z00_370;
{ /* Llib/date.scm 43 */
obj_t BgL_arg1645z00_371;
{ /* Llib/date.scm 43 */
obj_t BgL_tmpz00_2298;
BgL_iportz00_417 = BgL_ipz00_15; 
{ 
obj_t BgL_iportz00_458;long BgL_lastzd2matchzd2_459;long BgL_forwardz00_460;long BgL_bufposz00_461;obj_t BgL_iportz00_478;long BgL_lastzd2matchzd2_479;long BgL_forwardz00_480;long BgL_bufposz00_481;obj_t BgL_iportz00_493;long BgL_lastzd2matchzd2_494;long BgL_forwardz00_495;long BgL_bufposz00_496;obj_t BgL_iportz00_508;long BgL_lastzd2matchzd2_509;long BgL_forwardz00_510;long BgL_bufposz00_511;obj_t BgL_iportz00_522;long BgL_lastzd2matchzd2_523;long BgL_forwardz00_524;long BgL_bufposz00_525;obj_t BgL_iportz00_536;long BgL_lastzd2matchzd2_537;long BgL_forwardz00_538;long BgL_bufposz00_539;obj_t BgL_iportz00_548;long BgL_lastzd2matchzd2_549;long BgL_forwardz00_550;long BgL_bufposz00_551;obj_t BgL_iportz00_562;long BgL_lastzd2matchzd2_563;long BgL_forwardz00_564;long BgL_bufposz00_565;obj_t BgL_iportz00_576;long BgL_lastzd2matchzd2_577;long BgL_forwardz00_578;long BgL_bufposz00_579;obj_t BgL_iportz00_589;long BgL_lastzd2matchzd2_590;long BgL_forwardz00_591;long BgL_bufposz00_592;obj_t BgL_iportz00_604;long BgL_lastzd2matchzd2_605;long BgL_forwardz00_606;long BgL_bufposz00_607;
{ /* Llib/date.scm 57 */
long BgL_res2269z00_1669;
BgL_res2269z00_1669 = 
RGC_START_MATCH(BgL_iportz00_417); BgL_res2269z00_1669; } 
{ /* Llib/date.scm 57 */
long BgL_matchz00_738;
{ /* Llib/date.scm 57 */
long BgL_arg1881z00_758;long BgL_arg1882z00_759;
{ /* Llib/date.scm 57 */
long BgL_res2270z00_1671;
BgL_res2270z00_1671 = 
RGC_BUFFER_FORWARD(BgL_iportz00_417); 
BgL_arg1881z00_758 = BgL_res2270z00_1671; } 
{ /* Llib/date.scm 57 */
long BgL_res2271z00_1673;
BgL_res2271z00_1673 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_417); 
BgL_arg1882z00_759 = BgL_res2271z00_1673; } 
BgL_iportz00_493 = BgL_iportz00_417; 
BgL_lastzd2matchzd2_494 = ((long)3); 
BgL_forwardz00_495 = BgL_arg1881z00_758; 
BgL_bufposz00_496 = BgL_arg1882z00_759; 
BgL_zc3z04anonymousza31672ze3z87_497:
if(
(BgL_forwardz00_495==BgL_bufposz00_496))
{ /* Llib/date.scm 57 */
if(
rgc_fill_buffer(BgL_iportz00_493))
{ /* Llib/date.scm 57 */
long BgL_arg1676z00_500;long BgL_arg1679z00_501;
{ /* Llib/date.scm 57 */
long BgL_res2182z00_1464;
BgL_res2182z00_1464 = 
RGC_BUFFER_FORWARD(BgL_iportz00_493); 
BgL_arg1676z00_500 = BgL_res2182z00_1464; } 
{ /* Llib/date.scm 57 */
long BgL_res2183z00_1466;
BgL_res2183z00_1466 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_493); 
BgL_arg1679z00_501 = BgL_res2183z00_1466; } 
{ 
long BgL_bufposz00_2309;long BgL_forwardz00_2308;
BgL_forwardz00_2308 = BgL_arg1676z00_500; 
BgL_bufposz00_2309 = BgL_arg1679z00_501; 
BgL_bufposz00_496 = BgL_bufposz00_2309; 
BgL_forwardz00_495 = BgL_forwardz00_2308; 
goto BgL_zc3z04anonymousza31672ze3z87_497;} }  else 
{ /* Llib/date.scm 57 */
BgL_matchz00_738 = BgL_lastzd2matchzd2_494; } }  else 
{ /* Llib/date.scm 57 */
int BgL_curz00_502;
{ /* Llib/date.scm 57 */
int BgL_res2184z00_1469;
BgL_res2184z00_1469 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_493, BgL_forwardz00_495); 
BgL_curz00_502 = BgL_res2184z00_1469; } 
{ /* Llib/date.scm 57 */

{ /* Llib/date.scm 57 */
bool_t BgL_test2502z00_2311;
if(
(
(long)(BgL_curz00_502)>=((long)48)))
{ /* Llib/date.scm 57 */
BgL_test2502z00_2311 = 
(
(long)(BgL_curz00_502)<((long)58))
; }  else 
{ /* Llib/date.scm 57 */
BgL_test2502z00_2311 = ((bool_t)0)
; } 
if(BgL_test2502z00_2311)
{ /* Llib/date.scm 57 */
BgL_iportz00_478 = BgL_iportz00_493; 
BgL_lastzd2matchzd2_479 = BgL_lastzd2matchzd2_494; 
BgL_forwardz00_480 = 
(((long)1)+BgL_forwardz00_495); 
BgL_bufposz00_481 = BgL_bufposz00_496; 
BgL_zc3z04anonymousza31663ze3z87_482:
{ /* Llib/date.scm 57 */
long BgL_newzd2matchzd2_483;
{ /* Llib/date.scm 57 */
long BgL_res2171z00_1439;
BgL_res2171z00_1439 = 
RGC_STOP_MATCH(BgL_iportz00_478, BgL_forwardz00_480); BgL_res2171z00_1439; } 
BgL_newzd2matchzd2_483 = ((long)3); 
if(
(BgL_forwardz00_480==BgL_bufposz00_481))
{ /* Llib/date.scm 57 */
if(
rgc_fill_buffer(BgL_iportz00_478))
{ /* Llib/date.scm 57 */
long BgL_arg1667z00_486;long BgL_arg1668z00_487;
{ /* Llib/date.scm 57 */
long BgL_res2174z00_1446;
BgL_res2174z00_1446 = 
RGC_BUFFER_FORWARD(BgL_iportz00_478); 
BgL_arg1667z00_486 = BgL_res2174z00_1446; } 
{ /* Llib/date.scm 57 */
long BgL_res2175z00_1448;
BgL_res2175z00_1448 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_478); 
BgL_arg1668z00_487 = BgL_res2175z00_1448; } 
{ 
long BgL_bufposz00_2325;long BgL_forwardz00_2324;
BgL_forwardz00_2324 = BgL_arg1667z00_486; 
BgL_bufposz00_2325 = BgL_arg1668z00_487; 
BgL_bufposz00_481 = BgL_bufposz00_2325; 
BgL_forwardz00_480 = BgL_forwardz00_2324; 
goto BgL_zc3z04anonymousza31663ze3z87_482;} }  else 
{ /* Llib/date.scm 57 */
BgL_matchz00_738 = BgL_newzd2matchzd2_483; } }  else 
{ /* Llib/date.scm 57 */
int BgL_curz00_488;
{ /* Llib/date.scm 57 */
int BgL_res2176z00_1451;
BgL_res2176z00_1451 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_478, BgL_forwardz00_480); 
BgL_curz00_488 = BgL_res2176z00_1451; } 
{ /* Llib/date.scm 57 */

{ /* Llib/date.scm 57 */
bool_t BgL_test2506z00_2327;
if(
(
(long)(BgL_curz00_488)>=((long)48)))
{ /* Llib/date.scm 57 */
BgL_test2506z00_2327 = 
(
(long)(BgL_curz00_488)<((long)58))
; }  else 
{ /* Llib/date.scm 57 */
BgL_test2506z00_2327 = ((bool_t)0)
; } 
if(BgL_test2506z00_2327)
{ /* Llib/date.scm 57 */
BgL_iportz00_536 = BgL_iportz00_478; 
BgL_lastzd2matchzd2_537 = BgL_newzd2matchzd2_483; 
BgL_forwardz00_538 = 
(((long)1)+BgL_forwardz00_480); 
BgL_bufposz00_539 = BgL_bufposz00_481; 
BgL_zc3z04anonymousza31708ze3z87_540:
if(
(BgL_forwardz00_538==BgL_bufposz00_539))
{ /* Llib/date.scm 57 */
if(
rgc_fill_buffer(BgL_iportz00_536))
{ /* Llib/date.scm 57 */
long BgL_arg1711z00_543;long BgL_arg1718z00_544;
{ /* Llib/date.scm 57 */
long BgL_res2208z00_1524;
BgL_res2208z00_1524 = 
RGC_BUFFER_FORWARD(BgL_iportz00_536); 
BgL_arg1711z00_543 = BgL_res2208z00_1524; } 
{ /* Llib/date.scm 57 */
long BgL_res2209z00_1526;
BgL_res2209z00_1526 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_536); 
BgL_arg1718z00_544 = BgL_res2209z00_1526; } 
{ 
long BgL_bufposz00_2340;long BgL_forwardz00_2339;
BgL_forwardz00_2339 = BgL_arg1711z00_543; 
BgL_bufposz00_2340 = BgL_arg1718z00_544; 
BgL_bufposz00_539 = BgL_bufposz00_2340; 
BgL_forwardz00_538 = BgL_forwardz00_2339; 
goto BgL_zc3z04anonymousza31708ze3z87_540;} }  else 
{ /* Llib/date.scm 57 */
BgL_matchz00_738 = BgL_lastzd2matchzd2_537; } }  else 
{ /* Llib/date.scm 57 */
int BgL_curz00_545;
{ /* Llib/date.scm 57 */
int BgL_res2210z00_1529;
BgL_res2210z00_1529 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_536, BgL_forwardz00_538); 
BgL_curz00_545 = BgL_res2210z00_1529; } 
{ /* Llib/date.scm 57 */

if(
(
(long)(BgL_curz00_545)==((long)58)))
{ /* Llib/date.scm 57 */
BgL_iportz00_548 = BgL_iportz00_536; 
BgL_lastzd2matchzd2_549 = BgL_lastzd2matchzd2_537; 
BgL_forwardz00_550 = 
(((long)1)+BgL_forwardz00_538); 
BgL_bufposz00_551 = BgL_bufposz00_539; 
BgL_zc3z04anonymousza31723ze3z87_552:
if(
(BgL_forwardz00_550==BgL_bufposz00_551))
{ /* Llib/date.scm 57 */
if(
rgc_fill_buffer(BgL_iportz00_548))
{ /* Llib/date.scm 57 */
long BgL_arg1728z00_555;long BgL_arg1740z00_556;
{ /* Llib/date.scm 57 */
long BgL_res2215z00_1540;
BgL_res2215z00_1540 = 
RGC_BUFFER_FORWARD(BgL_iportz00_548); 
BgL_arg1728z00_555 = BgL_res2215z00_1540; } 
{ /* Llib/date.scm 57 */
long BgL_res2216z00_1542;
BgL_res2216z00_1542 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_548); 
BgL_arg1740z00_556 = BgL_res2216z00_1542; } 
{ 
long BgL_bufposz00_2352;long BgL_forwardz00_2351;
BgL_forwardz00_2351 = BgL_arg1728z00_555; 
BgL_bufposz00_2352 = BgL_arg1740z00_556; 
BgL_bufposz00_551 = BgL_bufposz00_2352; 
BgL_forwardz00_550 = BgL_forwardz00_2351; 
goto BgL_zc3z04anonymousza31723ze3z87_552;} }  else 
{ /* Llib/date.scm 57 */
BgL_matchz00_738 = BgL_lastzd2matchzd2_549; } }  else 
{ /* Llib/date.scm 57 */
int BgL_curz00_557;
{ /* Llib/date.scm 57 */
int BgL_res2217z00_1545;
BgL_res2217z00_1545 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_548, BgL_forwardz00_550); 
BgL_curz00_557 = BgL_res2217z00_1545; } 
{ /* Llib/date.scm 57 */

{ /* Llib/date.scm 57 */
bool_t BgL_test2513z00_2354;
if(
(
(long)(BgL_curz00_557)>=((long)48)))
{ /* Llib/date.scm 57 */
BgL_test2513z00_2354 = 
(
(long)(BgL_curz00_557)<((long)58))
; }  else 
{ /* Llib/date.scm 57 */
BgL_test2513z00_2354 = ((bool_t)0)
; } 
if(BgL_test2513z00_2354)
{ /* Llib/date.scm 57 */
BgL_iportz00_562 = BgL_iportz00_548; 
BgL_lastzd2matchzd2_563 = BgL_lastzd2matchzd2_549; 
BgL_forwardz00_564 = 
(((long)1)+BgL_forwardz00_550); 
BgL_bufposz00_565 = BgL_bufposz00_551; 
BgL_zc3z04anonymousza31753ze3z87_566:
if(
(BgL_forwardz00_564==BgL_bufposz00_565))
{ /* Llib/date.scm 57 */
if(
rgc_fill_buffer(BgL_iportz00_562))
{ /* Llib/date.scm 57 */
long BgL_arg1757z00_569;long BgL_arg1758z00_570;
{ /* Llib/date.scm 57 */
long BgL_res2223z00_1558;
BgL_res2223z00_1558 = 
RGC_BUFFER_FORWARD(BgL_iportz00_562); 
BgL_arg1757z00_569 = BgL_res2223z00_1558; } 
{ /* Llib/date.scm 57 */
long BgL_res2224z00_1560;
BgL_res2224z00_1560 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_562); 
BgL_arg1758z00_570 = BgL_res2224z00_1560; } 
{ 
long BgL_bufposz00_2367;long BgL_forwardz00_2366;
BgL_forwardz00_2366 = BgL_arg1757z00_569; 
BgL_bufposz00_2367 = BgL_arg1758z00_570; 
BgL_bufposz00_565 = BgL_bufposz00_2367; 
BgL_forwardz00_564 = BgL_forwardz00_2366; 
goto BgL_zc3z04anonymousza31753ze3z87_566;} }  else 
{ /* Llib/date.scm 57 */
BgL_matchz00_738 = BgL_lastzd2matchzd2_563; } }  else 
{ /* Llib/date.scm 57 */
int BgL_curz00_571;
{ /* Llib/date.scm 57 */
int BgL_res2225z00_1563;
BgL_res2225z00_1563 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_562, BgL_forwardz00_564); 
BgL_curz00_571 = BgL_res2225z00_1563; } 
{ /* Llib/date.scm 57 */

{ /* Llib/date.scm 57 */
bool_t BgL_test2517z00_2369;
if(
(
(long)(BgL_curz00_571)>=((long)48)))
{ /* Llib/date.scm 57 */
BgL_test2517z00_2369 = 
(
(long)(BgL_curz00_571)<((long)58))
; }  else 
{ /* Llib/date.scm 57 */
BgL_test2517z00_2369 = ((bool_t)0)
; } 
if(BgL_test2517z00_2369)
{ /* Llib/date.scm 57 */
BgL_iportz00_576 = BgL_iportz00_562; 
BgL_lastzd2matchzd2_577 = BgL_lastzd2matchzd2_563; 
BgL_forwardz00_578 = 
(((long)1)+BgL_forwardz00_564); 
BgL_bufposz00_579 = BgL_bufposz00_565; 
BgL_zc3z04anonymousza31762ze3z87_580:
{ /* Llib/date.scm 57 */
long BgL_newzd2matchzd2_581;
{ /* Llib/date.scm 57 */
long BgL_res2229z00_1572;
BgL_res2229z00_1572 = 
RGC_STOP_MATCH(BgL_iportz00_576, BgL_forwardz00_578); BgL_res2229z00_1572; } 
BgL_newzd2matchzd2_581 = ((long)2); 
if(
(BgL_forwardz00_578==BgL_bufposz00_579))
{ /* Llib/date.scm 57 */
if(
rgc_fill_buffer(BgL_iportz00_576))
{ /* Llib/date.scm 57 */
long BgL_arg1765z00_584;long BgL_arg1766z00_585;
{ /* Llib/date.scm 57 */
long BgL_res2232z00_1579;
BgL_res2232z00_1579 = 
RGC_BUFFER_FORWARD(BgL_iportz00_576); 
BgL_arg1765z00_584 = BgL_res2232z00_1579; } 
{ /* Llib/date.scm 57 */
long BgL_res2233z00_1581;
BgL_res2233z00_1581 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_576); 
BgL_arg1766z00_585 = BgL_res2233z00_1581; } 
{ 
long BgL_bufposz00_2383;long BgL_forwardz00_2382;
BgL_forwardz00_2382 = BgL_arg1765z00_584; 
BgL_bufposz00_2383 = BgL_arg1766z00_585; 
BgL_bufposz00_579 = BgL_bufposz00_2383; 
BgL_forwardz00_578 = BgL_forwardz00_2382; 
goto BgL_zc3z04anonymousza31762ze3z87_580;} }  else 
{ /* Llib/date.scm 57 */
BgL_matchz00_738 = BgL_newzd2matchzd2_581; } }  else 
{ /* Llib/date.scm 57 */
int BgL_curz00_586;
{ /* Llib/date.scm 57 */
int BgL_res2234z00_1584;
BgL_res2234z00_1584 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_576, BgL_forwardz00_578); 
BgL_curz00_586 = BgL_res2234z00_1584; } 
{ /* Llib/date.scm 57 */

if(
(
(long)(BgL_curz00_586)==((long)58)))
{ /* Llib/date.scm 57 */
BgL_iportz00_522 = BgL_iportz00_576; 
BgL_lastzd2matchzd2_523 = BgL_newzd2matchzd2_581; 
BgL_forwardz00_524 = 
(((long)1)+BgL_forwardz00_578); 
BgL_bufposz00_525 = BgL_bufposz00_579; 
BgL_zc3z04anonymousza31697ze3z87_526:
if(
(BgL_forwardz00_524==BgL_bufposz00_525))
{ /* Llib/date.scm 57 */
if(
rgc_fill_buffer(BgL_iportz00_522))
{ /* Llib/date.scm 57 */
long BgL_arg1700z00_529;long BgL_arg1701z00_530;
{ /* Llib/date.scm 57 */
long BgL_res2200z00_1506;
BgL_res2200z00_1506 = 
RGC_BUFFER_FORWARD(BgL_iportz00_522); 
BgL_arg1700z00_529 = BgL_res2200z00_1506; } 
{ /* Llib/date.scm 57 */
long BgL_res2201z00_1508;
BgL_res2201z00_1508 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_522); 
BgL_arg1701z00_530 = BgL_res2201z00_1508; } 
{ 
long BgL_bufposz00_2395;long BgL_forwardz00_2394;
BgL_forwardz00_2394 = BgL_arg1700z00_529; 
BgL_bufposz00_2395 = BgL_arg1701z00_530; 
BgL_bufposz00_525 = BgL_bufposz00_2395; 
BgL_forwardz00_524 = BgL_forwardz00_2394; 
goto BgL_zc3z04anonymousza31697ze3z87_526;} }  else 
{ /* Llib/date.scm 57 */
BgL_matchz00_738 = BgL_lastzd2matchzd2_523; } }  else 
{ /* Llib/date.scm 57 */
int BgL_curz00_531;
{ /* Llib/date.scm 57 */
int BgL_res2202z00_1511;
BgL_res2202z00_1511 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_522, BgL_forwardz00_524); 
BgL_curz00_531 = BgL_res2202z00_1511; } 
{ /* Llib/date.scm 57 */

{ /* Llib/date.scm 57 */
bool_t BgL_test2524z00_2397;
if(
(
(long)(BgL_curz00_531)>=((long)48)))
{ /* Llib/date.scm 57 */
BgL_test2524z00_2397 = 
(
(long)(BgL_curz00_531)<((long)58))
; }  else 
{ /* Llib/date.scm 57 */
BgL_test2524z00_2397 = ((bool_t)0)
; } 
if(BgL_test2524z00_2397)
{ /* Llib/date.scm 57 */
BgL_iportz00_508 = BgL_iportz00_522; 
BgL_lastzd2matchzd2_509 = BgL_lastzd2matchzd2_523; 
BgL_forwardz00_510 = 
(((long)1)+BgL_forwardz00_524); 
BgL_bufposz00_511 = BgL_bufposz00_525; 
BgL_zc3z04anonymousza31684ze3z87_512:
if(
(BgL_forwardz00_510==BgL_bufposz00_511))
{ /* Llib/date.scm 57 */
if(
rgc_fill_buffer(BgL_iportz00_508))
{ /* Llib/date.scm 57 */
long BgL_arg1687z00_515;long BgL_arg1693z00_516;
{ /* Llib/date.scm 57 */
long BgL_res2192z00_1488;
BgL_res2192z00_1488 = 
RGC_BUFFER_FORWARD(BgL_iportz00_508); 
BgL_arg1687z00_515 = BgL_res2192z00_1488; } 
{ /* Llib/date.scm 57 */
long BgL_res2193z00_1490;
BgL_res2193z00_1490 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_508); 
BgL_arg1693z00_516 = BgL_res2193z00_1490; } 
{ 
long BgL_bufposz00_2410;long BgL_forwardz00_2409;
BgL_forwardz00_2409 = BgL_arg1687z00_515; 
BgL_bufposz00_2410 = BgL_arg1693z00_516; 
BgL_bufposz00_511 = BgL_bufposz00_2410; 
BgL_forwardz00_510 = BgL_forwardz00_2409; 
goto BgL_zc3z04anonymousza31684ze3z87_512;} }  else 
{ /* Llib/date.scm 57 */
BgL_matchz00_738 = BgL_lastzd2matchzd2_509; } }  else 
{ /* Llib/date.scm 57 */
int BgL_curz00_517;
{ /* Llib/date.scm 57 */
int BgL_res2194z00_1493;
BgL_res2194z00_1493 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_508, BgL_forwardz00_510); 
BgL_curz00_517 = BgL_res2194z00_1493; } 
{ /* Llib/date.scm 57 */

{ /* Llib/date.scm 57 */
bool_t BgL_test2528z00_2412;
if(
(
(long)(BgL_curz00_517)>=((long)48)))
{ /* Llib/date.scm 57 */
BgL_test2528z00_2412 = 
(
(long)(BgL_curz00_517)<((long)58))
; }  else 
{ /* Llib/date.scm 57 */
BgL_test2528z00_2412 = ((bool_t)0)
; } 
if(BgL_test2528z00_2412)
{ /* Llib/date.scm 57 */
BgL_iportz00_589 = BgL_iportz00_508; 
BgL_lastzd2matchzd2_590 = BgL_lastzd2matchzd2_509; 
BgL_forwardz00_591 = 
(((long)1)+BgL_forwardz00_510); 
BgL_bufposz00_592 = BgL_bufposz00_511; 
BgL_zc3z04anonymousza31769ze3z87_593:
{ /* Llib/date.scm 57 */
long BgL_newzd2matchzd2_594;
{ /* Llib/date.scm 57 */
long BgL_res2237z00_1591;
BgL_res2237z00_1591 = 
RGC_STOP_MATCH(BgL_iportz00_589, BgL_forwardz00_591); BgL_res2237z00_1591; } 
BgL_newzd2matchzd2_594 = ((long)1); 
if(
(BgL_forwardz00_591==BgL_bufposz00_592))
{ /* Llib/date.scm 57 */
if(
rgc_fill_buffer(BgL_iportz00_589))
{ /* Llib/date.scm 57 */
long BgL_arg1772z00_597;long BgL_arg1773z00_598;
{ /* Llib/date.scm 57 */
long BgL_res2240z00_1598;
BgL_res2240z00_1598 = 
RGC_BUFFER_FORWARD(BgL_iportz00_589); 
BgL_arg1772z00_597 = BgL_res2240z00_1598; } 
{ /* Llib/date.scm 57 */
long BgL_res2241z00_1600;
BgL_res2241z00_1600 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_589); 
BgL_arg1773z00_598 = BgL_res2241z00_1600; } 
{ 
long BgL_bufposz00_2426;long BgL_forwardz00_2425;
BgL_forwardz00_2425 = BgL_arg1772z00_597; 
BgL_bufposz00_2426 = BgL_arg1773z00_598; 
BgL_bufposz00_592 = BgL_bufposz00_2426; 
BgL_forwardz00_591 = BgL_forwardz00_2425; 
goto BgL_zc3z04anonymousza31769ze3z87_593;} }  else 
{ /* Llib/date.scm 57 */
BgL_matchz00_738 = BgL_newzd2matchzd2_594; } }  else 
{ /* Llib/date.scm 57 */
int BgL_curz00_599;
{ /* Llib/date.scm 57 */
int BgL_res2242z00_1603;
BgL_res2242z00_1603 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_589, BgL_forwardz00_591); 
BgL_curz00_599 = BgL_res2242z00_1603; } 
{ /* Llib/date.scm 57 */

{ /* Llib/date.scm 57 */
bool_t BgL_test2532z00_2428;
if(
(
(long)(BgL_curz00_599)==((long)44)))
{ /* Llib/date.scm 57 */
BgL_test2532z00_2428 = ((bool_t)1)
; }  else 
{ /* Llib/date.scm 57 */
BgL_test2532z00_2428 = 
(
(long)(BgL_curz00_599)==((long)46))
; } 
if(BgL_test2532z00_2428)
{ /* Llib/date.scm 57 */
BgL_iportz00_458 = BgL_iportz00_589; 
BgL_lastzd2matchzd2_459 = BgL_newzd2matchzd2_594; 
BgL_forwardz00_460 = 
(((long)1)+BgL_forwardz00_591); 
BgL_bufposz00_461 = BgL_bufposz00_592; 
BgL_zc3z04anonymousza31651ze3z87_462:
if(
(BgL_forwardz00_460==BgL_bufposz00_461))
{ /* Llib/date.scm 57 */
if(
rgc_fill_buffer(BgL_iportz00_458))
{ /* Llib/date.scm 57 */
long BgL_arg1655z00_465;long BgL_arg1658z00_466;
{ /* Llib/date.scm 57 */
long BgL_res2164z00_1421;
BgL_res2164z00_1421 = 
RGC_BUFFER_FORWARD(BgL_iportz00_458); 
BgL_arg1655z00_465 = BgL_res2164z00_1421; } 
{ /* Llib/date.scm 57 */
long BgL_res2165z00_1423;
BgL_res2165z00_1423 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_458); 
BgL_arg1658z00_466 = BgL_res2165z00_1423; } 
{ 
long BgL_bufposz00_2441;long BgL_forwardz00_2440;
BgL_forwardz00_2440 = BgL_arg1655z00_465; 
BgL_bufposz00_2441 = BgL_arg1658z00_466; 
BgL_bufposz00_461 = BgL_bufposz00_2441; 
BgL_forwardz00_460 = BgL_forwardz00_2440; 
goto BgL_zc3z04anonymousza31651ze3z87_462;} }  else 
{ /* Llib/date.scm 57 */
BgL_matchz00_738 = BgL_lastzd2matchzd2_459; } }  else 
{ /* Llib/date.scm 57 */
int BgL_curz00_467;
{ /* Llib/date.scm 57 */
int BgL_res2166z00_1426;
BgL_res2166z00_1426 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_458, BgL_forwardz00_460); 
BgL_curz00_467 = BgL_res2166z00_1426; } 
{ /* Llib/date.scm 57 */

{ /* Llib/date.scm 57 */
bool_t BgL_test2536z00_2443;
if(
(
(long)(BgL_curz00_467)>=((long)48)))
{ /* Llib/date.scm 57 */
BgL_test2536z00_2443 = 
(
(long)(BgL_curz00_467)<((long)58))
; }  else 
{ /* Llib/date.scm 57 */
BgL_test2536z00_2443 = ((bool_t)0)
; } 
if(BgL_test2536z00_2443)
{ /* Llib/date.scm 57 */
BgL_iportz00_604 = BgL_iportz00_458; 
BgL_lastzd2matchzd2_605 = BgL_lastzd2matchzd2_459; 
BgL_forwardz00_606 = 
(((long)1)+BgL_forwardz00_460); 
BgL_bufposz00_607 = BgL_bufposz00_461; 
BgL_zc3z04anonymousza31777ze3z87_608:
{ /* Llib/date.scm 57 */
long BgL_newzd2matchzd2_609;
{ /* Llib/date.scm 57 */
long BgL_res2246z00_1612;
BgL_res2246z00_1612 = 
RGC_STOP_MATCH(BgL_iportz00_604, BgL_forwardz00_606); BgL_res2246z00_1612; } 
BgL_newzd2matchzd2_609 = ((long)0); 
if(
(BgL_forwardz00_606==BgL_bufposz00_607))
{ /* Llib/date.scm 57 */
if(
rgc_fill_buffer(BgL_iportz00_604))
{ /* Llib/date.scm 57 */
long BgL_arg1780z00_612;long BgL_arg1781z00_613;
{ /* Llib/date.scm 57 */
long BgL_res2249z00_1619;
BgL_res2249z00_1619 = 
RGC_BUFFER_FORWARD(BgL_iportz00_604); 
BgL_arg1780z00_612 = BgL_res2249z00_1619; } 
{ /* Llib/date.scm 57 */
long BgL_res2250z00_1621;
BgL_res2250z00_1621 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_604); 
BgL_arg1781z00_613 = BgL_res2250z00_1621; } 
{ 
long BgL_bufposz00_2457;long BgL_forwardz00_2456;
BgL_forwardz00_2456 = BgL_arg1780z00_612; 
BgL_bufposz00_2457 = BgL_arg1781z00_613; 
BgL_bufposz00_607 = BgL_bufposz00_2457; 
BgL_forwardz00_606 = BgL_forwardz00_2456; 
goto BgL_zc3z04anonymousza31777ze3z87_608;} }  else 
{ /* Llib/date.scm 57 */
BgL_matchz00_738 = BgL_newzd2matchzd2_609; } }  else 
{ /* Llib/date.scm 57 */
int BgL_curz00_614;
{ /* Llib/date.scm 57 */
int BgL_res2251z00_1624;
BgL_res2251z00_1624 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_604, BgL_forwardz00_606); 
BgL_curz00_614 = BgL_res2251z00_1624; } 
{ /* Llib/date.scm 57 */

{ /* Llib/date.scm 57 */
bool_t BgL_test2540z00_2459;
if(
(
(long)(BgL_curz00_614)>=((long)48)))
{ /* Llib/date.scm 57 */
BgL_test2540z00_2459 = 
(
(long)(BgL_curz00_614)<((long)58))
; }  else 
{ /* Llib/date.scm 57 */
BgL_test2540z00_2459 = ((bool_t)0)
; } 
if(BgL_test2540z00_2459)
{ 
long BgL_forwardz00_2466;long BgL_lastzd2matchzd2_2465;
BgL_lastzd2matchzd2_2465 = BgL_newzd2matchzd2_609; 
BgL_forwardz00_2466 = 
(((long)1)+BgL_forwardz00_606); 
BgL_forwardz00_606 = BgL_forwardz00_2466; 
BgL_lastzd2matchzd2_605 = BgL_lastzd2matchzd2_2465; 
goto BgL_zc3z04anonymousza31777ze3z87_608;}  else 
{ /* Llib/date.scm 57 */
BgL_matchz00_738 = BgL_newzd2matchzd2_609; } } } } } }  else 
{ /* Llib/date.scm 57 */
BgL_matchz00_738 = BgL_lastzd2matchzd2_459; } } } } }  else 
{ /* Llib/date.scm 57 */
BgL_matchz00_738 = BgL_newzd2matchzd2_594; } } } } } }  else 
{ /* Llib/date.scm 57 */
BgL_matchz00_738 = BgL_lastzd2matchzd2_509; } } } } }  else 
{ /* Llib/date.scm 57 */
BgL_matchz00_738 = BgL_lastzd2matchzd2_523; } } } } }  else 
{ /* Llib/date.scm 57 */
BgL_matchz00_738 = BgL_newzd2matchzd2_581; } } } } }  else 
{ /* Llib/date.scm 57 */
BgL_matchz00_738 = BgL_lastzd2matchzd2_563; } } } } }  else 
{ /* Llib/date.scm 57 */
BgL_matchz00_738 = BgL_lastzd2matchzd2_549; } } } } }  else 
{ /* Llib/date.scm 57 */
BgL_matchz00_738 = BgL_lastzd2matchzd2_537; } } } }  else 
{ /* Llib/date.scm 57 */
BgL_matchz00_738 = BgL_newzd2matchzd2_483; } } } } } }  else 
{ /* Llib/date.scm 57 */
long BgL_arg1683z00_506;
BgL_arg1683z00_506 = 
(((long)1)+BgL_forwardz00_495); 
{ /* Llib/date.scm 57 */
long BgL_newzd2matchzd2_1478;
{ /* Llib/date.scm 57 */
long BgL_res2189z00_1481;
BgL_res2189z00_1481 = 
RGC_STOP_MATCH(BgL_iportz00_493, BgL_arg1683z00_506); BgL_res2189z00_1481; } 
BgL_newzd2matchzd2_1478 = ((long)3); 
BgL_matchz00_738 = BgL_newzd2matchzd2_1478; } } } } } } 
RGC_SET_FILEPOS(BgL_iportz00_417); 
switch( BgL_matchz00_738) { case ((long)3) : 

BgL_tmpz00_2298 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)0)), BGl_string2415z00zz__web_datez00, BgL_stringz00_3); break;case ((long)2) : 

{ /* Llib/date.scm 70 */
obj_t BgL_d1z00_742;obj_t BgL_d2z00_743;
BgL_d1z00_742 = 
BGl_thezd2substringze71z35zz__web_datez00(BgL_iportz00_417, 
(int)(((long)0)), 
(int)(((long)2))); 
BgL_d2z00_743 = 
BGl_thezd2substringze71z35zz__web_datez00(BgL_iportz00_417, 
(int)(((long)3)), 
(int)(((long)5))); 
{ /* Llib/date.scm 72 */
obj_t BgL_arg1873z00_744;
BgL_arg1873z00_744 = 
MAKE_YOUNG_PAIR(BgL_d2z00_743, 
BGl_tza7zd2grammarze70z92zz__web_datez00(BgL_stringz00_3, BgL_ipz00_15)); 
BgL_tmpz00_2298 = 
MAKE_YOUNG_PAIR(BgL_d1z00_742, BgL_arg1873z00_744); } } break;case ((long)1) : 

{ /* Llib/date.scm 65 */
obj_t BgL_d1z00_746;obj_t BgL_d2z00_747;obj_t BgL_d3z00_748;
BgL_d1z00_746 = 
BGl_thezd2substringze71z35zz__web_datez00(BgL_iportz00_417, 
(int)(((long)0)), 
(int)(((long)2))); 
BgL_d2z00_747 = 
BGl_thezd2substringze71z35zz__web_datez00(BgL_iportz00_417, 
(int)(((long)3)), 
(int)(((long)5))); 
BgL_d3z00_748 = 
BGl_thezd2substringze71z35zz__web_datez00(BgL_iportz00_417, 
(int)(((long)6)), 
(int)(((long)8))); 
{ /* Llib/date.scm 68 */
obj_t BgL_arg1875z00_749;
{ /* Llib/date.scm 68 */
obj_t BgL_arg1876z00_750;
BgL_arg1876z00_750 = 
MAKE_YOUNG_PAIR(BgL_d3z00_748, 
BGl_tza7zd2grammarze70z92zz__web_datez00(BgL_stringz00_3, BgL_ipz00_15)); 
BgL_arg1875z00_749 = 
MAKE_YOUNG_PAIR(BgL_d2z00_747, BgL_arg1876z00_750); } 
BgL_tmpz00_2298 = 
MAKE_YOUNG_PAIR(BgL_d1z00_746, BgL_arg1875z00_749); } } break;case ((long)0) : 

{ /* Llib/date.scm 60 */
obj_t BgL_d1z00_752;obj_t BgL_d2z00_753;obj_t BgL_d3z00_754;
BgL_d1z00_752 = 
BGl_thezd2substringze71z35zz__web_datez00(BgL_iportz00_417, 
(int)(((long)0)), 
(int)(((long)2))); 
BgL_d2z00_753 = 
BGl_thezd2substringze71z35zz__web_datez00(BgL_iportz00_417, 
(int)(((long)3)), 
(int)(((long)5))); 
BgL_d3z00_754 = 
BGl_thezd2substringze71z35zz__web_datez00(BgL_iportz00_417, 
(int)(((long)6)), 
(int)(((long)8))); 
{ /* Llib/date.scm 63 */
obj_t BgL_arg1878z00_755;
{ /* Llib/date.scm 63 */
obj_t BgL_arg1879z00_756;
BgL_arg1879z00_756 = 
MAKE_YOUNG_PAIR(BgL_d3z00_754, 
BGl_tza7zd2grammarze70z92zz__web_datez00(BgL_stringz00_3, BgL_ipz00_15)); 
BgL_arg1878z00_755 = 
MAKE_YOUNG_PAIR(BgL_d2z00_753, BgL_arg1879z00_756); } 
BgL_tmpz00_2298 = 
MAKE_YOUNG_PAIR(BgL_d1z00_752, BgL_arg1878z00_755); } } break;
default: 
BgL_tmpz00_2298 = 
BGl_errorz00zz__errorz00(BGl_string2416z00zz__web_datez00, BGl_string2417z00zz__web_datez00, 
BINT(BgL_matchz00_738)); } } } 
BgL_arg1645z00_371 = 
MAKE_YOUNG_PAIR(BgL_d3z00_369, BgL_tmpz00_2298); } 
BgL_arg1624z00_370 = 
MAKE_YOUNG_PAIR(BgL_d2z00_368, BgL_arg1645z00_371); } 
BgL_tmp1056z00_21 = 
MAKE_YOUNG_PAIR(BgL_d1z00_367, BgL_arg1624z00_370); } } break;
default: 
BgL_tmp1056z00_21 = 
BGl_errorz00zz__errorz00(BGl_string2416z00zz__web_datez00, BGl_string2417z00zz__web_datez00, 
BINT(BgL_matchz00_351)); } } } 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1054z00_19); 
bgl_close_input_port(BgL_ipz00_15); 
return BgL_tmp1056z00_21;} } } } } } } 

}



/* the-substring~0 */
obj_t BGl_thezd2substringze70z35zz__web_datez00(obj_t BgL_iportz00_1998, int BgL_minz00_955, int BgL_maxz00_956)
{
{ /* Llib/date.scm 79 */
if(
(
(long)(BgL_maxz00_956)<
(long)(BgL_minz00_955)))
{ /* Llib/date.scm 79 */
long BgL_arg1946z00_959;
{ /* Llib/date.scm 79 */
long BgL_res2144z00_1374;
BgL_res2144z00_1374 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_1998); 
BgL_arg1946z00_959 = BgL_res2144z00_1374; } 
{ /* Llib/date.scm 79 */
long BgL_za72za7_1376;
BgL_za72za7_1376 = 
(long)(BgL_maxz00_956); 
BgL_maxz00_956 = 
(int)(
(BgL_arg1946z00_959+BgL_za72za7_1376)); } }  else 
{ /* Llib/date.scm 79 */BFALSE; } 
{ /* Llib/date.scm 79 */
bool_t BgL_test2543z00_2537;
if(
(
(long)(BgL_minz00_955)>=((long)0)))
{ /* Llib/date.scm 79 */
if(
(
(long)(BgL_maxz00_956)>=
(long)(BgL_minz00_955)))
{ /* Llib/date.scm 79 */
long BgL_arg1955z00_970;
{ /* Llib/date.scm 79 */
long BgL_res2148z00_1384;
BgL_res2148z00_1384 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_1998); 
BgL_arg1955z00_970 = BgL_res2148z00_1384; } 
BgL_test2543z00_2537 = 
(
(long)(BgL_maxz00_956)<=BgL_arg1955z00_970); }  else 
{ /* Llib/date.scm 79 */
BgL_test2543z00_2537 = ((bool_t)0)
; } }  else 
{ /* Llib/date.scm 79 */
BgL_test2543z00_2537 = ((bool_t)0)
; } 
if(BgL_test2543z00_2537)
{ /* Llib/date.scm 79 */
return 
rgc_buffer_substring(BgL_iportz00_1998, 
(long)(BgL_minz00_955), 
(long)(BgL_maxz00_956));}  else 
{ /* Llib/date.scm 79 */
obj_t BgL_arg1951z00_964;obj_t BgL_arg1952z00_965;
{ /* Llib/date.scm 79 */
obj_t BgL_arg1953z00_966;
{ /* Llib/date.scm 79 */
obj_t BgL_res2153z00_1398;
{ /* Llib/date.scm 79 */
long BgL_arg1943z00_1392;
{ /* Llib/date.scm 79 */
long BgL_res2151z00_1394;
BgL_res2151z00_1394 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_1998); 
BgL_arg1943z00_1392 = BgL_res2151z00_1394; } 
BgL_res2153z00_1398 = 
rgc_buffer_substring(BgL_iportz00_1998, ((long)0), BgL_arg1943z00_1392); } 
BgL_arg1953z00_966 = BgL_res2153z00_1398; } 
{ /* Llib/date.scm 79 */
obj_t BgL_list1954z00_967;
BgL_list1954z00_967 = 
MAKE_YOUNG_PAIR(BgL_arg1953z00_966, BNIL); 
BgL_arg1951z00_964 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2418z00zz__web_datez00, BgL_list1954z00_967); } } 
BgL_arg1952z00_965 = 
MAKE_YOUNG_PAIR(
BINT(BgL_minz00_955), 
BINT(BgL_maxz00_956)); 
return 
BGl_errorz00zz__errorz00(BGl_string2419z00zz__web_datez00, BgL_arg1951z00_964, BgL_arg1952z00_965);} } } 

}



/* the-substring~1 */
obj_t BGl_thezd2substringze71z35zz__web_datez00(obj_t BgL_iportz00_1999, int BgL_minz00_631, int BgL_maxz00_632)
{
{ /* Llib/date.scm 57 */
if(
(
(long)(BgL_maxz00_632)<
(long)(BgL_minz00_631)))
{ /* Llib/date.scm 57 */
long BgL_arg1794z00_635;
{ /* Llib/date.scm 57 */
long BgL_res2258z00_1641;
BgL_res2258z00_1641 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_1999); 
BgL_arg1794z00_635 = BgL_res2258z00_1641; } 
{ /* Llib/date.scm 57 */
long BgL_za72za7_1643;
BgL_za72za7_1643 = 
(long)(BgL_maxz00_632); 
BgL_maxz00_632 = 
(int)(
(BgL_arg1794z00_635+BgL_za72za7_1643)); } }  else 
{ /* Llib/date.scm 57 */BFALSE; } 
{ /* Llib/date.scm 57 */
bool_t BgL_test2547z00_2567;
if(
(
(long)(BgL_minz00_631)>=((long)0)))
{ /* Llib/date.scm 57 */
if(
(
(long)(BgL_maxz00_632)>=
(long)(BgL_minz00_631)))
{ /* Llib/date.scm 57 */
long BgL_arg1803z00_646;
{ /* Llib/date.scm 57 */
long BgL_res2262z00_1651;
BgL_res2262z00_1651 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_1999); 
BgL_arg1803z00_646 = BgL_res2262z00_1651; } 
BgL_test2547z00_2567 = 
(
(long)(BgL_maxz00_632)<=BgL_arg1803z00_646); }  else 
{ /* Llib/date.scm 57 */
BgL_test2547z00_2567 = ((bool_t)0)
; } }  else 
{ /* Llib/date.scm 57 */
BgL_test2547z00_2567 = ((bool_t)0)
; } 
if(BgL_test2547z00_2567)
{ /* Llib/date.scm 57 */
return 
rgc_buffer_substring(BgL_iportz00_1999, 
(long)(BgL_minz00_631), 
(long)(BgL_maxz00_632));}  else 
{ /* Llib/date.scm 57 */
obj_t BgL_arg1799z00_640;obj_t BgL_arg1800z00_641;
{ /* Llib/date.scm 57 */
obj_t BgL_arg1801z00_642;
{ /* Llib/date.scm 57 */
obj_t BgL_res2267z00_1665;
{ /* Llib/date.scm 57 */
long BgL_arg1791z00_1659;
{ /* Llib/date.scm 57 */
long BgL_res2265z00_1661;
BgL_res2265z00_1661 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_1999); 
BgL_arg1791z00_1659 = BgL_res2265z00_1661; } 
BgL_res2267z00_1665 = 
rgc_buffer_substring(BgL_iportz00_1999, ((long)0), BgL_arg1791z00_1659); } 
BgL_arg1801z00_642 = BgL_res2267z00_1665; } 
{ /* Llib/date.scm 57 */
obj_t BgL_list1802z00_643;
BgL_list1802z00_643 = 
MAKE_YOUNG_PAIR(BgL_arg1801z00_642, BNIL); 
BgL_arg1799z00_640 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2418z00zz__web_datez00, BgL_list1802z00_643); } } 
BgL_arg1800z00_641 = 
MAKE_YOUNG_PAIR(
BINT(BgL_minz00_631), 
BINT(BgL_maxz00_632)); 
return 
BGl_errorz00zz__errorz00(BGl_string2419z00zz__web_datez00, BgL_arg1799z00_640, BgL_arg1800z00_641);} } } 

}



/* tz-grammar~0 */
obj_t BGl_tza7zd2grammarze70z92zz__web_datez00(obj_t BgL_stringz00_2000, obj_t BgL_iportz00_801)
{
{ /* Llib/date.scm 79 */
{ 
obj_t BgL_iportz00_839;long BgL_lastzd2matchzd2_840;long BgL_forwardz00_841;long BgL_bufposz00_842;obj_t BgL_iportz00_868;long BgL_lastzd2matchzd2_869;long BgL_forwardz00_870;long BgL_bufposz00_871;obj_t BgL_iportz00_883;long BgL_lastzd2matchzd2_884;long BgL_forwardz00_885;long BgL_bufposz00_886;obj_t BgL_iportz00_897;long BgL_lastzd2matchzd2_898;long BgL_forwardz00_899;long BgL_bufposz00_900;obj_t BgL_iportz00_909;long BgL_lastzd2matchzd2_910;long BgL_forwardz00_911;long BgL_bufposz00_912;obj_t BgL_iportz00_923;long BgL_lastzd2matchzd2_924;long BgL_forwardz00_925;long BgL_bufposz00_926;
{ /* Llib/date.scm 79 */
long BgL_res2155z00_1402;
BgL_res2155z00_1402 = 
RGC_START_MATCH(BgL_iportz00_801); BgL_res2155z00_1402; } 
{ /* Llib/date.scm 79 */
long BgL_matchz00_1062;
{ /* Llib/date.scm 79 */
long BgL_arg2037z00_1087;long BgL_arg2038z00_1088;
{ /* Llib/date.scm 79 */
long BgL_res2156z00_1404;
BgL_res2156z00_1404 = 
RGC_BUFFER_FORWARD(BgL_iportz00_801); 
BgL_arg2037z00_1087 = BgL_res2156z00_1404; } 
{ /* Llib/date.scm 79 */
long BgL_res2157z00_1406;
BgL_res2157z00_1406 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_801); 
BgL_arg2038z00_1088 = BgL_res2157z00_1406; } 
BgL_iportz00_839 = BgL_iportz00_801; 
BgL_lastzd2matchzd2_840 = ((long)2); 
BgL_forwardz00_841 = BgL_arg2037z00_1087; 
BgL_bufposz00_842 = BgL_arg2038z00_1088; 
BgL_zc3z04anonymousza31884ze3z87_843:
if(
(BgL_forwardz00_841==BgL_bufposz00_842))
{ /* Llib/date.scm 79 */
if(
rgc_fill_buffer(BgL_iportz00_839))
{ /* Llib/date.scm 79 */
long BgL_arg1887z00_846;long BgL_arg1888z00_847;
{ /* Llib/date.scm 79 */
long BgL_res2086z00_1231;
BgL_res2086z00_1231 = 
RGC_BUFFER_FORWARD(BgL_iportz00_839); 
BgL_arg1887z00_846 = BgL_res2086z00_1231; } 
{ /* Llib/date.scm 79 */
long BgL_res2087z00_1233;
BgL_res2087z00_1233 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_839); 
BgL_arg1888z00_847 = BgL_res2087z00_1233; } 
{ 
long BgL_bufposz00_2599;long BgL_forwardz00_2598;
BgL_forwardz00_2598 = BgL_arg1887z00_846; 
BgL_bufposz00_2599 = BgL_arg1888z00_847; 
BgL_bufposz00_842 = BgL_bufposz00_2599; 
BgL_forwardz00_841 = BgL_forwardz00_2598; 
goto BgL_zc3z04anonymousza31884ze3z87_843;} }  else 
{ /* Llib/date.scm 79 */
BgL_matchz00_1062 = BgL_lastzd2matchzd2_840; } }  else 
{ /* Llib/date.scm 79 */
int BgL_curz00_848;
{ /* Llib/date.scm 79 */
int BgL_res2088z00_1236;
BgL_res2088z00_1236 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_839, BgL_forwardz00_841); 
BgL_curz00_848 = BgL_res2088z00_1236; } 
{ /* Llib/date.scm 79 */

if(
(
(long)(BgL_curz00_848)==((long)90)))
{ /* Llib/date.scm 79 */
long BgL_arg1890z00_850;
BgL_arg1890z00_850 = 
(((long)1)+BgL_forwardz00_841); 
{ /* Llib/date.scm 79 */
long BgL_newzd2matchzd2_1241;
{ /* Llib/date.scm 79 */
long BgL_res2091z00_1244;
BgL_res2091z00_1244 = 
RGC_STOP_MATCH(BgL_iportz00_839, BgL_arg1890z00_850); BgL_res2091z00_1244; } 
BgL_newzd2matchzd2_1241 = ((long)0); 
BgL_matchz00_1062 = BgL_newzd2matchzd2_1241; } }  else 
{ /* Llib/date.scm 79 */
bool_t BgL_test2553z00_2606;
if(
(
(long)(BgL_curz00_848)==((long)43)))
{ /* Llib/date.scm 79 */
BgL_test2553z00_2606 = ((bool_t)1)
; }  else 
{ /* Llib/date.scm 79 */
BgL_test2553z00_2606 = 
(
(long)(BgL_curz00_848)==((long)45))
; } 
if(BgL_test2553z00_2606)
{ /* Llib/date.scm 79 */
BgL_iportz00_868 = BgL_iportz00_839; 
BgL_lastzd2matchzd2_869 = BgL_lastzd2matchzd2_840; 
BgL_forwardz00_870 = 
(((long)1)+BgL_forwardz00_841); 
BgL_bufposz00_871 = BgL_bufposz00_842; 
BgL_zc3z04anonymousza31897ze3z87_872:
{ /* Llib/date.scm 79 */
long BgL_newzd2matchzd2_873;
{ /* Llib/date.scm 79 */
long BgL_res2099z00_1267;
BgL_res2099z00_1267 = 
RGC_STOP_MATCH(BgL_iportz00_868, BgL_forwardz00_870); BgL_res2099z00_1267; } 
BgL_newzd2matchzd2_873 = ((long)2); 
if(
(BgL_forwardz00_870==BgL_bufposz00_871))
{ /* Llib/date.scm 79 */
if(
rgc_fill_buffer(BgL_iportz00_868))
{ /* Llib/date.scm 79 */
long BgL_arg1900z00_876;long BgL_arg1901z00_877;
{ /* Llib/date.scm 79 */
long BgL_res2102z00_1274;
BgL_res2102z00_1274 = 
RGC_BUFFER_FORWARD(BgL_iportz00_868); 
BgL_arg1900z00_876 = BgL_res2102z00_1274; } 
{ /* Llib/date.scm 79 */
long BgL_res2103z00_1276;
BgL_res2103z00_1276 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_868); 
BgL_arg1901z00_877 = BgL_res2103z00_1276; } 
{ 
long BgL_bufposz00_2620;long BgL_forwardz00_2619;
BgL_forwardz00_2619 = BgL_arg1900z00_876; 
BgL_bufposz00_2620 = BgL_arg1901z00_877; 
BgL_bufposz00_871 = BgL_bufposz00_2620; 
BgL_forwardz00_870 = BgL_forwardz00_2619; 
goto BgL_zc3z04anonymousza31897ze3z87_872;} }  else 
{ /* Llib/date.scm 79 */
BgL_matchz00_1062 = BgL_newzd2matchzd2_873; } }  else 
{ /* Llib/date.scm 79 */
int BgL_curz00_878;
{ /* Llib/date.scm 79 */
int BgL_res2104z00_1279;
BgL_res2104z00_1279 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_868, BgL_forwardz00_870); 
BgL_curz00_878 = BgL_res2104z00_1279; } 
{ /* Llib/date.scm 79 */

{ /* Llib/date.scm 79 */
bool_t BgL_test2557z00_2622;
if(
(
(long)(BgL_curz00_878)>=((long)48)))
{ /* Llib/date.scm 79 */
BgL_test2557z00_2622 = 
(
(long)(BgL_curz00_878)<((long)58))
; }  else 
{ /* Llib/date.scm 79 */
BgL_test2557z00_2622 = ((bool_t)0)
; } 
if(BgL_test2557z00_2622)
{ /* Llib/date.scm 79 */
BgL_iportz00_883 = BgL_iportz00_868; 
BgL_lastzd2matchzd2_884 = BgL_newzd2matchzd2_873; 
BgL_forwardz00_885 = 
(((long)1)+BgL_forwardz00_870); 
BgL_bufposz00_886 = BgL_bufposz00_871; 
BgL_zc3z04anonymousza31905ze3z87_887:
if(
(BgL_forwardz00_885==BgL_bufposz00_886))
{ /* Llib/date.scm 79 */
if(
rgc_fill_buffer(BgL_iportz00_883))
{ /* Llib/date.scm 79 */
long BgL_arg1908z00_890;long BgL_arg1909z00_891;
{ /* Llib/date.scm 79 */
long BgL_res2110z00_1292;
BgL_res2110z00_1292 = 
RGC_BUFFER_FORWARD(BgL_iportz00_883); 
BgL_arg1908z00_890 = BgL_res2110z00_1292; } 
{ /* Llib/date.scm 79 */
long BgL_res2111z00_1294;
BgL_res2111z00_1294 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_883); 
BgL_arg1909z00_891 = BgL_res2111z00_1294; } 
{ 
long BgL_bufposz00_2635;long BgL_forwardz00_2634;
BgL_forwardz00_2634 = BgL_arg1908z00_890; 
BgL_bufposz00_2635 = BgL_arg1909z00_891; 
BgL_bufposz00_886 = BgL_bufposz00_2635; 
BgL_forwardz00_885 = BgL_forwardz00_2634; 
goto BgL_zc3z04anonymousza31905ze3z87_887;} }  else 
{ /* Llib/date.scm 79 */
BgL_matchz00_1062 = BgL_lastzd2matchzd2_884; } }  else 
{ /* Llib/date.scm 79 */
int BgL_curz00_892;
{ /* Llib/date.scm 79 */
int BgL_res2112z00_1297;
BgL_res2112z00_1297 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_883, BgL_forwardz00_885); 
BgL_curz00_892 = BgL_res2112z00_1297; } 
{ /* Llib/date.scm 79 */

{ /* Llib/date.scm 79 */
bool_t BgL_test2561z00_2637;
if(
(
(long)(BgL_curz00_892)>=((long)48)))
{ /* Llib/date.scm 79 */
BgL_test2561z00_2637 = 
(
(long)(BgL_curz00_892)<((long)58))
; }  else 
{ /* Llib/date.scm 79 */
BgL_test2561z00_2637 = ((bool_t)0)
; } 
if(BgL_test2561z00_2637)
{ /* Llib/date.scm 79 */
BgL_iportz00_897 = BgL_iportz00_883; 
BgL_lastzd2matchzd2_898 = BgL_lastzd2matchzd2_884; 
BgL_forwardz00_899 = 
(((long)1)+BgL_forwardz00_885); 
BgL_bufposz00_900 = BgL_bufposz00_886; 
BgL_zc3z04anonymousza31913ze3z87_901:
if(
(BgL_forwardz00_899==BgL_bufposz00_900))
{ /* Llib/date.scm 79 */
if(
rgc_fill_buffer(BgL_iportz00_897))
{ /* Llib/date.scm 79 */
long BgL_arg1916z00_904;long BgL_arg1917z00_905;
{ /* Llib/date.scm 79 */
long BgL_res2118z00_1310;
BgL_res2118z00_1310 = 
RGC_BUFFER_FORWARD(BgL_iportz00_897); 
BgL_arg1916z00_904 = BgL_res2118z00_1310; } 
{ /* Llib/date.scm 79 */
long BgL_res2119z00_1312;
BgL_res2119z00_1312 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_897); 
BgL_arg1917z00_905 = BgL_res2119z00_1312; } 
{ 
long BgL_bufposz00_2650;long BgL_forwardz00_2649;
BgL_forwardz00_2649 = BgL_arg1916z00_904; 
BgL_bufposz00_2650 = BgL_arg1917z00_905; 
BgL_bufposz00_900 = BgL_bufposz00_2650; 
BgL_forwardz00_899 = BgL_forwardz00_2649; 
goto BgL_zc3z04anonymousza31913ze3z87_901;} }  else 
{ /* Llib/date.scm 79 */
BgL_matchz00_1062 = BgL_lastzd2matchzd2_898; } }  else 
{ /* Llib/date.scm 79 */
int BgL_curz00_906;
{ /* Llib/date.scm 79 */
int BgL_res2120z00_1315;
BgL_res2120z00_1315 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_897, BgL_forwardz00_899); 
BgL_curz00_906 = BgL_res2120z00_1315; } 
{ /* Llib/date.scm 79 */

if(
(
(long)(BgL_curz00_906)==((long)58)))
{ /* Llib/date.scm 79 */
BgL_iportz00_909 = BgL_iportz00_897; 
BgL_lastzd2matchzd2_910 = BgL_lastzd2matchzd2_898; 
BgL_forwardz00_911 = 
(((long)1)+BgL_forwardz00_899); 
BgL_bufposz00_912 = BgL_bufposz00_900; 
BgL_zc3z04anonymousza31920ze3z87_913:
if(
(BgL_forwardz00_911==BgL_bufposz00_912))
{ /* Llib/date.scm 79 */
if(
rgc_fill_buffer(BgL_iportz00_909))
{ /* Llib/date.scm 79 */
long BgL_arg1923z00_916;long BgL_arg1924z00_917;
{ /* Llib/date.scm 79 */
long BgL_res2125z00_1326;
BgL_res2125z00_1326 = 
RGC_BUFFER_FORWARD(BgL_iportz00_909); 
BgL_arg1923z00_916 = BgL_res2125z00_1326; } 
{ /* Llib/date.scm 79 */
long BgL_res2126z00_1328;
BgL_res2126z00_1328 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_909); 
BgL_arg1924z00_917 = BgL_res2126z00_1328; } 
{ 
long BgL_bufposz00_2662;long BgL_forwardz00_2661;
BgL_forwardz00_2661 = BgL_arg1923z00_916; 
BgL_bufposz00_2662 = BgL_arg1924z00_917; 
BgL_bufposz00_912 = BgL_bufposz00_2662; 
BgL_forwardz00_911 = BgL_forwardz00_2661; 
goto BgL_zc3z04anonymousza31920ze3z87_913;} }  else 
{ /* Llib/date.scm 79 */
BgL_matchz00_1062 = BgL_lastzd2matchzd2_910; } }  else 
{ /* Llib/date.scm 79 */
int BgL_curz00_918;
{ /* Llib/date.scm 79 */
int BgL_res2127z00_1331;
BgL_res2127z00_1331 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_909, BgL_forwardz00_911); 
BgL_curz00_918 = BgL_res2127z00_1331; } 
{ /* Llib/date.scm 79 */

{ /* Llib/date.scm 79 */
bool_t BgL_test2568z00_2664;
if(
(
(long)(BgL_curz00_918)>=((long)48)))
{ /* Llib/date.scm 79 */
BgL_test2568z00_2664 = 
(
(long)(BgL_curz00_918)<((long)58))
; }  else 
{ /* Llib/date.scm 79 */
BgL_test2568z00_2664 = ((bool_t)0)
; } 
if(BgL_test2568z00_2664)
{ /* Llib/date.scm 79 */
BgL_iportz00_923 = BgL_iportz00_909; 
BgL_lastzd2matchzd2_924 = BgL_lastzd2matchzd2_910; 
BgL_forwardz00_925 = 
(((long)1)+BgL_forwardz00_911); 
BgL_bufposz00_926 = BgL_bufposz00_912; 
BgL_zc3z04anonymousza31928ze3z87_927:
if(
(BgL_forwardz00_925==BgL_bufposz00_926))
{ /* Llib/date.scm 79 */
if(
rgc_fill_buffer(BgL_iportz00_923))
{ /* Llib/date.scm 79 */
long BgL_arg1931z00_930;long BgL_arg1932z00_931;
{ /* Llib/date.scm 79 */
long BgL_res2133z00_1344;
BgL_res2133z00_1344 = 
RGC_BUFFER_FORWARD(BgL_iportz00_923); 
BgL_arg1931z00_930 = BgL_res2133z00_1344; } 
{ /* Llib/date.scm 79 */
long BgL_res2134z00_1346;
BgL_res2134z00_1346 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_923); 
BgL_arg1932z00_931 = BgL_res2134z00_1346; } 
{ 
long BgL_bufposz00_2677;long BgL_forwardz00_2676;
BgL_forwardz00_2676 = BgL_arg1931z00_930; 
BgL_bufposz00_2677 = BgL_arg1932z00_931; 
BgL_bufposz00_926 = BgL_bufposz00_2677; 
BgL_forwardz00_925 = BgL_forwardz00_2676; 
goto BgL_zc3z04anonymousza31928ze3z87_927;} }  else 
{ /* Llib/date.scm 79 */
BgL_matchz00_1062 = BgL_lastzd2matchzd2_924; } }  else 
{ /* Llib/date.scm 79 */
int BgL_curz00_932;
{ /* Llib/date.scm 79 */
int BgL_res2135z00_1349;
BgL_res2135z00_1349 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_923, BgL_forwardz00_925); 
BgL_curz00_932 = BgL_res2135z00_1349; } 
{ /* Llib/date.scm 79 */

{ /* Llib/date.scm 79 */
bool_t BgL_test2572z00_2679;
if(
(
(long)(BgL_curz00_932)>=((long)48)))
{ /* Llib/date.scm 79 */
BgL_test2572z00_2679 = 
(
(long)(BgL_curz00_932)<((long)58))
; }  else 
{ /* Llib/date.scm 79 */
BgL_test2572z00_2679 = ((bool_t)0)
; } 
if(BgL_test2572z00_2679)
{ /* Llib/date.scm 79 */
long BgL_arg1935z00_935;
BgL_arg1935z00_935 = 
(((long)1)+BgL_forwardz00_925); 
{ /* Llib/date.scm 79 */
long BgL_newzd2matchzd2_1356;
{ /* Llib/date.scm 79 */
long BgL_res2139z00_1359;
BgL_res2139z00_1359 = 
RGC_STOP_MATCH(BgL_iportz00_923, BgL_arg1935z00_935); BgL_res2139z00_1359; } 
BgL_newzd2matchzd2_1356 = ((long)1); 
BgL_matchz00_1062 = BgL_newzd2matchzd2_1356; } }  else 
{ /* Llib/date.scm 79 */
BgL_matchz00_1062 = BgL_lastzd2matchzd2_924; } } } } }  else 
{ /* Llib/date.scm 79 */
BgL_matchz00_1062 = BgL_lastzd2matchzd2_910; } } } } }  else 
{ /* Llib/date.scm 79 */
BgL_matchz00_1062 = BgL_lastzd2matchzd2_898; } } } }  else 
{ /* Llib/date.scm 79 */
BgL_matchz00_1062 = BgL_lastzd2matchzd2_884; } } } } }  else 
{ /* Llib/date.scm 79 */
BgL_matchz00_1062 = BgL_newzd2matchzd2_873; } } } } } }  else 
{ /* Llib/date.scm 79 */
long BgL_arg1894z00_854;
BgL_arg1894z00_854 = 
(((long)1)+BgL_forwardz00_841); 
{ /* Llib/date.scm 79 */
long BgL_newzd2matchzd2_1253;
{ /* Llib/date.scm 79 */
long BgL_res2096z00_1256;
BgL_res2096z00_1256 = 
RGC_STOP_MATCH(BgL_iportz00_839, BgL_arg1894z00_854); BgL_res2096z00_1256; } 
BgL_newzd2matchzd2_1253 = ((long)2); 
BgL_matchz00_1062 = BgL_newzd2matchzd2_1253; } } } } } } 
RGC_SET_FILEPOS(BgL_iportz00_801); 
switch( BgL_matchz00_1062) { case ((long)2) : 

return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)0)), BGl_string2415z00zz__web_datez00, BgL_stringz00_2000);break;case ((long)1) : 

{ /* Llib/date.scm 82 */
long BgL_sz00_1066;obj_t BgL_hz00_1067;obj_t BgL_mz00_1068;
if(
bigloo_strcmp(
BGl_thezd2substringze70z35zz__web_datez00(BgL_iportz00_801, 
(int)(((long)0)), 
(int)(((long)1))), BGl_string2420z00zz__web_datez00))
{ /* Llib/date.scm 82 */
BgL_sz00_1066 = ((long)1); }  else 
{ /* Llib/date.scm 82 */
BgL_sz00_1066 = ((long)-1); } 
{ /* Llib/date.scm 83 */
obj_t BgL_arg2035z00_1081;
BgL_arg2035z00_1081 = 
BGl_thezd2substringze70z35zz__web_datez00(BgL_iportz00_801, 
(int)(((long)1)), 
(int)(((long)3))); 
{ /* Llib/date.scm 83 */

BgL_hz00_1067 = 
BGl_stringzd2ze3numberz31zz__r4_numbers_6_5z00(BgL_arg2035z00_1081, 
BINT(((long)10))); } } 
{ /* Llib/date.scm 84 */
obj_t BgL_arg2036z00_1084;
BgL_arg2036z00_1084 = 
BGl_thezd2substringze70z35zz__web_datez00(BgL_iportz00_801, 
(int)(((long)4)), 
(int)(((long)6))); 
{ /* Llib/date.scm 84 */

BgL_mz00_1068 = 
BGl_stringzd2ze3numberz31zz__r4_numbers_6_5z00(BgL_arg2036z00_1084, 
BINT(((long)10))); } } 
{ /* Llib/date.scm 85 */
obj_t BgL_arg2025z00_1069;
{ /* Llib/date.scm 85 */

{ /* Llib/date.scm 85 */
obj_t BgL_auxz00_2712;
{ /* Llib/date.scm 85 */
obj_t BgL_auxz00_2713;
{ /* Llib/date.scm 85 */
obj_t BgL_auxz00_2715;
{ /* Llib/date.scm 85 */
obj_t BgL_auxz00_2717;
if(
INTEGERP(BgL_hz00_1067))
{ /* Llib/date.scm 85 */
BgL_auxz00_2717 = 
BINT(
(
(long)CINT(BgL_hz00_1067)*((long)60)))
; }  else 
{ /* Llib/date.scm 85 */
BgL_auxz00_2717 = 
BGl_2za2za2zz__r4_numbers_6_5z00(BgL_hz00_1067, 
BINT(((long)60)))
; } 
BgL_auxz00_2715 = 
BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_mz00_1068, BgL_auxz00_2717); } 
BgL_auxz00_2713 = 
BGl_2za2za2zz__r4_numbers_6_5z00(
BINT(((long)60)), BgL_auxz00_2715); } 
BgL_auxz00_2712 = 
BGl_2za2za2zz__r4_numbers_6_5z00(
BINT(BgL_sz00_1066), BgL_auxz00_2713); } 
BgL_arg2025z00_1069 = 
BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(BgL_auxz00_2712, 
BINT(((long)10))); } } 
{ /* Llib/date.scm 85 */
obj_t BgL_list2026z00_1070;
BgL_list2026z00_1070 = 
MAKE_YOUNG_PAIR(BgL_arg2025z00_1069, BNIL); 
return BgL_list2026z00_1070;} } } break;case ((long)0) : 

return BNIL;break;
default: 
return 
BGl_errorz00zz__errorz00(BGl_string2416z00zz__web_datez00, BGl_string2417z00zz__web_datez00, 
BINT(BgL_matchz00_1062));} } } } 

}



/* the-substring~2 */
obj_t BGl_thezd2substringze72z35zz__web_datez00(obj_t BgL_iportz00_2001, int BgL_minz00_244, int BgL_maxz00_245)
{
{ /* Llib/date.scm 38 */
if(
(
(long)(BgL_maxz00_245)<
(long)(BgL_minz00_244)))
{ /* Llib/date.scm 38 */
long BgL_arg1194z00_248;
{ /* Llib/date.scm 38 */
long BgL_res2369z00_1907;
BgL_res2369z00_1907 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_2001); 
BgL_arg1194z00_248 = BgL_res2369z00_1907; } 
{ /* Llib/date.scm 38 */
long BgL_za72za7_1909;
BgL_za72za7_1909 = 
(long)(BgL_maxz00_245); 
BgL_maxz00_245 = 
(int)(
(BgL_arg1194z00_248+BgL_za72za7_1909)); } }  else 
{ /* Llib/date.scm 38 */BFALSE; } 
{ /* Llib/date.scm 38 */
bool_t BgL_test2577z00_2742;
if(
(
(long)(BgL_minz00_244)>=((long)0)))
{ /* Llib/date.scm 38 */
if(
(
(long)(BgL_maxz00_245)>=
(long)(BgL_minz00_244)))
{ /* Llib/date.scm 38 */
long BgL_arg1205z00_259;
{ /* Llib/date.scm 38 */
long BgL_res2373z00_1917;
BgL_res2373z00_1917 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_2001); 
BgL_arg1205z00_259 = BgL_res2373z00_1917; } 
BgL_test2577z00_2742 = 
(
(long)(BgL_maxz00_245)<=BgL_arg1205z00_259); }  else 
{ /* Llib/date.scm 38 */
BgL_test2577z00_2742 = ((bool_t)0)
; } }  else 
{ /* Llib/date.scm 38 */
BgL_test2577z00_2742 = ((bool_t)0)
; } 
if(BgL_test2577z00_2742)
{ /* Llib/date.scm 38 */
return 
rgc_buffer_substring(BgL_iportz00_2001, 
(long)(BgL_minz00_244), 
(long)(BgL_maxz00_245));}  else 
{ /* Llib/date.scm 38 */
obj_t BgL_arg1201z00_253;obj_t BgL_arg1202z00_254;
{ /* Llib/date.scm 38 */
obj_t BgL_arg1203z00_255;
{ /* Llib/date.scm 38 */
obj_t BgL_res2378z00_1931;
{ /* Llib/date.scm 38 */
long BgL_arg1182z00_1925;
{ /* Llib/date.scm 38 */
long BgL_res2376z00_1927;
BgL_res2376z00_1927 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_2001); 
BgL_arg1182z00_1925 = BgL_res2376z00_1927; } 
BgL_res2378z00_1931 = 
rgc_buffer_substring(BgL_iportz00_2001, ((long)0), BgL_arg1182z00_1925); } 
BgL_arg1203z00_255 = BgL_res2378z00_1931; } 
{ /* Llib/date.scm 38 */
obj_t BgL_list1204z00_256;
BgL_list1204z00_256 = 
MAKE_YOUNG_PAIR(BgL_arg1203z00_255, BNIL); 
BgL_arg1201z00_253 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2418z00zz__web_datez00, BgL_list1204z00_256); } } 
BgL_arg1202z00_254 = 
MAKE_YOUNG_PAIR(
BINT(BgL_minz00_244), 
BINT(BgL_maxz00_245)); 
return 
BGl_errorz00zz__errorz00(BGl_string2419z00zz__web_datez00, BgL_arg1201z00_253, BgL_arg1202z00_254);} } } 

}



/* &<@anonymous:1064> */
obj_t BGl_z62zc3z04anonymousza31064ze3ze5zz__web_datez00(obj_t BgL_envz00_1982)
{
{ /* Llib/date.scm 91 */
{ /* Llib/date.scm 93 */
obj_t BgL_ipz00_1983;
BgL_ipz00_1983 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1982, 
(int)(((long)0)))); 
return 
bgl_close_input_port(BgL_ipz00_1983);} } 

}



/* w3c-datetime->date */
BGL_EXPORTED_DEF obj_t BGl_w3czd2datetimezd2ze3dateze3zz__web_datez00(obj_t BgL_stringz00_4)
{
{ /* Llib/date.scm 98 */
{ /* Llib/date.scm 99 */
obj_t BgL_g1058z00_1130;obj_t BgL_g1059z00_1131;
BgL_g1058z00_1130 = 
BGl_w3czd2datetimezd2parsez00zz__web_datez00(BgL_stringz00_4); 
BgL_g1059z00_1131 = 
CNST_TABLE_REF(((long)1)); 
{ 
obj_t BgL_mergez00_1133;obj_t BgL_l1z00_1134;obj_t BgL_l2z00_1135;
BgL_mergez00_1133 = BNIL; 
BgL_l1z00_1134 = BgL_g1058z00_1130; 
BgL_l2z00_1135 = BgL_g1059z00_1131; 
BgL_zc3z04anonymousza32039ze3z87_1136:
{ /* Llib/date.scm 103 */
bool_t BgL_test2580z00_2770;
if(
NULLP(BgL_l1z00_1134))
{ /* Llib/date.scm 103 */
BgL_test2580z00_2770 = ((bool_t)1)
; }  else 
{ /* Llib/date.scm 103 */
BgL_test2580z00_2770 = 
NULLP(BgL_l2z00_1135)
; } 
if(BgL_test2580z00_2770)
{ /* Llib/date.scm 103 */
return 
apply(BGl_makezd2datezd2envz00zz__datez00, 
bgl_reverse_bang(BgL_mergez00_1133));}  else 
{ /* Llib/date.scm 103 */
if(
CBOOL(
CAR(
((obj_t)BgL_l1z00_1134))))
{ /* Llib/date.scm 107 */
obj_t BgL_arg2043z00_1140;obj_t BgL_arg2044z00_1141;obj_t BgL_arg2045z00_1142;
{ /* Llib/date.scm 107 */
obj_t BgL_arg2046z00_1143;obj_t BgL_arg2047z00_1144;
{ /* Llib/date.scm 107 */

BgL_arg2046z00_1143 = 
BGl_stringzd2ze3numberz31zz__r4_numbers_6_5z00(
CAR(
((obj_t)BgL_l1z00_1134)), 
BINT(((long)10))); } 
{ /* Llib/date.scm 107 */
obj_t BgL_arg2049z00_1148;
BgL_arg2049z00_1148 = 
CAR(
((obj_t)BgL_l2z00_1135)); 
BgL_arg2047z00_1144 = 
MAKE_YOUNG_PAIR(BgL_arg2049z00_1148, BgL_mergez00_1133); } 
BgL_arg2043z00_1140 = 
MAKE_YOUNG_PAIR(BgL_arg2046z00_1143, BgL_arg2047z00_1144); } 
BgL_arg2044z00_1141 = 
CDR(
((obj_t)BgL_l1z00_1134)); 
BgL_arg2045z00_1142 = 
CDR(
((obj_t)BgL_l2z00_1135)); 
{ 
obj_t BgL_l2z00_2795;obj_t BgL_l1z00_2794;obj_t BgL_mergez00_2793;
BgL_mergez00_2793 = BgL_arg2043z00_1140; 
BgL_l1z00_2794 = BgL_arg2044z00_1141; 
BgL_l2z00_2795 = BgL_arg2045z00_1142; 
BgL_l2z00_1135 = BgL_l2z00_2795; 
BgL_l1z00_1134 = BgL_l1z00_2794; 
BgL_mergez00_1133 = BgL_mergez00_2793; 
goto BgL_zc3z04anonymousza32039ze3z87_1136;} }  else 
{ /* Llib/date.scm 110 */
obj_t BgL_arg2050z00_1149;obj_t BgL_arg2051z00_1150;
BgL_arg2050z00_1149 = 
CDR(
((obj_t)BgL_l1z00_1134)); 
BgL_arg2051z00_1150 = 
CDR(
((obj_t)BgL_l2z00_1135)); 
{ 
obj_t BgL_l2z00_2801;obj_t BgL_l1z00_2800;
BgL_l1z00_2800 = BgL_arg2050z00_1149; 
BgL_l2z00_2801 = BgL_arg2051z00_1150; 
BgL_l2z00_1135 = BgL_l2z00_2801; 
BgL_l1z00_1134 = BgL_l1z00_2800; 
goto BgL_zc3z04anonymousza32039ze3z87_1136;} } } } } } } 

}



/* &w3c-datetime->date */
obj_t BGl_z62w3czd2datetimezd2ze3datez81zz__web_datez00(obj_t BgL_envz00_1984, obj_t BgL_stringz00_1985)
{
{ /* Llib/date.scm 98 */
{ /* Llib/date.scm 99 */
obj_t BgL_auxz00_2802;
if(
STRINGP(BgL_stringz00_1985))
{ /* Llib/date.scm 99 */
BgL_auxz00_2802 = BgL_stringz00_1985
; }  else 
{ 
obj_t BgL_auxz00_2805;
BgL_auxz00_2805 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2421z00zz__web_datez00, 
BINT(((long)4347)), BGl_string2422z00zz__web_datez00, BGl_string2423z00zz__web_datez00, BgL_stringz00_1985); 
FAILURE(BgL_auxz00_2805,BFALSE,BFALSE);} 
return 
BGl_w3czd2datetimezd2ze3dateze3zz__web_datez00(BgL_auxz00_2802);} } 

}



/* date->w3c-datetime */
BGL_EXPORTED_DEF obj_t BGl_datezd2ze3w3czd2datetimeze3zz__web_datez00(obj_t BgL_datez00_5)
{
{ /* Llib/date.scm 115 */
{ /* Llib/date.scm 116 */
obj_t BgL_yrz00_1153;obj_t BgL_moz00_1154;obj_t BgL_dyz00_1155;obj_t BgL_hrz00_1156;obj_t BgL_miz00_1157;obj_t BgL_sez00_1158;long BgL_dstz00_1159;long BgL_tza7za7_1160;
{ /* Llib/date.scm 116 */
int BgL_arg2074z00_1193;
{ /* Llib/date.scm 116 */
int BgL_res2388z00_1956;
BgL_res2388z00_1956 = 
BGL_DATE_YEAR(BgL_datez00_5); 
BgL_arg2074z00_1193 = BgL_res2388z00_1956; } 
{ /* Llib/date.scm 116 */

BgL_yrz00_1153 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
(long)(BgL_arg2074z00_1193), ((long)10)); } } 
{ /* Llib/date.scm 117 */
int BgL_arg2075z00_1196;
{ /* Llib/date.scm 117 */
int BgL_res2389z00_1958;
BgL_res2389z00_1958 = 
BGL_DATE_MONTH(BgL_datez00_5); 
BgL_arg2075z00_1196 = BgL_res2389z00_1958; } 
{ /* Llib/date.scm 117 */

BgL_moz00_1154 = 
BGl_integerzd2ze3stringzf2paddingzc3zz__r4_numbers_6_5_fixnumz00(
(long)(BgL_arg2075z00_1196), ((long)2), ((long)10)); } } 
{ /* Llib/date.scm 118 */
int BgL_arg2076z00_1200;
{ /* Llib/date.scm 118 */
int BgL_res2390z00_1960;
BgL_res2390z00_1960 = 
BGL_DATE_DAY(BgL_datez00_5); 
BgL_arg2076z00_1200 = BgL_res2390z00_1960; } 
{ /* Llib/date.scm 118 */

BgL_dyz00_1155 = 
BGl_integerzd2ze3stringzf2paddingzc3zz__r4_numbers_6_5_fixnumz00(
(long)(BgL_arg2076z00_1200), ((long)2), ((long)10)); } } 
{ /* Llib/date.scm 119 */
int BgL_arg2077z00_1204;
{ /* Llib/date.scm 119 */
int BgL_res2391z00_1962;
BgL_res2391z00_1962 = 
BGL_DATE_HOUR(BgL_datez00_5); 
BgL_arg2077z00_1204 = BgL_res2391z00_1962; } 
{ /* Llib/date.scm 119 */

BgL_hrz00_1156 = 
BGl_integerzd2ze3stringzf2paddingzc3zz__r4_numbers_6_5_fixnumz00(
(long)(BgL_arg2077z00_1204), ((long)2), ((long)10)); } } 
{ /* Llib/date.scm 120 */
int BgL_arg2078z00_1208;
{ /* Llib/date.scm 120 */
int BgL_res2392z00_1964;
BgL_res2392z00_1964 = 
BGL_DATE_MINUTE(BgL_datez00_5); 
BgL_arg2078z00_1208 = BgL_res2392z00_1964; } 
{ /* Llib/date.scm 120 */

BgL_miz00_1157 = 
BGl_integerzd2ze3stringzf2paddingzc3zz__r4_numbers_6_5_fixnumz00(
(long)(BgL_arg2078z00_1208), ((long)2), ((long)10)); } } 
{ /* Llib/date.scm 121 */
int BgL_arg2079z00_1212;
{ /* Llib/date.scm 121 */
int BgL_res2393z00_1966;
BgL_res2393z00_1966 = 
BGL_DATE_SECOND(BgL_datez00_5); 
BgL_arg2079z00_1212 = BgL_res2393z00_1966; } 
{ /* Llib/date.scm 121 */

BgL_sez00_1158 = 
BGl_integerzd2ze3stringzf2paddingzc3zz__r4_numbers_6_5_fixnumz00(
(long)(BgL_arg2079z00_1212), ((long)2), ((long)10)); } } 
{ /* Llib/date.scm 122 */
int BgL_dstz00_1216;
{ /* Llib/date.scm 122 */
int BgL_res2394z00_1968;
BgL_res2394z00_1968 = 
BGL_DATE_ISDST(BgL_datez00_5); 
BgL_dstz00_1216 = BgL_res2394z00_1968; } 
if(
(
(long)(BgL_dstz00_1216)<((long)0)))
{ /* Llib/date.scm 122 */
BgL_dstz00_1159 = ((long)0); }  else 
{ /* Llib/date.scm 122 */
BgL_dstz00_1159 = 
(long)(BgL_dstz00_1216); } } 
{ /* Llib/date.scm 123 */
long BgL_res2397z00_1973;
BgL_res2397z00_1973 = 
BGL_DATE_TIMEZONE(BgL_datez00_5); 
BgL_tza7za7_1160 = BgL_res2397z00_1973; } 
{ /* Llib/date.scm 126 */
obj_t BgL_arg2052z00_1161;
{ /* Llib/date.scm 126 */
obj_t BgL_hz00_1169;obj_t BgL_mz00_1170;
{ /* Llib/date.scm 127 */
obj_t BgL_arg2068z00_1181;
{ /* Llib/date.scm 127 */
obj_t BgL_arg2069z00_1185;
{ /* Llib/date.scm 127 */
long BgL_arg2070z00_1186;
if(
(BgL_tza7za7_1160<((long)0)))
{ /* Llib/date.scm 127 */
BgL_arg2070z00_1186 = 
NEG(BgL_tza7za7_1160); }  else 
{ /* Llib/date.scm 127 */
BgL_arg2070z00_1186 = BgL_tza7za7_1160; } 
BgL_arg2069z00_1185 = 
BGl_quotientz00zz__r4_numbers_6_5_fixnumz00(
BINT(BgL_arg2070z00_1186), 
BINT(((long)3600))); } 
BgL_arg2068z00_1181 = 
BGl_2zb2zb2zz__r4_numbers_6_5z00(
BINT(BgL_dstz00_1159), BgL_arg2069z00_1185); } 
{ /* Llib/date.scm 126 */

BgL_hz00_1169 = 
BGl_integerzd2ze3stringzf2paddingzc3zz__r4_numbers_6_5_fixnumz00(
(long)CINT(BgL_arg2068z00_1181), ((long)2), ((long)10)); } } 
{ /* Llib/date.scm 129 */
obj_t BgL_arg2071z00_1187;
{ /* Llib/date.scm 129 */
obj_t BgL_arg2072z00_1191;
{ /* Llib/date.scm 129 */
long BgL_arg2073z00_1192;
if(
(BgL_tza7za7_1160<((long)0)))
{ /* Llib/date.scm 129 */
BgL_arg2073z00_1192 = 
NEG(BgL_tza7za7_1160); }  else 
{ /* Llib/date.scm 129 */
BgL_arg2073z00_1192 = BgL_tza7za7_1160; } 
BgL_arg2072z00_1191 = 
BGl_remainderz00zz__r4_numbers_6_5_fixnumz00(
BINT(BgL_arg2073z00_1192), 
BINT(((long)3600))); } 
BgL_arg2071z00_1187 = 
BGl_quotientz00zz__r4_numbers_6_5_fixnumz00(BgL_arg2072z00_1191, 
BINT(((long)60))); } 
{ /* Llib/date.scm 128 */

BgL_mz00_1170 = 
BGl_integerzd2ze3stringzf2paddingzc3zz__r4_numbers_6_5_fixnumz00(
(long)CINT(BgL_arg2071z00_1187), ((long)2), ((long)10)); } } 
if(
(BgL_tza7za7_1160<((long)0)))
{ /* Llib/date.scm 141 */
obj_t BgL_list2062z00_1173;
{ /* Llib/date.scm 141 */
obj_t BgL_arg2063z00_1174;
BgL_arg2063z00_1174 = 
MAKE_YOUNG_PAIR(BgL_mz00_1170, BNIL); 
BgL_list2062z00_1173 = 
MAKE_YOUNG_PAIR(BgL_hz00_1169, BgL_arg2063z00_1174); } 
BgL_arg2052z00_1161 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2424z00zz__web_datez00, BgL_list2062z00_1173); }  else 
{ /* Llib/date.scm 141 */
if(
(BgL_tza7za7_1160>((long)0)))
{ /* Llib/date.scm 142 */
obj_t BgL_list2066z00_1177;
{ /* Llib/date.scm 142 */
obj_t BgL_arg2067z00_1178;
BgL_arg2067z00_1178 = 
MAKE_YOUNG_PAIR(BgL_mz00_1170, BNIL); 
BgL_list2066z00_1177 = 
MAKE_YOUNG_PAIR(BgL_hz00_1169, BgL_arg2067z00_1178); } 
BgL_arg2052z00_1161 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2425z00zz__web_datez00, BgL_list2066z00_1177); }  else 
{ /* Llib/date.scm 142 */
BgL_arg2052z00_1161 = 
BCHAR(((unsigned char)'Z')); } } } 
{ /* Llib/date.scm 124 */
obj_t BgL_list2053z00_1162;
{ /* Llib/date.scm 124 */
obj_t BgL_arg2054z00_1163;
{ /* Llib/date.scm 124 */
obj_t BgL_arg2055z00_1164;
{ /* Llib/date.scm 124 */
obj_t BgL_arg2056z00_1165;
{ /* Llib/date.scm 124 */
obj_t BgL_arg2057z00_1166;
{ /* Llib/date.scm 124 */
obj_t BgL_arg2058z00_1167;
{ /* Llib/date.scm 124 */
obj_t BgL_arg2059z00_1168;
BgL_arg2059z00_1168 = 
MAKE_YOUNG_PAIR(BgL_arg2052z00_1161, BNIL); 
BgL_arg2058z00_1167 = 
MAKE_YOUNG_PAIR(BgL_sez00_1158, BgL_arg2059z00_1168); } 
BgL_arg2057z00_1166 = 
MAKE_YOUNG_PAIR(BgL_miz00_1157, BgL_arg2058z00_1167); } 
BgL_arg2056z00_1165 = 
MAKE_YOUNG_PAIR(BgL_hrz00_1156, BgL_arg2057z00_1166); } 
BgL_arg2055z00_1164 = 
MAKE_YOUNG_PAIR(BgL_dyz00_1155, BgL_arg2056z00_1165); } 
BgL_arg2054z00_1163 = 
MAKE_YOUNG_PAIR(BgL_moz00_1154, BgL_arg2055z00_1164); } 
BgL_list2053z00_1162 = 
MAKE_YOUNG_PAIR(BgL_yrz00_1153, BgL_arg2054z00_1163); } 
return 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2426z00zz__web_datez00, BgL_list2053z00_1162);} } } } 

}



/* &date->w3c-datetime */
obj_t BGl_z62datezd2ze3w3czd2datetimez81zz__web_datez00(obj_t BgL_envz00_1996, obj_t BgL_datez00_1997)
{
{ /* Llib/date.scm 115 */
{ /* Llib/date.scm 116 */
obj_t BgL_auxz00_2873;
if(
BGL_DATEP(BgL_datez00_1997))
{ /* Llib/date.scm 116 */
BgL_auxz00_2873 = BgL_datez00_1997
; }  else 
{ 
obj_t BgL_auxz00_2876;
BgL_auxz00_2876 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2421z00zz__web_datez00, 
BINT(((long)4977)), BGl_string2427z00zz__web_datez00, BGl_string2428z00zz__web_datez00, BgL_datez00_1997); 
FAILURE(BgL_auxz00_2876,BFALSE,BFALSE);} 
return 
BGl_datezd2ze3w3czd2datetimeze3zz__web_datez00(BgL_auxz00_2873);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__web_datez00()
{
{ /* Llib/date.scm 18 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__web_datez00()
{
{ /* Llib/date.scm 18 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__web_datez00()
{
{ /* Llib/date.scm 18 */
return BUNSPEC;} 

}

#ifdef __cplusplus
}
#endif
