/*===========================================================================*/
/*   (Translate/ident.scm)                                                   */
/*   Bigloo (4.3h)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue 12 May 2020 08:36:09 AM CEST    */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.3h/bin/bigloo -lib-dir /builddir/build/BUILD/bigloo-4.3h/lib/bigloo/4.3h -afile .afile -O2 -rm -fsharing -unsafe -c Translate/ident.scm -o Translate/ident.o) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
extern obj_t BGl_za2identzd2styleza2zd2zzengine_paramz00;
static obj_t BGl_objectzd2initzd2zztranslate_identz00();
BGL_EXPORTED_DECL obj_t BGl_identzd2ze3identz31zztranslate_identz00(obj_t);
static obj_t BGl_methodzd2initzd2zztranslate_identz00();
static obj_t BGl_identzd2ze3schemezd2identze3zztranslate_identz00(obj_t);
static obj_t BGl_gczd2rootszd2initz00zztranslate_identz00();
static obj_t BGl_z62identzd2ze3identz53zztranslate_identz00(obj_t, obj_t);
BGL_IMPORT obj_t c_substring(obj_t, long, long);
static obj_t BGl_requirezd2initializa7ationz75zztranslate_identz00 = BUNSPEC;
static obj_t BGl_genericzd2initzd2zztranslate_identz00();
BGL_IMPORT obj_t BGl_stringzd2replacez12zc0zz__r4_strings_6_7z00(obj_t, unsigned char, unsigned char);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t string_append(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zztranslate_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
static obj_t BGl_cnstzd2initzd2zztranslate_identz00();
static obj_t BGl_libraryzd2moduleszd2initz00zztranslate_identz00();
static obj_t BGl_importedzd2moduleszd2initz00zztranslate_identz00();
BGL_IMPORT bool_t bigloo_strcmp_at(obj_t, obj_t, long);
static obj_t __cnst[ 1 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_identzd2ze3identzd2envze3zztranslate_identz00, BgL_bgl_za762identza7d2za7e3id1028za7, BGl_z62identzd2ze3identz53zztranslate_identz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1021z00zztranslate_identz00, BgL_bgl_string1021za700za7za7t1029za7, "bgl_", 4 );
DEFINE_STRING( BGl_string1022z00zztranslate_identz00, BgL_bgl_string1022za700za7za7t1030za7, "$", 1 );
DEFINE_STRING( BGl_string1023z00zztranslate_identz00, BgL_bgl_string1023za700za7za7t1031za7, "translate_ident", 15 );
DEFINE_STRING( BGl_string1024z00zztranslate_identz00, BgL_bgl_string1024za700za7za7t1032za7, "scheme ", 7 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zztranslate_identz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zztranslate_identz00(long BgL_checksumz00_41, char * BgL_fromz00_42)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zztranslate_identz00))
{ 
BGl_requirezd2initializa7ationz75zztranslate_identz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zztranslate_identz00(); 
BGl_libraryzd2moduleszd2initz00zztranslate_identz00(); 
BGl_cnstzd2initzd2zztranslate_identz00(); 
BGl_importedzd2moduleszd2initz00zztranslate_identz00(); 
return 
BGl_methodzd2initzd2zztranslate_identz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zztranslate_identz00()
{
{ /* Translate/ident.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "translate_ident"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "translate_ident"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "translate_ident"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "translate_ident"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zztranslate_identz00()
{
{ /* Translate/ident.scm 15 */
{ /* Translate/ident.scm 15 */
obj_t BgL_cportz00_28;
{ /* Translate/ident.scm 15 */
obj_t BgL_stringz00_36;
BgL_stringz00_36 = BGl_string1024z00zztranslate_identz00; 
{ /* Translate/ident.scm 15 */
obj_t BgL_startz00_37;
BgL_startz00_37 = 
BINT(((long)0)); 
{ /* Translate/ident.scm 15 */
obj_t BgL_endz00_38;
BgL_endz00_38 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_36))); 
{ /* Translate/ident.scm 15 */

BgL_cportz00_28 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_36, BgL_startz00_37, BgL_endz00_38); } } } } 
{ 
long BgL_iz00_29;
BgL_iz00_29 = ((long)0); 
BgL_loopz00_30:
if(
(BgL_iz00_29==((long)-1)))
{ /* Translate/ident.scm 15 */
return BUNSPEC;}  else 
{ /* Translate/ident.scm 15 */
{ /* Translate/ident.scm 15 */
obj_t BgL_arg1026z00_32;
{ /* Translate/ident.scm 15 */

{ /* Translate/ident.scm 15 */
obj_t BgL_locationz00_34;
BgL_locationz00_34 = 
BBOOL(((bool_t)0)); 
{ /* Translate/ident.scm 15 */

BgL_arg1026z00_32 = 
BGl_readz00zz__readerz00(BgL_cportz00_28, BgL_locationz00_34); } } } 
{ /* Translate/ident.scm 15 */
int BgL_tmpz00_64;
BgL_tmpz00_64 = 
(int)(BgL_iz00_29); 
CNST_TABLE_SET(BgL_tmpz00_64, BgL_arg1026z00_32); } } 
{ /* Translate/ident.scm 15 */
int BgL_auxz00_35;
BgL_auxz00_35 = 
(int)(
(BgL_iz00_29-((long)1))); 
{ 
long BgL_iz00_69;
BgL_iz00_69 = 
(long)(BgL_auxz00_35); 
BgL_iz00_29 = BgL_iz00_69; 
goto BgL_loopz00_30;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zztranslate_identz00()
{
{ /* Translate/ident.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* ident->ident */
BGL_EXPORTED_DEF obj_t BGl_identzd2ze3identz31zztranslate_identz00(obj_t BgL_idz00_3)
{
{ /* Translate/ident.scm 22 */
{ /* Translate/ident.scm 23 */
obj_t BgL_casezd2valuezd2_13;
BgL_casezd2valuezd2_13 = BGl_za2identzd2styleza2zd2zzengine_paramz00; 
if(
(BgL_casezd2valuezd2_13==
CNST_TABLE_REF(((long)0))))
{ /* Translate/ident.scm 23 */
return 
BGl_identzd2ze3schemezd2identze3zztranslate_identz00(BgL_idz00_3);}  else 
{ /* Translate/ident.scm 23 */
return BgL_idz00_3;} } } 

}



/* &ident->ident */
obj_t BGl_z62identzd2ze3identz53zztranslate_identz00(obj_t BgL_envz00_26, obj_t BgL_idz00_27)
{
{ /* Translate/ident.scm 22 */
return 
BGl_identzd2ze3identz31zztranslate_identz00(BgL_idz00_27);} 

}



/* ident->scheme-ident */
obj_t BGl_identzd2ze3schemezd2identze3zztranslate_identz00(obj_t BgL_sz00_4)
{
{ /* Translate/ident.scm 32 */
{ /* Translate/ident.scm 33 */
obj_t BgL_s1z00_15;
if(
bigloo_strcmp_at(BgL_sz00_4, BGl_string1021z00zztranslate_identz00, ((long)0)))
{ /* Translate/ident.scm 34 */
obj_t BgL_arg1016z00_17;
{ /* Translate/ident.scm 34 */
long BgL_arg1017z00_18;
BgL_arg1017z00_18 = 
STRING_LENGTH(
((obj_t)BgL_sz00_4)); 
{ /* Translate/ident.scm 34 */
obj_t BgL_res1020z00_25;
BgL_res1020z00_25 = 
c_substring(
((obj_t)BgL_sz00_4), ((long)4), BgL_arg1017z00_18); 
BgL_arg1016z00_17 = BgL_res1020z00_25; } } 
BgL_s1z00_15 = 
string_append(BGl_string1022z00zztranslate_identz00, BgL_arg1016z00_17); }  else 
{ /* Translate/ident.scm 33 */
BgL_s1z00_15 = 
string_append(BGl_string1022z00zztranslate_identz00, BgL_sz00_4); } 
{ /* Translate/ident.scm 33 */

return 
BGl_stringzd2replacez12zc0zz__r4_strings_6_7z00(BgL_s1z00_15, 
(char)(((unsigned char)'_')), 
(char)(((unsigned char)'-')));} } } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zztranslate_identz00()
{
{ /* Translate/ident.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zztranslate_identz00()
{
{ /* Translate/ident.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zztranslate_identz00()
{
{ /* Translate/ident.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zztranslate_identz00()
{
{ /* Translate/ident.scm 15 */
return 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)145568585), 
BSTRING_TO_STRING(BGl_string1023z00zztranslate_identz00));} 

}

#ifdef __cplusplus
}
#endif
